% Frequency Plots

figure(1);
subplot(2,1,1)
plot(Omega12_11Bus.time,Omega12_11Bus.signals.values(:,1),'k');
title('Frequency of Gen 1');
xlabel('Time (Sec.)');
ylabel('Frequency (Hz)');

figure(1);
subplot(2,1,2)
plot(Omega12_11Bus.time,Omega12_11Bus.signals.values(:,2),'k');
title('Frequency of Gen 2')
xlabel('Time (Sec.)');
ylabel('Frequency (Hz)');

%%
% Power Plots
figure(2);
subplot(2,1,1);
plot(Power_11Bus.time,Power_11Bus.signals.values(:,1),'k');
title('Power output of Gen 1');
xlabel('Time (Sec.)');
ylabel('Power (p.u.)');

figure(2);
subplot(2,1,2);
plot(Power_11Bus.time,Power_11Bus.signals.values(:,2),'k');
title('Power output of Gen 2')
xlabel('Time (Sec.)');
ylabel('Power (p.u.)');

figure(3);
plot(Power_11Bus.time,(Power_11Bus.signals.values(:,1)+Power_11Bus.signals.values(:,2)),'k');
title('Total Power Output')
xlabel('Time (Sec.)');
ylabel('Power (p.u.)');

figure(4);
plot(Power_11Bus.time,Power_11Bus.signals.values(:,5),'k');
title('Propulsion Load');
xlabel('Time(Sec.)');
ylabel('Power (p.u.)');

%%
% Voltage Plots
figure(5);
subplot(2,1,1);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,1),'k');
title('Voltage at Bus 1 (Gen 1 Field)')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(5);
subplot(2,1,2);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,2),'k');
title('Voltage at Bus 2 (Gen 2 Field)')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(6);
subplot(3,1,1);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,3),'k');
title('Voltage at Bus 4 (Gen 1 Terminal Bus)')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(6);
subplot(3,1,2);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,4),'k');
title('Voltage at Bus 5 (Gen 2 Terminal Bus)')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(6);
subplot(3,1,3);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,5),'k');
title('Voltage at Bus 6 (Propulsion Load Bus)')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(7);
subplot(3,1,1);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,6),'k');
title('Voltage at Bus 7')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(7);
subplot(3,1,2);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,8),'k');
title('Voltage at Bus 9')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(7);
subplot(3,1,3);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,10),'k');
title('Voltage at Bus 11')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');


figure(8);
subplot(3,1,1);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,7),'k');
title('Voltage at Bus 8')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(8);
subplot(3,1,2);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,9),'k');
title('Voltage at Bus 10')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');

figure(8);
subplot(3,1,3);
plot(Voltage_11Bus.time,Voltage_11Bus.signals.values(:,11),'k');
title('Voltage at Bus 12')
xlabel('Time (Sec.)');
ylabel('Voltage (p.u.)');