% Frequency Plots
figure(1);
subplot(2,1,1)
plot(Omega12_5Bus.time,Omega12_5Bus.signals.values(:,1),'g',Omega12_11Bus.time,Omega12_11Bus.signals.values(:,1),'r');
title('Frequency of Unit 1 in 5 Bus and 11 Bus Model')
xlabel('time(seconds)');
ylabel('Frequency of Unit 1');
legend('5 Bus Model','11 Bus Model');
figure(1);
subplot(2,1,2)
plot(Omega12_5Bus.time,Omega12_5Bus.signals.values(:,2),'g',Omega12_11Bus.time,Omega12_11Bus.signals.values(:,2),'r');
title('Frequency of Unit 2 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Frequency of Unit 2');
legend('5 Bus Model','11 Bus Model');

%%
% Power Plots
figure(2);
subplot(2,1,1);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,1),'g',Power_11Bus.time,Power_11Bus.signals.values(:,1),'r');
title('Power output of Unit 1 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Power output of Unit 1');
legend('5 Bus Model','11 Bus Model')

figure(2);
subplot(2,1,2);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,2),'g',Power_11Bus.time,Power_11Bus.signals.values(:,2),'r');
title('Power output of Unit 2 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Power output of Unit 2');
legend('5 Bus Model','11 Bus Model');

figure(3);
plot(Power_5Bus.time,(Power_5Bus.signals.values(:,1)+Power_5Bus.signals.values(:,2)),'g',Power_11Bus.time,(Power_11Bus.signals.values(:,1)+Power_11Bus.signals.values(:,2)),'r');
title('Total Power output of Units in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('TotalPower output');
legend('5 Bus Model','11 Bus Model');


figure(4);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,5),Power_11Bus.time,Power_11Bus.signals.values(:,5));
title('Propulsion Load');
xlabel('time(seconds)');
ylabel('Propulsion load');

%%
% Voltage Plots
figure(5);
subplot(2,1,1);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,1),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,1));
title('Voltage profile at Bus 1 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 1');

figure(5);
subplot(2,1,2);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,2),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,2));
title('Voltage profile at Bus 2 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 2');

figure(6);
subplot(3,1,1);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,5),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,5));
title('Voltage profile at Propulsion Bus(Bus 5) in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 5');


figure(6);
subplot(3,1,2);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,3),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,3));
title('Voltage profile at Bus 3(terminal bus of Unit 1 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 3');

figure(6);
subplot(3,1,3);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,4),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,4));
title('Voltage profile at Bus 4(terminal bus of Unit 2 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 3');

figure(6);
subplot(3,1,3);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,4),Voltage_11Bus.time,Voltage_11Bus.signals.values(:,4));
title('Voltage profile at Bus 4(terminal bus of Unit 2 in 5 Bus and 11 Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 3');

