(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    614626,      11418]
NotebookOptionsPosition[    608949,      11232]
NotebookOutlinePosition[    609638,      11258]
CellTagsIndexPosition[    609506,      11252]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["", "Subtitle"]], "Title",
 CellChangeTimes->{{3.584725369454927*^9, 3.5847253762643166`*^9}, {
  3.5847254470243635`*^9, 3.584725476021022*^9}, {3.5847260849368505`*^9, 
  3.584726086388933*^9}, {3.5867079039408407`*^9, 3.586707925559077*^9}, {
  3.60122761621875*^9, 3.601227619375*^9}}],

Cell[CellGroupData[{

Cell["Introduction", "Section",
 CellChangeTimes->{{3.5624153153643456`*^9, 3.5624153164994106`*^9}}],

Cell["This notebook", "Text",
 CellChangeTimes->{
  3.562411011006087*^9, {3.586108794870116*^9, 3.5861088018075128`*^9}}],

Cell[CellGroupData[{

Cell["Load ProPac", "Subsection",
 CellChangeTimes->{{3.5589443272419434`*^9, 3.5589443643856087`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "ProPac`"}]], "Input"],

Cell[BoxData["\<\"\\nThis is ProPac - Development Version 5.0\\n\\nProPac has \
been successfully loaded. It contains several packages\\nfor multibody \
dynamics, linear control and nonlinear control.\\nThe package names are:\\n   \
GeoTools\\n   Dynamics\\n   ControlL\\n   ControlN\\n   DifferentialForms\\n  \
 ObserverTools\\n   NDTools\\n   VSCTools\\n   MatlabInterface\\n   \
MEXTools\\nAppropriate packages will be loaded automatically as \
required.\\nTo obtain a list of functions in a package and links to \
function\\ndeclarations, enter:\\n   ?ProPac`PackageName`*\\nHelp is also \
available in the Help Browser under Add-ons.\"\>"], "Print",
 CellChangeTimes->{3.6065135033603086`*^9, 3.606514670335308*^9, 
  3.6065148779573083`*^9, 3.6065149332513084`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ProPac`MEXTools`*"}]], "Input",
 CellChangeTimes->{{3.553442320772366*^9, 3.55344232329751*^9}}],

Cell[BoxData[
 DynamicModuleBox[{Typeset`open$$ = True}, 
  PaneSelectorBox[{False->
   RowBox[{
    OpenerBox[Dynamic[Typeset`open$$],
     ImageSize->Small], 
    StyleBox["ProPac`MEXTools`", "InfoHeading"]}], True->GridBox[{
     {
      RowBox[{
       OpenerBox[Dynamic[Typeset`open$$],
        ImageSize->Small], 
       StyleBox["ProPac`MEXTools`", "InfoHeading"]}]},
     {GridBox[{
        {
         ButtonBox["CreateControllerMEX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "CreateControllerMEX", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["CreateMEX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {"CreateMEX", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["FindMostFrequentTerms",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "FindMostFrequentTerms", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["ReplaceVariablesStr",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "ReplaceVariablesStr", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"]},
        {
         ButtonBox["CreateDiscreteControllerMEX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "CreateDiscreteControllerMEX", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["CreateMEXFile",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {"CreateMEXFile", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["MEXTools",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {"MEXTools", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["SinCosPowerReplaceToo",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "SinCosPowerReplaceToo", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"]},
        {
         ButtonBox["CreateDiscreteModelMEX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {
            "CreateDiscreteModelMEX", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["CreateModelMEX",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {"CreateModelMEX", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], 
         ButtonBox["ReduceFLOPSToo",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-9803151", {"ReduceFLOPSToo", "ProPac`MEXTools`"}},
          ButtonNote->"ProPac`MEXTools`"], ""}
       },
       DefaultBaseStyle->"InfoGrid",
       GridBoxItemSize->{"Columns" -> {{
            Scaled[0.2375]}}}]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}]}, 
   Dynamic[Typeset`open$$],
   ImageSize->Automatic]]], "Print", "InfoCell",
 CellChangeTimes->{3.6065149333963084`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ProPac`GeoTools`*"}]], "Input",
 CellChangeTimes->{{3.553442320772366*^9, 3.55344232329751*^9}, {
  3.557334163986994*^9, 3.5573341671081724`*^9}}],

Cell[BoxData[
 DynamicModuleBox[{Typeset`open$$ = True}, 
  PaneSelectorBox[{False->
   RowBox[{
    OpenerBox[Dynamic[Typeset`open$$],
     ImageSize->Small], 
    StyleBox["ProPac`GeoTools`", "InfoHeading"]}], True->GridBox[{
     {
      RowBox[{
       OpenerBox[Dynamic[Typeset`open$$],
        ImageSize->Small], 
       StyleBox["ProPac`GeoTools`", "InfoHeading"]}]},
     {GridBox[{
        {
         ButtonBox["Ad",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3606500533-6398255", {"Ad", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["GeometricTools",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"GeometricTools", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["LargestInvariantDistribution",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "LargestInvariantDistribution", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["PhasePortrait",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"PhasePortrait", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["Span",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3606500533-6398255", {"Span", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"]},
        {
         ButtonBox["ComplementDistribution",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "ComplementDistribution", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["Grad",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3606500533-6398255", {"Grad", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["LeftInverse",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"LeftInverse", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["Rank",
          BaseStyle->"InformationLink",
          ButtonData:>{"Info3606500533-6398255", {"Rank", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["SpecialInverse",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"SpecialInverse", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"]},
        {
         ButtonBox["EquilibriumSurface",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "EquilibriumSurface", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["IntersectionDistribution",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "IntersectionDistribution", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["LieBracket",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"LieBracket", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["RightInverse",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"RightInverse", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["SpecialNullSpace",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"SpecialNullSpace", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"]},
        {
         ButtonBox["ExpMap",
          BaseStyle->"InformationLink",
          ButtonData:>{
           "Info3606500533-6398255", {"ExpMap", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["Involutive",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"Involutive", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["LieDerivative",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"LieDerivative", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["SimplifyArray",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"SimplifyArray", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["TriangularDecomposition",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "TriangularDecomposition", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"]},
        {
         ButtonBox["FlowComposition",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"FlowComposition", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["Jacob",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"Jacob", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["ParametricManifold",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "ParametricManifold", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["SmallestInvariantDistribution",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {
            "SmallestInvariantDistribution", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"], 
         ButtonBox["WriteArray",
          BaseStyle->"InformationLink",
          
          ButtonData:>{
           "Info3606500533-6398255", {"WriteArray", "ProPac`GeoTools`"}},
          ButtonNote->"ProPac`GeoTools`"]}
       },
       DefaultBaseStyle->"InfoGrid",
       GridBoxItemSize->{"Columns" -> {{
            Scaled[0.19]}}}]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}]}, 
   Dynamic[Typeset`open$$],
   ImageSize->Automatic]]], "Print", "InfoCell",
 CellChangeTimes->{3.6065149335493083`*^9}]
}, Open  ]],

Cell["", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Auxiliary Functions", "Section",
 CellChangeTimes->{{3.5536145840152655`*^9, 3.553614613483951*^9}, 
   3.5536146718192883`*^9}],

Cell[CellGroupData[{

Cell["Power System Network Equations", "Subsection",
 CellChangeTimes->{{3.557569143189005*^9, 3.5575691500374174`*^9}, {
  3.5589446538129168`*^9, 3.5589446595069265`*^9}}],

Cell["\<\
n=number of generators
m=number of PV buses
p=number of PQ buses\
\>", "Text"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pe", "[", 
   RowBox[{"i_", ",", "N_"}], "]"}], ":=", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"j", "=", "1"}], "N"], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"V", "[", "i", "]"}], " ", 
        RowBox[{"V", "[", "j", "]"}], " ", 
        RowBox[{"B", "[", 
         RowBox[{"i", ",", "j"}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"theta", "[", "i", "]"}], "-", 
          RowBox[{"theta", "[", "j", "]"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"V", "[", "i", "]"}], " ", 
        RowBox[{"V", "[", "j", "]"}], " ", 
        RowBox[{"G", "[", 
         RowBox[{"i", ",", "j"}], "]"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"theta", "[", "i", "]"}], "-", 
          RowBox[{"theta", "[", "j", "]"}]}], "]"}]}]}], ")"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"i", ",", "j"}], "]"}], "\[Rule]", 
        RowBox[{"BB", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"G", "[", 
         RowBox[{"i", ",", "j"}], "]"}], "\[Rule]", 
        RowBox[{"GG", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}]}], "}"}]}], ")"}]}]}], "\n", 
 RowBox[{
  RowBox[{"Qe", "[", 
   RowBox[{"i_", ",", "N_"}], "]"}], ":=", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"j", "=", "1"}], "N"], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"V", "[", "i", "]"}], " ", 
        RowBox[{"V", "[", "j", "]"}], " ", 
        RowBox[{"G", "[", 
         RowBox[{"i", ",", "j"}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"theta", "[", "i", "]"}], "-", 
          RowBox[{"theta", "[", "j", "]"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"V", "[", "i", "]"}], " ", 
        RowBox[{"V", "[", "j", "]"}], " ", 
        RowBox[{"B", "[", 
         RowBox[{"i", ",", "j"}], "]"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"theta", "[", "i", "]"}], "-", 
          RowBox[{"theta", "[", "j", "]"}]}], "]"}]}]}], ")"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"i", ",", "j"}], "]"}], "\[Rule]", 
        RowBox[{"BB", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"G", "[", 
         RowBox[{"i", ",", "j"}], "]"}], "\[Rule]", 
        RowBox[{"GG", "[", 
         RowBox[{"i", ",", "j"}], "]"}]}]}], "}"}]}], ")"}]}]}], "\n", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"n_", ",", "m_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Pe", "[", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "]"}]}], "+", 
     RowBox[{"P", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"n_", ",", "m_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Qe", "[", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "]"}]}], "+", 
     RowBox[{"Q", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"x", "[", 
   RowBox[{"n_", ",", "m_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"P", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Q", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"theta", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "1"}], ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"V", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m", "+", "1"}], ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"u", "[", 
   RowBox[{"n_", ",", "m_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"theta", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"V", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"P", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "1"}], ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Q", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"n", "+", "m", "+", "1"}], ",", 
        RowBox[{"n", "+", "m", "+", "p"}]}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoadFlow", "[", 
   RowBox[{"n_", ",", "m_", ",", "p_"}], "]"}], ":=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"n", ",", "m", ",", "p"}], "]"}], ",", 
    RowBox[{"g", "[", 
     RowBox[{"n", ",", "m", ",", "p"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5535304037268023`*^9, 3.55353047973915*^9}, {
   3.556042992319525*^9, 3.5560430168895674`*^9}, {3.55604307499967*^9, 
   3.556043104218521*^9}, {3.557568481741843*^9, 3.557568489198656*^9}, {
   3.5575685356253376`*^9, 3.5575685962782445`*^9}, 3.557568655261948*^9, {
   3.5575688252604465`*^9, 3.5575688257128477`*^9}, {3.557568995955947*^9, 
   3.557569014473179*^9}, {3.557569046484435*^9, 3.5575690711012783`*^9}, 
   3.557569313510104*^9, {3.586167804194749*^9, 3.5861678113041563`*^9}, {
   3.586167842758955*^9, 3.5861680094994917`*^9}, {3.5862988439047575`*^9, 
   3.586298856594483*^9}, {3.5862989141097727`*^9, 3.5862989485877447`*^9}, 
   3.5862989912091827`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LoadFlowEquations", "[", 
    RowBox[{"ngen_", ",", "npv_", ",", "npq_", ",", "Y_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"N", "=", 
        RowBox[{"ngen", "+", "npv", "+", "npq"}]}], ",", "BB", ",", "GG", ",",
        "Pe", ",", "Qe"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"BB", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"i", ",", "j"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "N"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "N"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"GG", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"G", "[", 
          RowBox[{"i", ",", "j"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "N"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "N"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Pe", "[", 
        RowBox[{"i_", ",", "N_"}], "]"}], ":=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"j", "=", "1"}], "N"], 
        RowBox[{"(", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"V", "[", "i", "]"}], " ", 
            RowBox[{"V", "[", "j", "]"}], " ", 
            RowBox[{"B", "[", 
             RowBox[{"i", ",", "j"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"theta", "[", "i", "]"}], "-", 
              RowBox[{"theta", "[", "j", "]"}]}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"V", "[", "i", "]"}], " ", 
            RowBox[{"V", "[", "j", "]"}], " ", 
            RowBox[{"G", "[", 
             RowBox[{"i", ",", "j"}], "]"}], " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"theta", "[", "i", "]"}], "-", 
              RowBox[{"theta", "[", "j", "]"}]}], "]"}]}]}], ")"}], ")"}]}]}],
       ";", "\n", "         ", 
      RowBox[{
       RowBox[{"Qe", "[", 
        RowBox[{"i_", ",", "N_"}], "]"}], ":=", 
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"j", "=", "1"}], "N"], 
        RowBox[{"(", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"V", "[", "i", "]"}], " ", 
            RowBox[{"V", "[", "j", "]"}], " ", 
            RowBox[{"G", "[", 
             RowBox[{"i", ",", "j"}], "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"theta", "[", "i", "]"}], "-", 
              RowBox[{"theta", "[", "j", "]"}]}], "]"}]}], "+", 
           RowBox[{
            RowBox[{"V", "[", "i", "]"}], " ", 
            RowBox[{"V", "[", "j", "]"}], " ", 
            RowBox[{"B", "[", 
             RowBox[{"i", ",", "j"}], "]"}], " ", 
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"theta", "[", "i", "]"}], "-", 
              RowBox[{"theta", "[", "j", "]"}]}], "]"}]}]}], ")"}], ")"}]}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", "N"}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"B", "[", 
              RowBox[{"i", ",", "#"}], "]"}], "=", 
             RowBox[{"Im", "[", 
              RowBox[{"Y", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "#"}], "]"}], "]"}], "]"}]}], ")"}], "&"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"1", ",", "N"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", "N"}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"G", "[", 
              RowBox[{"i", ",", "#"}], "]"}], "=", 
             RowBox[{"Re", "[", 
              RowBox[{"Y", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "#"}], "]"}], "]"}], "]"}]}], ")"}], "&"}], 
          ",", 
          RowBox[{"Range", "[", 
           RowBox[{"1", ",", "N"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Pe", "[", 
             RowBox[{"i", ",", "N"}], "]"}]}], "+", 
           RowBox[{"P", "[", "i", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "N"}], "}"}]}], "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Qe", "[", 
             RowBox[{"i", ",", "N"}], "]"}]}], "+", 
           RowBox[{"Q", "[", "i", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "N"}], "}"}]}], "]"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5863440639421954`*^9, 3.586344096997086*^9}, {
   3.5863441271798124`*^9, 3.5863442775424128`*^9}, 3.5863443185967607`*^9, {
   3.5863443624262676`*^9, 3.5863444081238813`*^9}, {3.586344471935531*^9, 
   3.5863445250095673`*^9}, {3.5863462792969065`*^9, 
   3.5863463629176893`*^9}, {3.586346525269975*^9, 3.586346649996109*^9}, {
   3.5863466807288675`*^9, 3.5863467350979767`*^9}, {3.586376219979416*^9, 
   3.5863762207924623`*^9}, {3.5863764553908806`*^9, 
   3.5863764992943916`*^9}, {3.5864492243871994`*^9, 
   3.5864492734520063`*^9}, {3.5864495337918963`*^9, 
   3.5864495792864985`*^9}, {3.586449782884144*^9, 3.586449783782195*^9}, {
   3.586449826189621*^9, 3.5864498778345747`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "[", 
  RowBox[{"1", ",", "2", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.5575692089587207`*^9, 3.557569249284792*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "1", "]"}], ",", 
   RowBox[{"Q", "[", "1", "]"}], ",", 
   RowBox[{"Q", "[", "2", "]"}], ",", 
   RowBox[{"Q", "[", "3", "]"}], ",", 
   RowBox[{"theta", "[", "2", "]"}], ",", 
   RowBox[{"theta", "[", "3", "]"}], ",", 
   RowBox[{"theta", "[", "4", "]"}], ",", 
   RowBox[{"theta", "[", "5", "]"}], ",", 
   RowBox[{"V", "[", "4", "]"}], ",", 
   RowBox[{"V", "[", "5", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5575692167587347`*^9, 3.557569250766794*^9}, 
   3.5575709788378296`*^9, 3.5576666878437347`*^9, 3.5578441067634983`*^9, 
   3.557849888212417*^9, 3.557850502249502*^9, {3.558020057024356*^9, 
   3.5580200734355845`*^9}, 3.5580915886595583`*^9, 3.5581741151963415`*^9, 
   3.5582534804451017`*^9, 3.558255579162142*^9, 3.5587102752681837`*^9, 
   3.5624108610105076`*^9, 3.562410979326275*^9, 3.5624110282810745`*^9, 
   3.562411675855114*^9, 3.562415337347603*^9, 3.562422156205442*^9, 
   3.5624564044505067`*^9, 3.562527079065036*^9, 3.5625381887954764`*^9, 
   3.562539361770567*^9, 3.5625395165614204`*^9, 3.562576117827893*^9, 
   3.563095228034272*^9, 3.563096117990175*^9, 3.5630969182029448`*^9, 
   3.563099919435605*^9, 3.563100461751624*^9, 3.563100952839712*^9, 
   3.563101295980339*^9, 3.563181563806396*^9, 3.5631825583382797`*^9, 
   3.563186959537014*^9, 3.5631870726414833`*^9, 3.563188841701668*^9, 
   3.5635491750209227`*^9, 3.563562654458187*^9, 3.563719426771644*^9, 
   3.563728471352025*^9, 3.56378957106782*^9, 3.563824456370139*^9, 
   3.563824495061352*^9, 3.5641340276188354`*^9, 3.5641544299630933`*^9, 
   3.57011757846875*^9, 3.570131086859375*^9, 3.57013178303125*^9, 
   3.570132547328125*^9, 3.57013264096875*^9, 3.573470164635125*^9, 
   3.573470235182*^9, 3.573470522541375*^9, 3.5799928432060328`*^9, 
   3.5799929511557035`*^9, 3.579992994826181*^9, 3.5800010218505583`*^9, 
   3.5800543003492317`*^9, 3.581086854108305*^9, 3.5823608655057874`*^9, 
   3.5823612268314543`*^9, 3.582361489978505*^9, 3.5861094541318235`*^9, 
   3.5861680175449524`*^9, 3.5862763005913496`*^9, 3.5862990244750853`*^9, 
   3.586376069921833*^9, 3.5864549852807035`*^9, 3.5864550680574384`*^9, 
   3.586538561087426*^9, 3.5865387553985405`*^9, 3.586540164461134*^9, 
   3.5867080989319935`*^9, 3.5867086063070135`*^9, 3.586779421120611*^9, 
   3.5867795830748744`*^9, 3.586779909468543*^9, 3.58678850541117*^9, 
   3.5867957615912*^9, 3.5867957985463133`*^9, 3.5867959099626865`*^9, 
   3.5867977675889363`*^9, 3.586858063881687*^9, 3.5868615699962254`*^9, 
   3.586959523469844*^9, 3.587138868626554*^9, 3.587139803461356*^9, 
   3.5872096560642633`*^9, 3.587229335754277*^9, 3.5872843512977896`*^9, 
   3.59016281790625*^9, 3.590236935609375*^9, 3.59023778578125*^9, 
   3.5903267641875*^9, {3.590326800140625*^9, 3.590326821375*^9}, {
   3.590326851390625*^9, 3.59032687184375*^9}, 3.59032690934375*^9, 
   3.590332198234375*^9, 3.590332232421875*^9, 3.59033227596875*^9, 
   3.590332589953125*^9, 3.590332670859375*^9, 3.590332706625*^9, 
   3.6012277149375*^9, 3.601228694578125*^9, 3.601238241859375*^9, 
   3.601238276625*^9, 3.601238356328125*^9, 3.601401989046875*^9, 
   3.60164051265625*^9, 3.601643554515625*^9, 3.601643695734375*^9, 
   3.601645164671875*^9, 3.601651522671875*^9, 3.601655947015625*^9, 
   3.60165599025*^9, 3.6016561428125*^9, 3.6065135140293083`*^9, 
   3.6065146713343086`*^9, 3.6065148783623085`*^9, 3.6065149336603084`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "[", 
  RowBox[{"1", ",", "2", ",", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.5575692913736653`*^9, 3.5575692924812675`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"theta", "[", "1", "]"}], ",", 
   RowBox[{"V", "[", "1", "]"}], ",", 
   RowBox[{"V", "[", "2", "]"}], ",", 
   RowBox[{"V", "[", "3", "]"}], ",", 
   RowBox[{"P", "[", "2", "]"}], ",", 
   RowBox[{"P", "[", "3", "]"}], ",", 
   RowBox[{"P", "[", "4", "]"}], ",", 
   RowBox[{"P", "[", "5", "]"}], ",", 
   RowBox[{"Q", "[", "4", "]"}], ",", 
   RowBox[{"Q", "[", "5", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5575692952892723`*^9, 3.5575693265673275`*^9, 3.55757097893143*^9, 
   3.557666687937334*^9, 3.557844106825898*^9, 3.5578498883060174`*^9, 
   3.5578505023431025`*^9, {3.5580200570867558`*^9, 3.558020073513585*^9}, 
   3.558091588721958*^9, 3.5581741152713456`*^9, 3.558253480529107*^9, 
   3.558255579241146*^9, 3.558710275330584*^9, 3.5624108610495095`*^9, 
   3.562410979350276*^9, 3.562411028300076*^9, 3.562411675876115*^9, 
   3.562415337371604*^9, 3.5624221562678423`*^9, 3.5624564044745083`*^9, 
   3.562527079087037*^9, 3.562538188821478*^9, 3.5625393618005686`*^9, 
   3.5625395165874214`*^9, 3.562576117857895*^9, 3.5630952280652742`*^9, 
   3.5630961180151763`*^9, 3.5630969182279463`*^9, 3.563099919463607*^9, 
   3.563100461784626*^9, 3.563100952872714*^9, 3.563101296009341*^9, 
   3.5631815638323975`*^9, 3.563182558371282*^9, 3.5631869596140184`*^9, 
   3.563187072707487*^9, 3.5631888417826724`*^9, 3.563549175053924*^9, 
   3.563562654484189*^9, 3.5637194268096457`*^9, 3.563728471430025*^9, 
   3.563789571101822*^9, 3.5638244563921404`*^9, 3.5638244950993543`*^9, 
   3.564134027643837*^9, 3.5641544299930944`*^9, 3.570117578484375*^9, 
   3.570131086890625*^9, 3.5701317830625*^9, 3.570132547359375*^9, 
   3.570132640984375*^9, 3.57347016465075*^9, 3.573470235197625*^9, 
   3.573470522557*^9, 3.579992843237282*^9, 3.5799929511869526`*^9, 
   3.5799929948418055`*^9, 3.5800010218818073`*^9, 3.5800543003742332`*^9, 
   3.5810868541333065`*^9, 3.5823608655337887`*^9, 3.582361226861456*^9, 
   3.582361490020508*^9, 3.586109454151825*^9, 3.586168017576954*^9, 
   3.586276300614351*^9, 3.586299024500087*^9, 3.586376069954835*^9, 
   3.5864549853087053`*^9, 3.5864550680814395`*^9, 3.5865385611214285`*^9, 
   3.5865387554225416`*^9, 3.5865401644841356`*^9, 3.5867080989649954`*^9, 
   3.586708606332015*^9, 3.5867794211566133`*^9, 3.586779583098876*^9, 
   3.5867799094895444`*^9, 3.5867885054341717`*^9, 3.586795761612201*^9, 
   3.5867957985713153`*^9, 3.586795909984688*^9, 3.5867977676119375`*^9, 
   3.5868580639036884`*^9, 3.5868615700172267`*^9, 3.586959523493845*^9, 
   3.5871388686515555`*^9, 3.5871398034853573`*^9, 3.5872096560852647`*^9, 
   3.587229335786279*^9, 3.5872843513297915`*^9, 3.590162817921875*^9, 
   3.590236935609375*^9, 3.590237785796875*^9, 3.590326764203125*^9, {
   3.59032680015625*^9, 3.590326821390625*^9}, {3.59032685140625*^9, 
   3.590326871859375*^9}, 3.590326909359375*^9, 3.59033219825*^9, 
   3.5903322324375*^9, 3.590332275984375*^9, 3.59033258996875*^9, 
   3.590332670875*^9, 3.590332706640625*^9, 3.601227714953125*^9, 
   3.60122869459375*^9, 3.601238241875*^9, 3.601238276640625*^9, 
   3.60123835634375*^9, 3.6014019890625*^9, 3.601640512671875*^9, 
   3.60164355453125*^9, 3.60164369575*^9, 3.6016451646875*^9, 
   3.6016515226875*^9, 3.60165594703125*^9, 3.601655990265625*^9, 
   3.60165614284375*^9, 3.6065135140553083`*^9, 3.6065146713643084`*^9, 
   3.6065148783973083`*^9, 3.6065149336913085`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"f", "[", 
  RowBox[{"2", ",", "0", ",", "0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"g", "[", 
  RowBox[{"2", ",", "0", ",", "0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"x", "[", 
  RowBox[{"2", ",", "0", ",", "0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"u", "[", 
  RowBox[{"2", ",", "0", ",", "0"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5823614400906515`*^9, 3.582361469391328*^9}, {
  3.582361512114771*^9, 3.5823615125197945`*^9}, {3.582361796849057*^9, 
  3.5823618050755277`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], "-", 
    RowBox[{
     RowBox[{"GG", "[", 
      RowBox[{"1", ",", "1"}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"V", "[", "1", "]"}], "2"]}], "-", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"GG", "[", 
      RowBox[{"1", ",", "2"}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"1", ",", "2"}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"P", "[", "2", "]"}], "-", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"GG", "[", 
      RowBox[{"2", ",", "1"}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"2", ",", "1"}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"GG", "[", 
      RowBox[{"2", ",", "2"}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"V", "[", "2", "]"}], "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5823614730635376`*^9, 3.582361513563854*^9}, 
   3.5823618064736075`*^9, 3.586109454171826*^9, 3.5861680176049557`*^9, 
   3.5862763007323575`*^9, 3.5862990245300884`*^9, 3.5863760699868364`*^9, 
   3.586454985336707*^9, 3.586455068107441*^9, 3.58653856115243*^9, 
   3.586538755447543*^9, 3.586540164511137*^9, 3.5867080990009975`*^9, 
   3.5867086063540163`*^9, 3.5867794211806145`*^9, 3.586779583122877*^9, 
   3.5867799095105457`*^9, 3.586788505457173*^9, 3.5867957616352024`*^9, 
   3.586795798593316*^9, 3.586795910006689*^9, 3.5867977676339393`*^9, 
   3.5868580639246893`*^9, 3.586861570040228*^9, 3.5869595235168467`*^9, 
   3.587138868673557*^9, 3.5871398035123587`*^9, 3.587209656106266*^9, 
   3.587229335822281*^9, 3.5872843513677936`*^9, 3.590162817921875*^9, 
   3.590236935625*^9, 3.590237785796875*^9, 3.59032676421875*^9, {
   3.590326800171875*^9, 3.59032682140625*^9}, {3.590326851421875*^9, 
   3.590326871875*^9}, 3.590326909375*^9, 3.590332198265625*^9, 
   3.590332232453125*^9, 3.590332275984375*^9, 3.59033258996875*^9, 
   3.590332670875*^9, 3.59033270665625*^9, 3.60122771496875*^9, 
   3.601228694609375*^9, 3.601238241875*^9, 3.60123827665625*^9, 
   3.60123835634375*^9, 3.601401989078125*^9, 3.6016405126875*^9, 
   3.601643554546875*^9, 3.60164369578125*^9, 3.60164516471875*^9, 
   3.60165152271875*^9, 3.6016559470625*^9, 3.601655990296875*^9, 
   3.601656142859375*^9, 3.6065135140863085`*^9, 3.606514671394308*^9, 
   3.6065148784873085`*^9, 3.6065149337273083`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Q", "[", "1", "]"}], "-", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"1", ",", "1"}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"V", "[", "1", "]"}], "2"]}], "-", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"1", ",", "2"}], "]"}], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"GG", "[", 
      RowBox[{"1", ",", "2"}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"Q", "[", "2", "]"}], "-", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"2", ",", "1"}], "]"}], " ", 
     RowBox[{"Cos", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"GG", "[", 
      RowBox[{"2", ",", "1"}], "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"theta", "[", "1", "]"}], "-", 
       RowBox[{"theta", "[", "2", "]"}]}], "]"}], " ", 
     RowBox[{"V", "[", "1", "]"}], " ", 
     RowBox[{"V", "[", "2", "]"}]}], "-", 
    RowBox[{
     RowBox[{"BB", "[", 
      RowBox[{"2", ",", "2"}], "]"}], " ", 
     SuperscriptBox[
      RowBox[{"V", "[", "2", "]"}], "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5823614730635376`*^9, 3.582361513563854*^9}, 
   3.5823618064736075`*^9, 3.586109454171826*^9, 3.5861680176049557`*^9, 
   3.5862763007323575`*^9, 3.5862990245300884`*^9, 3.5863760699868364`*^9, 
   3.586454985336707*^9, 3.586455068107441*^9, 3.58653856115243*^9, 
   3.586538755447543*^9, 3.586540164511137*^9, 3.5867080990009975`*^9, 
   3.5867086063540163`*^9, 3.5867794211806145`*^9, 3.586779583122877*^9, 
   3.5867799095105457`*^9, 3.586788505457173*^9, 3.5867957616352024`*^9, 
   3.586795798593316*^9, 3.586795910006689*^9, 3.5867977676339393`*^9, 
   3.5868580639246893`*^9, 3.586861570040228*^9, 3.5869595235168467`*^9, 
   3.587138868673557*^9, 3.5871398035123587`*^9, 3.587209656106266*^9, 
   3.587229335822281*^9, 3.5872843513677936`*^9, 3.590162817921875*^9, 
   3.590236935625*^9, 3.590237785796875*^9, 3.59032676421875*^9, {
   3.590326800171875*^9, 3.59032682140625*^9}, {3.590326851421875*^9, 
   3.590326871875*^9}, 3.590326909375*^9, 3.590332198265625*^9, 
   3.590332232453125*^9, 3.590332275984375*^9, 3.59033258996875*^9, 
   3.590332670875*^9, 3.59033270665625*^9, 3.60122771496875*^9, 
   3.601228694609375*^9, 3.601238241875*^9, 3.60123827665625*^9, 
   3.60123835634375*^9, 3.601401989078125*^9, 3.6016405126875*^9, 
   3.601643554546875*^9, 3.60164369578125*^9, 3.60164516471875*^9, 
   3.60165152271875*^9, 3.6016559470625*^9, 3.601655990296875*^9, 
   3.601656142859375*^9, 3.6065135140863085`*^9, 3.606514671394308*^9, 
   3.6065148784873085`*^9, 3.6065149337393084`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "1", "]"}], ",", 
   RowBox[{"P", "[", "2", "]"}], ",", 
   RowBox[{"Q", "[", "1", "]"}], ",", 
   RowBox[{"Q", "[", "2", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5823614730635376`*^9, 3.582361513563854*^9}, 
   3.5823618064736075`*^9, 3.586109454171826*^9, 3.5861680176049557`*^9, 
   3.5862763007323575`*^9, 3.5862990245300884`*^9, 3.5863760699868364`*^9, 
   3.586454985336707*^9, 3.586455068107441*^9, 3.58653856115243*^9, 
   3.586538755447543*^9, 3.586540164511137*^9, 3.5867080990009975`*^9, 
   3.5867086063540163`*^9, 3.5867794211806145`*^9, 3.586779583122877*^9, 
   3.5867799095105457`*^9, 3.586788505457173*^9, 3.5867957616352024`*^9, 
   3.586795798593316*^9, 3.586795910006689*^9, 3.5867977676339393`*^9, 
   3.5868580639246893`*^9, 3.586861570040228*^9, 3.5869595235168467`*^9, 
   3.587138868673557*^9, 3.5871398035123587`*^9, 3.587209656106266*^9, 
   3.587229335822281*^9, 3.5872843513677936`*^9, 3.590162817921875*^9, 
   3.590236935625*^9, 3.590237785796875*^9, 3.59032676421875*^9, {
   3.590326800171875*^9, 3.59032682140625*^9}, {3.590326851421875*^9, 
   3.590326871875*^9}, 3.590326909375*^9, 3.590332198265625*^9, 
   3.590332232453125*^9, 3.590332275984375*^9, 3.59033258996875*^9, 
   3.590332670875*^9, 3.59033270665625*^9, 3.60122771496875*^9, 
   3.601228694609375*^9, 3.601238241875*^9, 3.60123827665625*^9, 
   3.60123835634375*^9, 3.601401989078125*^9, 3.6016405126875*^9, 
   3.601643554546875*^9, 3.60164369578125*^9, 3.60164516471875*^9, 
   3.60165152271875*^9, 3.6016559470625*^9, 3.601655990296875*^9, 
   3.601656142859375*^9, 3.6065135140863085`*^9, 3.606514671394308*^9, 
   3.6065148784873085`*^9, 3.6065149337643085`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"theta", "[", "1", "]"}], ",", 
   RowBox[{"theta", "[", "2", "]"}], ",", 
   RowBox[{"V", "[", "1", "]"}], ",", 
   RowBox[{"V", "[", "2", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5823614730635376`*^9, 3.582361513563854*^9}, 
   3.5823618064736075`*^9, 3.586109454171826*^9, 3.5861680176049557`*^9, 
   3.5862763007323575`*^9, 3.5862990245300884`*^9, 3.5863760699868364`*^9, 
   3.586454985336707*^9, 3.586455068107441*^9, 3.58653856115243*^9, 
   3.586538755447543*^9, 3.586540164511137*^9, 3.5867080990009975`*^9, 
   3.5867086063540163`*^9, 3.5867794211806145`*^9, 3.586779583122877*^9, 
   3.5867799095105457`*^9, 3.586788505457173*^9, 3.5867957616352024`*^9, 
   3.586795798593316*^9, 3.586795910006689*^9, 3.5867977676339393`*^9, 
   3.5868580639246893`*^9, 3.586861570040228*^9, 3.5869595235168467`*^9, 
   3.587138868673557*^9, 3.5871398035123587`*^9, 3.587209656106266*^9, 
   3.587229335822281*^9, 3.5872843513677936`*^9, 3.590162817921875*^9, 
   3.590236935625*^9, 3.590237785796875*^9, 3.59032676421875*^9, {
   3.590326800171875*^9, 3.59032682140625*^9}, {3.590326851421875*^9, 
   3.590326871875*^9}, 3.590326909375*^9, 3.590332198265625*^9, 
   3.590332232453125*^9, 3.590332275984375*^9, 3.59033258996875*^9, 
   3.590332670875*^9, 3.59033270665625*^9, 3.60122771496875*^9, 
   3.601228694609375*^9, 3.601238241875*^9, 3.60123827665625*^9, 
   3.60123835634375*^9, 3.601401989078125*^9, 3.6016405126875*^9, 
   3.601643554546875*^9, 3.60164369578125*^9, 3.60164516471875*^9, 
   3.60165152271875*^9, 3.6016559470625*^9, 3.601655990296875*^9, 
   3.601656142859375*^9, 3.6065135140863085`*^9, 3.606514671394308*^9, 
   3.6065148784873085`*^9, 3.6065149337683086`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Replacement Rules", "Subsection",
 CellChangeTimes->{{3.5536154644606247`*^9, 3.553615472963111*^9}, 
   3.5589442427677946`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ReplacementRule", "[", "x_List", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"Head", "[", "#", "]"}], "]"}], "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ")"}], "&"}], 
     ",", "x"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5536154785774317`*^9, 3.553615611437031*^9}, 
   3.5536157055774155`*^9, {3.5573347223159285`*^9, 3.5573347341556053`*^9}, {
   3.5573348519943457`*^9, 3.557334902268221*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReplacementRule", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"V", "[", "1", "]"}], ",", 
    RowBox[{"V", "[", "2", "]"}], ",", 
    RowBox[{"theta", "[", "1", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.5536156153342543`*^9, 3.5536156877433953`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"V", "[", "1", "]"}], "\[Rule]", "V1"}], ",", 
   RowBox[{
    RowBox[{"V", "[", "2", "]"}], "\[Rule]", "V2"}], ",", 
   RowBox[{
    RowBox[{"theta", "[", "1", "]"}], "\[Rule]", "theta1"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.553615656734622*^9, 3.5536156886044445`*^9}, 
   3.5536159679954247`*^9, 3.556014931030707*^9, 3.5560185282218256`*^9, 
   3.556035485645337*^9, 3.5560367252859144`*^9, 3.556043466471758*^9, 
   3.5560978786421328`*^9, 3.556272163002925*^9, 3.5571524843447742`*^9, 
   3.5573337131672087`*^9, 3.5573347393449025`*^9, {3.5573348783288517`*^9, 
   3.5573349063744555`*^9}, 3.557562591715111*^9, 3.5575694182954884`*^9, 
   3.55757097907183*^9, 3.557666688155735*^9, 3.5578441069038982`*^9, 
   3.557849888446418*^9, 3.557850502452303*^9, {3.5580200574299564`*^9, 
   3.558020073638385*^9}, 3.558091588799958*^9, 3.5581741153673506`*^9, 
   3.558253480642113*^9, 3.558255579342152*^9, 3.558710275424184*^9, 
   3.5624108610965123`*^9, 3.562410979381278*^9, 3.562411028325077*^9, 
   3.562411675905117*^9, 3.5624153374066057`*^9, 3.562422156408242*^9, 
   3.56245640450851*^9, 3.562527079120039*^9, 3.5625381888514795`*^9, 
   3.56253936183157*^9, 3.5625395166224236`*^9, 3.5625761178948965`*^9, 
   3.5630952281072764`*^9, 3.5630961180501785`*^9, 3.5630969182669477`*^9, 
   3.563099919503609*^9, 3.563100461823628*^9, 3.5631009529167166`*^9, 
   3.5631012960573435`*^9, 3.563181563861399*^9, 3.5631825584332857`*^9, 
   3.5631869597160244`*^9, 3.563187072806493*^9, 3.563188841877678*^9, 
   3.563549175101927*^9, 3.563562654522191*^9, 3.5637194268546486`*^9, 
   3.563728471632826*^9, 3.5637895711458244`*^9, 3.563824456422142*^9, 
   3.5638244951373563`*^9, 3.5641340276758394`*^9, 3.5641544300380974`*^9, 
   3.5701175785*^9, 3.5701310869375*^9, 3.57013178309375*^9, 
   3.570132547390625*^9, 3.570132641015625*^9, 3.573470164697625*^9, 
   3.573470235228875*^9, 3.57347052258825*^9, 3.5799928432529063`*^9, 
   3.579992951202577*^9, 3.5799929948730545`*^9, 3.580001021913056*^9, 
   3.5800543004102354`*^9, 3.581086854172309*^9, 3.5823612269264593`*^9, 
   3.5861094542128286`*^9, 3.5862763007813606`*^9, 3.586299024572091*^9, 
   3.5863760700328393`*^9, 3.586454865335843*^9, 3.58645498538671*^9, 
   3.5864550681484437`*^9, 3.5865385612094336`*^9, 3.5865387554915457`*^9, 
   3.5865401645531397`*^9, 3.586708099054*^9, 3.586708606394018*^9, 
   3.586779421222617*^9, 3.58677958316488*^9, 3.5867799095495477`*^9, 
   3.5867885054961753`*^9, 3.5867957616692047`*^9, 3.5867957986303186`*^9, 
   3.5867959100456915`*^9, 3.5867977676709414`*^9, 3.5868580639596915`*^9, 
   3.5868615700802307`*^9, 3.5869595235538483`*^9, 3.587138868710559*^9, 
   3.5871398035623617`*^9, 3.5872096561482687`*^9, 3.587229335891285*^9, 
   3.5872843514237967`*^9, 3.590162817953125*^9, 3.590236935640625*^9, 
   3.590237785828125*^9, 3.590326764234375*^9, {3.5903268001875*^9, 
   3.590326821421875*^9}, {3.5903268514375*^9, 3.59032687190625*^9}, 
   3.590326909390625*^9, 3.59033219828125*^9, 3.590332232484375*^9, 
   3.590332276015625*^9, 3.59033259*^9, 3.59033267090625*^9, 
   3.5903327066875*^9, 3.601227714984375*^9, 3.601228694640625*^9, 
   3.60123824190625*^9, 3.601238276671875*^9, 3.601238356375*^9, 
   3.601401989109375*^9, 3.601640512734375*^9, 3.60164355459375*^9, 
   3.601643695828125*^9, 3.601645170625*^9, 3.601651522765625*^9, 
   3.601655947125*^9, 3.60165599034375*^9, 3.60165614290625*^9, 
   3.6065135171283083`*^9, 3.6065146714783087`*^9, 3.6065148785343084`*^9, 
   3.6065149338573084`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"InputReplacementRule", "[", "u_List", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"Head", "[", "#", "]"}], "]"}], "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ")"}], "&"}], 
     ",", "u"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.556043168412634*^9, 3.5560432108759084`*^9}, {
  3.557334925962576*^9, 3.5573349333659997`*^9}, {3.5573350400221*^9, 
  3.557335048750599*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InputReplacementRule", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], ",", 
    RowBox[{"Q", "[", "1", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.557335056703054*^9, 3.5573350744040666`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], "\[Rule]", "P1"}], ",", 
   RowBox[{
    RowBox[{"Q", "[", "1", "]"}], "\[Rule]", "Q1"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.557335075434126*^9, 3.5575625918071165`*^9, 3.5575694184358883`*^9, 
   3.5575709791966305`*^9, 3.5576666882493353`*^9, 3.5578441069974985`*^9, 
   3.557849888555618*^9, 3.5578505025771027`*^9, {3.5580200575079565`*^9, 
   3.558020073794385*^9}, 3.5580915888779583`*^9, 3.558174115452356*^9, 
   3.55825348076412*^9, 3.558255579445158*^9, 3.5587102834581985`*^9, 
   3.562410861130514*^9, 3.5624109794152803`*^9, 3.562411028351079*^9, 
   3.5624116759361186`*^9, 3.562415337441608*^9, 3.5624221565174427`*^9, 
   3.5624564045435123`*^9, 3.5625270791540413`*^9, 3.562538188885482*^9, 
   3.5625393618695726`*^9, 3.5625395166544256`*^9, 3.562576117931899*^9, 
   3.563095228147279*^9, 3.5630961180861807`*^9, 3.56309691829795*^9, 
   3.5630999195446115`*^9, 3.56310046185863*^9, 3.563100952948719*^9, 
   3.5631012960933456`*^9, 3.5631815638924007`*^9, 3.563182558475288*^9, 
   3.5631869598140297`*^9, 3.5631870728954983`*^9, 3.563188841980684*^9, 
   3.5635491751459293`*^9, 3.5635626545631933`*^9, 3.5637194268906507`*^9, 
   3.5637284717420263`*^9, 3.5637895711968274`*^9, 3.5638244564521437`*^9, 
   3.563824495178359*^9, 3.564134027709841*^9, 3.5641544300811*^9, 
   3.57011757853125*^9, 3.57013108696875*^9, 3.570131783125*^9, 
   3.57013254740625*^9, 3.570132641046875*^9, 3.57347016471325*^9, 
   3.5734702352445*^9, 3.5734705226195*^9, 3.579992843284156*^9, 
   3.5799929512338257`*^9, 3.579992994888679*^9, 3.580001021944305*^9, 
   3.5800543004442377`*^9, 3.581086854214311*^9, 3.582361226978462*^9, 
   3.5861094542458305`*^9, 3.5862763008123627`*^9, 3.586299024608093*^9, 
   3.5863760700698414`*^9, 3.586454865379846*^9, 3.5864549854277124`*^9, 
   3.586455068181445*^9, 3.586538561240435*^9, 3.5865387555245476`*^9, 
   3.586540164587141*^9, 3.5867080990860023`*^9, 3.58670860642602*^9, 
   3.5867794212586193`*^9, 3.5867795832008815`*^9, 3.586779909577549*^9, 
   3.586788505527177*^9, 3.586795761698206*^9, 3.58679579866232*^9, 
   3.5867959100746927`*^9, 3.5867977677039433`*^9, 3.5868580639876933`*^9, 
   3.586861570109232*^9, 3.5869595235888505`*^9, 3.587138868742561*^9, 
   3.5871398035973635`*^9, 3.58720965618027*^9, 3.5872293359332876`*^9, 
   3.587284351460799*^9, 3.59016281796875*^9, 3.590236935640625*^9, 
   3.590237785859375*^9, 3.59032676425*^9, {3.590326800203125*^9, 
   3.5903268214375*^9}, {3.590326851453125*^9, 3.590326871921875*^9}, 
   3.59032690940625*^9, 3.590332198296875*^9, 3.5903322325*^9, 
   3.59033227603125*^9, 3.590332590015625*^9, 3.590332670921875*^9, 
   3.590332706703125*^9, 3.601227715*^9, 3.60122869465625*^9, 
   3.601238241921875*^9, 3.6012382766875*^9, 3.601238356390625*^9, 
   3.601401989125*^9, 3.60164051275*^9, 3.601643554609375*^9, 
   3.601643695859375*^9, 3.601645170640625*^9, 3.601651522828125*^9, 
   3.601655947140625*^9, 3.60165599040625*^9, 3.601656142953125*^9, 
   3.6065135171873083`*^9, 3.6065146715133085`*^9, 3.6065148785763083`*^9, 
   3.606514933899308*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReplacementRule", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], ",", 
    RowBox[{"Q", "[", "1", "]"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], "\[Rule]", "P1"}], ",", 
   RowBox[{
    RowBox[{"Q", "[", "1", "]"}], "\[Rule]", "Q1"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.55757064313984*^9, 3.5575709792902308`*^9, 3.5576666883585353`*^9, 
   3.5578441070598984`*^9, 3.557849888649218*^9, 3.557850502670703*^9, {
   3.558020057570357*^9, 3.5580200739191856`*^9}, 3.558091588940359*^9, 
   3.5581741155183597`*^9, 3.558253480856126*^9, 3.558255579520162*^9, 
   3.558710283770199*^9, 3.562410861153516*^9, 3.5624109794462814`*^9, 
   3.5624110283730803`*^9, 3.56241167595712*^9, 3.5624153374646096`*^9, 
   3.5624221606670494`*^9, 3.562456404566513*^9, 3.5625270791760426`*^9, 
   3.562538188910483*^9, 3.5625393618905735`*^9, 3.562539516681427*^9, 
   3.5625761179559*^9, 3.5630952281732807`*^9, 3.5630961181111817`*^9, 
   3.5630969183249516`*^9, 3.563099919573613*^9, 3.5631004618806314`*^9, 
   3.5631009529707203`*^9, 3.563101296119347*^9, 3.5631815639134026`*^9, 
   3.56318255851129*^9, 3.563186959881034*^9, 3.5631870729595013`*^9, 
   3.563188842051688*^9, 3.5635491751749315`*^9, 3.563562654598195*^9, 
   3.563719426916652*^9, 3.563728471851226*^9, 3.563789571227829*^9, 
   3.5638244564751453`*^9, 3.5638244952073603`*^9, 3.5641340277318425`*^9, 
   3.5641544301121016`*^9, 3.570117578546875*^9, 3.570131086984375*^9, 
   3.57013178315625*^9, 3.5701325474375*^9, 3.5701326410625*^9, 
   3.5734701647445*^9, 3.57347023527575*^9, 3.573470522635125*^9, 
   3.5799928433154044`*^9, 3.5799929512650747`*^9, 3.579992994919928*^9, 
   3.580001021975554*^9, 3.580054300468239*^9, 3.581086854242313*^9, 
   3.582361227021465*^9, 3.5861094542698317`*^9, 3.586276300834364*^9, 
   3.586299024634094*^9, 3.5863760700988426`*^9, 3.5864548654108477`*^9, 
   3.5864549854557137`*^9, 3.5864550682054467`*^9, 3.5865385612664366`*^9, 
   3.586538755547549*^9, 3.5865401646081424`*^9, 3.5867080991100035`*^9, 
   3.5867086064490213`*^9, 3.5867794212806206`*^9, 3.5867795832258835`*^9, 
   3.5867799095995502`*^9, 3.586788505549178*^9, 3.5867957617212076`*^9, 
   3.586795798683322*^9, 3.586795910096694*^9, 3.5867977677259445`*^9, 
   3.586858064009694*^9, 3.5868615701302333`*^9, 3.5869595236108513`*^9, 
   3.5871388687645617`*^9, 3.587139803621365*^9, 3.587209656203272*^9, 
   3.587229335960289*^9, 3.5872843514878006`*^9, 3.59016281796875*^9, 
   3.59023693565625*^9, 3.590237785859375*^9, 3.590326764265625*^9, {
   3.59032680021875*^9, 3.590326821453125*^9}, {3.59032685146875*^9, 
   3.5903268719375*^9}, 3.590326909421875*^9, 3.5903321983125*^9, 
   3.5903322325*^9, 3.590332276046875*^9, 3.590332590015625*^9, 
   3.5903326709375*^9, 3.59033270671875*^9, 3.601227715015625*^9, 
   3.60122869465625*^9, 3.6012382419375*^9, 3.601238276703125*^9, 
   3.60123835640625*^9, 3.601401989125*^9, 3.601640512765625*^9, 
   3.601643554640625*^9, 3.601643695875*^9, 3.601645170640625*^9, 
   3.601651522875*^9, 3.601655947171875*^9, 3.601655990421875*^9, 
   3.601656142984375*^9, 3.6065135172343082`*^9, 3.6065146715393085`*^9, 
   3.6065148786083083`*^9, 3.6065149339303083`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"InitialValueRule", "[", "x_List", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"#", "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{
          RowBox[{"ToString", "[", 
           RowBox[{"Head", "[", "#", "]"}], "]"}], "<>", "\"\<0\>\"", "<>", 
          "\"\<[\>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}], "<>", "\"\<]\>\""}], 
         "]"}]}], ")"}], "&"}], ",", "x"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5536172313486843`*^9, 3.553617239606157*^9}, {
  3.5536173607080836`*^9, 3.553617377028017*^9}, {3.553617451457274*^9, 
  3.5536174562585487`*^9}, {3.5536174920975986`*^9, 3.5536175344410205`*^9}, {
  3.5573349817947693`*^9, 3.5573349893362007`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"InitialValueRule", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"V", "[", "1", "]"}], ",", 
    RowBox[{"V", "[", "2", "]"}], ",", 
    RowBox[{"theta", "[", "1", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.553617410775947*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"V", "[", "1", "]"}], "\[Rule]", 
    RowBox[{"V0", "[", "1", "]"}]}], ",", 
   RowBox[{
    RowBox[{"V", "[", "2", "]"}], "\[Rule]", 
    RowBox[{"V0", "[", "2", "]"}]}], ",", 
   RowBox[{
    RowBox[{"theta", "[", "1", "]"}], "\[Rule]", 
    RowBox[{"theta0", "[", "1", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5536174122450314`*^9, 3.553617468892271*^9, {3.5536175153539286`*^9, 
   3.553617537791212*^9}, 3.556014931093107*^9, 3.5560185282842255`*^9, 
   3.556035485863737*^9, 3.5560367253639145`*^9, 3.556043466580958*^9, 
   3.556097878720133*^9, 3.556272163116931*^9, 3.557152484653792*^9, 
   3.557333713298216*^9, 3.557335002348945*^9, 3.557562591890121*^9, 
   3.557569418560689*^9, 3.5575709793994303`*^9, 3.5576666884989357`*^9, 
   3.5578441071378984`*^9, 3.5578498887740183`*^9, 3.5578505027799034`*^9, {
   3.5580200576639566`*^9, 3.5580200740439854`*^9}, 3.5580915890183587`*^9, 
   3.5581741156043644`*^9, 3.5582534809671316`*^9, 3.5582555796121674`*^9, 
   3.558710283863799*^9, 3.5624108611875176`*^9, 3.5624109794862843`*^9, 
   3.5624110283990817`*^9, 3.5624116759851217`*^9, 3.562415337496611*^9, 
   3.5624221608386497`*^9, 3.5624564046005154`*^9, 3.562527079206044*^9, 
   3.562538188943485*^9, 3.5625393619225755`*^9, 3.5625395167114286`*^9, 
   3.562576117988902*^9, 3.5630952282112827`*^9, 3.5630961181421833`*^9, 
   3.563096918355953*^9, 3.563099919613615*^9, 3.563100461915633*^9, 
   3.563100953009722*^9, 3.563101296151349*^9, 3.563181563945404*^9, 
   3.563182558555292*^9, 3.5631869599780397`*^9, 3.5631870730575075`*^9, 
   3.5631888421586943`*^9, 3.5635491752169333`*^9, 3.563562654641198*^9, 
   3.563719426948654*^9, 3.5637284719916267`*^9, 3.563789571267832*^9, 
   3.563824456505147*^9, 3.563824495249363*^9, 3.564134027763844*^9, 
   3.564154430161104*^9, 3.570117578578125*^9, 3.57013108703125*^9, 
   3.5701317831875*^9, 3.57013254746875*^9, 3.57013264109375*^9, 
   3.573470164760125*^9, 3.573470235291375*^9, 3.573470522666375*^9, 
   3.579992843346654*^9, 3.5799929512806997`*^9, 3.5799929949511766`*^9, 
   3.580001022006803*^9, 3.5800543005012407`*^9, 3.5810868542803144`*^9, 
   3.5823612270834684`*^9, 3.5861094543038335`*^9, 3.5862763008683653`*^9, 
   3.5862990246690965`*^9, 3.5863760701388454`*^9, 3.5864548654598503`*^9, 
   3.5864549854987164`*^9, 3.5864550682364483`*^9, 3.5865385613014383`*^9, 
   3.586538755580551*^9, 3.586540164646145*^9, 3.586708099145005*^9, 
   3.5867086064810233`*^9, 3.586779421312622*^9, 3.586779583261885*^9, 
   3.5867799096315527`*^9, 3.58678850558218*^9, 3.586795761749209*^9, 
   3.5867957987153234`*^9, 3.586795910128696*^9, 3.586797767756946*^9, 
   3.5868580640386963`*^9, 3.5868615701622353`*^9, 3.5869595236438537`*^9, 
   3.587138868796564*^9, 3.5871398036543665`*^9, 3.5872096562372737`*^9, 
   3.5872293359942913`*^9, 3.5872843515228024`*^9, 3.590162817984375*^9, 
   3.590236935671875*^9, 3.590237785875*^9, 3.59032676428125*^9, {
   3.590326800234375*^9, 3.59032682146875*^9}, {3.590326851484375*^9, 
   3.590326871953125*^9}, 3.5903269094375*^9, 3.590332198328125*^9, 
   3.59033223253125*^9, 3.5903322760625*^9, 3.59033259003125*^9, 
   3.590332670953125*^9, 3.590332706734375*^9, 3.60122771503125*^9, 
   3.6012286946875*^9, 3.601238241953125*^9, 3.60123827671875*^9, 
   3.601238356421875*^9, 3.601401989140625*^9, 3.601640512796875*^9, 
   3.60164355465625*^9, 3.60164369590625*^9, 3.60164517065625*^9, 
   3.60165152290625*^9, 3.601655947203125*^9, 3.601655990453125*^9, 
   3.601656143*^9, 3.6065135172843084`*^9, 3.6065146715773087`*^9, 
   3.606514878651308*^9, 3.6065149339713087`*^9}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[TextData[{
 "11 Bus Admittance Matrix\n\n",
 Cell[GraphicsData["Metafile", "\<\
CF5dJ6E]HGAYHf4PEfU^I6mgLb15CDHPAVmbKF5d0@000dY<0@0008`000020000400000d3002M0@00
00000000002XK@00RCP00215CDH00040C4X30?T>000600003`0006`000000000X0D008@3003l0@00
?P40000000000000000006301`0lf0@0EP1905<0B@1?0000A01b0640M`1Y06h0I`000000000:0000
40000000000000002@000100002XK@00RCP00240000800008@0000P0001c000030000000000L0000
200002D0000<00000000P2D0000<00001`00P2D0000<00003P00P1T0000<0000oooo01P0000<0000
00000180000<00000P0001<0000<00000@0001@0000<00003@0001D0000<00000@0001H0000<0000
000000d0000@000000000000000j0000300000X0000K000040000000000000008`000200000b1d0o
00000000001G_clo00000000000T000090000387@3l00000000005No?cl00000000000@0001c0000
3000000000160000:00001`00017A4U30P000000000000009@@002<200000000AP0002`0000P0000
ADe6:`500@0L00004000008@`=/10000H000060000160000L00006@00015CDH[<402010000040000
0020?am0100<0000000001i01@0<0000000001e0000D000020000080000R0P002T00P2@0000H0000
0000o`40001mFf14IPEh@X0l/T0007128@0000P0001R000030000040000T000090000000P3d00000
00000000P3d0000000000080000W0000600000400000000000000000000U000030000040000U0000
300000P0081F0000<0000:42000^0000YP8005`0000500005cSQ0aLhX@M`>:47L3SQ0aLhh@<U0000
300000L0080U000030000000080T000090000000P440000000000000P44000000000008000160000
Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@=80000?000008@`=/50000000007eKH4Bc0_A2m[mQA;<2m4;f_f54
IPEh@WeKH4AV1GQ2OE]PA;<2m4800@41P@0001E00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>0000080000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000P0002D0000<00001@00P5H0000`0000W`8002`0002W0P00
G@0000D0000G>:47L3RQ1g0hh@<G>>435cRQ1bD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000P0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000OE]PA7lVTd8/_UU4ObJC@P010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000020000>0000000000h0000
000000000@0J0000000000000000000000000000000U000030000080000U0000300000D0081G0000
900008/2000e0000X`8003T0000200005cRJ170fVP@U0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X00003000008000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/20000000007gKJTBc0]a2m[mQA;<2g4800@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000P0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000200009@0000`000050020
E`0002@0002S0P00D0000<<2001D00000P000;Ljh@I`>>469@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000020000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000000d4V]4X>V2@fKmJTAV>4E300410AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>0000080000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000P0002D0000<0000
1@00P5L0000T0000_`80098000330P00aP0000800035>Uh@`3YD32D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000P0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000LnaZA0Bjg49ck6Y40/dS@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000020000
>0000000000h0000000000000@0J0000000000000000000000000000000U000030000080000U0000
300000D0081G000090000;l2001A0000``8007d000020000_3[V1[`j?@XU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X00003000008000160000
=00002P00015CDH[2T00P2@0000H0000ooooo`40003/V6U4c_0^@l0l<T70?391:00000`000010000
900002@00000080m000000000000080m00000000000200009`0001P00001000000000?ooo`000000
9@0000`0000100009@0000`000080020EP000300002l0P00P`000<H2002<00001@0006Ljl0YW>Z8;
6C^R2aTkl0YW>_0:9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043B00003`000024<3K1@000000003OHFa4
c_0^@mmQK4BJ53Y3k9QYA9XD>T?/V6U4c_0^@mmQK4C>l2i300410H40000E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000020000>0000000000h0000
000000000@0J0000000000000000000000000000000U000030000080000U0000300000D0081F0000
<0000;/200210000a`8008d0000500006C_`2QTkXP]W>Z8;Ic[`2QTkl0XU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X00003000008000160000
20400?`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@>X0000W000008@`=/@0000000002U;JTCeUBI3I_eZA0;=8d?8X6]4
ReXV@fKmJTC>l2i3I_eZA?FE9T<YBfY4j5hY@fKmJTCeUBI3b:1[A7hS:D<YBfY4Lfm2@fKmJTAV>4E3
b:1[A=fZ@T=VoFY4VQ@j@fKmJTAcKd93:D]ZA82V?d=VoFY4Lfm2@lRPJdCZhCm3004100400@400@40
0@010AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>0000080000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0P0002D0000<00001@00P5X0001h0000_@8007T000350P00UP0000H0000@00000`00008000030000
0`00008000030000TcYZ2/0j?@[Y>VH:`3[`2/0jJPZC>YH:`3YZ2^TjT`ZC>RL<`3YD3>Tj:`c0>Z8;
`3XW39<jn`_0>RL<jC[o2bD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000P0004H0000d0000:00004E=AR/:@020900001P00000003o
0@0005afH4B]X=Q303fb@000L48X000030000040000T000090000000P3d0000000000000P3d00000
00000080000W0000600000400000000000000000000U000030000040000U0000300000P0081F0000
<0000:4200140@00YP800781000500007SPE6ahheAig>=DNMcPE6ahh5A/U0000300000L0080U0000
30000000080T000090000000P440000000000000P44000000000008000160000Z00009`00015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@=80000?000008@`=/50000000005afH4B]X?I3e]YQA:fPmT?FfV54[J3H@eafH4B]X=Q3
G7IPA:fPmT<00@41P@010AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>0000080000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000P0002D0000<00001@00P5H0000`0000W`8004<1002X0P00M04000D0000N>=DN
McSE7WLh5A/N>1DK7SSE7RD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000P0004H0000d0000:00004E=AR/:@020900001P00000003o
0@0007>4H4BT16I3P3bb@000f48T000090000000P3d0000000000000P3d0000000000080000U0000
30000040000U0000300000P0081F0000<0000:42002/0000YP800?h0000500008SQQ3R8h8AEk>24E
NcQQ3R8hH@hU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
0000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/50000000007>4H4AB0ZU3
k>QQA582ZD?/j654Y0AV@g>4H4BT16I3LhAPA582ZD<00@41P@010AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>0000080000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000P0002D0000<00001@00P5H0000`0000
X0800:X0002X0P00o`0000D0000R>24ENcPQ5G/hH@hR>64>8SPQ5BD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000P0004H0002h0000
[00004E=AR/Z@000900001P000000<120000000000000<12RU/WA0?HVD<8@086<00002@000024<3K
08kS?@0000000000000000D000110580B@1104`0000f@0:0E00004P00000003o0@00004000030000
A`1D04d0`6m;?`3:`cg0Sf4o0<[3?L3_LSl0b/<m0020?`00000000000020?`0000000000000B0000
30000040000H000030000000000F0000300001P0001B0000L0400080003eoooo0000000000000000
T0400000000700@0@@1b06T0H@1/0000000000000000000000000000000000000000000000000000
000000000000000000000000fP1HKnH4000007<007>@0@00:73V1>3jkPBHOlH5V0<00000fP004000
F6oV1=CM9@0K<4=g>07J0?L_@gOeUSao00000000fP1PKnH4000000`0001LgBD0j=dU0<@CaPEHgBD0
h?[^180RfP0N0000003J0501fP0h0lH50000080RfP0200027`0001P]A5Ck8@U0kNnUKR00000XgRD0
400008`0000Q0000X6oV1100001o0`005=hU0000YVhI4:I^20000000000<gbD0:a2VKWlG000h0lH5
c`lKGE/g8G_D^]X0P00008`00000000020000@00001TMP08000002D0000<00000P0005@0001P0000
<0800>D000110P00kP000040001a70e2EED=@^X2000m0@000`0004`00000000000000000003ooooo
oooooe@0001705@0C@0000P000070000000002D0000<00003@00P4H000280000O00004E=AR/[@000
30000000000Z@000900001P000000<120000000000000<12RU/WA0?HVD<f@0:0B00003`00000003o
0@00004000020000<00a0<1@QCl0b/<mX3V=?`3:`cd0080o000000000000080o00000000000B0000
30000040000H000030000000000F0000300001P0000U000030000080001D0000F0000442003U0000
B0800>h000010000LA`=@UEE3D810`00?@400080001<00000000000000000000oooooooooom@0000
<00a00H0000000009@0000`0000=0020AP000:P0002L0000ADe6:b]0000<0000000002Y0000T0000
60000000`480000000000000`4::FbM40mRI@cI00X1X0000G00000000?l100000@0000D0000b03D0
<00`0200P2B2?P1]JSh0b:4n06eZ?X1[`Ch0KFXn00oQ?P1]JSi0F@0o06eZ?P00P3l0000000000000
P3l00000000000004P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000
E00006`000090P00k`0001/2003h00000@00074L3D9EE@e2]P8004X100050000C000000000000000
00000?ooooooooooF0000380=@0`0300800000H0000600001P0000H0000000009@0000`0000=0020
AP0008P0001l0000ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4::FbM4
0mRI@cI00X180000?00000000?l100000@000080001;05L0@408?`1]JSh0>A/o06eZ?P00P3l00000
00000000P3l0000000000180000<00000@0001P0000<0000000001H0000<0000600002D0000<0000
0P0005@0001H00007@800>l0000Y0P00n0000040001a70e2EED=@]42001:0@000P0004`000000000
00000000003ooooooooooe00001;05L01`000000000U0000300000d008160000R00007`00015CDH[
:d0000`000000000:T0002@0000H00000030@P00000000000030@XYK9d@3f9U3=T02P4P0000l0000
0000o`40000100000P0002`080304CHo06eZ?/3h?Cl0KFXn0020?`00000000000020?`0000000000
4P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000E00005P0000Z0P00
k`0002d2003h00000@00074L3D9EE@e2hP8004X100020000C00000000000000000000?oooooooooo
D00002`080030000000002D0000<00003@00P4H0002L0000T00004E=AR/[@00030000000000Z@000
900001P000000<120000000000000<12RU/WA0?HVD<f@0:0G00005000000003o0@00004000040000
=00e03008030gdDo06eZ?X2aECl0KFXn@8=U?`1]JSh0EGDo06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001T0000
;P800>l0000l0P00n0000040001a70e2EED=@^P2001:0@00100004`00000000000000000003ooooo
oooooe@0000d03D0<00P00H0000600001P000000000U0000300000d008160000P00007@00015CDH[
:d0000`000000000:T0002@0000H00000030@P00000000000030@XYK9d@3f9U3=T02P400000d0000
0000o`40000100000@0005H003am?`1]JSh0080o000000000000080o0000000000000180000<0000
0@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001D0000?@800>l000110P00
n0000040001a70e2EED=@_`2001:0@000@0004`00000000000000000003ooooooooooe00001F0000
000002D0000<00003@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12RU/WA0?HVD<f@0:0B00003`00000003o0@00004000020000;00P060JR3l0KFXn
h0f<?`1]JSh0080o000000000000080o00000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000F00004<2003_0000AP800?P000010000LA`=@UEE3D840`00
BP400080001<00000000000000000000oooooooooom@0000;00P00<0000000009@0000`0000=0020
AP0009@000280000ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4::FbM4
0mRI@cI00X1D0000B00000000?l100000@0000<0000f0300801P0I0o06eZ?T3ZUcl0KFXn8=>O?`1]
JSh0080o000000000000080o0000000000000180000<00000@0001P0000<0000000001H0000<0000
600002D0000<00000P0005@0001P0000A`800>l0001@0P00n0000040001a70e2EED=@PT3001:0@00
0`0004`00000000000000000003ooooooooooe@0000f0300800000H000060000000002D0000<0000
3@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<120000000000000<12
RU/WA0?HVD<f@0:0B00003`00000003o0@00004000020000B01j0:36Xcl0KFXn00b^?`1]JSh0080o
000000000000080o00000000000B000030000040000H000030000000000F0000300001P0000U0000
30000080001D0000F0000582003_0000F`800?P000010000LA`=@UEE3D8H0`00BP400080001<0000
0000000000000000oooooooooom@0000B01j00P0000000009@0000`0000=0020AP0008P0001l0000
ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4::FbM40mRI@cI00X180000
?00000000?l100000@000080000/0200P2Re?`1]JSh07;To06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001H0000
G0800>l0001O0P00n0000040001a70e2EED=@RD3001:0@000P0004`00000000000000000003ooooo
oooooe00000/02000`000000000U0000300000d008160000R00007`00015CDH[:d0000`000000000
:T0002@0000H00000030@P00000000000030@XYK9d@3f9U3=T02P4P0000l00000000o`4000010000
0P0003<080203kdo06eZ?V3ha3l0KFXn0020?`00000000000020?`00000000004P0000`000010000
600000`0000000005P0000`0000H00009@0000`000020000E00005P0001P0P00k`0006D2003h0000
0@00074L3D9EE@e2:`<004X100020000C00000000000000000000?ooooooooooD00003<080060000
000002D0000<00003@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12RU/WA0?HVD<f@0:0B00003`00000003o0@00004000020000D01X0>3[b3l0KFXn
@6SB?`1]JSh0080o000000000000080o00000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000F00006L2003_0000K`800?P000010000LA`=@UEE3D8d0`00
BP400080001<00000000000000000000oooooooooom@0000D01X00L0000000009@0000`0000=0020
AP0009P0002<0000ADe6:b]0000<0000000000Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000001VoFY4
[J3N@fKmJT@7h/9300410AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000_`80028100330P00D04000800030>]DK
`3YM62D0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000
I_eZA:fPUT=VoFY4EBbb@`010@4E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081G000090000;l2003P0000``8000d100020000
`3[E4/0jAQHU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000=00002P00015CDH[2T00P2@0000H0000ooooo`40003/V6U4
>kjg@l0l<T70?391:00000`000010000900002@00000080m000000000000080m0000000000020000
9`0001P00001000000000?ooo`0000009@0000`0000100009@0000`000080020EP000300002l0P00
4`400<H2000L0@001@0006Ljn1IW>ZXG6C^Z5aTkn1IW>_PF9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000AP000:P0002L0000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
B00003`000024<3K1@000000003OHFa4>kjg@mmQK4@QD;e3k9QYA25@_D?/V6U4>kjg@mmQK4@k_[M3
00410H400@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081F0000<0000;/2000A0@00a`8001h1000500006C_h5QTkZQMW>ZXG
Ic[h5QTkn1HU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<00016000020400?`00015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@>X0000W000008@`=/@0000
000002U;JTC?T;=3I_eZA5D//T?8X6]46W>c@fKmJT@k_[M3I_eZA<n@/d<YBfY4B?Fd@fKmJTC?T;=3
b:1[A9?G]4<YBfY4SWg1@fKmJT@7h/93b:1[A4>K`D=VoFY48E2m@fKmJTB>OL53:D]ZA1@I`4=VoFY4
SWg1@lRPJdC9=/13004100400@400@400@010AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5X0001h0000_@8000T100350P00
9P4000H0000@00000`000080000300000`00008000030000TcYc5/0jAQKY>VlF`3[h5/0jLaJC>YlF
`3Yc5^TjVaJC>S0H`3YM6>Tj=1S0>ZXG`3X`69<j11S0>S0HjCX762D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000k>QZA:fPgT?FfV54[J3N@`010@0E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G000090000:@2001<0@00``80050100020000^c[E6gLheA/U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
=00002P00015CDH[2T00P2@0000H00000000o`400031IQ94IXEi@X0l/T000712:00000`000010000
900002@00000080m000000000000080m00000000000200009`0001P0000100000000000000000000
9@0000`0000100009@0000`000080020EP000300002g0@00;P000;`1001L00001@0009XTi`>J9:L7
lbBW1o<Ti`>J9>L39@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043B00003`000024<3K1@0000000031IQ94
/l;d@S[;4dBc`_A2>//CA6J5ND;1IQ94IXEi@/5V4TBc`_A200410H400@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081F0000
<0000;D1000]0000_P4005h000050000VRBW1o<TY`Oc9>L3VRCW0iXTY`LU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000>`09TAoiY=2VR4QA7oVTd800@41
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0003Q0@00=@000?@1000i00000P00084YX0A9::049@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P0000000031iQ=4OnJC@/7664AoiY=2
00410AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000^P4003D0003=0@00>@000080003j9:04<RJP12D0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0000d0000:00004E=AR/:@020900001P0003ooooo0@000;B?6dBc`XQ2`3`b@L0l<T4X0000
30000040000T000090000000P3d0000000000000P3d0000000000080000W00006000004000000000
oooo0000000U000030000040000U0000300000P0081F0000<0000=81000c0000g04003`000050000
i2I71>@Vn@BG9oT4UbM71>@VA`@U0000300000L0080U000030000000080T000090000000P4400000
00000000P44000000000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/50000
00000;B?6dBc`XQ2YePNA;?2R4:WF1i4B`ZO@[B?6dA;2Ym2]8lKA;?2R4800@41P@010AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5H0000`0000d@400340003M0@00?P0000D0003T9TL4UbM719LWn@CT9_T4i2I712D0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H000080@00o00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010jP0002L00000Q30fa0000000000oGPIA6EhVD;1aQQ4
OnJC@R=Z6DA/bhi2]8lKA7oVTd;mN1U4OnJC@SX[6TAUN9U2oGPIA7oVTd9P71Y4K<^>@Ue_84AUN9U2
VR4QA7oVTd8gOR14K<^>@ZMH7TAoiY=2GFlPA7oVTd8P_Am4IGRI@Ue_84AoiY=2nl/OA6c;ST800@40
0@010@010@0100415D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020FP0007P000380@00<`000>H1000l00001P00010000030000
0P0000<0000300000P0000<0001O9/`4<RJP15/VM`CT9Z04GbJP18/Vc0AO9Z04R2Ig11`Xc0A9::04
82Qg19LWX0@L::04l2O<11`XX0Cc9gL49@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P0000000031iQa4/l;L@S[;4dBc`]a2004101E00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
^@400540003I0@00E@000080000j9nL6lbCW1RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000;;iIA7lVTd;/62I4/`:D@P010@0E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
90000?01000e0000S`8003X000020000L3JJ18LYX@@U0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/2000000000:]F7DBPjH93g44MA6HhAD<00@405D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0003F0@00TP000=X1003600000P0005HWGQ1A9e@<9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000003Y<1e41;[L@^T`7D@2cB=3004101E00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000eP400540003J0@00O@000080001=9nH6CBLm2RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P0003ooooo0@0006?M6dC>l2i3`3`b@L0l<T4T000090000000P3d00000
00000000P3d0000000000080000U000030000040000U0000300000P0081F0000<0000=<100230000
g@4008`000050000n2K`2_PVXP^Z9j8;ZRO`2_PVl0XU0000300000L0080U000030000000080T0000
90000000P440000000000000P44000000000008000160000Z00009`00015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@=80000
?000008@`=/50000000005JV7TC>l2i3EZHNA9XD>T=SgA]4VQ@j@f?M6dC>l2i3EZHNA<k`;T<00@41
P@010AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5H0000`0000dP400840003N0@00S@0000D0002Z9o0:ZRNR2oPVXP_h9_0:
ZRO`2RD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H000080@00o00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010jP0002L00000Q30fa0000000000
WhlLA?FE9T?L@Ae40/dS@coU7DB;FRI3g44MA<k`;T?L@Ae4mIDV@in?74CXGRU3g44MA?FE9T<oiAe4
OR<Y@in?74AcKd93g44MA6HhAD<oiAe4gJY2@ma17DBJ53Y3g44MA7=_@T>OSaa4P:Ho@ma17DAcKd93
?nDMA>[Q?d<00@400@010@010@0100415D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020FP0007P0003D0@00N@000=`1002F0000
1P000100000300000P0000<0000300000P0000<0000T9fX:DBLm2WXWIPYA9o0:DBMZ2R@WUPYA9fX:
NRNC2R@W9`aA9e@<NRL[354WXP]A9bL<92Ok2e4W9`aj9ol;9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0003@0000X0000
ADe6:`Y0080T0000600000000?l10000jLPBA:@4IT<0?K90003H@RP0000<00000@0002@0000T0000
0020?@00000000000020?@00000000000P0002L0000H00000@00000000000000000002D0000<0000
0@0002D0000<00002000P5H0000`0000^0400:`0002m0@00oP0000D0002c964>/b@Q5@`U8AD<9F4>
/bAQ3RD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0004H0002X0000W00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010dP0000l00000Q30f`D000000000jLPBA582ZD=S;AA4
DP:Y@f<]54BT16I3jLPBA:@4IT?Yb194DP:Y@`010@6100415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020EP000300002f0@00
ZP000;l1003o00001@000;<T8AD<9B4E32EQ3[<TH@jc924E9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008P0001l0000
ADe6:bY0000T000060000000`480000000000000`4;/b;I3F8RK@cI00X1D0000B00000000?l10000
0@0000<0001705@0C@30Kd/o0<[3?L2?HCl0b/<m`>mb?`3:`cd0080o000000000000080o00000000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001P0000
C0400>P0001M0@00l@000040001a70e2EED=@[X100100@000`0004`00000000000000000003ooooo
oooooe@0001705@0C@0000P000070000000002D0000<00003@00P4H000280000O00004E=AR/[@000
30000000000Z@000900001P000000<120000000000000<12k<Rf@eR8Vd<f@0:0B00003`00000003o
0@00004000020000<00b0<1@QCl0b/<mX3V=?`3:`cd0080o000000000000080o00000000000B0000
30000040000H000030000000000F0000300001P0000U000030000080001D0000F00005h1003X0000
IP400?4000010000LA`=@UEE3D;B0@00@0400080001<00000000000000000000oooooooooom@0000
<00b00H0000000009@0000`0000=0020AP000:P0002L0000ADe6:b]0000<0000000002Y0000T0000
60000000`480000000000000`4;/b;I3F8RK@cI00X1X0000G00000000?l100000@0000D0000b03D0
<00`0200P2B2?P1]JSh0b:4n06eZ?X1[`Ch0KFXn00oQ?P1]JSi0F@0o06eZ?P00P3l0000000000000
P3l00000000000004P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000
E00006`0000U0@00l@0003L1003j00000@00074L3D9EE@e2QP4004d100050000C000000000000000
00000?ooooooooooF0000380=@0`0300800000H0000600001P0000H0000000009@0000`0000=0020
AP0008P0001l0000ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4;/b;I3
F8RK@cI00X180000?00000000?l100000@000080001;05L0@408?`1]JSh0>A/o06eZ?P00P3l00000
00000000P3l0000000000180000<00000@0001P0000<0000000001H0000<0000600002D0000<0000
0P0005@0001H0000>@400?4000150@00nP000040001a70e2EED=@Z41001=0@000P0004`000000000
00000000003ooooooooooe00001;05L01`000000000U0000300000d008160000R00007`00015CDH[
:d0000`000000000:T0002@0000H00000030@P00000000000030@^c8]T=HR9]3=T02P4P0000l0000
0000o`40000100000P0002`080304CHo06eZ?/3h?Cl0KFXn0020?`00000000000020?`0000000000
4P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000E00005P000160@00
l@0004T1003j00000@00074L3D9EE@e2/P4004d100020000C00000000000000000000?oooooooooo
D00002`080030000000002D0000<00003@00P4H0002L0000T00004E=AR/[@00030000000000Z@000
900001P000000<120000000000000<12k<Rf@eR8Vd<f@0:0G00005000000003o0@00004000040000
=00e03008030gdDo06eZ?X2aECl0KFXn@8=U?`1]JSh0EGDo06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001T0000
BP400?40001H0@00nP000040001a70e2EED=@[P1001=0@00100004`00000000000000000003ooooo
oooooe@0000d03D0<00P00H0000600001P000000000U0000300000d008160000P00007@00015CDH[
:d0000`000000000:T0002@0000H00000030@P00000000000030@^c8]T=HR9]3=T02P400000d0000
0000o`40000100000@0005H003am?`1]JSh0080o000000000000080o0000000000000180000<0000
0@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001D0000FP400?40001N0@00
nP000040001a70e2EED=@/d1001=0@000@0004`00000000000000000003ooooooooooe00001F0000
000002D0000<00003@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12k<Rf@eR8Vd<f@0:0B00003`00000003o0@00004000020000;00P060JR3l0KFXn
h0f<?`1]JSh0080o000000000000080o00000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000F00005l1003a0000HP400?X000010000LA`=@UEE3D;D0@00
C@400080001<00000000000000000000oooooooooom@0000;00P00<0000000009@0000`0000=0020
AP0009@000280000ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4;/b;I3
F8RK@cI00X1D0000B00000000?l100000@0000<0000f0300801P0I0o06eZ?T3ZUcl0KFXn8=>O?`1]
JSh0080o000000000000080o0000000000000180000<00000@0001P0000<0000000001H0000<0000
600002D0000<00000P0005@0001P0000I0400?40001]0@00nP000040001a70e2EED=@]X1001=0@00
0`0004`00000000000000000003ooooooooooe@0000f0300800000H000060000000002D0000<0000
3@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<120000000000000<12
k<Rf@eR8Vd<f@0:0B00003`00000003o0@00004000020000B01j0:36Xcl0KFXn00b^?`1]JSh0080o
000000000000080o00000000000B000030000040000H000030000000000F0000300001P0000U0000
30000080001D0000F00006h1003a0000M`400?X000010000LA`=@UEE3D;X0@00C@400080001<0000
0000000000000000oooooooooom@0000B01j00P0000000009@0000`0000=0020AP0008P0001l0000
ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4;/b;I3F8RK@cI00X180000
?00000000?l100000@000080000/0200P2Re?`1]JSh07;To06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001H0000
N0400?40001k0@00nP000040001a70e2EED=@_D1001=0@000P0004`00000000000000000003ooooo
oooooe00000/02000`000000000U0000300000d008160000R00007`00015CDH[:d0000`000000000
:T0002@0000H00000030@P00000000000030@^c8]T=HR9]3=T02P4P0000l00000000o`4000010000
0P0003<080203kdo06eZ?V3ha3l0KFXn0020?`00000000000020?`00000000004P0000`000010000
600000`0000000005P0000`0000H00009@0000`000020000E00005P0001l0@00l@000841003j0000
0@00074L3D9EE@e2n`4004d100020000C00000000000000000000?ooooooooooD00003<080060000
000002D0000<00003@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12k<Rf@eR8Vd<f@0:0B00003`00000003o0@00004000020000D01X0>3[b3l0KFXn
@6SB?`1]JSh0080o000000000000080o00000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000F00008<1003a0000R`400?X000010000LA`=@UEE3D840P00
C@400080001<00000000000000000000oooooooooom@0000D01X00L0000000009@0000`0000=0020
AP0009P0002<0000ADe6:b]0000<0000000000Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000003L@Ae4
[J3N@ma17D@7h/9300410AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000eP400281003J0@00D0400080001A9mDK
DBMM62D0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000
g44MA:fPUT?L@Ae4EBbb@`010@4E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081G000090000=H1003P0000fP4000d100020000
DBOE4U4WAQHU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000=00002P00015CDH[2T00P2@0000H0000ooooo`40001SgA]4
>kjg@l0l<T70?391:00000`000010000900002@00000080m000000000000080m0000000000020000
9`0001P00001000000000?ooo`0000009@0000`0000100009@0000`000080020EP000300003C0@00
4`400=d1000L0@001@000?PVn1Kh9ZXGZRNZ5jXWn1Kh9_PF9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000AP000:P0002L0000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
B00003`000024<3K1@000000001FYQi4>kjg@eJV7T@QD;e3HmdKA25@_D=SgA]4>kjg@eJV7T@k_[M3
00410H400@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081F0000<0000=81000A0@00gP4001h100050000ZROh5ZXWZQOh9ZXG
n2Kh5ZXWn1HU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<00016000020400?`00015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@>X0000W000008@`=/@0000
000009n?74C?T;=3g44MA5D//T<oiAe46W>c@ma17D@k_[M3g44MA<n@/d>OSaa4B?Fd@ma17DC?T;=3
?nDMA9?G]4>OSaa4SWg1@ma17D@7h/93?nDMA4>K`D?L@Ae48E2m@ma17DB>OL53WhlLA1@I`4?L@Ae4
SWg1@coU7DC9=/13004100400@400@400@010AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5X0001h0000e04000T1003L0@00
9P4000H0000@00000`000080000300000`0000800003000092Mc5U4WAQIj9flFDBOh5U4WLaHT9ilF
DBMc5WXWVaHT9c0HDBMM67XW=1QA9jXGDBL`62@W11QA9c0HNRL762D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P00000003o0@0005bV4TB]X=Q303fb@000L48X000030000040000T0000
90000000P3d0000000000000P3d0000000000080000W0000600000400000000000000000000U0000
30000040000U0000300000P0081F0000<0000;P100140@00_@40078100050000ZR@E6jXTeAh39MDN
0bDE6jXT5A/U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
0000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/50000000005bV4TB]X?I3
ePXDA:fPmT?F2QA4[J3H@ebV4TB]X=Q3G:HBA:fPmT<00@41P@010AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000
]P4004<1002n0@00M04000D0002Z9=DN0bGE7P<U5A^Z91DKZRCE7RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000R40VA:1Yid<eHB54X6WW@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G000090000>81001I0@00m@4005d100020000TBW^75TXkQ`U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/20000000005`V54BPJNM3G0HIA:1Yid<00@41
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0002j0@00F@400<d1001M0@000P0000XUkQa29^hL9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0003@0000X0000ADe6:`Y0080T000060000?ooool10000CllKA:fPi4?0?391`3`b@BP0000<0000
0@0002@0000T00000020?@00000000000020?@00000000000P0002L0000H00000@000000003oool0
000002D0000<00000@0002D0000<00002000P5H0000`0000d`4005H1003L0@00G`4000D0003d9YDL
m2I77JLWAafW9iDLm2JE72D0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0004H0002X0000W00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010dP0000l00000Q30f`D000000000
CllKA:fPi4=2V1i4[J3T@d:H7TBC<^Y3CllKA9<bjT=?ca]4[J3T@`010@6100415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
EP000300003A0@00E@400=h1001Q0@001@000?@VUAbW9iDLYbM77O@VAagd9YDL9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0000P1003l0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043Z00009`000024<3K40000000002I^1U46LkX@e`66DBPJNM3
_jTIA=/RiT=?ca]4X6WW@iVh6DBPJNM3eVXJA1W>j4>I^1U4X6WW@o]K6TCK8^I3nJhPA1W>j4<eHB54
X6WW@m>m84CK8^I3@YPNA:1Yid?i[R14X6WW@kcl7d@Ic^Q3nJhPA:1Yid>F2b14fb;V@`010@010041
004100400@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081J0000N0000<T1001G0@00iP4005l100060000400000<000020000
0`0000<0000200000`0006lV6Qe29^hLJbK57?@VkQa_9^hLVbHJ7FlVkQbG9/DL;2PJ7ETXkQ``:<DL
YbO^72`XkQ`0:1XM;2S^70<XaA`U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/2000000000>`H7DB]X=i3ePXDA:fPgT<00@405D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0002j0@00
C0400=T1001@0@000P0004LWeA/39MDK9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0003@0000X0000ADe6:`Y0080T0000
600000000?l100000Y]Q@fI5Md;0?;90001`@RP0000<00000@0002@0000T00000020?@0000000000
0020?@00000000000P0002L0000H00000@00000000000000000002D0000<00000@0002D0000<0000
2000P5H0000`0000Z@0002h0002^0000G00000D0000J3]h36PjN1g<>WPMc3]h36PkN0bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0004H0002X0000
W00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010dP0000l00000Q30f`D0000000000Y]Q@k>Rld;X;6M3/j;c@^P/Id=VAGM2
0Y]Q@fI5Md82Vf53/j;c@P010@6100415D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020EP000300002W0000;0000;00001M0000
1@0001X>WPMc3Yh7L`kN0aX>gP<J3Yh79@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P0000000021cHE3/j;K@^P/Id>cX]]200410AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
Z`000500003;0000E0000080002j4=h6L`kN1RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000EJf6@j2QPT>hPhI3IZQ4@`010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
90000<P0002A0000c0000<H000020000eQ1E4=4@B``U0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/2000000000=9QQT<4V]]2dV66@`8m8d<00@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@000380000D0000<`0001l00000P000<d@g@K=43@:9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0003@0000X0000
ADe6:`Y0080T000060000?ooool10000aKZ3@liP;T?0?391`3`b@BP0000<00000@0002@0000T0000
0020?@00000000000020?@00000000000P0002L0000H00000@000000003oool0000002D0000<0000
0@0002D0000<00002000P5H0000`0000a@000880003>0000R`0000D0001h4>L:N12I2bXAV@/Z4NL:
N13W2RD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0004H0002X0000W00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010dP0000l00000Q30f`D000000000Zdb9@liP;T>[C8U3
VX@i@lFjPd>JQ3U3aKZ3@liP;T>[C8U3cV0^@`010@6100415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020EP00030000340000
P@000=00002=00001@0002XAi`XZ4IT;N12I2gP@i`XZ4NL:9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0000P1003l0000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043Z00009`000024<3K40000000000o7hE3m@DV@kR3QT<2?B=3OLZ7@h_:9D>hPhI3
cV0^@kR3QT?e1BI3?an5@nS>:4>hPhI3m@DV@gg:Qd=nTbQ3?an5@g?O@D>hPhI3IZQ4@gg:Qd?M6T93
^8>6@iZ4>D>hPhI3Lmm1@clOQD>05Sm3^8>6@g?O@D=mbXM3jU4o@`010@010041004100400@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081J0000N0000<H0001h0000cP0009D000060000400000<0000200000`0000<000020000
0`000:@@H@[A43@:nQ1M2]4@i`[A464:Y12=2]4@H@[j48X:Y10N3=4@B`cj428<dA2I2m4@7PbT4?8;
dA0N3?X@mP/U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000=00002P00015CDH[2T00P2@0000H00000000o`40002T8f=3
Y7AU@n0l/T000=Q2:00000`000010000900002@00000080m000000000000080m0000000000020000
9`0001P00001000000000000000000009@0000`0000100009@0000`000080020EP000300002Z0000
Z`000:l0003m00001@0003<>F0hc3QPES0hH5H`>F0hc3UP>9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000AP000:P0002L0000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
B00003`000024<3K1@000000002T8f=3D[ZX@h^eJ4=B^ZQ3RkEX@jAdID>T8f=3Y7AU@j@SHd=B^ZQ3
00410H400@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081F0000<0000:P0002Z0000/@000?l000050000<`hH5H`>61F<3UP>
<`iH3S<>61DU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000R00007`00015CDH[:T0002@0000H00000030@P0000000000
0030@[1I[l4SBHY3=T02P5@0001800000000o`40000100000`0004L0E01=0<1_Bcl0b/<m`8mQ?`3:
`cg0kg8o0<[3?@00P3l0000000000000P3l00000000000004P0000`000010000600000`000000000
5P0000`0000H00009@0000`000020000E0000600000Y0000cP0003X0003G00000@00074L3D9EE@e2
=P0001h100030000C00000000000000000000?ooooooooooE00004L0E01=0000200000L000000000
9@0000`0000=0020AP0008P0001l0000ADe6:b]0000<0000000002Y0000T000060000000`4800000
00000000`4:`FJo18dV:@cI00X180000?00000000?l100000@000080000`03<0`525?`3:`cfP>Hdo
0<[3?@00P3l0000000000000P3l0000000000180000<00000@0001P0000<0000000001H0000<0000
600002D0000<00000P0005@0001H0000>`000<h000130000e`000040001a70e2EED=@Th0000N0@00
0P0004`00000000000000000003ooooooooooe00000`03<01P000000000U0000300000d008160000
Z00009`00015CDH[:d0000`000000000:T0002@0000H00000030@P00000000000030@[1I[l4SBHY3
=T02P6P0001L00000000o`40000100001@000380=@0`03008020988n06eZ?P38XCh0KFXnP6_1?P1]
JSh03n4n06eZ?T1I03l0KFXn0020?`00000000000020?`0000000000000B000030000040000H0000
30000000000F0000300001P0000U000030000080001D0000K0000080003H000050000>4000010000
LA`=@UEE3D820000:`4000D0001<00000000000000000000oooooooooomH0000<P0e0300<00P0000
1P0000H0000600001P000000000U0000300000d008160000R00007`00015CDH[:d0000`000000000
:T0002@0000H00000030@P00000000000030@[1I[l4SBHY3=T02P4P0000l00000000o`4000010000
0P0004/0E`10@0Po06eZ?P0i6cl0KFXn0020?`00000000000020?`00000000004P0000`000010000
600000`0000000005P0000`0000H00009@0000`000020000E00005P0000F0000f0000280003Q0000
0@00074L3D9EE@e27@0002/100020000C00000000000000000000?ooooooooooD00004/0E`070000
000002D0000<00003@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12/5V_`B=9RT<f@0:0B00003`00000003o0@00004000020000;00P0<0A=Sl0KFXn
`?Pm?`1]JSh0080o000000000000080o00000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000F00002<0003H00009P000>4000010000LA`=@UEE3D8^0000
:`400080001<00000000000000000000oooooooooom@0000;00P00<0000000009@0000`0000=0020
AP0009`0002@0000ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4:`FJo1
8dV:@cI00X1L0000D00000000?l100000@0000@0000d03D0<00P0<3OACl0KFXnP;5E?`1]JSi0PfDo
06eZ?P1EMCl0KFXn0020?`00000000000020?`00000000004P0000`000010000600000`000000000
5P0000`0000H00009@0000`000020000E00006@0000W0000f00003D0003Q00000@00074L3D9EE@e2
=00002/100040000C00000000000000000000?ooooooooooE00003@0=@0`02001P0000H000060000
000002D0000<00003@00P4H000200000M00004E=AR/[@00030000000000Z@000900001P000000<12
0000000000000<12/5V_`B=9RT<f@0:0@00003@00000003o0@00004000010000EP00?7do06eZ?P00
P3l0000000000000P3l00000000000004P0000`000010000600000`0000000005P0000`0000H0000
9@0000`000020000E00005@0000g0000f00003/0003Q00000@00074L3D9EE@e2B@0002/100010000
C00000000000000000000?ooooooooooD00005H0000000009@0000`0000=0020AP0008P0001l0000
ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4:`FJo18dV:@cI00X180000
?00000000?l100000@000080000/0200H1Z8?`1]JSkP3H`o06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001H0000
?0000=P0000o0000h@000040001a70e2EED=@U00000[0@000P0004`00000000000000000003ooooo
oooooe00000/02000`000000000U0000300000d008160000U00008P00015CDH[:d0000`000000000
:T0002@0000H00000030@P00000000000030@[1I[l4SBHY3=T02P5@0001800000000o`4000010000
0`0003H0<00P0601T3l0KFXn@>ZG?`1]JShPdilo06eZ?P00P3l0000000000000P3l0000000000000
4P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000E000060000110000
f00004X0003Q00000@00074L3D9EE@e2EP0002/100030000C00000000000000000000?oooooooooo
E00003H0<00P00001P0000H0000000009@0000`0000=0020AP0008P0001l0000ADe6:b]0000<0000
000002Y0000T000060000000`480000000000000`4:`FJo18dV:@cI00X180000?00000000?l10000
0@000080001807X0X<JS?`1]JSh03:ho06eZ?P00P3l0000000000000P3l0000000000180000<0000
0@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001H0000C0000=P0001E0000
h@000040001a70e2EED=@VD0000[0@000P0004`00000000000000000003ooooooooooe00001807X0
20000000000U0000300000d008160000R00007`00015CDH[:d0000`000000000:T0002@0000H0000
0030@P00000000000030@[1I[l4SBHY3=T02P4P0000l00000000o`40000100000P0002`08020:;Do
06eZ?P0L^Cl0KFXn0020?`00000000000020?`00000000004P0000`000010000600000`000000000
5P0000`0000H00009@0000`000020000E00005P0001F0000f00005T0003Q00000@00074L3D9EE@e2
LP0002/100020000C00000000000000000000?ooooooooooD00002`080030000000002D0000<0000
3@00P4H000280000O00004E=AR/[@00030000000000Z@000900001P000000<120000000000000<12
/5V_`B=9RT<f@0:0B00003`00000003o0@00004000020000<`0P080?_Cl0KFXnH?S4?`1]JSh0080o
000000000000080o00000000000B000030000040000H000030000000000F0000300001P0000U0000
30000080001D0000F00005X0003H0000G`000>4000010000LA`=@UEE3D9h0000:`400080001<0000
0000000000000000oooooooooom@0000<`0P00H0000000009@0000`0000=0020AP0008P0001l0000
ADe6:b]0000<0000000002Y0000T000060000000`480000000000000`4:`FJo18dV:@cI00X180000
?00000000?l100000@000080001@06P0h>_8?`1]JSi0J=8o06eZ?P00P3l0000000000000P3l00000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001H0000
H@000=P0001Y0000h@000040001a70e2EED=@X40000[0@000P0004`00000000000000000003ooooo
oooooe00001@06P01`000000000U0000300000d008160000V00008`00015CDH[:d0000`000000000
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/2000000000;R3QT>]F=i3^8>6@`NJ`T<00@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0003800008P400<`0001?0@000P000=4@c1_A45@H9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000002hPhI3[ERF@kR3QT=Ei;5300410AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000b0000=l0003<00003@400080003A4<`BdA0m5RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P0003ooooo0@000<FjPd<kM[M3`3`b@L0l<T4X000030000040000T0000
90000000P3d0000000000000P3d0000000000080000W00006000004000000000oooo0000000U0000
30000040000U0000300000P0081F0000<0000<D0000B0@00cP0001`100050000N13_5WP@XALZ4J4G
:Q7_5WP@kaHU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
0000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/5000000000:]<RD<kM[M3
Zdb9@b48_D?5^X=38@Rm@lFjPd<kM[M3Zdb9@c]f]d<00@41P@010AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000
a0000141003@00007@4000D0000Z4NlF:Q6Q5gP@XAMh4>lF:Q7_5RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H000080@00
o00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010jP0002L00000Q30fa0000000000?an5@lm8/d>hPhI3ENBa@gg:Qd<J:k=3
^8>6@c]f]d>hPhI3cdRc@clOQD=8[KA3^8>6@lm8/d=mbXM3Thnd@clOQD>>=L53^8>6@`NJ`T=mbXM3
@e?1@kR3QT<Q2;e3^8>6@hhe`D<o7hE35=6o@kR3QT>>=L53OLZ7@lW^_d<00@400@010@010@010041
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020FP0007P00036000020400<h0000V0@001P000100000300000P0000<000030000
0P0000<0002T46XFdA0m5_X@IQKA4>lFdA1Z5Z@@UQKA46XFnQ2B5Z@@9aSA45@HnQ0[6=4@XAOA42LH
Y13k5m4@9aSj4?hG9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0003@0000X0000ADe6:`Y0080T0000600000000?l10000
LIUR@jeHf4?0?;90001`@RP0000<00000@0002@0000T00000020?@00000000000020?@0000000000
0P0002L0000H00000@00000000000000000002D0000<00000@0002D0000<00002000P5H0000`0000
ZP0004@1002_0000LP4000D0000Z3P`K:Pk<7X<>c1j33P`K:Ph<6bD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0004H0002X0000W00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010dP0000l00000Q30f`D000000000LIUR@jeHmT=G:fQ3[ESf@eL[J4>]F=Q3LIUR@jeHf4=aVF93
[ESf@`010@6100415D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020EP000300002X0000@P400;00001c0@001@0002X>c1j33/`N
P`h<6bX>31/Z3/`N9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K
0P000000003I<HI3[ESN@eL[J4>]F=i300410AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000[00004/1003;0000
C`40008000374<`KP`k<6bD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000k4Q@A>bB:d>06da4k98[@`010@4E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081G000090000682001o0000
L`8008<0000200004cBj2PLc^PXU0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/2000000000;2FCd@S0Ri3_Le<A2<2;T<00@415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0001T0P00
P0000742002400000P000>Hch@Xd<n4:9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P000000001ci4i4FG4`@oUoCDAILC1300410AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
IP800880001_0P00QP000080002j<`P;H3<82bD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000dUU>A:Gg74?BFDi4k98[@`010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
900006T2001d0000K@8008<000020000Uc?@2ILc^PXU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000=00002P00015CDH[
2T00P2@0000H0000ooooo`40002mcDa4;H;o@/0l<T5d]>U1:00000`000010000900002@00000080m
000000000000080m00000000000200009`0001P00001000000000?ooo`0000009@0000`000010000
9@0000`000080020EP000300001V0P00G`0006l2001f00001@0003@co@Ld<m09iS?@2NHco@Ld<od7
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043B00003`000024<3K1@000000002`UTm4YOLL@kg=C4BUmaa3
_Le<A2f2od:`UTm4;H;o@[2FCdBUmaa300410H400@4E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081F0000<00006@2001N0000
L@8007P000050000iS?@2C@cd0Td<od7iS?m1nHcd0TU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/20000000003HbCT@]P_m2=S9>A;?Rg4800@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0001Y0P00D@0006d2001R00000P0008dco@N=<nP69@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000001mFf14O`KL@RYlFdAo1]a200410AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000T@800500002S0P00E0000080000G>>46h3KQ1RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000DD5>A7l6g49A8E=4O`KL@P010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G0000900006T2001@0000O08005@000020000TC?Q1/Tdh@HU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
=00002P00015CDH[2T00P2@0000H0000ooooo`400014jUE4/n;@@/0l<T70?391900002@00000080m
000000000000080m00000000000200009@0000`0000100009@0000`000080020EP00030000210P00
CP0008/2001G00001@0007/eR0Ik=CX7;CHj1bdfR0Ik=HP69@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000AP000:P0002L0000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
B00003`000024<3K1@0000000014jUE4/n;@@SNcF4Bch]12=k=HA4/Zid94jUE4Bb[W@TCZEDBch]12
00410H400@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081F0000<0000802001<0000S08005T000050000NcF81RdfR0H]=SX7
NcDj1g/eR0HU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<00016000020400?`00015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@>X0000W000008@`=/@0000
000008gCDdAUV>52DB5CA7l6g4:ca5=4K>_F@TCZEDAo1]a2SM=CA7l6g4;:QEA4IISQ@XgCDdAo1]a2
l7IDA6c[eT;]bEY4IISQ@RYlFdAo1]a2amQJA6c[eT8g/eQ4O`KL@^g9FTAo1]a2/1MJA6FHhD;]bEY4
O`KL@X/VFTA/jmI2004100400@400@400@010AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5X0001h0000M`8004h0002E0P00
E`0000H0000@00000`000080000300000`00008000030000mC@=1lTdh@Kb=;P6NcGQ1_Ddh@HR=@d7
mCCQ1Qhe^0Jc=Pd7h3KQ1[Lf^0H]=^46/cKQ1XHf3@Nc=^46RSJh1RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000lGQ@A;_T1dB5Bda4^n@7A0010@0E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G0000900006<2002E0@00M08009T1000200007cCj8A<cnR4U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000;C6CdB9P0Q4`Oe<A8V024@00@40
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0001U0P00U`400782002K0@000P000?8c8B90<b4R9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P000000001h54m4EQ`9A?j_CDAF70U4
004101E00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000I`8009T1001_0P00W@4000800036<dPRK3=88RD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000ehU>A>Tm14CGRDi4
^n@7A0010@0E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081G0000900006X2002:0@00KP8009T100020000Xc<@8J<cnR4U0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000=00002P00015CDH[2T00P2@0000H0000ooooo`400031oDa4Rn3i@l0l<T5`]>U1
900002@00000080m000000000000080m00000000000200009@0000`0000100009@0000`000080020
EP000300001W0P00MP400702002=0@001@00040c?Am0<a0QlS<@8O8c?Am0<cdO9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000AP000:P0002L0000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043B00003`000024<3K1@000000002daTm4jCd4A<7mC4CY?@A4`Oe<A8_PnD>daTm4
Rn3i@kC6CdCY?@A400410H400@4E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081F0000<00006D2001d0@00LP8008h100050000
lS<@8D0c4250<cdOlS<m7o8c424U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/20000000003]RCTB;h?U3>f9>A:dhlD<00@415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0001Y0P00
I`4006d2001h0@000P0009Tc?AnI<bPN9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P0000000021Rf14X07a@bn/FdBP0O5300410AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
T@8006L1002T0P00J`400080000S>24Nk3HQ7RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000EG5>A:01lD=EDE=4X07a@`010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
900006T2001W0@00O08006/100020000WC<Q7]Dd8AhU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000=00002P00015CDH[
2T00P2@0000H0000ooooo`4000186UI4[CS^@l0l<T70?391900002@00000080m000000000000080m
00000000000200009@0000`0000100009@0000`000080020EP00030000220P00I04008/2001^0@00
1@0008Leb1f7=GXN>CIj7STfb1f7=LPM9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043B00003`000024<3K
1@00000000186UI4[CS^@c_SF4B]>>i3>n=HA9?:ld=86UI4Tl[c@dPJETB]>>i300410H400@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081F0000<0000802001S0@00S@8006l100050000QcG87CTfb1di=WXNQcEj7XLeb1dU0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<00016000020400?`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@>X0000W000008@`=/@000000000983E4@II_93
EE5CA:01lD>hm5=4fk[_@dPJETBP0O53TP=DA:01lD??]EA46FKb@i83E4BP0O53m:IDA=^jkd?bnEY4
6FKb@bn/FdBP0O53c0QKA=^jkd<kheQ4X07a@o;iFTBP0O53]DMJA1UVlT?bnEY4X07a@hmFFTCK^^m3
004100400@400@400@010AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5X0001h0000N08006D1002E0P00K@4000H0000@0000
0`000080000300000`000080000300000CE=7]Dd8Akn=?PMQcDQ7P4e8Ah^=DdN0CDQ7RXen1fo=TdN
k3HQ7/<fn1di=R4N_cHQ7Y8fCAjo=R4NUSKh7BD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000R40VA:1Yid=LMV14X6WW@`010@0E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
90000?41001I0@00Y08005d100020000TBW^71hhkQ`U0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/20000000001fc4TBjknI3b]<=A;[_iT<00@405D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0002W0@00F0400;X1001L0@000P000:dTgQae8mhL9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000003aV014^^oV@o5h1DBjknI3004101E00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000P04005P1002C0@00G0400080000W8=hLGb7N72D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P0003ooooo0@000>A124C79^A3`3`b@L0l<T4T000090000000P3d00000
00000000P3d0000000000080000U000030000040000U0000300000P0081F0000<00009P1001E0@00
XP4005l1000500004B:5714R>1g38SPM`b:5714RQA`U0000300000L0080U000030000000080T0000
90000000P440000000000000P44000000000008000160000Z00009`00015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@=80000
?000008@`=/5000000000>A124C79^A3e`X;A<LVi4?G2P]4[KSY@nA124B]^>U3i448A<LVi4<00@41
P@010AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5H0000`0000U`4005@1002S0@00H04000D0000A8XDL`b:57<<R>1dA8SPM
4B:572D0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H000080@00o00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010jP0002L00000Q30fa0000000000
;R/6A3=Dj4?aN0E4^^oV@e<L1TCeZ>E3i448A;[_iT<^:`I4^^oV@f_M1T@cE>Q3;R/6A;[_iT>@cPI4
mJSU@hdQ3D@cE>Q3b]<=A;[_iT=X<0e4mJSU@mL:2dBjknI3SB4=A;[_iT=AK`a4<eCX@hdQ3DBjknI3
:gh<A?FXiD<00@400@010@010@0100415D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020FP0007P0002>0@00EP400:`1001N0@00
1P000100000300000P0000<0000300000P0000<0002;8@/MGb7N78PQ]Q`A8]hLRb7N7;PQ2af;8MhL
]26f74TS2aee8mhLCB>f7<<RgQa98mhL72<;7DTSgQ`P8kHL9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000003aV014^^oV@eL[J4>jknI3004101E00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000[00005P100240@00G0400080000W8=hLP`kN72D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000lIPBA;?RU4:N^@e4/n:D@P010@0E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G000090000:L1000f0000^P4003X000020000YbBX16lSZ0@U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000<En04BchYA2aEh5A;?RU4800@40
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0001o0@00=P000981000j00000P00020PZ0AH8JP49@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0003@0000X0000ADe6:`Y0080T000060000?ooool10000^2L8A>NnRD;0?391`3`b@B@0000T0000
0020?@00000000000020?@00000000000P0002D0000<00000@0002D0000<00002000P5H0000`0000
V04003<0002Q0@00?00000D0000:8Th42R811KdR0@Fm8Th42R9>12D0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0004H0002X0000W00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010dP0000l00000Q30f`D000000000^2L8A>NnRD:[l0Y4ikj9@Z_`2TAo1Z12^2L8A7l6X4:h9`Q4
ikj9@P010@6100415D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020EP000300002F0@00<P000:<1000n00001@0000XRCPBm8Th4
_B811@XR0@D:8Th49@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0000P1003l0000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043Z00009`000024<3K
4000000000024@I4VGBJ@/EN1DBchYA2:086A:37Sd:h9`Q4/n:D@P8A1TBchYA2?l<6A9UdVT824@I4
/n:D@VBd1TBPahm2HPL=A9UdVT:N^@e4/n:D@S`F3DBPahm2Zo0:A;?RU49R1`e4/n:D@REE34BIM9Y2
HPL=A;?RU4;oH`a4X<N?@P010@010041004100400@4E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081J0000N00008h1000d0000
Z`4003`000060000400000<0000200000`0000<0000200000`0008DQe0AH8JP4PB5o10XRZ0B58JP4
/B7D18DQZ0B^8Gl4@R?D16lSZ0A68gl4_B:X148SZ0@F8m@4@R>X11TSO`@U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000<En04BchYA2j2aW@k?RU4800@40
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0002[0000=P0008@1000j00000P00020PZ0Ac3ZP49@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P000000001E[HI3X:62@h^eJ4>PXH93
004101E00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000[0000<80003<0000aP000080003F45D@S0iE42D0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000^8>6@jeHUT>;]FQ3
[ERF@`010@0E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081G000090000:`0003O0000c0000><000020000dA3<4X`>c18U0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000000006KmJTB]N9I3
k>QQA:ehUT<00@405D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020E`0002@0002T0P00g`000<<2003S00000P000<0jd19k>=0B
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000003a66]4
[OR2@gP4HTB]n893004101E00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000Y0800<8000340P00aP0000800037>V0@
PSQP42D0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000
g44MA:ghPT=S;AA4[OR2@`010@0E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081G000090000;/100320000fP400<H000020000
DBMP40`UH10U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000
000006/]7DB]N9I3lAPDA:ehUT<00@405D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020E`0002@0002j0@00g`000=X1003S0000
0P0004`Wd1879M0B9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K
0P000000000`E094k88[@hQ=o4?/PR]3004101E00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000N04007h000290@00
P`000080002F8;T:RQni2RD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000m:41A2?b;D<1/_e38o8]@`010@0E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081G0000900007/100200000
Q`4008@000020000JB3P2[LOh0XU0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/2000000000;O_04AIHC13NaKo@eUQ<4<00@405D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0001m0@00
PP0008D1002600000P0003`P1`_S7`L;9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P000000000FI@14YNLL@aIU04C/PR]3004101E00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
O`4007@000230@00P`000080000J8<l96R2i2RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000:00004E=AR/:@020
900001P0003ooooo0@00006boD<]H_m2h3`b@GBdjD4T000090000000P3d0000000000000P3d00000
00000080000U000030000040000U0000300000P0081F0000<00007`1001O0000Q@4007H000050000
]aol1kLOc`UY8<l9JB3l1kLOo0LU0000300000L0080U000030000000080T000090000000P4400000
00000000P44000000000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/50000
00000?BQ0DBUiaa30K;m@jGW74<1/_e3;F;o@_BQ0D@]H_m2m:41A:GW74<00@41P@010AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5H0000`0000N`4005h000270@00N00000D0001Y8<l9]ao?2KLOo0MY8?`7JB3?2BD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000NSd0A2eRod9j?@14
/l;L@P010@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081G0000900007l1001A0000P`40068000020000423l1a0Pi`HU0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/2000000000<5V4TAoi]]2
KXL=A7oVfd800@415D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020E`0002@0002W0@00D0000;T1001D00000P0009XTh0IR8n06
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000002EC014
OnKK@YD/1DAoi]]200410AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000O`400500002B0@00E0000080000D8>06
C27P1RD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0000d0000:00004E=AR/:@020900001P0003ooooo0@0008Se1dBc`]12
`3`b@L0l<T4T000090000000P3d0000000000000P3d0000000000080000U000030000040000U0000
300000P0081F0000<00009L1001>0000X@4005L000050000oR671_hQ>@N`8ST7/2:71_hQQ`HU0000
300000L0080U000030000000080T000090000000P440000000000000P44000000000008000160000
Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@=80000?000008@`=/50000000008Se1dBc`]12Nkh:A;?2d49k_PY4
B`[W@XSe1dA;2^M2R?D7A;?2d4800@41P@010AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000UP4004`0002R0@00
F@0000D0003n8HL6/2:71[0R>@On8CT7oR671RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H000080@00o00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010jP0002L00000Q30fa0000000000d]h5A6EhhD:E;0E4OnKK@_O?1DA/bmI2R?D7A7oVfd;BgPE4
OnKK@PjA1TAUN>52d]h5A7oVfd8dPPI4K<_F@S7E34AUN>52KXL=A7oVfd8<i0a4K<_F@W^n2TAoi]]2
<MD<A7oVfd;d8Pa4IGSQ@S7E34Aoi]]2cc4<A6c;eT800@400@010@010@0100415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
FP0007P0002>0@00CP000:/1001F00001P000100000300000P0000<0000300000P0000<0001h8@`7
C27P1W@Q]`Kn8N06N27P1ZDQ30Mh8N06XB6g1SHS30MR8n06>B>g1[0Rh0Hf8n062B<<1cHSh0H=8kL6
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000002TOR=3
^n@7A?;84T>ki0M4004101E00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000K00009D1001m0000V@400080000h2_XQ
;@Wj8BD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000
/KDP@hV024CUTAE3RH08A0010@0E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081G0000900006h0002G0@00N`0009/100020000
30XQ8UX98B8U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000
00000;k/7D=F70U4f5XH@eHL2D@00@405D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020E`0002@0001`0000V@4007T0002M0@00
0P000=l9B2:62DPR9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K
0P000000000j`Q]3jCd4A3[26d>ki0M4004101E00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000L`0008X1001g0000
V@400080002m2A0Q_@Wj8BD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0000d0000:00004E=AR/:@020900001P0003ooooo
0@000>FA5D>;h?U3`3`b@G2djD4T000090000000P3d0000000000000P3d0000000000080000U0000
30000040000U0000300000P0081F0000<0000700001f0@00N@0008d100050000FPTm7eX9424<2Q0Q
30Xm7eX9?AlU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
0000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/5000000000;6e84?Y?@A4
iI4E@nTm14CUTAE3Rn3i@k6e84>;h?U3/KDP@nTm14@00@41P@010AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000
KP0007@1001k0000SP4000D0000<2Q0QFPT@8EX9?Al<2SdO30X@8BD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000bb<K@h_PnD?;8a]3[CSa@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G000090000780001W0@00M`0007P100020000/`Tm7k<9:1hU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000>G8Hd>P0O53VT]@@j01lD<00@41
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0002J0000I`400:d0001[0@000P0003d>8Ah53B4N9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P000000000eH1]3X07a@cGP;T>P0O53
00410AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000LP0006L100250000J`400080002f2B4NkPXQ7RD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0000d0000:00004E=AR/:@020900001P0003ooooo0@000044>T>]>>i3d3`b@L0l<T4T0000
90000000P3d0000000000000P3d0000000000080000U000030000040000U0000300000P0081F0000
<00008/0001T0@00U00006h100050000X@_87J4;NQiC37XND`c87J4;b1dU0000300000L0080U0000
30000000080T000090000000P440000000000000P44000000000008000160000Z00009`00015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@=80000?000008@`=/5000000000044>T>]>>i3cRM5@jdhkT?>9dE3Tl[c@`44>T>Cb_=3
0@@j@jdhkT<00@41P@010AE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5H0000`0000R@0006<1002F0000K`4000D0002Q2lPM
D`c87E<<NQjQ2gXNX@_87BD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H000080@00o00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010jP0002L0000
0Q30fa0000000000::Ta@aUVlT<eh2i3X07a@km]<D?K^^m30@@j@j01lD<XZC53X07a@a]b=4<II_93
::Ta@j01lD>b=SA3fk[_@jN2CD<II_93VT]@@j01lD<@_Te3fk[_@lhWAD>P0O53Yh9=@j01lD>d^DY3
6FKb@jN2CD>P0O537OE:@m^jkd<00@400@010@010@0100415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020FP0007P000210000
I@4009h0001]0@001P000100000300000P0000<0000300000P0000<0000K2ddNkPXQ7QL;n1fQ2b4N
6`/Q7TP;CAhK2b4NA0_h7MT<CAh53B4Ng0ch7E<<8AkI324N[0a=7]T<8Aj`3?PM9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P000000003aN094^n@7A0VGo4>ki0M4
004101E00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000N@4009D1002:0@00V@400080002O8?XQTaoj8BD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000]<H1A8V024B3noe3
RH08A0010@0E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081G0000900007/1002G0@00Q`4009/100020000LR0Q8/0O8B8U0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l20000
0P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000000007PD0DAF70U4
o5oo@eHL2D@00@405D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020E`0002@0001m0@00V@4008D1002M0@000P0004HPB2;/7dPR
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K0P000000003GR@14
jCd4A=N904Bki0M4004101E00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000101X0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5L0000T0000P04008X100240@00V@400080000S810Q
8b3j8BD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H0000d0000:00004E=AR/:@020900001P0003ooooo0@0008?koD>;h?U3
X3`b@G2djD4T000090000000P3d0000000000000P3d0000000000080000U000030000040000U0000
300000P0081F0000<00007d1001f0@00QP4008d100050000`1lm7l0O425b810QLR0m7l0O?AlU0000
300000L0080U000030000000080T000090000000P440000000000000P44000000000008000160000
Z00009`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@=80000?000008@`=/5000000000;C60DCY?@A4Po_m@nTm14B3noe3
Rn3i@kC60DB;h?U3]<H1A>Tm14@00@41P@010AE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000N`4007@100270@00
SP4000D0001b810Q`1l@8L0O?Amb83dOLR0@8BD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000>f80A8_PnD<kHP14[CSa@`010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
900007l1001W0@00P`4007P1000200006B0m7aTP:1hU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/200000000086;4TBP0O53;j`=A:01lD<00@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0002W0@00I`400;X1001[0@000P000:<T8Ai/8b4N9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000001EL@14X07a@eEA1DBP0O5300410AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000O`4006L1002B0@00J`400080000M824NEB4Q7RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P0003ooooo0@0004PJ24B]>>i3`3`b@L0l<T4T000090000000P3d00000
00000000P3d0000000000080000U000030000040000U0000300000P0081F0000<00009P1001T0@00
X@4006h1000500001b;87@LRNQji8WXN^B;87@LRb1dU0000300000L0080U000030000000080T0000
90000000P440000000000000P44000000000008000160000Z00009`00015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@=80000
?000008@`=/50000000004PJ24B]>>i3>n<:A:dhkT<kh`Y4Tl[c@dPJ24BCb_=3B1X8A:dhkT<00@41
P@010AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5H0000`0000UP4006<1002S0@00K`4000D000078/PM^B;87KTRNQh78WXN
1b;87BD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0002P0000<00000`0004H000080@00o00004E=AR/8@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010jP0002L00000Q30fa0000000000
TP<6A1UVlT=ED@E4X07a@kSd1DCK^^m3B1X8A:01lD>B0`I4X07a@lne1T@II_93TP<6A:01lD?dYPI4
fk[_@o;i34@II_93;j`=A:01lD?<20e4fk[_@c_S2TBP0O53l_T<A:01lD>eA`a46FKb@o;i34BP0O53
SeH<A=^jkd<00@400@010@010@0100415D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020FP0007P0002>0@00I@400:/1001]0@00
1P000100000300000P0000<0000300000P0000<000218DdNEB4Q7WhQn1d78R4NPB4Q7ZhQCAj18B4N
ZR7h7ClSCAi/8b4N@b?h7KTR8Aho8b4N4R==7SlS8AhF8oPM9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0003@0000X0000
ADe6:`Y0080T000060000?ooool10000eR5IA<0gR4?0@ca1h4<l@B@0000T00000020?@0000000000
0020?@00000000000P0002D0000<00000@0002D0000<00002000P5H0000`0000R`800<`0002E0P00
e@0000D00019=PLABCK44@Dga145=`LABCH74BD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0004H0002X0000W00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010dP0000l0000
0Q30f`D000000000eR5IA=lIST?U4Ua4gaV>@nDBG4C0=hQ3eR5IA<0gR4?F8EU4gaV>@`010@610041
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020EP00030000290P00bP0009H2003G00001@0004Tfa145=l@A1CL74DTf1a59=/@A
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0000P1003l0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043Z00009`000024<3K40000000000:kEI4
B;29@lH`ETC@:8]3F]eFA?N1S4?F8EU4d2R;@`[]ETC@:8]3CZUGA4R`RD<:kEI4d2R;@ijIEdCgPHa3
/4MNA4R`RD?d0em4d2R;@f5GGTCgPHa3iA9LA=0XRd>`Aei4d2R;@ff;GDA8/8U3/4MNA=0XRd<MVee4
mh6<@`010@010041004100400@4E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081J0000N0000842003<0000W`800=D000060000
400000<0000200000`0000<0000200000`000;`e=a6==FHA^3FA4DTfIQ6l=FHAjcDg4K`eIQ7W=I4A
TSLg4L4gIQ6F=i4A1CMV4I8gIQ5S=cLATSMV4FLgTA4U0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/2000000000?_kDdC@:8]3aS1FA=0XRd<00@405D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0001j0P00cP0008D2003C00000P000?ldIQ6==FHA9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P0000000030>654d2R;@dCdGTA_2H]3004101E00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000V`800<h0002V0P00d`000080001?>6HA_SMR4BD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002`0000
Y00004E=AR/8@043T00008@000024<3K3@000000000@ndU4I/Qo@d6kATAVb7m3lAQ4A=<XQD?a64A4
L:R;@o4HA4@=:993@K]6A:e/Ud<@ndU4[FbG@mhjCDB]K9M3;me?A0dXTT<_gDm4L:R;@boMCdCC:8E3
gcY=A6K8Od<@ndU4I/Qo@`030`<30`<30`<30h<00@4D@060400000@0003ooooo900002@00000080m
000000000000080m00000000000200009@0000`0000100004`0000`000010000>`0000P0001E0000
D000000000000000ooooooooool=0000Oc;m3jlao@l7<JH@1c5f4@LaAA:_<NhBOc;^4TlckQ;h<dDB
n3=f4OPcYQ1?<od?Oc;m3c`000080000?P0001P0001<0P00_`000702003S00004`0000`000010000
9@0000`000000020900002@00000081100000000000008110000000000020000AP000600001D0000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?lE@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081E0000D00004X2002n0000LP800>D0000=0000Oc;m3jlao@l7<JH@
1c5f4@LaAA:_<NhBOc;^4TlckQ;h<dDBn3=f4OPcYQ1?<od?Oc;m3bD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0000d0000
:00004E=AR/:@020900001P00000003o0@000<`nBDA2eH9304Bl@=Pb3D8X000030000040000T0000
90000000P3d0000000000000P3d0000000000080000W0000600000400000000000000000000U0000
30000040000U0000300000P0081F0000<00005/200340000H@800=l000050000D39K450bT1:^<Y0B
[S9K450bFa0U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
0000008000160000Z00009`00015CDH[24000T00000d00000Q30f`00003>0000000008o2MCl20000
0P000080000200000000008@`=/000000000o`Q00@=80000?000008@`=/50000000005BgBTBMNiA3
E;M:A4;EPT?<?TU4@]F2@l`nBDBMNiA3E;M:A9ekU4<00@41P@<30aE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000100l0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5H0000`0000
FP800<80001R0P00h00000D0002^<Y0B[S9K450bFa1@<Y0B[S:@4RD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`8000000000E;M:A;XZRd>27EA4^RZ;@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G0000900005h2003>0000O`800=<000020000[S9V4@PeIQ4U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
=00002P00015CDH[2T00P2@0000H0000ooooo`40000[nDA3Y_f0@n13?47P@ca1:00000`000010000
900002@00000080m000000000000080m00000000000200009`0001P00001000000000?ooo`000000
9@0000`0000100009@0000`000080020EP000300002C0000`@0009d0003;00001@00050<811@3=`@
30gL40`=811@320@9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043B00003`000024<3K1@000000000[nDA3
aMn6@fVmD4?5ghI3JKe@@jKmP4<[nDA3Y_f0@b_iA4?5ghI300410H430`<E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081F0000
<0000980002o0000W`000<`000050000D0cL40`=g10<3B0@D0`P450<g10U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
20400?`00015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@>X0000W000008@`=/@000000000?hU?4<^MX93kS@i@kK^Pd<lic]3
gDN5@b_iA4>fkX=3oRDl@kK^Pd<=5cm3;WJ2@ohU?4>fkX=3C=Pn@me7QD>FT5U3;WJ2@jJ1G4>fkX=3
F<mI@me7QD=Y_E13]^j3@iJ@FD>fkX=3QimF@bifPT>FT5U3]^j3@dSNET?MAhE3004100400@400@40
0@010AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5X0001h0000R@000<40002X0000bP0000H0000@00000`00008000030000
0`00008000030000``]?49@;OQ2o2jT@D0an4<<;OQ3b2dl@``]n4>h;ZA2J3Dl@b@en49d=ZA0<3Gh@
VPen46X=Ca2J3Gh@KPfY42D0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000`64`@kK^Pd?^=3U3]^j3@`010@0E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081G00009000088000340000
S@000<P0000200001`]n49@;OQ0U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/2000000000=ADID>fkX=3i49L@eG?Pd<00@405D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0002S0000
``000:h0003800000P0005H>OQ353GX@9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP000;00002T0000ADe6:`Q00@>@0000
Q000008@`=/=0000000001=N24<bE753/[gf@S9DLD<aZn52L]ek@c:[hD9FKXA3<J_Q@_?]RT>a_OI2
Tc:@@a9N24>C<Y13CEdE@i<bT4>=iQm3lnf:@hgV7d=FKXA3S^HO@g?MNd=>GAE3<UAa@aAN24<bE753
00<30`<30`<30`<3P`010AA00H0@000010000?oooolT000090000000P3d0000000000000P3d00000
00000080000U000030000040000C000030000040000k0000200005D0001@000000000000003ooooo
ooooo`d0002621H?]PLF3`h7_Pl>1hh@3PMN4KH71a:620LBEPT74_l9GQ7o2Hh@o`Vn3eH95Pn621H?
?00000P0000n0000600005@0002d0000N0000=T0000C000030000040000U000030000000080T0000
90000000P440000000000000P44000000000008000160000H00005@00015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000oaE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5D0001@0000D`000;<0001j0000fP0000d0002621H?]PLF3`h7_Pl>1hh@3PMN4KH71a:620LB
EPT74_l9GQ7o2Hh@o`Vn3eH95Pn621H?9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0003@0000X0000ADe6:`Y0080T0000
600009JFU_l1000016d5@e0fMd?P@ka0h38=@RP0000<00000@0002@0000T00000020?@0000000000
0020?@00000000000P0002L0000H00000@000000002FUYH0000002D0000<00000@0002D0000<0000
2000P5H0000`0000I0000;T0001Y0000e00000D0001G27@?E`RY4KD8ZA6e27@?E`Qd3bD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`80000000008dl;@j7`Pd?Lic13XO23@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G0000900006H000340000Q`000<P000020000]@Qo40l;Oa0U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
/0000:@00015CDH[24010i00002400000Q30f`d000000000iTAb@aIO74;VA793oGOf@Jb=Jd</_/11
iTAS@bfn`44Po5Y3;;k0@NI4E4?kMoI1iTAD@aEO74;VA5A3;H8m@R3lFT<FGeQ2iDAS@aIOF4:[SF]3
5emH@^E4LT<aPSe2iTAb@aUO74800`<30`<30`<30`>300415401P10000040000ooooobP0000<0000
0@0002@0000T00000020?@00000000000020?@00000000000P0002L0000H00000@000000003oool0
000002D0000<00000@0001<0000<00000@0003/000080000E@0005000000000000000?oooooooooo
3@0002D?LP8U3nd1^@j20CD>PP6`3H81A@g]0DD=LP953OL2/0eR0cD>HP>i3V839@og0RD?LP8l0000
200003h0000H0000W`000180002f0000:@0001<0000<00000@0002D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0004H0001P0000E00004E=AR/8@002@00003@000024<3K
00000<h000000000Sl9e?`80000200000P000080000000000Q30f`000000003o5D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000403`0000000000000000000000000000009@0000`0000300009@0000`000050020
E@000500002M000040000;P0000Z00003@0002D?LP8U3nd1^@j20CD>PP6`3H81A@g]0DD=LP953OL2
/0eR0cD>HP>i3V839@og0RD?LP8U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000/0000:@00015CDH[:T0002@0000H0000
0030@P00000000000030@^I4E4</_/1124021S@0000X00000Q30f`0003h000000000000000070000
@`1104`0B@120580B@0003I00X180000?00000000?l100000@000080000a0300042n?@1WASh0020n
06M6?P00P3l0000000000000P3l0000000000180000<00000@0001P0000<0000000001H0000<0000
600002P0000<00000P000580001`0@000P000?Coool0000000000000002@0@00000000L010130640
K01Y0680LP1Y00000000000000000000000000000000000000000000000000000000000000000000
003J0>1>a`D000001`001hP2002`ClL5D7?V192nfP0h0000003J0040003PC/L5e=dU01/`@gLh0MX0
mbm3M`00000002P0^:Sl1>Q>a`Fh0000>`0B0?l0/03XgBD0m9C61ESM9@10Z?`40@000;2Xo0A0gBD0
=ai3MkRXo0@000Y300000;2Xo0B8gBD0RGF2M@00:0000000WgF2MD=]A65Q=`Y3^:Sl142AX7DXClL5
400007l3001DgBD0000:@`3W9@0MfX=eHlGS5?kooonOMH9eXb:MMKRXo0A@dO`4FcLQN`000@1@dO`4
`=dU08amWGE0TJ1e@96PMFAf00P000009@0000`000020000E00005P0002V00005`000:l0000Q0000
0@00074L3D9EE@e2g@0002/000020000C00000000000000000000?ooooooooooD0000340<0060000
000002D0000<00003@00P4H0002l0000/00004E=AR/[@000300000000008@043T00008@000024<3K
3@000000002@5aM4^bH1A90G5d@C:Oi3`FTEA7K=nT>@Ea=4M/gj@em54DAfcOY3T9L?A1<YoT>@U`m4
^bH1A92G3dC/>0=4GTDAA;_V14B@Ea=4^nH4A<5Y5DBkiPA4T1LGA>dh0dB@5aM4^bH1A0030`<30`<3
0`<30h<00@4D@060400000@0003ooooo900002@00000080m000000000000080m0000000000020000
9@0000`0000100004`0000`000010000>`0000P0001E0000D000000000000000ooooooooool=0000
aRE:8<HUaQmK9EXOeRAJ7e8TFQoV8lHOiR=:8>HScb1B93XQeR@j8E/U>R769LlPaRE:83`000080000
?P0001P0002^0@00M`400<H1002?0@004`0000`0000100009@0000`000000020900002@000000811
00000000000008110000000000020000AP000600001D0000ADe6:`Q000900000=000008@`=/00000
cP000000002?`WDo0P000080000200000P00000000024<3K000000000?lE@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0?0000000000000000000000000000000U0000300000<0000U0000300000D0081E0000
D0000:d1001f0@00a`400901000=0000aRE:8<HUaQmK9EXOeRAJ7e8TFQoV8lHOiR=:8>HScb1B93XQ
eR@j8E/U>R769LlPaRE:82D0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0001d0000J00004E=AR/Z@000900001P000000<12
0000000000000<12T9L?A7O=nT<f@0:0@00003@00000003o0@00004000010000>@008?lm06M6?P00
P3l0000000000000P3l00000000000004P0000`000010000600000`0000000005P0000`0000H0000
9@0000`000020000E00005@0002h0@00O@400;/100270@000@00074L3D9EE@e2BP8000P200010000
C00000000000000000000?ooooooooooD00003T0E00000009@0000`0000=0020AP000;`0002`0000
ADe6:b]0000<0000000000Q00@>@0000Q000008@`=/=00000000090G5dB_UbI2T1LGA9Md1D;1JAE4
GRoE@I1G4dAO;mE1GdDAA5h_eD6@U`m4UW@5@Y2G3dB^UbI2T9L?A<JjAd9NAA54[iMR@Y1G4dB_Uf92
`FTEA;2GHT:@5aM4b[Y7@Y0G5dBbUbI200<30`<30`<30`<3P`010AA00H0@000010000?oooolT0000
90000000P3d0000000000000P3d0000000000080000U000030000040000C000030000040000k0000
200005D0001@000000000000003oooooooooo`d000369I/2aRDF0U/UZ`7F9:/1DRB[0NHS5P;V8i/2
iR<O0e8TR`?F98/3FbF;0lHU7`?69I/2?00000P0000n000060000:h1000D0000aP4002/0000C0000
30000040000U000030000000080T000090000000P440000000000000P44000000000008000160000
H00005@00015CDH[24000T00000d00000Q30f`00003>0000000008o2MCl200000P00008000020000
0000008@`=/000000000oaE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000100l0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5D0001@0000[@40018000370@00;00000d000369I/2
aRDF0U/UZ`7F9:/1DRB[0NHS5P;V8i/2iR<O0e8TR`?F98/3FbF;0lHU7`?69I/29@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0007@0001X0000ADe6:bY0000T000060000000`480000000000000`4:@U`m4GRoE@CI00X100000
=00000000?l100000@000040000h000Pocd0IdHn0020?`00000000000020?`0000000000000B0000
30000040000H000030000000000F0000300001P0000U000030000080001D0000E0000;P1000I0000
^`4002<000010000LA`=@UEE3D9:0P00;@000040001<00000000000000000000oooooooooom@0000
>01D0000000U0000300000d008160000_0000;000015CDH[:d0000`00000000024010i0000240000
0Q30f`d000000000cDiUA;/V0DC=CVE44bWn@ojPHdAfcOY3cHiQA7K=nT>LO5m4M/gj@lg>GD@C:Oi3
cLiMA;/V0DC=cUe4k3P3A9]lGdBkiPA4cHiQA;_V14CnX6=4^nH4A<e>IDC]>0=4cDiUA;/V0D@00`<3
0`<30`<30`>300415401P10000040000ooooob@0000T00000020?@00000000000020?@0000000000
0P0002D0000<00000@0001<0000<00000@0003/000080000E@0005000000000000000?oooooooooo
3@0005@iBR1D>LHOjCQJ7f@hFQoP=eXOM3O67g@gBR1d=llPh3Lj8F@h>R7Y>3XQE3W?85@iBR0l0000
200003h0000H0000V@8007L1002a0P00S`4001<0000<00000@0002D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0004H0001P0000E00004E=AR/8@002@00003@000024<3K
00000<h000000000Sl9e?`80000200000P000080000000000Q30f`000000003o5D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000403`0000000000000000000000000000009@0000`0000300009@0000`000050020
E@000500002H0P00MP400;82002@0@003@0005@iBR1D>LHOjCQJ7f@hFQoP=eXOM3O67g@gBR1d=llP
h3Lj8F@h>R7Y>3XQE3W?85@iBR0U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000M00006P00015CDH[:T0002@0000H0000
0030@P00000000000030@/g>GDAgcOY3=T02P400000d00000000o`40000100000@0003L0023o?@1W
ASh0080o000000000000080o0000000000000180000<00000@0001P0000<0000000001H0000<0000
600002D0000<00000P0005@0001D0000XP8007d1002U0P00Q`400040001a70e2EED=@X<300080P00
0@0004`00000000000000000003ooooooooooe00000g05@0000002D0000<00003@00P4H0002l0000
/00004E=AR/[@000300000000008@043T00008@000024<3K3@000000002cZVA4[iLV@[>ZI4BGM0E2
i?aRA5h_eD6cjV14GboE@H;HGTAN;mE1/bYMA9Id1D:c:Ue4[YLV@[<ZGDC6^TM2PMQNA:nGHT:cjV14
[iMR@^ClHTB`Uf92/jYTA<ZjAd:cZVA4/YLV@P030`<30`<30`<30h<00@4D@060400000@0003ooooo
900002@00000080m000000000000080m00000000000200009@0000`0000100004`0000`000010000
>`0000P0001E0000D000000000000000ooooooooool=0000:cVK0R/i5P;0>:/1>cR[0KLgZ`5;=aH2
BcNK0T/g7`>g=h/3>cR;0l0hR`<[>Al3:cVK0S`000080000?P0001P0002G0P0050000:l2000[0000
4`0000`0000100009@0000`000000020900002@00000081100000000000008110000000000020000
AP000600001D0000ADe6:`Q000900000=000008@`=/00000cP000000002?`WDo0P00008000020000
0P00000000024<3K000000000?lE@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0?00000000000000000000
00000000000U0000300000<0000U0000300000D0081E0000D00009H2000B0000/08002`0000=0000
:cVK0R/i5P;0>:/1>cR[0KLgZ`5;=aH2BcNK0T/g7`>g=h/3>cR;0l0hR`<[>Al3:cVK0RD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0001d0000J00004E=AR/Z@000900001P000000<120000000000000<12/bYMA5h_eD4f@0:0
@00003@00000003o0@00004000010000=P008?lm06M6?P00P3l0000000000000P3l0000000000000
4P0000`000010000600000`0000000005P0000`0000H00009@0000`000020000E00005@0002Q0P00
6@000:@2000S00000@00074L3D9EE@e2P@<002d000010000C00000000000000000000?oooooooooo
D00003H0E00000009@0000`0000=0020AP000;`0002`0000ADe6:b]0000<0000000000Q00@>@0000
Q000008@`=/=0000000001b`Jd<9Ve537;1[@d=BBD?Rn6A32I]2@ab`G4<9Vd93EVMD@`VK@T<L/4e3
@e99@ab`CD<9Ve537;1=@loSFD=FIeA32I]P@a^`G4<9Vf13hOQT@`VKH4<K/6]3d>=I@ab`Jd<:Ve53
00<30`<30`<30`<3P`010AA00H0@000010000?oooolT000090000000P3d0000000000000P3d00000
00000080000U000030000040000C000030000040000k0000200005D0001@000000000000003ooooo
ooooo`d0002k3QX=^`jF350>:Pc;3BX<A`dZ3=/<UPcK31X=f`bO3DL=2Pk;3@X>D0h:3[/>W`fk3QX=
?00000P0000n0000600009X0002A0000/@000:T0000C000030000040000U000030000000080T0000
90000000P440000000000000P44000000000008000160000H00005@00015CDH[24000T00000d0000
0Q30f`00003>0000000008o2MCl200000P000080000200000000008@`=/000000000oaE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000100l0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5D0001@0000V@000900002c0000ZP0000d0002k3QX=^`jF350>:Pc;3BX<A`dZ3=/<UPcK31X=
f`bO3DL=2Pk;3@X>D0h:3[/>W`fk3QX=9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0007@0001X0000ADe6:bY0000T0000
60000000`480000000000000`48L/4e32I]2@cI00X100000=00000000?l100000@000040000e000P
ocd0IdHn0020?`00000000000020?`0000000000000B000030000040000H000030000000000F0000
300001P0000U000030000080001D0000E0000:@0002G0000Y`000:4000010000LA`=@UEE3D;J0000
e@000040001<00000000000000000000oooooooooom@0000=@1D0000000U0000300000d008160000
_0000;000015CDH[:d0000`00000000024010i00002400000Q30f`d0000000004GhFA<94/d<AOQI4
Gb2_@d;@54C2a:]34KhBA<;4Zd?PZa14`/B[@a7n3TAO8:m34Oh>A<94/d<AoPi49FVg@mn[44C2a;Y3
4KhBA<;4^T=2d1A4`/Bj@a5n5T@UJKM34GhFA<94/d<00`<30`<30`<30`>300415401P10000040000
ooooob@0000T00000020?@00000000000020?@00000000000P0002D0000<00000@0001<0000<0000
0@0003/000080000E@0005000000000000000?oooooooooo3@000:0UJAJP9NDE=BEi5K0TNAD[97TE
`2?U5L0SJAK08nhF:bAI5k0TFALe9ETGX2G^5Z0UJAHl0000200003h0000H0000[@40004100340@00
604001<0000<00000@0002D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0004H0001P0000E00004E=AR/8@002@00003@000024<3K00000<h000000000Sl9e?`8000020000
0P000080000000000Q30f`000000003o5D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000403`00000000000000
00000000000000009@0000`0000300009@0000`000050020E@000500002[0@0000400<D1000J0@00
3@000:0UJAJP9NDE=BEi5K0TNAD[97TE`2?U5L0SJAK08nhF:bAI5k0TFALe9ETGX2G^5Z0UJAHU0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000M00006P00015CDH[:T0002@0000H00000030@P00000000000030@Q7n3TC2a:]3
=T02P400000d00000000o`40000100000@0003@0023o?@1WASh0080o000000000000080o00000000
00000180000<00000@0001P0000<0000000001H0000<0000600002D0000<00000P0005@0001D0000
]P4000H1002j0@0040400040001a70e2EED=@TP2001Z0@000@0004`00000000000000000003ooooo
oooooe00000d05@0000002D0000<00003@00P4H0002l0000/00004E=AR/[@000300000000008@043
T00008@000024<3K3@000000001>]FA4`TBc@djeI4AO8:m3O`MSA<;4Zd=>mF14`/B[@agSGTC2a:]3
CSEMA5lP[d=>=Ee4`TBc@dheGD@UJKM37>=NA<;4^T=>mF14`/Bj@gl7HdC2a;Y3C[ETA2EY]d=>]FA4
`TBc@`030`<30`<30`<30h<00@4D@060400000@0003ooooo900002@00000080m000000000000080m
00000000000200009@0000`0000100004`0000`000010000>`0000P0001E0000D000000000000000
ooooooooool=0000;SUY5RhiiAG2>7TE?SQi5KTgNAE>=nDECSMY5ThgkQJi=eTG?SQI5l8hFAL^>NhF
;SUY5S`000080000?P0001P0002G0P000@400:l2000H0@004`0000`0000100009@0000`000000020
900002@00000081100000000000008110000000000020000AP000600001D0000ADe6:`Q000900000
=000008@`=/00000cP000000002?`WDo0P000080000200000P00000000024<3K000000000?lE@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0?0000000000000000000000000000000U0000300000<0000U0000
300000D0081E0000D00009H200000@00/08001X1000=0000;SUY5RhiiAG2>7TE?SQi5KTgNAE>=nDE
CSMY5ThgkQJi=eTG?SQI5l8hFAL^>NhF;SUY5RD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0001d0000J00004E=AR/Z@000
900001P000000<120000000000000<12CSEMA<;4Zd<f@0:0@00003@00000003o0@00004000010000
<`008?lm06M6?P00P3l0000000000000P3l00000000000004P0000`000010000600000`000000000
5P0000`0000H00009@0000`000020000E00005@0002Q0P001P400:@2000@0@000@00074L3D9EE@e2
P@<006X100010000C00000000000000000000?ooooooooooD00003<0E00000009@0000`0000=0020
AP000;`0002`0000ADe6:b]0000<0000000000Q00@>@0000Q000008@`=/=000000000;LUoT=eLG53
]bGn@jlXJD<Jb_Y3MG5R@kNUmT=eLF93E87b@gEaHT>g9Nm3[bQY@kLUkd=eLG53]bG_@c^jND=DPO93
^SR0@kNUmT>j>8136/[j@k/hP4>g9Oi3?;Yi@kLUoT=fLG5300<30`<30`<30`<3P`010AA00H0@0000
10000?oooolT000090000000P3d0000000000000P3d0000000000080000U000030000040000C0000
30000040000k0000200005D0001@000000000000003oooooooooo`d000357aP?aAnC3UXO:0kE7RP>
DAhX3^DMT`kU7AP?iAfL3e4N213E7PP@FQl84<DOW0o57aP??00000P0000n0000600006H1002Y0000
OP400<40000C000030000040000U000030000000080T000090000000P440000000000000P4400000
0000008000160000H00005@00015CDH[24000T00000d00000Q30f`00003>0000000008o2MCl20000
0P000080000200000000008@`=/000000000oaE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000100l000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5D0001@0000I@400:P0001o0@00
`P0000d000357aP?aAnC3UXO:0kE7RP>DAhX3^DMT`kU7AP?iAfL3e4N213E7PP@FQl84<DOW0o57aP?
9@0000`0000700209@0000`000000020900002@00000081100000000000008110000000000020000
:00000`000030000AP0007@0001X0000ADe6:bY0000T000060000000`480000000000000`4:g9Nm3
MG5R@cI00X100000=00000000?l100000@000040000b000Pocd0IdHn0020?`00000000000020?`00
00000000000B000030000040000H000030000000000F0000300001P0000U000030000080001D0000
E0000701002_0000M0400;T000010000LA`=@UEE3D;Z0@00m@000040001<00000000000000000000
oooooooooom@0000<P010000000U0000300000d008160000_0000;000015CDH[:d0000`000000000
24010i00002400000Q30f`d000000000lMQ=A5UaJD?af4e4TbQQ@b8[C4AILEY3lAQ:A5UaFT?01TQ4
FG5J@o5HATBC:653lEQ6A5UaJD?aF4I47kYa@kl6B4AILGQ3lAQ:A5UaN4<R:da4FG5h@o7HCD@P^W53
lMQ=A5YaJD<00`<30`<30`<30`>300415401P10000040000ooooob@0000T00000020?@0000000000
0020?@00000000000P0002D0000<00000@0001<0000<00000@0003/000080000E@00050000000000
00000?oooooooooo3@0007LcV0ig<a<>2c>X3HLbZ0d2<ZP=Uc4C3YLaV0jG<A`?0S:83hLbR0l;<hP?
Mc<L3gLcV0hl0000200003h0000H0000D`800:<0001Z0P00^`0001<0000<00000@0002D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0004H0001P0000E00004E=AR/8@002
@00003@000024<3K00000<h000000000Sl9e?`80000200000P000080000000000Q30f`000000003o
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000403`0000000000000000000000000000009@0000`000030000
9@0000`000050020E@000500001A0P00XP0006/2002l00003@0007LcV0ig<a<>2c>X3HLbZ0d2<ZP=
Uc4C3YLaV0jG<A`?0S:83hLbR0l;<hP?Mc<L3gLcV0hU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000M00006P00015CDH[
:T0002@0000H00000030@P00000000000030@_5HATAILEY3=T02P400000d00000000o`4000010000
0@000340023o?@1WASh0080o000000000000080o0000000000000180000<00000@0001P0000<0000
000001H0000<0000600002D0000<00000P0005@0001D0000G0800:T0001O0P00/`000040001a70e2
EED=@RD3003]00000@0004`00000000000000000003ooooooooooe00000a0040000002D0000<0000
3@00P4H0002H0000S00004E=AR/[@000300000000008@002@00003@000024<3K00000<h000000000
cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000
a><Z@nbB:d<B;QY3k98[@`010`<E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081G000090000780001o0000PP0008<000020000
[`Zj2Z<9^PXU0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000
00000=4J:4<S0Ri31OLL@b<2;T<00@<35D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020E`0002@0001d0000P000080000240000
0P00088:h@[@2N4:9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K
0P000000003NDBE3FG4`@oRo7d=ILC1300430aE00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000MP000880001n0000
QP000080001F2PP;o0T82bD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000FRLS@jGg74=J9b=3k98[@`010`<E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081G0000900007P0001d0000
O@0008<000020000<`[@2C<:^PXU0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000=00002P00015CDH[2T00P2@0000H0000
ooooo`400005maa3;H;o@/0l<T5d]>U1900002@00000080m000000000000080m0000000000020000
9@0000`0000100009@0000`000080020EP000300001e0000G`0007l0001f00001@000=09o@O@2M09
PP[@2H8:o@O@2Od79@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000AP000:P0002L0000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o
0P000080000200000P00000000024<3K000000000?l8@043B00003`000024<3K1@000000003A6RQ3
YOLL@`Gg74>Umaa31OLL@bf2od;A6RQ3;H;o@]4J:4>Umaa300410H430`<E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081F0000
<00007@0001N0000P00007P000050000PP[@2M09d0W@2Od7PP[m1h8:d0TU0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/2000000000>^88T<]P_m2jhPR@k?Rg4800@41
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0001h0000D@0007`0001R00000P0002T:o@LY2^P69@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0008`000200000ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P00008000020000
0P00000000024<3K000000000?l8@043;000020000024<3K0P0000000005;V]3O`KL@[Z`Ed=o1]a2
00410AE00@0@000010000000000T000090000000P3d0000000000000P3d0000000000080001O0000
>00000<0000h0000000003P000000000000101X0000000000000000000000000000002D0000<0000
0`0002D0000<00001@00P5L0000T0000X0000500002c0000E0000080002c3^46O0gQ1RD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0002<0000P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010b`0000P00000Q30f`8000000000ELDR@gl6g49EACI3
O`KL@P010@4E@040400000@000000000900002@00000080m000000000000080m0000000000020000
G`0003P000030000>0000000000h0000000000000@0J0000000000000000000000000000000U0000
300000<0000U0000300000D0081G0000900007P0001@0000R`0005@000020000;@[Q1VD;h@HU0000
300000L0080U000030000000080T000090000000P440000000000000P440000000000080000X0000
300000<000160000=00002P00015CDH[2T00P2@0000H0000ooooo`40000RJD53/n;@@/0l<T70?391
900002@00000080m000000000000080m00000000000200009@0000`0000100009@0000`000080020
EP000300002A0000CP0009X0001G00001@0001L<R0HG33X7b@`j1lT<R0HG38P69@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000AP000:P0002L0000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043B00003`000024<3K1@000000000RJD53/n;@@^j<C4>ch]12kXa<@d/Zid8RJD53
Bb[W@R9Y@D>ch]1200410H430`<E@040400000@000000000900002@00000080m000000000000080m
0000000000020000G`0003P000030000>0000000000h0000000000000@0J00000000000000000000
00000000000U0000300000<0000U0000300000D0081F0000<00008l0001<0000W00005T000050000
5`b81/T<R0K933X75``j1aL<R0HU0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<00016000020400?`00015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@>X0000
W000008@`=/@0000000004T>>D=UV>52EDDf@gl6g4;OdSQ3K>_F@R9Y@D=o1]a2B@hi@gl6g48lec]3
IISQ@TT>>D=o1]a2dY/k@fc[eT;7ieA3IISQ@[Z`Ed=o1]a2<B=E@fc[eT;^S4a3O`KL@/OWE4=o1]a2
e1iB@fFHhD;7ieA3O`KL@SiJDT=/jmI2004100400@400@400@010AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5X0001h0000
Q`0004h0002T0000E`0000H0000@00000`000080000300000`00008000030000T@/=1fD;h@J>2kP6
5`cQ1Y4;h@Jn2`d7T@_Q1[X;^0I?3@d7O0gQ1U<=^0K93>46C`gQ1R8=3@M?3N469Pfh1RD0000<0000
1`00P2D0000<00000000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<0000
0`0004H0003H3P00c0h004E=AR/Q@0L0300000000008@0<5O0h0070>00024<3K0P0000<0001P3P00
0@0006`000020000000004D0000@000000000000001a1`00N`800215CDH00040H0h002P000030000
0000000000000000X0D008@3003l0@00?P40000000000000000006301`0lf0@0AP000=@300360`00
AdA9@`4008000`0031=>0`00002^0`000@090003e`400080V00000001@0000810@0000D000010_oo
o`050000;P4I00001@0000/2000000D0000<0T02`0H;00009PH?00`0CF5dJ5AiL6D006004P0002H6
3`0J0?ooool001000030ooooY_oooh06003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`00
0000090100000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@003000038:
000000<0001]HGR^Z@1Q0;`11@0001@2P07i0a`0003k0X3n00000000T0400000008045AYKFEc84iU
Mb1BKfeQKP24lA80ZTWRMD2AiGE/3FHD100002d10@040000l04000`0000b2P0000030000<G1e2OH0
`0000`D0000D0X01AP0L0000n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9
hWE0TNEeK0eV50@0000]0@0010000?010@090000<PX000000@00051i00<5000050:00OL270000?/2
P?h00000002@0@0000400P0@DgU]HVm/07E=30ZF<2@f08Ca4P2ZBN9e@97UMF`=IQ@40000;@4100@0
003`0@002@00038:00000040000mN@03V00002H63`0V0D5`L7==AT=30@3o0000o`0004AULfUWKR1C
HfUUKV=U;219KV<^00D100H5A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1B
KfeQKP0A0e=iKF9_K00A1D=_MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN
@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?
30400@010P820P0200410@03004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:
0PB6?@0m0P28<@0209P4k`80PG000P21M@0000X0000V1Pl02P3ooooo0@00000070000?/240070000
002l0P0000010P8RDgUcM6E]01A/3FHD000:03P0RP40000000000;Sk4P040000;@4000@0003`0@40
0`000000000A0000300000P0000;0000400003H0000B00002@000100000f00004P000180000<0000
0@0001T0000<0000oooo01H0000<00006@0000X0000@0000000000000009000040000<0600100P00
600000`0000000026`000100003d0000h`400580001`0@000@0002;oool0000000000000002@0@00
00000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
0000000000000000003oookooomK=b5k2@00000000000000?1:LML0MW7G/:9ae_>@U0=S[@gLNiBD0
b`800000W7G07Iae7^a3Mif_?7lLiBD0000001cU9@2][caoi>@U0;CU9@0009ae0@@0032?n@@002P0
h:oi100@o@C`mo`4000X000000000000L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000
[58X0000:02@=BP0D04X03`5:02@=BP0000X02@f:0012009l>@U0?CT9@13Eieem>@U07YGWGG0<ol4
2>DU04=GWGD8iBD0NUNMMM`co`B`no`46`0006Af00P000009@0000`000010000E000060000080000
2@0001h0000@00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E00006d0H@1h0043Z@000640002l0@006`000100003i0`00P0400580001`0@000P00083nool00000
00000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:00009ae0@@001T0<P3h0?<0
h:oi100@o@C`mo`4000X01X0;`3h0?<0L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0
b7<X00QUo0BXMRP0D04X00CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000<[ho0@00000
2>DU04=GWGD8iBD0NUNMMM`co`B`no`46`000000000002P0003l12@f:03/i2D06@0b0?P0l`1jEiee
G3Go1;3ko0A`=Ol42>DU04=GWGD8iBD0NUNMMLPeo`B`no`46`0006Af00P000009@0000`000020000
:00000`000010000E0000600000P0000000004D0000>00000@00078LSCmEEHdo0000000000030000
C00000000000000000000?ooooooooooE0000340L01e0000mP000<0000000`006`00010000160000
P0400580001`0@000@00083nool0000000000000002@0@000@000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP00000000000000000000000000000000000000000000000013MjV_?7l00000
W04X0000:02`LRP0b7<X01T0<P3i0?<0D04X00CT9@2@=BP0>>DU01X0;`3i0?<0o_ooocHQ@gO0MBP0
000000`0003HZ?`4000002P==P2`LRP0b7<X00QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8
o_ooocHQ@gOA7d=g000003Cio0@00000000X0000002OMH9e5eA4HI0g2W?HZ?`4@96PM@00000002P0
003l1:ST9@2@=`Yc6@0b0?T0l`1SaN<Do_oooimePWEX=ol42>DU04=GWGD8iBD0NUNMML0go`B`no`4
6`0006Af00P000009@0000`000010000:00000`000020000E00005@000020000000001T0000>0000
0@00078LSCmEEHdo0000000000010000C00000000000000000000?ooooooooooD000050000000`00
6`000100003g0P00P0400580001`0@000P00083nool0000000000000002@0@0000000P02011C07T0
K@1R06l0K00000000000000000000000000000000000000000000000000000000000000000000000
0013MjV_?7l00000U04X0000:02`LRP0b7<X0240?03=0;<06`0000CT9@010000>>DU0280>P3=0;<0
o_ooocHQ@gO0MBP0000000@0003hZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000009kio0@00000000X0000002OMH9e5eA4HI@g2R[hZ?`4
@96PM@00000002P0000c0:ST9@2D=`XZ8@0l0<d0/`1SaN<Do_oooimePWEP>Ol42>DU04=GWGD8iBD0
NUNMMJ`io`B`no`46`0006Af00P000009@0000`000020000:00000`000010000E00005@0000H0000
000002l0000>00000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D00003g`@T<00`00DP00070100010000400000L00000000000000;`2000000000@828U<0N@1c07@0
I@1]00000000000000000000000000000000000000000000000000000000000000000000000004=g
ZJllO`00002D0BP0000X0;1b:034LbP08@0l0<h0/`10TJ1e1>@U0040000hiBD08P0j0<h0/`3noooo
=R53Ml1e:000000010000=RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL000000_[l1000000002P0000009mePWDGE4AQUCL::=RXo0A0TJ1e
00000000:00003<0Z>@U09Dg2RPQ03`0cP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g
0_[l1:RC<`000000I7H02000000U000030000040000X000030000080000U0000300000L0080U0000
30000000080`0000300000l0080U0000300000d0081;00004000000000050000:00000`000010000
3P0001@000000000400001@0000K@0<0@00003@0003ooooo0P00000000000000o_mK@PO6Ud430000
m:D9@PlWOD?jd]A23bMm@oBU2D:7ThY38@0000P0001R000030000040000Q00002000024000080000
8`000200000b1d0o00000000001G_clo00000000000T000090000387@3l00000000005No?cl00000
000000@0000L0000200002D0000<00000000P2D0000<00001`00P2D0000<00003P00P1T0000<0000
oooo01P0000<000000000180000<00000P0001<0000<00000@0001@0000<00003@0001D0000<0000
0@0001H0000<0000000000d0000@000000000000000j0000300000X0000K00004000000000000000
8`000200000mNg`o00000000001lIGDog`OB@MPo?T<T0000900003ekO3l00000000007aUMCoO1m91
f3ln@`@0000S0000800003ekO3l00000000007aUMCoO1m91f3ln@b@0000T0000?G]l?`0000000000
O6Ee?ml7dT7H?ci3100002<0000P0000?G]l?`0000000000O6Ee?ml7dT7H?ci3900002@0000mNg`o
00000000001lIGDog`OB@MPo?T<400003@000100000S0000oP000580001`0@000`00010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id000000000000000000000
0000000000010000T:2:P]2k]::GhP00003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`1Ba4ie
FcLQNb80RP5HHC8000000<cN9@0f/iae3:JLMKNUW7ER=b7W1P00042AX7D20000000000000@010000
100005`000000000100002cO9@0XPIaeAX6LMF8g8NL000000000000@00000000o><U0040002XTc<0
00000000003ooooo01000?ooool00000003J0000fP3XGlL500000>QOa`EDgbD0S:A3MnQOa`GPGlL5
003J00nT@gOXClL5003J0>1?a`F8gbD0`4o71@00fP24gbD0@eNMMFAf00P000009@0000`000030000
AP0002P0000L0000AdA9@`8000000000000003H0000B0000000002<0000P0000?G]l?`0000000000
O6Ee?ml7dT7H?ci3900002@0000mNg`o00000000001lIGDog`OB@MPo?T<400008`000200000mNg`o
00000000001lIGDog`OB@MPo?T<T0000900003ekO3l00000000007aUMCoO1m91f3ln@`@0000S0000
80000?/7ED800000000001H9RT7O1m91f3ln@b@0000T0000n`ME@P00000000005PV:@Ml7dT7H?ci3
100002<0000P0000n`ME@P00000000005PV:@Ml7dT7H?ci3900002@0003k1eE200000000000F2HY1
g`OB@MPo?T<400008`000200000mNg`o00000000001lIGDog`OB@MPo?T<T0000900003ekO3l00000
000007aUMCoO1m91f3ln@`@0000S0000800003ekO3l00000000007aUMCoO1m91f3ln@b@0000T0000
?G]l?`0000000000O6Ee?ml7dT7H?ci310000180000<00000@0001T0000<0000oooo01H0000<0000
6@0002<0000P0000?G]l?`0000000000O6Ee?ml7dT7H?ci3900002@0000mNg`o00000000001lIGDo
g`OB@MPo?T<400008`000200000mNg`o00000000001lIGDog`OB@MPo?T<T0000900003ekO3l00000
000007aUMCoO1m91f3ln@`@0000S0000800003eko3`00000000007aUmCcO1m91f3ln@b@0000T0000
?G_l?00000000000O6Ge?=l7dT7H?ci3100002<0000P0000?G_l?00000000000O6Ge?=l7dT7H?ci3
900002@0000mNo`l00000000001lIODlg`OB@MPo?T<40000600000`0000000006`000100003d0000
h`400580001`0@00100002;oool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000003oookooomK=b5k
2@00000000000000?1:LML0MW7G/:9ae_>@U0=S[@gLNiBD0b`800000W7G07Iae7^a3Mif_?7lLiBD0
000001cU9@2][caoi>@U0;CU9@0009ae0@@0032?n@@002P0h:oi100@o@C`mo`4000X000000000000
L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0D04X03`5:02@=BP0
000X02@f:0012009l>@U0?CT9@13Eieem>@U07YGWGG0<ol42>DU04=GWGD8iBD0NUNMMM`co`B`no`4
6`0006Af00P000009@0000`000040000E0000600000R0000a`0003L0003=00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE00006d0H@1h070eZ@000640002l0@00
6`000100003i0`00P0400580001`0@001@00083nool0000000000000002@0@00000000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:00009ae0@@001T0<P3h0?<0h:oi100@o@C`mo`4000X01X0;`3h0?<0
L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0b7<X00QUo0BXMRP0D04X00CT9@2@=BP0
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000<[ho0@000002>DU04=GWGD8iBD0NUNMMM`co`B`no`4
6`000000000002P0003l12@f:03/i2D06@0b0?P0l`1jEieeG3Go1;3ko0A`=Ol42>DU04=GWGD8iBD0
NUNMMLPeo`B`no`46`0006Af00P000009@0000`000050000:00000`000040000E0000600000j0000
_P0005l0003<00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E0000340L01e06PgmP000<0000000`006`00010000160000P0400580001`0@001000083nool00000
00000000002@0@000@0000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02`LRP0b7<X01T0<P3i0?<0
D04X00CT9@2@=BP0>>DU01X0;`3i0?<0o_ooocHQ@gO0MBP0000000`0003HZ?`4000002P==P2`LRP0
b7<X00QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000003Cio0@00000
000X0000002OMH9e5eA4HI0g2W?HZ?`4@96PM@00000002P0003l1:ST9@2@=`Yc6@0b0?T0l`1SaN<D
o_oooimePWEX=ol42>DU04=GWGD8iBD0NUNMML0go`B`no`46`0006Af00P000009@0000`000040000
:00000`000050000E00005@0000L0000_P0003<0003<00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD0000500@eL00`006`000100003g0P00P0400580001`0@00
1@00083nool0000000000000002@0@0000000PL2011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
b7<X0240?03=0;<06`0000CT9@010000>>DU0280>P3=0;<0o_ooocHQ@gO0MBP0000000@0003hZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000009kio0@00000000X0000002OMH9e5eA4HI@g2R[hZ?`4@96PM@00000002P0000c0:ST9@2D=`XZ
8@0l0<d0/`1SaN<Do_oooimePWEP>Ol42>DU04=GWGD8iBD0NUNMMJ`io`B`no`46`0006Af00P00000
9@0000`000050000:00000`000040000E00005@0000b0000_P0004T0003<00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`Z9<00`00DP00070100040000
400000L00000000000000;`2000000001`828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0<h0/`10TJ1e1>@U0040000hiBD08P0j0<h0/`3noooo=R53Ml1e:000000010000=RXo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
0_[l1000000002P0000009mePWDGE4AQUCL::=RXo0A0TJ1e00000000:00003<0Z>@U09Dg2RPQ03`0
cP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g0_[l1:RC<`000000I7H02000000U0000
300000@0000X0000300000D0000U0000300000L0080U000030000000081B0000L04000D0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d0002dXP00003/0[fM0000000000000000
00000000000000000@00092PRX;@^kBRUn800000?gL005X8o_ooocHQ@gOA7d=g000000;jo0@00000
000X0000002OMH9e5eA4HIDg2RSHZ?`4@96PM@0000000000000X01RYo0BE=`XX8@0l03P07P0K0K00
o_oooimePWG@TC<0@:Sl1040000@ZO`4e=hU03LN@gLHZO`4000:=`00000@ZO`47=lU08UePWD0gbD0
@eNMM@3O9@1jEieeF3?i153Ao0@U0000000103Ad0@0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYee
FcLQN`00080U0000FcLQN`000@0@0901G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<0000
1@0004/0000@0000000000D0000X0000300000@000160000500000P00017A4U30`000280000<0000
ooooob80000<0000ooooobD0000<00003@00P2P0000<00000`0002P0000<00001@000280000<0000
ooooodH0000D3`0020l004E=AR//@000900001P0001=T:Lo0000P000083[k:4om:D9@PlWOD<Z@000
900001P00000080o000000000000080o000000000008@0@5O0h0070>00024<3K0P0000<0001P3P00
0@0006`000020000000004D0000@000000000000001a1`00N`800215CDH00040H0h002P000030000
0000000000000000X0D008@3003l0@00?P40000000000000000006301`0lf0@0AP000=@300360`00
AdA9@`4008000`00^8;1h`00002^0`000@090003e`400080V00000001@0000810@0000D000010_oo
o`050000;P4I00001@0000/2000000D0000<0T02`0H;00009PH?00`0CF5dJ5AiL6D006004P0002H6
3`0J0?ooool001000030ooooY_oooh06003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`00
0000090100000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@003000038:
000000<0001]HGR^Z@1Q0;`11@0001@2P07i0a`0003k0X3n00000000T0400000008045AYKFEc84iU
Mb1BKfeQKP24lA80ZTWRMD2AiGE/3FHD100002d10@040000l04000`0000b2P0000030000<G1e2OH0
`0000`D0000D0X01AP0L0000n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9
hWE0TNEeK0eV50@0000]0@0010000?010@090000<PX000000@00051i00<5000050:00OL270000?/2
P?h00000002@0@0000400P0@DgU]HVm/07E=30ZF<2@f08Ca4P2ZBN9e@97UMF`=IQ@40000;@4100@0
003`0@002@00038:00000040000mN@03V00002H63`0V0D5`L7==AT=30@3o0000o`0004AULfUWKR1C
HfUUKV=U;219KV<^00D100H5A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1B
KfeQKP0A0e=iKF9_K00A1D=_MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN
@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?
30400@010P820P0200410@03004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:
0PB6?@0m0P28<@0209P4k`80PG000P21M@0000X0000V1Pl02P3ooooo0@00000070000?/240070000
002l0P0000010P8RDgUcM6E]01A/3FHD000:03P0RP40000000000;Sk4P040000;@4000@0003`0@40
0`000000000A0000300000P0000;0000400003H0000B00002@000100000f00004P000180000<0000
0@0001T0000<0000oooo01H0000<00006@0000X0000@0000000000000009000040000<0600100P00
600000`0000000026`000100003d0000h`400580001`0@000@0002;oool0000000000000002@0@00
00000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
000000000000000000000000fP00040027?V103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed10000
0@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D00@@0032?n@@002P0
h:oi17L0003`mo`4000X000000000000L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000
[58X0000:02@=BP0000003`5:02@=BP0000X02@f:0316`3Jl>@U0?CT9@13Eieem>@U07YGWGF0M_l4
2>DU04=GWGD8iBD0NUNMMIafo`B`no`46`0006Af00P000009@0000`000010000E000060000080000
2@0001h0000@00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E00006d0H@1h0043Z@000640002l0@006`000100003i0`00P0400580001`0@000P00083nool00000
00000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D00@@001L0>03m0?<0
h:oi17L0003`mo`4000X01P0=@3m0?<0L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0
b7<X03QUo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000<[ho0@00000
2>DU04=GWGD8iBD0NUNMMIafo`B`no`46`000000000002P0003l12@f:03/i2D05`0h0?d0l`1jEiee
77So1;3ko0@`N?l42>DU04=GWGD8iBD0NUNMMHQho`B`no`46`0006Af00P000009@0000`000020000
:00000`000010000E0000600000P0000000004D0000>00000@00078LSCmEEHdo0000000000030000
C00000000000000000000?ooooooooooE0000340L01e0000mP000<0000000`006`00010000160000
P0400580001`0@000@00083nool0000000000000002@0@000@000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP00000000000000000000000000000000000000000000000013MjV_?7l00000
W04X0000:02`LRP0b7<X01L0>03n0?<0000000CT9@2@=BP0>>DU01P0=@3n0?<0o_ooocHQ@gO0MBP0
000000`0000HZO`4000002P==P2`LRP0b7<X03QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8
o_ooocHQ@gOA7d=g000003Cio0@00000000X0000002OMH9e5eA4HIXg2_LHZO`4@96PM@00000002P0
003l1:ST9@2J=`[g5`0h0?h0l`1SaN<Do_oooimePWDXN_l42>DU04=GWGD8iBD0NUNMMH1jo`B`no`4
6`0006Af00P000009@0000`000010000:00000`000020000E00005@000020000000001T0000>0000
0@00078LSCmEEHdo0000000000010000C00000000000000000000?ooooooooooD000050000000`00
6`000100003g0P00P0400580001`0@000P00083nool0000000000000002@0@0000000P02011C07T0
K@1R06l0K00000000000000000000000000000000000000000000000000000000000000000000000
0013MjV_?7l00000U04X0000:02`LRP0b7<X0240?03?0;<06`0000CT9@010000>>DU0280>P3?0;<0
o_ooocHQ@gO0MBP0000000@0003HZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000009kio0@00000000X0000002OMH9e5eA4HF8g2^WHZ?`4
@96PM@00000002P0000c0:ST9@1R=`[Y8@0l0<l0/`1SaN<Do_oooimePWDPO?l42>DU04=GWGD8iBD0
NUNMMFalo`B`no`46`0006Af00P000009@0000`000020000:00000`000010000E00005@0000H0000
000002l0000>00000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D00003g`@T<00`00DP00070100010000400000L00000000000000;`2000000000@828U<0N@1c07@0
I@1]00000000000000000000000000000000000000000000000000000000000000000000000004=g
ZJllO`00002D0BP0000X0;1b:034LbP08@0l0=00/`10TJ1e1>@U0040000hiBD08P0j0=00/`3noooo
=R53Ml1e:0000000100001RYo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL000000_[l1000000002P0000009mePWDGE4AQVSL:n1RYo0A0TJ1e
00000000:00003<0Z>@U09Xg2_PQ03`0d02c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g
0_[l1:RC<`000000I7H02000000U000030000040000X000030000080000U0000300000L0080U0000
30000000080`0000300000l0080U0000300000d0081;00004000000000050000:00000`000010000
3P0001@000000000400001@0000K@0@0@00003@0003ooooo0P00000000000000o_mK@PO6Ud430000
_SC5@ja/QD>n=>U3[6b5@khdaD>/K9538@0000P0001R000030000040000Q00002000024000080000
8`000200000b1d0o00000000001G_clo00000000000T000090000387@3l00000000005No?cl00000
000000@0000L0000200002D0000<00000000P2D0000<00001`00P2D0000<00003P00P1T0000<0000
oooo01P0000<000000000180000<00000P0001<0000<00000@0001@0000<00003@0001D0000<0000
0@0001H0000<0000000000d0000@000000000000000j0000300000X0000K00004000000000000000
8`000200000mNg`o00000000001lIGDoSBFD@i3lAd<T0000900003ekO3l00000000007aUMCn=9IA3
T?a7@`@0000S0000800003ekO3l00000000007aUMCn=9IA3T?a7@b@0000T0000?G]l?`0000000000
O6Ee?hdUU4>@o4M3100002<0000P0000?G]l?`0000000000O6Ee?hdUU4>@o4M3900002@0000mNg`o
00000000001lIGDoSBFD@i3lAd<400003@000100002;0@002`400580001`0@001@00010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id000000000000000000000
0000000000010000T:2:P]2k]::GhP00003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1e
FcLQNb80RP5PHC8000000<cN9@0f/iae3:JLMKNUW7F:=b7O1P00042AX7D20000000000000@010000
100005`000000000100002cO9@0XPIaeAX6LMHXg8Ml000000000000@00000000o><U0040002XTc<0
00000000003ooooo01000?ooool000000000000000000000000006CO9@2O6XMeRSLQg`0000000000
010006PC<`3lhbD00@000:RC<`0000000@000?cS9@24gbD0@eNMMFAf00P000009@0000`000050000
AP0002P0000L0000AdA9@`8000000000000003H0000B0000000002<0000P0000?G]l?`0000000000
O6Ee?hdUU4>@o4M3900002@0000mNg`o00000000001lIGDoSBFD@i3lAd<400008`000200000mNg`o
00000000001lIGDoSBFD@i3lAd<T0000900003ekO3l00000000007aUMCn=9IA3T?a7@`@0000S0000
80000?/7ED800000000001H9RT6=9IA3T?a7@b@0000T0000n`ME@P00000000005PV:@HdUU4>@o4M3
100002<0000P0000n`ME@P00000000005PV:@HdUU4>@o4M3900002@0003k1eE200000000000F2HY1
SBFD@i3lAd<400008`000200000mNg`o00000000001lIGDoSBFD@i3lAd<T0000900003ekO3l00000
000007aUMCn=9IA3T?a7@`@0000S0000800003ekO3l00000000007aUMCn=9IA3T?a7@b@0000T0000
?G]l?`0000000000O6Ee?hdUU4>@o4M310000180000<00000@0001T0000<0000oooo01H0000<0000
6@0002<0000P0000?G]l?`0000000000O6Ee?hdUU4>@o4M3900002@0000mNg`o00000000001lIGDo
SBFD@i3lAd<400008`000200000mNg`o00000000001lIGDoSBFD@i3lAd<T0000900003ekO3l00000
000007aUMCn=9IA3T?a7@`@0000S0000800003eko3`00000000007aUmCb=9IA3T?a7@b@0000T0000
?G_l?00000000000O6Ge?8dUU4>@o4M3100002<0000P0000?G_l?00000000000O6Ge?8dUU4>@o4M3
900002@0000mNo`l00000000001lIODlSBFD@i3lAd<40000600000`0000000006`000100003d0000
h`400580001`0@000`0002;oool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP000000000000000000000000000000000000000000000000000000fP000400
27?V103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0
B/dOG@4000010000T>[41KSZa0F<i2D00@@0032?n@@002P0h:oi17L0003`mo`4000X000000000000
L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0000003`5:02@=BP0
000X02@f:0316`3Jl>@U0?CT9@13Eieem>@U07YGWGF0M_l42>DU04=GWGD8iBD0NUNMMIafo`B`no`4
6`0006Af00P000009@0000`000030000E0000600000`0@00d00004D1003F00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE00006d0H@1h0:STZ@000640002l0@00
6`000100003i0`00P0400580001`0@001000083nool0000000000000002@0@00000000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02<i2D00@@001L0>03m0?<0h:oi17L0003`mo`4000X01P0=@3m0?<0
L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0b7<X03QUo0BXMRP0000000CT9@2@=BP0
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000<[ho0@000002>DU04=GWGD8iBD0NUNMMIafo`B`no`4
6`000000000002P0003l12@f:03/i2D05`0h0?d0l`1jEiee77So1;3ko0@`N?l42>DU04=GWGD8iBD0
NUNMMHQho`B`no`46`0006Af00P000009@0000`000040000:00000`000030000E000060000180@00
b00006d1003F00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E0000340L01e0<l0mP000<0000000`006`00010000160000P0400580001`0@000`00083nool00000
00000000002@0@000@0000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02`LRP0b7<X01L0>03n0?<0
000000CT9@2@=BP0>>DU01P0=@3n0?<0o_ooocHQ@gO0MBP0000000`0000HZO`4000002P==P2`LRP0
b7<X03QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000003Cio0@00000
000X0000002OMH9e5eA4HIXg2_LHZO`4@96PM@00000002P0003l1:ST9@2J=`[g5`0h0?h0l`1SaN<D
o_oooimePWDXN_l42>DU04=GWGD8iBD0NUNMMH1jo`B`no`46`0006Af00P000009@0000`000030000
:00000`000040000E00005@0000[0@00b0000481003F00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD0000500X9<00`006`000100003g0P00P0400580001`0@00
1000083nool0000000000000002@0@0000000PL2011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
b7<X0240?03?0;<06`0000CT9@010000>>DU0280>P3?0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000009kio0@00000000X0000002OMH9e5eA4HF8g2^WHZ?`4@96PM@00000002P0000c0:ST9@1R=`[Y
8@0l0<l0/`1SaN<Do_oooimePWDPO?l42>DU04=GWGD8iBD0NUNMMFalo`B`no`46`0006Af00P00000
9@0000`000040000:00000`000030000E00005@000100@00b00005L1003F00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`50000`00DP00070100030000
400000L00000000000000;`2000000001`828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0=00/`10TJ1e1>@U0040000hiBD08P0j0=00/`3noooo=R53Ml1e:0000000100001RYo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
0_[l1000000002P0000009mePWDGE4AQVSL:n1RYo0A0TJ1e00000000:00003<0Z>@U09Xg2_PQ03`0
d02c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g0_[l1:RC<`000000I7H02000000U0000
300000<0000X0000300000@0000U0000300000L0080U000030000000081B0000L04000@0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d0002dXP00003/0[fM0000000000000000
00000000000000000@00092PRX;@^kBRUn800000?gL005X8o_ooocHQ@gOA7d=g000000;jo0@00000
000X0000002OMH9e5eA4HIXg2_PHZO`4@96PM@0000000000000X0?RXo0BJ=`[h8@0l03P07P0W0K00
o_oooimePWG@TC<0@:Sl1040003`Z?`4e=hU03LN@gOhZ?`4000:o000003`Z?`47=lU08UePWD0gbD0
@eNMM@3O9@1jEiee85;i153Ao0@U000000010?bB0@0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYee
FcLQN`00080U0000FcLQN`000@0@0901G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<0000
100004/0000@0000000000D0000X0000300000<000160000500000P00017A4U30`000280000<0000
ooooob80000<0000ooooobD0000<00003@00P2P0000<00001@0002P0000<000010000280000<0000
ooooodH0000D3`0020l004E=AR//@000900001P0001<T:Lo0000P000083[k:4o_SC5@ja/QD<Z@000
900001P00000080o000000000000080o000000000008@0@5O0h0070>00024<3K0P0000<0001P3P00
0@0006`000020000000004D0000@000000000000001a1`00N`800215CDH00040H0h002P000030000
0000000000000000X0D008@3003l0@00?P40000000000000000006301`0lf0@0AP000=@300360`00
AdA9@`4008000`00EK`cX`00002^0`000@090003e`400080V00000001@0000810@0000D000010_oo
o`050000;P4I00001@0000/2000000D0000<0T02`0H;00009PH?00`0CF5dJ5AiL6D006004P0002H6
3`0J0?ooool001000030ooooY_oooh06003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`00
0000090100000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@003000038:
000000<0001]HGR^Z@1Q0;`11@0001@2P07i0a`0003k0X3n00000000T0400000008045AYKFEc84iU
Mb1BKfeQKP24lA80ZTWRMD2AiGE/3FHD100002d10@040000l04000`0000b2P0000030000<G1e2OH0
`0000`D0000D0X01AP0L0000n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9
hWE0TNEeK0eV50@0000]0@0010000?010@090000<PX000000@00051i00<5000050:00OL270000?/2
P?h00000002@0@0000400P0@DgU]HVm/07E=30ZF<2@f08Ca4P2ZBN9e@97UMF`=IQ@40000;@4100@0
003`0@002@00038:00000040000mN@03V00002H63`0V0D5`L7==AT=30@3o0000o`0004AULfUWKR1C
HfUUKV=U;219KV<^00D100H5A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1B
KfeQKP0A0e=iKF9_K00A1D=_MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN
@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?
30400@010P820P0200410@03004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:
0PB6?@0m0P28<@0209P4k`80PG000P21M@0000X0000V1Pl02P3ooooo0@00000070000?/240070000
002l0P0000010P8RDgUcM6E]01A/3FHD000:03P0RP40000000000;Sk4P040000;@4000@0003`0@40
0`000000000A0000300000P0000;0000400003H0000B00002@000100000f00004P000180000<0000
0@0001T0000<0000oooo01H0000<00006@0000X0000@0000000000000009000040000<0600100P00
600000`0000000026`000100003d0000h`400580001`0@000@0002;oool0000000000000002@0@00
00000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed10000
0@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D00@@0032?n@@002P0
h:oi193no0AP2_d4000X000000000000L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000
[58X0000:02@=BP0D04X03`5:02@=BP0000X02@f:03d6@3]l>@U0?CT9@13Eieem>@U07YGWGGXQ?l4
2>DU04=GWGD8iBD0NUNMM@B5o`A0m?`46`0006Af00P000009@0000`000010000E000060000080000
2@0001h0000@00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E00006d0H@1h0000Z@000640002l0@006`000100003i0`00P0400580001`0@000P00083nool00000
00000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D00@@001D0?P020O<0
h:oi193no0AP2_d4000X01H0>`020O<0L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0
b7<X06QUo0BXMRP0D04X00CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000003X;o@@00000
2>DU04=GWGD8iBD0NUNMM@B5o`A0m?`46`000000000002P0003l12@f:03/i2D05@0n0081l`1jEiee
Q8Ko143do0BHQ_l42>DU04=GWGD8iBD0NUNMMO26o`A0m?`46`0006Af00P000009@0000`000020000
:00000`000010000E0000600000P0000000004D0000>00000@00078LSCmEEHdo0000000000030000
C00000000000000000000?ooooooooooE0000340L01e0000mP000<0000000`006`00010000160000
P0400580001`0@000@00083nool0000000000000002@0@000@000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP00000000000000000000000000000000000000000000000013MjV_?7l00000
W04X0000:02`LRP0b7<X01D0?P030O<0D04X00CT9@2@=BP0>>DU01H0>`030O<0o_ooocHQ@gO0MBP0
000000`0003hZ?`4000002P==P2`LRP0b7<X06QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8
o_ooocHQ@gOA7d=g00000:@;o@@00000000X0000002OMH9e5eA4HIPg2QKhZ?`4@96PM@00000002P0
003l1:ST9@2H=`XF5@0n00<1l`1SaN<Do_oooimePWF@R?l42>DU04=GWGD8iBD0NUNMMNR8o`A0m?`4
6`0006Af00P000009@0000`000010000:00000`000020000E00005@000020000000001T0000>0000
0@00078LSCmEEHdo0000000000010000C00000000000000000000?ooooooooooD000050000000`00
6`000100003g0P00P0400580001`0@000P00083nool0000000000000002@0@0000000P02011C07T0
K@1R06l0K00000000000000000000000000000000000000000000000000000000000000000000000
0013MjV_?7l00000U04X0000:02`LRP0b7<X0240?03A0;<06`0000CT9@010000>>DU0280>P3A0;<0
o_ooocHQ@gO0MBP0000000@0000HZO`400000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000000h<o@@00000000X0000002OMH9e5eA4HJ8g2/0HZO`4
@96PM@00000002P0000c0:ST9@2R=`[08@0l0=40/`1SaN<Do_oooimePWF8R_l42>DU04=GWGD8iBD0
NUNMMMB:o`A0m?`46`0006Af00P000009@0000`000020000:00000`000010000E00005@0000H0000
000002l0000>00000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D00003g`MCl00`00DP00070100010000400000L00000000000000;`2000000000@828U<0N@1c07@0
I@1]00000000000000000000000000000000000000000000000000000000000000000000000004=g
ZJllO`00002D0BP0000X0;1b:034LbP08@0l0=80/`10TJ1e1>@U0040000hiBD08P0j0=80/`3noooo
=R53Ml1e:000000010000?RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL00000LPcm1000000002P0000009mePWDGE4AQV3L:5oRXo0A0TJ1e
00000000:00003<0Z>@U09Pg2QLQ03`0dP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g
LPcm1:RC<`000000I7H02000000U000030000040000X000030000080000U0000300000L0080U0000
30000000080`0000300000l0080U0000300000d0081;00004000000000050000:00000`000010000
3P0001@000000000400001@0000K@0@0@00003@0003ooooo0P00000000000000o_mK@PO6Ud430000
GYX`A:a/QD=NVT94[6b5@ejJ<4B/K9538@0000P0001R000030000040000Q00002000024000080000
8`000200000b1d0o00000000001G_clo00000000000T000090000387@3l00000000005No?cl00000
000000@0000L0000200002D0000<00000000P2D0000<00001`00P2D0000<00003P00P1T0000<0000
oooo01P0000<000000000180000<00000P0001<0000<00000@0001@0000<00003@0001D0000<0000
0@0001H0000<0000000000d0000@000000000000000j0000300000X0000K00004000000000000000
8`000200000mNg`o00000000001lIGDon9@4A93lAd<T0000900003ekO3l00000000007aUMCohU0A4
T?a7@`@0000S0000800003ekO3l00000000007aUMCohU0A4T?a7@b@0000T0000?G]l?`0000000000
O6Ee?oRD14B@o4M3100002<0000P0000?G]l?`0000000000O6Ee?oRD14B@o4M3900002@0000mNg`o
00000000001lIGDon9@4A93lAd<400003@00010000330P002`400580001`0@001000010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id000000000000000000000
0000000000010000T:2:P]2k]::GhP00003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1e
FcLQNb80RP5@HC8000000<cN9@0f/iae3:JLMKNUW7FE=b4]1P00042AX7D20000000000000@010000
100005`000000000100002cO9@0XPIaeAX6LMIDg8Bd000000000000@00000000o><U0040002XTc<0
00000000003ooooo01000?ooool000000000000000000000000006CO9@2O6XMeUCLQ;@0000000000
010006PC<`3lhbD00@000:RC<`0000000@000?cS9@24gbD0@eNMMFAf00P000009@0000`000040000
AP0002P0000L0000AdA9@`8000000000000003H0000B0000000002<0000P0000?G]l?`0000000000
O6Ee?oRD14B@o4M3900002@0000mNg`o00000000001lIGDon9@4A93lAd<400008`000200000mNg`o
00000000001lIGDon9@4A93lAd<T0000900003ekO3l00000000007aUMCohU0A4T?a7@`@0000S0000
80000?/7ED800000000001H9RT7hU0A4T?a7@b@0000T0000n`ME@P00000000005PV:@ORD14B@o4M3
100002<0000P0000n`ME@P00000000005PV:@ORD14B@o4M3900002@0003k1eE200000000000F2HY1
n9@4A93lAd<400008`000200000mNg`o00000000001lIGDon9@4A93lAd<T0000900003ekO3l00000
000007aUMCohU0A4T?a7@`@0000S0000800003ekO3l00000000007aUMCohU0A4T?a7@b@0000T0000
?G]l?`0000000000O6Ee?oRD14B@o4M310000180000<00000@0001T0000<0000oooo01H0000<0000
6@0002<0000P0000?G]l?`0000000000O6Ee?oRD14B@o4M3900002@0000mNg`o00000000001lIGDo
n9@4A93lAd<400008`000200000mNg`o00000000001lIGDon9@4A93lAd<T0000900003ekO3l00000
000007aUMCohU0A4T?a7@`@0000S0000800003eko3`00000000007aUmCchU0A4T?a7@b@0000T0000
?G_l?00000000000O6Ge??RD14B@o4M3100002<0000P0000?G_l?00000000000O6Ge??RD14B@o4M3
900002@0000mNo`l00000000001lIODln9@4A93lAd<40000600000`0000000006`000100003d0000
h`400580001`0@001@0002;oool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP000000000000000000000000000000000000000000000000000000fP080000
V5G[103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0
B/dOG@4000010000T>[41KSZa0F<i2D00@@0032?n@@002P0h:oi193no0AP2_d4000X000000000000
L>DU0044000002P0<8oi173U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0D04X03`5:02@=BP0
000X02@f:03d6@3]l>@U0?CT9@13Eieem>@U07YGWGGXQ?l42>DU04=GWGD8iBD0NUNMM@B5o`A0m?`4
6`0006Af00P000009@0000`000050000E0000600000J0P00d00002l2003F00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE00006d0H@1h042AZ@000640002l0@00
6`000100003i0`00P0400580001`0@000`00083nool0000000000000002@0@00000000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02<i2D00@@001D0?P020O<0h:oi193no0AP2_d4000X01H0>`020O<0
L>DU00440030MBP0<8oi10`0003h<T=g000002P==P2`LRP0b7<X06QUo0BXMRP0D04X00CT9@2@=BP0
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000003X;o@@000002>DU04=GWGD8iBD0NUNMM@B5o`A0m?`4
6`000000000002P0003l12@f:03/i2D05@0n0081l`1jEieeQ8Ko143do0BHQ_l42>DU04=GWGD8iBD0
NUNMMO26o`A0m?`46`0006Af00P000009@0000`000030000:00000`000050000E0000600000b0P00
b00005L2003F00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E0000340L01e0=80mP000<0000000`006`00010000160000P0400580001`0@001@00083nool00000
00000000002@0@000@0000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02`LRP0b7<X01D0?P030O<0
D04X00CT9@2@=BP0>>DU01H0>`030O<0o_ooocHQ@gO0MBP0000000`0003hZ?`4000002P==P2`LRP0
b7<X06QUo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000:@;o@@00000
000X0000002OMH9e5eA4HIPg2QKhZ?`4@96PM@00000002P0003l1:ST9@2H=`XF5@0n00<1l`1SaN<D
o_oooimePWF@R?l42>DU04=GWGD8iBD0NUNMMNR8o`A0m?`46`0006Af00P000009@0000`000050000
:00000`000030000E00005@0000E0P00b00002`2003F00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD0000500:0000`006`000100003g0P00P0400580001`0@00
0`00083nool0000000000000002@0@0000000PL2011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
b7<X0240?03A0;<06`0000CT9@010000>>DU0280>P3A0;<0o_ooocHQ@gO0MBP0000000@0000HZO`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000000h<o@@00000000X0000002OMH9e5eA4HJ8g2/0HZO`4@96PM@00000002P0000c0:ST9@2R=`[0
8@0l0=40/`1SaN<Do_oooimePWF8R_l42>DU04=GWGD8iBD0NUNMMMB:o`A0m?`46`0006Af00P00000
9@0000`000030000:00000`000050000E00005@0000Z0P00b0000442003F00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`00000`00DP00070100050000
400000L00000000000000;`2000000001`828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0=80/`10TJ1e1>@U0040000hiBD08P0j0=80/`3noooo=R53Ml1e:000000010000?RXo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
LPcm1000000002P0000009mePWDGE4AQV3L:5oRXo0A0TJ1e00000000:00003<0Z>@U09Pg2QLQ03`0
dP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=gLPcm1:RC<`000000I7H02000000U0000
300000D0000X0000300000<0000U0000300000L0080U000030000000081B0000L04000<0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d0002dXP00003/0[fM0000000000000000
00000000000000000@00092PRX;@^kBRUn800000?gL005X8o_ooocHQ@gOA7d=g0000078<o@@00000
000X0000002OMH9e5eA4HIPg2QOhZ?`4@96PM@0000000000000X0=RXo0BH=`XG8@0l03P07P0c0K00
o_oooimePWG@TC<0@:Sl1040003@Z?`4e=hU03LN@gOHZ?`4000:I`00003@Z?`47=lU08UePWD0gbD0
@eNMM@3O9@1jEieej73i153Ao0@U000000010<Ba0@0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYee
FcLQN`00080U0000FcLQN`000@0@0901G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<0000
0`0004/0000@0000000000D0000X0000300000D000160000500000P00017A4U30`000280000<0000
ooooob80000<0000ooooobD0000<00003@00P2P0000<0000100002P0000<00000`000280000<0000
ooooodH0000l3`00<0l004E=AR//@000900001P0001<T:Lo0000P000083[k:4oGYX`A:a/QD<Z@000
900001P00000080o000000000000080o000000000008@0@5Y0h009P>00024<3K0P0000<000283P00
0@0006`000020000000005H0000@00000000000000382@00N`800215CDH00040R0h002P000030000
0000000000000000X0D008@3003l0@00?P40000000000000000006301`0lf0@0AP000>`3003N0`00
AdA9@`4008000`00K8gYn00000360`000@090003h`400080X00000001@0000810@0000D000010_oo
o`050000;P4I00001@0000/2000000D0000<0T02h0P;00009PH?00`0CF5dJ5AiL6D006004P0002H6
3`0J0?ooool001000030ooooY_oooj08003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`00
0000090100000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeJQ1V:@@0000]0@003000038:
000000<0001]HGRdZ@1Q0;`11@0001@2P04M11`0003k0X3n00000000T0400000008045AYKFEc84iU
Mb1BKfeQKP24lA80ZTWRMD2AiGEZ46HY100002d10@040000l0400100000b2P0000060000<2hb=G1e
`01P0<003P7000031@0001@2P05601`0003k0X3n00000000T0410000008045AYKFEc84iUMb1BKfeQ
KP24lA80ZTWRMD2AiGEZ46HY100002d100040000l04100T0000b2P0000010000D7T00`D0000D0X01
m`8L0000n`:0oP000000090100000@02011CNFeRKf`0MOP<2]8`9CH0Q?4B0:Y9hWE0TNEeJQ1V:@@0
000]0@4010000?0100090000<PX000000@0003ei00>P00009PH?03D1@G1`Lde6@d<100h1000>0@00
A6EcJFM^85=SJFE^HfD/84U^Hbh01@401PE4DdeD=P004eMYKT5/K49QLfUS@fmTIE1QIfEc0145E6U]
IG<PCVEg859_KF5^0143DgU]HVm/0145@fmeLVUULR1>IGL04@A=E215N7AbH@0B00PQ;dF?A2m1D?@@
3dMO@E3b7ai1D?@E3d40m4Gd9OB?@Um10?@@3d=O@@3dSdGd:Um8m8m10?@@3d3dSd5oB?@@3d4ZGdAO
AOAOAOAO@@l<0@0100420P8200800@4100<00@04000:0@0208=@00<06`002`400P:2K@02089Q0080
PWP0004100X218Hm03d208P`0080PRh00P28<P0208Pe0080V0C_0P21L002085e000000X0000V1Pl0
2P3ooooo0@00000070000?/240070000002l0P0000010P8RDgUcM6E]02UZ46HY000:03P0RP400000
00000;Sk4P040000;@4000@0003`0@400`000000000A0000300000P0000;0000400004L0000B0000
2@000100001700004P000180000<00000@0001T0000<0000oooo01H0000<00006@0000X0000@0000
000000000009000040000>0800100P00600000`0000000026`000100003d0000h`400580001`0@00
0@0002;oool0000000000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640
KP000000000000000000000000000000000000000000000000000000fP080000V5G[103U9@0K<4=g
>07J0?L_@gNPj/@5@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000
T>[41KSZa0F<i2D00@@0032?n@@002P0h:oi17X0002X1_d4000X000000000000L>DU0044000002P0
<8oi173U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0000005@5:02@=BP0000X02@f:00W600o
l>@U0?CT9@13Eieem>@U07YGWGEXTol42>DU04=GWGD8iBD0NUNMMHBCo`A0m?`46`0006Af00P00000
9@0000`000010000E0000600000800002@0001h0000@00000@00078LSCmEEHdo0000000000030000
C00000000000000000000?ooooooooooE00006d0H@1h0002Z@000640002l0@006`000100000M1000
P0400580001`0@000P00083nool0000000000000002@0@0000000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP00000000000000000000000000000000000000000000000013MjV_?7l00000
W04X0000:02<i2D00@@001<0A0070O<0h:oi17X0002X1_d4000X01@0@@070O<0L>DU00440030MBP0
<8oi10`0003h<T=g000002P==P2`LRP0b7<X09QUo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8
o_ooocHQ@gOA7d=g00000887o@@000002>DU04=GWGD8iBD0NUNMMHBCo`A0m?`46`000000000002P0
003l12@f:03/i2D04`1400L1l`1jEiee19Go143do0@HUOl42>DU04=GWGD8iBD0NUNMMG2Eo`A0m?`4
6`0006Af00P000009@0000`000020000:00000`000010000E0000700000Q0000000005H0000>0000
0@00078LSCmEEHdo0000000000060000C00000000000000000000?ooooooooooF0000300;P0b03D0
L01e0<00001P0000`00000h10030000000<001/0000@0000AP000801001B0000L04000400020o_oo
0000000000000000T040004000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
0000000000000000000000000000000000000000=@1`07D000000:@1:00002P0/78X0<Qc:00i01X0
>06`00000004i2D0T3DX03SU9@0j0180>06`0?kooolf8D=g`7DX0000000H0000f:Sl100000183CH0
/78X0<ac:03HZ?`447LX01/00004i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00003/1od4
00000000:0000000WgF2MAMDA65h=`Zbf:Sl142AX7D00000000X0000o0BXi2D0N3L:/ST06P0h0K00
HlGS5?kooonOMH9e49Oo10SU9@13Eiee2>DU07YGWGEhUol4@?Cl11/0001TMP08000002D0000<0000
0@0002P0000<00000P0005@0001D00000P000000000I00003P000040001b78doEEF=?`0000000000
0@0004`00000000000000000003ooooooooooe00001@000000<001/0000@0000m`800801001B0000
L04000800020o_oo0000000000000000T040000000800P0@D`1i06d0HP1_06`00000000000000000
00000000000000000000000000000000000000000000000000000000@gNY[cao000009@1:00002P0
/78X0<ac:00Q03`0d`2c01/00004i2D00@0003SU9@0R03X0d`2c0?kooolf8D=g`7DX000000040000
n:Sl1000002X33H0/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=g
dAm3M`00001N2?d400000000:0000000WgF2MAMDA66E=`X_n:Sl142AX7D00000000X0000<`2Xi2D0
UCL:;b40?03C0;<0HlGS5?kooonOMH9e69Wo10SU9@13Eiee2>DU07YGWGETVOl4@?Cl11/0001TMP08
000002D0000<00000P0002P0000<00000@0005@0001D000060000000000_00003P000040001b78do
EEF=?`00000000000@0004`00000000000000000003ooooooooooe00000ml;=300<00580001`0@00
0@0001000007000000000000002l0P00000000420R9C07T0L`1d06D0K@0000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
a7<X0240?03D0;<0@96PM@CT9@010000>>DU0280>P3D0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000<88o@@00000000X0000002OMH9e5eA4HIdg2/SHZ?`4@96PM@00000002P0000c0:ST9@2M=`[8
8@0l0=@0/`1SaN<Do_oooimePWG@TC<00@000:2C<`04iBD0=ai3Ml88o@BXTc<0000006Af00P00000
9@0000`000010000:00000`0000200009@0000`0000700209@0000`000000020<00000`0000?0020
9@0000`0000=0020B`000100000000001@0002P0000<00000@0000h0000D000000000100000D0000
6d040400000d0000ooooo`8000000000000008?eSd87aYM10`000>MRcD=Hf@I3_KCl@eSI1T?WH/e3
EmTN@b4000080000HP0000`0000100008@0000P0000Q0000200002<0000P0000<PM0?`0000000000
Eklo?`0000000000900002@0000b1d0o00000000001G_clo0000000000040000700000P0000U0000
30000000080U0000300000L0080U0000300000h0080I000030000?ooo`0H000030000000000B0000
30000080000C000030000040000D0000300000d0000E000030000040000F000030000000000=0000
4000000000000000>P0000`0000:00006`00010000000000000002<0000P0000a4in?`0000000000
O6Ee?lLUVT?>>lY2900002@00034CWho00000000001lIGDoabFJ@lhkbT8400008`0002000034CWho
00000000001lIGDoabFJ@lhkbT8T000090000<A>OSl00000000007aUMCo79IY3cS_:@P@0000S0000
80000<A>OSl00000000007aUMCo79IY3cS_:@R@0000T0000a4in?`0000000000O6Ee?lLUVT?>>lY2
100000d0000@0000V`4008L0001B0000L04000<0000@00001`00000000000000_080000000070P8R
D`1i07<0M01U06d0002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBR
Un800000f7DhaMaeo><U09Sno0Bho_`4W=hU00^dW7Eh4S<0f9RPME/g8G/R08X1F64b0000003<gRD0
=[>LM@bVW7FgYIaeWcLQ2@H00010TJ1e0P000000000000400@0000@0001L0000000000@0000/gbD0
:86LMDJ1W7FO=b49000000000000400000000?cS9@010000Z9<c000000000000ooooo`0@003ooooo
000000000000000000000000001TgbD0WaZ7MIlg8@T000000000000@001X4c<0o><U0040002XTc<0
00000040003lhbD0Q=lU04=GWGETMP08000002D0000<00000`0004H0000X0000700004M4BD<20000
00000000001700004P000000000S000080000<A>OSl00000000007aUMCo79IY3cS_:@R@0000T0000
a4in?`0000000000O6Ee?lLUVT?>>lY2100002<0000P0000a4in?`0000000000O6Ee?lLUVT?>>lY2
900002@00034CWho00000000001lIGDoabFJ@lhkbT8400008`000200002a3he200000000000F2HY1
abFJ@lhkbT8T000090000;4?SD800000000001H9RT779IY3cS_:@P@0000S000080000;4?SD800000
000001H9RT779IY3cS_:@R@0000T0000/@n=@P00000000005PV:@LLUVT?>>lY2100002<0000P0000
a4in?`0000000000O6Ee?lLUVT?>>lY2900002@00034CWho00000000001lIGDoabFJ@lhkbT840000
8`0002000034CWho00000000001lIGDoabFJ@lhkbT8T000090000<A>OSl00000000007aUMCo79IY3
cS_:@P@0000B000030000040000I000030000?ooo`0F0000300001T0000S000080000<A>OSl00000
000007aUMCo79IY3cS_:@R@0000T0000a4in?`0000000000O6Ee?lLUVT?>>lY2100002<0000P0000
a4in?`0000000000O6Ee?lLUVT?>>lY2900002@00034CWho00000000001lIGDoabFJ@lhkbT840000
8`0002000034C_hl00000000001lIODlabFJ@lhkbT8T000090000<A>oS`00000000007aUmCc79IY3
cS_:@P@0000S000080000<A>oS`00000000007aUmCc79IY3cS_:@R@0000T0000a4kn?00000000000
O6Ge?<LUVT?>>lY2100001P0000<0000000001/0000@0000m0000><1001B0000L04000@0000Roooo
0000000000000000T040000000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
000000000000000000000000000000000000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=g
X>[41D3T9@1:cAmM0@000040002@j/@5]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5
S>@U0044000`SoT4000X0>2_n@Aj0000Z0Km1000:00000000000073U9@011000000X032?n@A`iBD0
n393MbLc@gMA[Sao00000:aB:00002P0T3DX0000001D1BP0T3DX0000:00T=RP09aP0?o3T9@3di2D0
@eNMMOCT9@1jEieeJ9?o10SU9@13Eiee2>DU07YGWGF4Tol4@?Cl11/0001TMP08000002D0000<0000
100005@0001P0000?04006h0001B0@00M0000040001b78doEEF=?`00000000000`0004`000000000
00000000003ooooooooooe@0001]0640N02OMJT0001Q0000_04001/0000@00007@@00801001B0000
L04000D00020o_oo0000000000000000T040000000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0
K@1Q06h0000000000000000000000000000000000000000000000000@gNY[cao000009`1:00002P0
S>@U0044000C04@01`7c0>2_n@Aj0000Z0Km1000:00D04401`7c073U9@011000`7DX032?n@@<0000
n393M`00000X3CH0/78X0<Qc:02HIO`4Z7HX00000004i2D0T3DX03SU9@1]e3mg001J2?kooolf8D=g
dAm3M`0000221od4000000SU9@13Eiee2>DU07YGWGF4Tol4@?Cl11/000000000000X0000o0@T=RP0
k>@U01<0A0070O<0NUNMM@BEo`A0m?`469Go10SU9@13Eiee2>DU07YGWGE`UOl4@?Cl11/0001TMP08
000002D0000<00001@0002P0000<0000100005@0001`0000E@4006D0002:0@00L`000040001b78do
EEF=?`00000000001P0004`00000000000000000003ooooooooooeP0000`02h0<P0e0700M@300000
H0000<00000>0@00`0000003000K0000400004H000200@00DP00070100040000P?koo`0000000000
00000901000100001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
000000000000000000000000000003D0L01e0000002T0BP0000X0;1b:038LbP0>@0J03P1/0000000
1>@U090e:00hiBD0>P0B03P1/03noooo=R53Ml1e:000000060000=RXo0@00000B0df0;1b:03<LbP0
f:Sl111g:00K00001>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000k0Om1000000002P0
000009mePWDGE4AQN3L:/]RXo0A0TJ1e00000000:0000?`4Z>@U07Pg2[8i01X0>06`06?5haCnoooo
WgF2MA2Go`@8iBD0@eNMM@SU9@1jEieeN9Oo143do0@K0000I7H02000000U0000300000@0000X0000
300000D0001D0000E00003L1001U0000CP4007<000010000LQb=?eEESCl0000000000040001<0000
0000000000000000oooooooooom@0000D03oo`03000K000040000?L200200@00DP00070100050000
P?koo`000000000000000901000000021`8045<0N@1]0680K`1/0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:03<LbP0
8@0l0=<0/`0K00001>@U0040000hiBD08P0j0=<0/`3noooo=R53Ml1e:000000010000?RXo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
GPSm1000000002P0000009mePWDGE4AQUCL:;oRXo0A0TJ1e00000000:00003<0Z>@U09Dg2RlQ03`0
d`2c06?5haCnooooWgF2MARIo`@8iBD0@eNMM@SU9@1jEieeI9Wo143do0@K0000I7H02000000U0000
300000D0000X0000300000@0001D0000E00004`1001U0000H`4007<000010000LQb=?eEESCl00000
00000040001<00000000000000000000oooooooooom@0000?O1=E003001B0000L04000@0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d000000000000000000000000000000000
0000000000000000000000000000000000000000@gNY[cao000009@1:00002P0/78X0<Ac:00Q03`0
e02c042AX7D4i2D00@0003SU9@0R03X0e02c0?kooolf8D=g`7DX000000040000f:Sl1000002X33H0
/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`0000322?d4
00000000:0000000WgF2MAMDA66M=`[8f:Sl142AX7D00000000X0000<`2Xi2D0WCL:b240?03D0;<0
HlGS5?kooonOMH9ed94c0040002PTc<01>DU03LN@gO22?d4Z9<c0000001TMP08000002D0000<0000
100002P0000<00001@0002D0000<00001`00P2D0000<00000000P580001`0@001@00010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id000000000000000000000
0000000000010000T:2:P]2k]::GhP00000oM`00FPSnoooo=R53Mm4O@gL00000`PSm1000000002P0
000009mePWDGE4AQWCL:b=RXo0A0TJ1e00000000000002P06:Wl19dg2/PQ03`0>00N0401/03noooo
WgF2MM2A<`10Z?`40@00012Yo0CDgRD0=ai3MaRYo0@000X<0000012Yo0@LgbD0RGF2M@3O9@13Eiee
0=lU07YGWGF@H>82D=7l12D000000040a=0101CO9@2aF9ee000005/g8G/I0;01==lU0;UfWGEK=b5k
0000P2D0001K=b5k00010100T05LgbD0coBLME/g8G/@09019@0006Af00P000009@0000`000050000
B`000100000000001@0002P0000<0000100004H0000D0000200004M4BD<300008P0000`0003ooooo
8P0000`0003ooooo9@0000`0000=0020:00000`000030000:00000`0000500008P0000`0003ooooo
AP0003`?000`3`00ADe6:ba0000T000060000;1;Z3l000200000P>[/XCoWH/e3F=T6@bY0000T0000
60000000P3l0000000000000P3l00000000000Q010FT3P00V0h0008@`=/200000`0008P>00010000
K000008000000000EP0001000000000000000<P9001k0P0084E=AP000@283P00:00000<000000000
00000000002P1@00Q0<00?`1000n0@000000000000000000H<0703cH10160000k0<00=h30017A4U3
0@00P003002Cbfel00000<H3000100T000?S0@000P2P0000000500000P4100001@000042oooo00D0
000^0AT0000500002`8000001@0000`2@0;P20/0000V1Pl0301=HGAXE7U`I@00H00B00009PH?01X0
ooooo`0040000<3ooonVooooX0P00>H1000500002@8000021@0001@2h`7d01`0003k0R;o00000000
T0400000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGEZ46HY100002d1000<0000<PX00000
0`0006eQN;BY0640_045000050:00Ad470000?/2P?h00000002@0@0000000P0@E6U]IG<PCVEg859_
KF5^08Ca4P2ZBN9e@97UMFX@IRT40000;@4100@0003`0@004000038:000000H0000`;S8eL7G00600
`00>0L0000<5000050:00DH070000?/2P?h00000002@0@4000000P0@E6U]IG<PCVEg859_KF5^08Ca
4P2ZBN9e@97UMFX@IRT40000;@4000@0003`0@402@00038:00000040001@N@031@0001@2P07g0Q`0
003k0X3n00000000T0400001008045=iKF9_K01en0`:dS0U=P24lA80ZTWRMD2AiGEZ46HY100002d1
0@040000l04000T0000b2P0000010000?GT00j00000V1Pl0=@51L71cCDI3@`403P4000h10014IG=Y
IfhPDf=YIFiSIB`PBFiS;P050@061DACCE@f000CEfU^@Fa/@V5cJF=3KfAUD65WIG<04@EDJFeULb1>
IGLPDVm]HFh04@=CNFeRKf`04@E3KgEbJFEb84iUM`0A14eD84EhM79Q0180224_AHm4;d5@m10?Aem1
D?8O7T5@m1D?@@3dAO@Um8m2Gd40m10?@em10?B?AO@ZGdSdSd40m10?@?B?@Gm8m10?@BYOA5m5m5m5
m5m13``100400@820P800P010@400`0100@000X10080Pe000`0K000;0@020X9]0080PV400P22N000
0@402P84QSd0?@80R3000P22;P0208Pb0080R3D00P2H1>l2085`0080PGD000002P0002H63`0:0?oo
ool10000000L0000n`8@00L000000;`2000000420R9CNG=dIFd0:FX@IRT000X0>02:0@0000000000
^?/B00@0000]0@0010000?010@03000000000140000<0000200000/0000@0000A`00018000090000
400004L0000B00004P0000`0000100006@0000`0003oool05P0000`0000I00002P00010000000000
000000T0000@0000h0P00402000H000030000000008K000040000?@0003S0@00DP00070100010000
8_ooo`00000000000000090100000000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
000000000000000000000000000000000000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0
mbm3Mj3Za0E0i2D0B/dOG@4000010000T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5
^>[41HcT9@011000P3go1000:00PKol4NP000=3io0@002P000000000001`iBD00@@00000:020?Ol4
L>DU0?Pb@gLW<d=gDJhlO`00002/DRP0000X090e:0000000E0DX090e:00002P0J3HX05DF04?`i2D0
m>@U04=GWGGdi2D0NUNMMORQo`@8iBD0@eNMM@SU9@1jEiee5:;o143do0@K0000I7H02000000U0000
30000040001D0000H00000P0000900007P00010000010000LQb=?eEESCl00000000000<0001<0000
0000000000000000oooooooooomD0000K@1Q07P0002Y0000H@000;`1000K0000400001d400200@00
DP00070100020000P?koo`00000000000000090100000000008045@0J@1]06D0L`0P04h0I@1g0200
DP1_06d0H@1^00000000000000000000000000000000000000000000000004=gZJllO`00002L0BP0
000X08cT9@0110004@1:00/1l`0PKol4NP000=3io0@002P04P1700/1l`1`iBD00@@00<1e:020?Ol4
30000?Pb@gL00000:0df0;1b:038LbP0b6Gl1:Qf:00000001>@U090e:00hiBD0KM@oM`00FPSnoooo
=R53Mm4O@gL00000Z_[l10000008iBD0@eNMM@SU9@1jEiee5:;o143do0@K000000000000:0000?`4
J3HX0>cT9@0A04X02`7c07YGWGFDXol4@?Cl1:RSo`@8iBD0@eNMM@SU9@1jEiee0:Co143do0@K0000
I7H02000000U000030000080000X000030000040001D0000L000024000000000EP0000h000010000
LQb=?eEESCl00000000000H0001<00000000000000000000oooooooooomH0000<00^0380=@1`07D0
`0000600003000003P400<0000000`006`00010000160000P0400580001`0@000@00083nool00000
00000000002@0@000@000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
00000000000000000000000000000000000e0700M@000000Y04X0000:02`LRP0b7<X03T05P150K00
000000CT9@2@=BP0>>DU03X06P150K00o_ooocHQ@gO0MBP0000001P0000HZO`4000004P==P2`LRP0
c7<X01RYo0@@MbP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000001Cko0@00000
000X0000002OMH9e5eA4HJXg2]dHZO`4@96PM@00000002P0003l1:ST9@2Z=`[M>@0F04D1/01SaN<D
o_oooimePWFPYOl42>DU04=GWGD8iBD0NUNMM@RVo`A0m?`46`0006Af00P000009@0000`000010000
:00000`000020000E00005@000020000000001T0000>00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD000050000000`006`000100003g0P00P0400580001`0@00
0P00083nool0000000000000002@0@0000000P02011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
c7<X0240?03E0;<06`0000CT9@010000>>DU0280>P3E0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000008Kko0@00000000X0000002OMH9e5eA4HIlg2PgHZ?`4@96PM@00000002P0000c0:ST9@2O=`X=
8@0l0=D0/`1SaN<Do_oooimePWFXYol42>DU04=GWGD8iBD0NUNMMOBWo`A0m?`46`0006Af00P00000
9@0000`000020000:00000`000010000E00005@0000H0000000002l0000>00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`08000`00DP00070100010000
400000L00000000000000;`2000000000@828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0=H0/`10TJ1e1>@U0040000hiBD08P0j0=H0/`3noooo=R53Ml1e:0000000100001RYo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
j__l1000000002P0000009mePWDGE4AQZSL:gQRYo0A0TJ1e00000000:00003<0Z>@U0:Xg2]hQ03`0
eP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=gj__l1:RC<`000000I7H02000000U0000
30000040000X000030000080000U0000300000L0080U000030000000080`0000300000l0080U0000
300000d0081;00004000000000050000:00000`0000100003P0001@000000000400001@0000K@0@0
@00003@0003ooooo0P00000000000000PoF?@PO6Ud430000?AM;@Za/nT=lJA53[6cj@cdGBd9E=P=4
8@0000P0001R000030000040000Q000020000240000800008`000200000b1d0o00000000001G_clo
00000000000T000090000387@3l00000000005No?cl00000000000@0000L0000200002D0000<0000
0000P2D0000<00001`00P2D0000<00003P00P1T0000<0000oooo01P0000<000000000180000<0000
0P0001<0000<00000@0001@0000<00003@0001D0000<00000@0001H0000<0000000000d0000@0000
00000000000j0000300000X0000K000040000000000000008`0002000034CWho00000000001lIGDo
_0DI@[^P^d<T000090000<A>OSl00000000007aUMCnl1AU2^j2k@`@0000S000080000<A>OSl00000
000007aUMCnl1AU2^j2k@b@0000T0000a4in?`0000000000O6Ee?k`56D:kX;]3100002<0000P0000
a4in?`0000000000O6Ee?k`56D:kX;]3900002@00034CWho00000000001lIGDo_0DI@[^P^d<40000
3@000100000c0000m@400580001`0@001@0001000007000000000000002l0P00000000L20R9C07T0
L`1d06D0K@000;BR00000>`2_Id0000000000000000000000000000000010000T:2:P]2k]::GhP00
003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1eFcLQNb80RP5PHC8000000<cN9@0f/iae
3:JLMKNUW7FV=b6B1P00042AX7D20000000000000@010000100005`000000000100002cO9@0XPIae
AX6LMJHg8I8000000000000@00000000o><U0040002XTc<000000000003ooooo01000?ooool00000
0000000000000000000006CO9@2O6XMeYSLQTP0000000000010006PC<`3lhbD00@000:RC<`000000
0@000?cS9@24gbD0@eNMMFAf00P000009@0000`000050000AP0002P0000L0000AdA9@`8000000000
000004L0000B0000000002<0000P0000a4in?`0000000000O6Ee?k`56D:kX;]3900002@00034CWho
00000000001lIGDo_0DI@[^P^d<400008`0002000034CWho00000000001lIGDo_0DI@[^P^d<T0000
90000<A>OSl00000000007aUMCnl1AU2^j2k@`@0000S000080000;4?SD800000000001H9RT6l1AU2
^j2k@b@0000T0000/@n=@P00000000005PV:@K`56D:kX;]3100002<0000P0000/@n=@P0000000000
5PV:@K`56D:kX;]3900002@0002a3he200000000000F2HY1_0DI@[^P^d<400008`0002000034CWho
00000000001lIGDo_0DI@[^P^d<T000090000<A>OSl00000000007aUMCnl1AU2^j2k@`@0000S0000
80000<A>OSl00000000007aUMCnl1AU2^j2k@b@0000T0000a4in?`0000000000O6Ee?k`56D:kX;]3
10000180000<00000@0001T0000<0000oooo01H0000<00006@0002<0000P0000a4in?`0000000000
O6Ee?k`56D:kX;]3900002@00034CWho00000000001lIGDo_0DI@[^P^d<400008`0002000034CWho
00000000001lIGDo_0DI@[^P^d<T000090000<A>OSl00000000007aUMCnl1AU2^j2k@`@0000S0000
80000<A>oS`00000000007aUmCbl1AU2^j2k@b@0000T0000a4kn?00000000000O6Ge?;`56D:kX;]3
100002<0000P0000a4kn?00000000000O6Ge?;`56D:kX;]3900002@00034C_hl00000000001lIODl
_0DI@[^P^d<40000600000`0000000006`000100003d0000h`400580001`0@000`0002;oool00000
00000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
0000000000000000000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5
@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D0
0@@0080mo`@002P086oo17X0003@nO`4000X000000000000L>DU0044000002P0P3go173U9@3h<T=g
9c=3Me6^?7l00000[58X0000:02@=BP0000005@5:02@=BP0000X06Pf:01E5P13l>@U0?CT9@13Eiee
m>@U07YGWGGhXOl42>DU04=GWGD8iBD0NUNMMABRo`A0m?`46`0006Af00P000009@0000`000030000
E0000600000^0000P04004@000260@000@00078LSCmEEHdo0000000000030000C000000000000000
00000?ooooooooooE00006d0H@1h05/gZ@000640002l0@006`000100000M1000P0400580001`0@00
1000083nool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640
KP00000000000000000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D0
0@@00140BP0;0O<086oo17X0003@nO`4000X0180A`0;0O<0L>DU00440030MBP0P3go10`0003h<T=g
000002P==P2`LRP0b7<X0<QUo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000:[jo0@000002>DU04=GWGD8iBD0NUNMMABRo`A0m?`46`000000000002P0003l16Pf:03/i2D0
4@1:00/1l`1jEieeU:?o143do0BXXol42>DU04=GWGD8iBD0NUNMM@2To`A0m?`46`0006Af00P00000
9@0000`000040000:00000`000030000E000070000170000M`4007`000250@000@00078LSCmEEHdo
0000000000060000C00000000000000000000?ooooooooooF0000300;P0b03D0L01e0<00001P0000
`00000h10030000000<001/0000@0000AP000801001B0000L04000<00020o_oo0000000000000000
T040004000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
000000000000000000000000=@1`07D000000:@1:00002P0/78X0<Qc:00i01H0A@6`00000004i2D0
T3DX03SU9@0j01X0A@6`0?kooolf8D=g`7DX0000000H00006:Wl100000183CH0/78X0<ac:00HZO`4
47LX01/00004i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00000Dno`400000000:0000000
WgF2MAMDA66Z=`[M6:Wl142AX7D00000000X0000o0BXi2D0ZSL:gCT05P150K00HlGS5?kooonOMH9e
X:Go10SU9@13Eiee2>DU07YGWGD8Y_l4@?Cl11/0001TMP08000002D0000<00000`0002P0000<0000
100005@0001D0000:00007L1000o0000Q@400040001b78doEEF=?`00000000000@0004`000000000
00000000003ooooooooooe00001@06=U00<001/0000@0000m`800801001B0000L04000@00020o_oo
0000000000000000T040000000870P0@D`1i06d0HP1_06`000000000000000000000000000000000
0000000000000000000000000000000000000000@gNY[cao000009@1:00002P0/78X0<ac:00Q03`0
e@2c01/00004i2D00@0003SU9@0R03X0e@2c0?kooolf8D=g`7DX000000040000f:Sl1000002X33H0
/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`000026no`4
00000000:0000000WgF2MAMDA66O=`X=f:Sl142AX7D00000000X0000<`2Xi2D0WcL:3B40?03E0;<0
HlGS5?kooonOMH9eZ:Oo10SU9@13Eiee2>DU07YGWGGdYol4@?Cl11/0001TMP08000002D0000<0000
100002P0000<00000`0005@0001D0000?P0007L1001E0000Q@400040001b78doEEF=?`0000000000
0@0004`00000000000000000003ooooooooooe00000ml1P000<00580001`0@000`00010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@00000000000000000000000000000000000000
000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0a7<X0240?03F0;<0
@96PM@CT9@010000>>DU0280>P3F0;<0o_ooocHQ@gO0MBP0000000@0000HZO`400000:P<=P2`LRP0
a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000>[ko0@00000
000X0000002OMH9e5eA4HJXg2]hHZO`4@96PM@00000002P0000c0:ST9@2Z=`[N8@0l0=H0/`1SaN<D
o_oooimePWG@TC<00@000:2C<`04iBD0=ai3Mn[ko0BXTc<0000006Af00P000009@0000`000030000
:00000`0000400009@0000`0000700209@0000`000000020DP00070100040000400000L000000000
00000;`2000000001`828U<0N@1c07@0I@1]0000]:800000k0:mW@00000000000000000000000000
00000040002@X8Z2d;^dXYOR000003mg001J2?kooolf8D=gdAm3M`00003Zno`400000000:0000000
WgF2MAMDA66Z=`[N6:Wl142AX7D0000000000000:03hZ?`4ZSL:gR40?00h01h0C@6`0?kooonOMH9e
d94c042Xo0@10000l:Sl1=CN9@0g7T=gn:Sl10002X800000l:Sl11cO9@29MH9e0=lU04=GWGD0gbD0
NUNMMI1ohP9@dO`49@0000000@34k`405=lU0;5HWGD00000FcLQNaT0/04dgbD0^GJMME/g8G/00020
9@0005/g8G/00040402@0EcO9@3?m9aeFcLQNa00T04U0000I7H02000000U0000300000@0001;0000
4000000000050000:00000`000030000AP0001@000080000AdA9@`<0000R000030000?oooolR0000
30000?oooolU0000300000d0080X0000300000D0000X0000300000@0000R000030000?oooom60000
?0l0030?0015CDH[;40002@0000H0000[d^X?`0008000020g>bQ?cdGBd:/K?Y3:T0002@0000H0000
0020?`00000000000020?`000000000024041J@>002H3P000Q30f`8000030000R0h00040001/0000
0P000000001F00004000000000000000b0T007/2000PADe6000108P>000X00000`00000000000000
00000:0500240`00o04003h10000000000000000001P`0L0?=P404H0003/0`00gP<004M4BD<10020
00<004HlMfd00000aP<000402@000n<100020:00000000D000020@40000500000@;oool01@0002h1
6@0000D0000;0P000005000030900^082`0002H63`0<04eQM6QDNG1U001P0180000V1Pl06P3ooooo
000@0000`?ooojKooonP2000iP4000D000090P000085000050;S0O@070000?/28_l00000002@0@00
00000P0@E6U]IG<PCVEg859_KF5^08Ca4P2ZBN9e@97UMFX@IRT40000;@4000`0000b2P0000030000
KF5h]:T0H@2l0@D0000D0X017@@L0000n`:0oP000000090100000002011DJFeULb1>IGLPDVm]HFh0
Q?4B0:Y9hWE0TNEeJQ1V:@@0000]0@4010000?01000@0000<PX000001P00030^<SE`ML00H03000h1
`0000`D0000D0X01AP0L0000n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9
hWE0TNEeJQ1V:@@0000]0@0010000?010@090000<PX000000@00051i00<5000050:00OL270000?/2
P?h00000002@0@0000400P0@DgU]HVm/07Gh30[B<2Df08Ca4P2ZBN9e@97UMFX@IRT40000;@4100@0
003`0@002@00038:00000040000mN@03X00002H63`0e0D5`L7==AT=30@0>0@003P4004AULfUWKR1C
HfUUKV=U;219KV<^00D100H5A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1B
KfeQKP0A0e=iKF9_K00A1D=_MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN
@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?
30400@010P820P0200410@03004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:
0PB6?@0m0P28<002088^0080R3800P28=@0209P4k`80PG000P21M@00000:00009PH?00X0ooooo`40
000001`0003k0Q001`000000_08000000@828U=iLgAUK@0YJQ1V:@002P0h08X100000000002hna80
100002d100040000l04100<0000000004@0000`0000800002`000100001700004P0000T0000@0000
A`000180000B000030000040000I000030000?ooo`0F0000300001T0000:00004000000000000000
2@000100003P2000@08001P0000<000000000Q/0000@0000m0000><1001B0000L0400040000Roooo
0000000000000000T040000000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
000000000000000000000000000000000000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=g
X>[41D3T9@1:cAmM0@000040002@j/@5]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5
S>@U00440020?Ol4000X021_o`Aj0000d?Wl1000:00000000000073U9@011000000X080mo`A`iBD0
n393MbLc@gMA[Sao00000:aB:00002P0T3DX0000001D1BP0T3DX0000:01X=RP0Pa@0Uo3T9@3di2D0
@eNMMOCT9@1jEieeR;3o10SU9@13Eiee2>DU07YGWGFT/?l4@?Cl11/0001TMP08000002D0000<0000
0@0005@0001P0000200000T0000N000040000040001b78doEEF=?`00000000000`0004`000000000
00000000003ooooooooooe@0001]0640N03`2ZT0001Q0000_04001/0000@00007@@00801001B0000
L04000800020o_oo0000000000000000T040000000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0
K@1Q06h0000000000000000000000000000000000000000000000000@gNY[cao000009`1:00002P0
S>@U0044000?05003`7c021_o`Aj0000d?Wl1000:00@04d03`7c073U9@011000`7DX080mo`@<0000
n393M`00000X3CH0/78X0<Qc:03hIO`4Z7HX00000004i2D0T3DX03SU9@1]e3mg001J2?kooolf8D=g
dAm3M`00002Zn_`4000000SU9@13Eiee2>DU07YGWGFT/?l4@?Cl11/000000000000X0000o0AX=RP0
k>@U00l0D00?0O<0NUNMMBBbo`A0m?`4>;;o10SU9@13Eiee2>DU07YGWGF@/_l4@?Cl11/0001TMP08
000002D0000<00000P0002P0000<00000@0005@0001`00008@000000001F00003P000040001b78do
EEF=?`00000000001P0004`00000000000000000003ooooooooooeP0000`02h0<P0e0700M@300000
H0000<00000>0@00`0000003000K0000400004H000200@00DP00070100010000P?koo`0000000000
0000090100010000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
000000000000000000000000000003D0L01e0000002T0BP0000X0;1b:038LbP0>@0B0581/0000000
1>@U090e:00hiBD0>P0F0581/03noooo=R53Ml1e:000000060000?RXo0@00000B0df0;1b:03<LbP0
n:Sl111g:00K00001>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL000005?_l1000000002P0
000009mePWDGE4AQUCL:=ORXo0A0TJ1e00000000:0000?`4Z>@U09Dg2SDi0180DP6`06?5haCnoooo
WgF2MC2do`@8iBD0@eNMM@SU9@1jEieeV;Co143do0@K0000I7H02000000U000030000040000X0000
30000080001D0000E0000080000000006@0000h000010000LQb=?eEESCl0000000000040001<0000
0000000000000000oooooooooom@0000D0000003000K000040000?L200200@00DP00070100020000
P?koo`00000000000000090100000002008045<0N@1]0680K`1/0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:03<LbP0
8@0l0=L0/`0K00001>@U0040000hiBD08P0j0=L0/`3noooo=R53Ml1e:0000000100001RYo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
Q__l1000000002P0000009mePWDGE4AQI3L:MARYo0A0TJ1e00000000:00003<0Z>@U06@g2WDQ03`0
e`2c06?5haCnooooWgF2MCRfo`@8iBD0@eNMM@SU9@1jEieeQ;Ko143do0@K0000I7H02000000U0000
30000080000X000030000040001D0000E00001P000000000;`0000h000010000LQb=?eEESCl00000
00000040001<00000000000000000000oooooooooom@0000?O000003001B0000L0400040000@0000
1`00000000000000_080000000010P8RD`1i07<0M01U06d000000000000000000000000000000000
0000000000000000000000000000000000000000@gNY[cao000009@1:00002P0/78X0<Ac:00Q03`0
f02c042AX7D4i2D00@0003SU9@0R03X0f02c0?kooolf8D=g`7DX000000040000n:Sl1000002X33H0
/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00003Zno`4
00000000:0000000WgF2MAMDA66E=`Xfn:Sl142AX7D00000000X0000<`2Xi2D0UCL:=R40?03H0;<0
HlGS5?kooonOMH9ed94c0040002PTc<01>DU03LN@gOZno`4Z9<c0000001TMP08000002D0000<0000
0@0002P0000<00000P0002D0000<00001`00P2D0000<00000000P300000<00003`00P2D0000<0000
3@00P4/0000@0000000000D0000X000030000040000>000050000000000@0000500001]010100000
=0000?ooool20000000000000023mHm21lJG@@<0002IGVa2F=T6@e>k6D=Hf@I3VEi/@UOI7T<Q0000
20000680000<00000@000240000800008@0000P0000S000080000387@3l00000000005No?cl00000
000002@0000T0000<PM0?`0000000000Eklo?`0000000000100001`0000800009@0000`000000020
9@0000`0000700209@0000`0000>00206@0000`0003oool0600000`0000000004P0000`000020000
4`0000`000010000500000`0000=00005@0000`0000100005P0000`0000000003@00010000000000
000003X0000<00002P0001/0000@000000000000000S00008000032JNcl00000000007aUMCno1SA2
cS_:@R@0000T0000<9Yk?`0000000000O6Ee?kl6=4;>>lY2100002<0000P0000<9Yk?`0000000000
O6Ee?kl6=4;>>lY2900002@0000`VW/o00000000001lIGDo_`Hd@/hkbT8400008`000200000`VW/o
00000000001lIGDo_`Hd@/hkbT8T00009000032JNcl00000000007aUMCno1SA2cS_:@P@0000=0000
400003`000270000DP00070100040000400000L00000000000000;`2000000001`828U<0N@1c07@0
I@1]0000]:800000k0:mW@0000000000000000000000000000000040002@X8Z2d;^dXYOR00000=Qe
><GLMOcS9@2Ho_`4^?kl19cN9@0;]9aeN18c0=RHX7EK=b5k8P2:0E1Q<P000000c=hU03JcW7D<YYae
]jFLMJHg8I@60000@96PM@80000000000001004000040000G000000000040000;=lU02R1W7E6PIae
YSLQU0000000000001000000003lhbD00@000:RC<`00000000000?ooool04000ooooo`0000000000
0000000000000000I=lU09lJQgFV=b6D0000000000004000J1<c0?cS9@010000Z9<c000000010000
o><U08CO9@13EieeI7H02000000U0000300000@000160000:00001`00017A4U30P00000000000000
A`000180000000008`000200000`VW/o00000000001lIGDo_`Hd@/hkbT8T00009000032JNcl00000
000007aUMCno1SA2cS_:@P@0000S00008000032JNcl00000000007aUMCno1SA2cS_:@R@0000T0000
<9Yk?`0000000000O6Ee?kl6=4;>>lY2100002<0000P0000Qhn;@P00000000005PV:@Kl6=4;>>lY2
900002@00027Sh]200000000000F2HY1_`Hd@/hkbT8400008`0002000027Sh]200000000000F2HY1
_`Hd@/hkbT8T0000900008N?Rd800000000001H9RT6o1SA2cS_:@P@0000S00008000032JNcl00000
000007aUMCno1SA2cS_:@R@0000T0000<9Yk?`0000000000O6Ee?kl6=4;>>lY2100002<0000P0000
<9Yk?`0000000000O6Ee?kl6=4;>>lY2900002@0000`VW/o00000000001lIGDo_`Hd@/hkbT840000
4P0000`0000100006@0000`0003oool05P0000`0000I00008`000200000`VW/o00000000001lIGDo
_`Hd@/hkbT8T00009000032JNcl00000000007aUMCno1SA2cS_:@P@0000S00008000032JNcl00000
000007aUMCno1SA2cS_:@R@0000T0000<9Yk?`0000000000O6Ee?kl6=4;>>lY2100002<0000P0000
<9[k?00000000000O6Ge?;l6=4;>>lY2900002@0000`V_/l00000000001lIODl_`Hd@/hkbT840000
8`000200000`V_/l00000000001lIODl_`Hd@/hkbT8T00009000032Jnc`00000000007aUmCbo1SA2
cS_:@P@0000H000030000000000K000040000?@0003S0@00DP000701000500008_ooo`0000000000
00000901000000001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
00000000000000000000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0mbm3Mj3Za0E0i2D0
B/dOG@4000010000T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5^>[41HcT9@011000
P3go1000:00PKol4NP000=3io0@002P000000000001`iBD00@@00000:020?Ol4L>DU0?Pb@gLW<d=g
DJhlO`00002/DRP0000X090e:0000000E0DX090e:00002P0J3HX08<D09O`i2D0m>@U04=GWGGdi2D0
NUNMMHR`o`@8iBD0@eNMM@SU9@1jEieeY;3o143do0@K0000I7H02000000U0000300000D0001D0000
H00003D0001^0000BP0007@000010000LQb=?eEESCl00000000000<0001<00000000000000000000
oooooooooomD0000K@1Q07P06@2Y0000H@000;`1000K0000400001d400200@00DP00070100030000
P?koo`000000000000000901000000001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
0000000000000000000000000000000000000000000004=gZJllO`00002L0BP0000X08cT9@011000
3`1@00l1l`0PKol4NP000=3io0@002P0401=00l1l`1`iBD00@@00<1e:020?Ol430000?Pb@gL00000
:0df0;1b:038LbP0n6Gl1:Qf:00000001>@U090e:00hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
Z_[l10000008iBD0@eNMM@SU9@1jEieeY;3o143do0@K000000000000:0000?`4J3HX0>cT9@0?0500
3`7c07YGWGDT/_l4@?Cl13Rbo`@8iBD0@eNMM@SU9@1jEieeT;;o143do0@K0000I7H02000000U0000
300000<0000X0000300000D0001D0000L00004d0001U0000P@0007<000010000LQb=?eEESCl00000
000000H0001<00000000000000000000oooooooooomH0000<00^0380=@1`07D0`000060000300000
3P400<0000000`006`00010000160000P0400580001`0@001@00083nool0000000000000002@0@00
0@0000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
0000000000000000000e0700M@000000Y04X0000:02`LRP0b7<X03T04P1B0K00000000CT9@2@=BP0
>>DU03X05P1B0K00o_ooocHQ@gO0MBP0000001P0003hZ?`4000004P==P2`LRP0c7<X0?RXo0@@MbP0
6`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000001Cko0@00000000X0000002OMH9e
5eA4HIDg2SGhZ?`4@96PM@00000002P0003l1:ST9@2E=`Xe>@0B0581/01SaN<Do_oooimePWD`]?l4
2>DU04=GWGD8iBD0NUNMMIRdo`A0m?`46`0006Af00P000009@0000`000050000:00000`000030000
E00005@0000_0000I@0004H0001c00000@00078LSCmEEHdo0000000000010000C000000000000000
00000?ooooooooooD00005002@000`006`000100003g0P00P0400580001`0@000`00083nool00000
00000000002@0@0000000PL2011C07T0K@1R06l0K000000000000000000000000000000000000000
000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0c7<X0240?03G0;<0
6`0000CT9@010000>>DU0280>P3G0;<0o_ooocHQ@gO0MBP0000000@0000HZO`400000:P<=P2`LRP0
a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000008Kko0@00000
000X0000002OMH9e5eA4HF@g2WDHZO`4@96PM@00000002P0000c0:ST9@1T=`Ye8@0l0=L0/`1SaN<D
o_oooimePWDh]_l42>DU04=GWGD8iBD0NUNMMHBfo`A0m?`46`0006Af00P000009@0000`000030000
:00000`000050000E00005@000140000I@0005/0001c00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD00003g`ool00`00DP00070100050000400000L000000000
00000;`2000000001`828U<0N@1c07@0I@1]00000000000000000000000000000000000000000000
000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP08@0l0=P0/`10TJ1e
1>@U0040000hiBD08P0j0=P0/`3noooo=R53Ml1e:000000010000?RXo0@00000Z0`f0;1b:034LbP0
Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000j__l1000000002P0
000009mePWDGE4AQUCL:=_RXo0A0TJ1e00000000:00003<0Z>@U09Dg2SHQ03`0f02c06?5haCnoooo
WgF2MM2A<`010000X9<c00CU9@0g7T=gj__l1:RC<`000000I7H02000000U0000300000D0000X0000
300000<0000U0000300000L0080U000030000000081B0000L04000<0000@00001`00000000000000
_080000000070P8RD`1i07<0M01U06d0002dXP00003/0[fM00000000000000000000000000000000
0@00092PRX;@^kBRUn800000?gL005X8o_ooocHQ@gOA7d=g00000>[ko0@00000000X0000002OMH9e
5eA4HIDg2SKhZ?`4@96PM@0000000000000X0=RXo0BE=`Xf8@0l03P07P1J0K00o_oooimePWG@TC<0
@:Sl1040003@Z?`4e=hU03LN@gOHZ?`4000:[000003@Z?`47=lU08UePWD0gbD0@eNMM@3O9@1jEiee
T9kR0U3Ao0@U000000010<@>0P0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYeeFcLQN`00080U0000
FcLQN`000@0@0901G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<00000`0004/0000@0000
000000D0000X0000300000D000160000500000P00017A4U30`000280000<0000ooooob80000<0000
ooooobD0000<00003@00P2P0000<0000100002P0000<00000`000280000<0000ooooodH0000l3`00
<0l004E=AR//@000900001P0002_BjPo0000P000083Zk:4oVEi/@USI1T<Z@000900001P00000080o
000000000000080o000000000008@0@5Y0h009P>00024<3K0P0000<000283P000@0006`000020000
000005H0000@00000000000000382@00N`800215CDH00040R0h002P0000300000000000000000000
X0D008@3003l0@00?P40000000000000000006301`0lf0@0AP000>`3003N0`00AdA9@`4008000`00
PJb2O00000360`000@090003h`400080X00000001@0000810@0000D000010_ooo`050000;P4I0000
1@0000/2000000D0000<0T02h0P;00009PH?00`0CF5dJ5AiL6D006004P0002H63`0J0?ooool00100
0030ooooY_oooj08003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`000000090100000002
011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeJQ1V:@@0000]0@003000038:000000<0001]HGRd
Z@1Q0;`11@0001@2P04M11`0003k0X3n00000000T0400000008045AYKFEc84iUMb1BKfeQKP24lA80
ZTWRMD2AiGEZ46HY100002d10@040000l0400100000b2P0000060000<2hb=G1e`01P0<003P700003
1@0001@2P05601`0003k0X3n00000000T0410000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2A
iGEZ46HY100002d100040000l04100T0000b2P0000010000D7T00`D0000D0X01m`8L0000n`:0oP00
0000090100000@02011CNFeRKf`0MOP<2]8`9CH0Q?4B0:Y9hWE0TNEeJQ1V:@@0000]0@4010000?01
00090000<PX000000@0003ei00>P00009PH?03D1@G1`Lde6@d<100h1000>0@00A6EcJFM^85=SJFE^
HfD/84U^Hbh01@401PE4DdeD=P004eMYKT5/K49QLfUS@fmTIE1QIfEc0145E6U]IG<PCVEg859_KF5^
0143DgU]HVm/0145@fmeLVUULR1>IGL04@A=E215N7AbH@0B00PQ;dF?A2m1D?@@3dMO@E3b7ai1D?@E
3d40m4Gd9OB?@Um10?@@3d=O@@3dSdGd:Um8m8m10?@@3d3dSd5oB?@@3d4ZGdAOAOAOAOAO@@l<0@01
00420P8200800@4100<00@04000:0@0208=@00<06`002`400P:2K@02089Q0080PWP0004100X218Hm
03d208P`0080PRh00P28<P0208Pe0080V0C_0P21L002085e000000X0000V1Pl02P3ooooo0@000000
70000?/240070000002l0P0000010P8RDgUcM6E]02UZ46HY000:03P0RP40000000000;Sk4P040000
;@4000@0003`0@400`000000000A0000300000P0000;0000400004L0000B00002@00010000170000
4P000180000<00000@0001T0000<0000oooo01H0000<00006@0000X0000@00000000000000090000
40000>0800100P00600000`0000000026`000100003d0000h`400580001`0@000@0002;oool00000
00000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
0000000000000000000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5
@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D0
0@@0080mo`@002P086oo17X0003@nO`4000X000000000000L>DU0044000002P0P3go173U9@3h<T=g
9c=3Me6^?7l00000[58X0000:02@=BP0000005@5:02@=BP0000X06Pf:02a4P2Sl>@U0?CT9@13Eiee
m>@U07YGWGDH_ol42>DU04=GWGD8iBD0NUNMMCBoo`A0m?`46`0006Af00P000009@0000`000010000
E0000600000800002@0001h0000@00000@00078LSCmEEHdo0000000000030000C000000000000000
00000?ooooooooooE00006d0H@1h0000Z@000640002l0@006`000100000M1000P0400580001`0@00
0P00083nool0000000000000002@0@0000000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640
KP00000000000000000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D0
0@@000d0EP0C0O<086oo17X0003@nO`4000X00h0D`0C0O<0L>DU00440030MBP0P3go10`0003h<T=g
000002P==P2`LRP0b7<X02QVo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000:[jo0@000002>DU04=GWGD8iBD0NUNMMCBoo`A0m?`46`000000000002P0003l16Pf:03/i2D0
3@1F01<1l`1jEiee]<3o143do0C8`?l42>DU04=GWGD8iBD0NUNMMB31o`A0m?`46`0006Af00P00000
9@0000`000020000:00000`000010000E0000700000Q0000000005H0000>00000@00078LSCmEEHdo
0000000000060000C00000000000000000000?ooooooooooF0000300;P0b03D0L01e0<00001P0000
`00000h10030000000<001/0000@0000AP000801001B0000L04000400020o_oo0000000000000000
T040004000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
000000000000000000000000=@1`07D000000:@1:00002P0/78X0<Qc:00i01X0G`6`00000004i2D0
T3DX03SU9@0j0180G`6`0?kooolf8D=g`7DX0000000H0000f:Sl100000183CH0/78X0<ac:03HZ?`4
47LX01/00004i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00000Dno`400000000:0000000
WgF2MAMDA66;=`Y3f:Sl142AX7D00000000X0000o0BXi2D0RcL:@cT06P1O0K00HlGS5?kooonOMH9e
`<;o10SU9@13Eiee2>DU07YGWGDX`ol4@?Cl11/0001TMP08000002D0000<00000@0002P0000<0000
0P0005@0001D00000P000000000I00003P000040001b78doEEF=?`00000000000@0004`000000000
00000000003ooooooooooe00001@080m00<001/0000@0000m`800801001B0000L04000800020o_oo
0000000000000000T040000000800P0@D`1i06d0HP1_06`000000000000000000000000000000000
0000000000000000000000000000000000000000@gNY[cao000009@1:00002P0/78X0<ac:00Q03`0
f@2c01/00004i2D00@0003SU9@0R03X0f@2c0?kooolf8D=g`7DX000000040000n:Sl1000002X33H0
/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`000026no`4
00000000:0000000WgF2MAMDA66/=`[Wn:Sl142AX7D00000000X0000<`2Xi2D0[3L:ib40?03I0;<0
HlGS5?kooonOMH9eb<Co10SU9@13Eiee2>DU07YGWGDDaOl4@?Cl11/0001TMP08000002D0000<0000
0P0002P0000<00000@0005@0001D000060000000000_00003P000040001b78doEEF=?`0000000000
0@0004`00000000000000000003ooooooooooe00000ml4HF00<00580001`0@000@00010000070000
00000000002l0P00000000420R9C07T0L`1d06D0K@00000000000000000000000000000000000000
000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0a7<X0240?03J0;<0
@96PM@CT9@010000>>DU0280>P3J0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`400000:P<=P2`LRP0
a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000>[ko0@00000
000X0000002OMH9e5eA4HHhg2PCHZ?`4@96PM@00000002P0000c0:ST9@2>=`X48@0l0=X0/`1SaN<D
o_oooimePWG@TC<00@000:2C<`04iBD0=ai3Mn[ko0BXTc<0000006Af00P000009@0000`000010000
:00000`0000200009@0000`0000700209@0000`000000020<00000`0000?00209@0000`0000=0020
B`000100000000001@0002P0000<00000@0000h0000D000000000100000D00006d040400000d0000
ooooo`8000000000000008?eSd87aYM10`0007>a<DB/K?e3GEY9A:a/oD=c/C54EKH4A24000080000
HP0000`0000100008@0000P0000Q0000200002<0000P0000<PM0?`0000000000Eklo?`0000000000
900002@0000b1d0o00000000001G_clo0000000000040000700000P0000U000030000000080U0000
300000L0080U0000300000h0080I000030000?ooo`0H000030000000000B000030000080000C0000
30000040000D0000300000d0000E000030000040000F000030000000000=00004000000000000000
>P0000`0000:00006`00010000000000000002<0000P0000a4in?`0000000000O6Ee?omD1DCigke3
900002@00034CWho00000000001lIGDooe@5A?WO_D<400008`0002000034CWho00000000001lIGDo
oe@5A?WO_D<T000090000<A>OSl00000000007aUMCooE0E4nMnm@`@0000S000080000<A>OSl00000
000007aUMCooE0E4nMnm@b@0000T0000a4in?`0000000000O6Ee?omD1DCigke3100000d0000@0000
a`800?/1001B0000L04000<0000@00001`00000000000000_080000000070P8RD`1i07<0M01U06d0
002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBRUn800000f7DhaMae
o><U09Sno0Bho_`4W=hU00^dW7Eh4S<0f9RPME/g8G/R08X1F64b0000003<gRD0=[>LM@bVW7FgYIae
ZCLQ:`H00010TJ1e0P000000000000400@0000@0001L0000000000@0000/gbD0:86LMDJ1W7FY=b4[
000000000000400000000?cS9@010000Z9<c000000000000ooooo`0@003ooooo0000000000000000
00000000001TgbD0WaZ7MJTg8B/000000000000@001X4c<0o><U0040002XTc<000000040003lhbD0
Q=lU04=GWGETMP08000002D0000<00000`0004H0000X0000700004M4BD<200000000000000170000
4P000000000S000080000<A>OSl00000000007aUMCooE0E4nMnm@b@0000T0000a4in?`0000000000
O6Ee?omD1DCigke3100002<0000P0000a4in?`0000000000O6Ee?omD1DCigke3900002@00034CWho
00000000001lIGDooe@5A?WO_D<400008`000200002a3he200000000000F2HY1oe@5A?WO_D<T0000
90000;4?SD800000000001H9RT7oE0E4nMnm@`@0000S000080000;4?SD800000000001H9RT7oE0E4
nMnm@b@0000T0000/@n=@P00000000005PV:@OmD1DCigke3100002<0000P0000a4in?`0000000000
O6Ee?omD1DCigke3900002@00034CWho00000000001lIGDooe@5A?WO_D<400008`0002000034CWho
00000000001lIGDooe@5A?WO_D<T000090000<A>OSl00000000007aUMCooE0E4nMnm@`@0000B0000
30000040000I000030000?ooo`0F0000300001T0000S000080000<A>OSl00000000007aUMCooE0E4
nMnm@b@0000T0000a4in?`0000000000O6Ee?omD1DCigke3100002<0000P0000a4in?`0000000000
O6Ee?omD1DCigke3900002@00034CWho00000000001lIGDooe@5A?WO_D<400008`0002000034C_hl
00000000001lIODloe@5A?WO_D<T000090000<A>oS`00000000007aUmCcoE0E4nMnm@`@0000S0000
80000<A>oS`00000000007aUmCcoE0E4nMnm@b@0000T0000a4kn?00000000000O6Ge??mD1DCigke3
100001P0000<0000000001/0000@0000m0000><1001B0000L04000@0000Roooo0000000000000000
T040000000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
00000000000000000000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=gX>[41D3T9@1:cAmM
0@000040002@j/@5]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5S>@U00440020?Ol4
000X021_o`Aj0000d?Wl1000:00000000000073U9@011000000X080mo`A`iBD0n393MbLc@gMA[Sao
00000:aB:00002P0T3DX0000001D1BP0T3DX0000:01X=RP0/A80Xo3T9@3di2D0@eNMMOCT9@1jEiee
6;oo10SU9@13Eiee2>DU07YGWGDd_ol4@?Cl11/0001TMP08000002D0000<0000100005@0001P0000
7@8008@1000c0P00RP400040001b78doEEF=?`00000000000`0004`00000000000000000003ooooo
oooooe@0001]0640N0010:T0001Q0000_04001/0000@00007@@00801001B0000L04000D00020o_oo
0000000000000000T040000000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
0000000000000000000000000000000000000000@gNY[cao000009`1:00002P0S>@U0044000=05H0
4`7c021_o`Aj0000d?Wl1000:00>05<04`7c073U9@011000`7DX080mo`@<0000n393M`00000X3CH0
/78X0<Qc:00XI_`4Z7HX00000004i2D0T3DX03SU9@1]e3mg001J2?kooolf8D=gdAm3M`00002Zn_`4
000000SU9@13Eiee2>DU07YGWGDd_ol4@?Cl11/000000000000X0000o0AX=RP0k>@U00d0EP0C0O<0
NUNMMKC0o`A0m?`4b<3o10SU9@13Eiee2>DU07YGWGDP`Ol4@?Cl11/0001TMP08000002D0000<0000
1@0002P0000<0000100005@0001`0000=P8007/1001[0P00R@400040001b78doEEF=?`0000000000
1P0004`00000000000000000003ooooooooooeP0000`02h0<P0e0700M@300000H0000<00000>0@00
`0000003000K0000400004H000200@00DP00070100040000P?koo`00000000000000090100010000
1`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^000000000000000000000000000000000000
00000000000003D0L01e0000002T0BP0000X0;1b:038LbP0>@0J05l1/00000001>@U090e:00hiBD0
>P0B05l1/03noooo=R53Ml1e:000000060000=RXo0@00000B0df0;1b:03<LbP0f:Sl111g:00K0000
1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL000005?_l1000000002P0000009mePWDGE4AQ
RcL:@mRXo0A0TJ1e00000000:0000?`4Z>@U08/g2T<i01X0G`6`06?5haCnooooWgF2ML32o`@8iBD0
@eNMM@SU9@1jEiee:<?o143do0@K0000I7H02000000U0000300000@0000X0000300000D0001D0000
E00001P2001k0@00;`8008T100010000LQb=?eEESCl0000000000040001<00000000000000000000
oooooooooom@0000D0000003000K000040000?L200200@00DP00070100050000P?koo`0000000000
00000901000000021`8045<0N@1]0680K`1/00000000000000000000000000000000000000000000
000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:03<LbP08@0l0=T0/`0K0000
1>@U0040000hiBD08P0j0=T0/`3noooo=R53Ml1e:000000010000?RXo0@00000Z0`f0;1b:034LbP0
Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000Q__l1000000002P0
000009mePWDGE4AQ[3L:ioRXo0A0TJ1e00000000:00003<0Z>@U0:`g2^LQ03`0f@2c06?5haCnoooo
WgF2MLS4o`@8iBD0@eNMM@SU9@1jEiee5<Go143do0@K0000I7H02000000U0000300000D0000X0000
300000@0001D0000E00002d2001k0@00A08008T100010000LQb=?eEESCl0000000000040001<0000
0000000000000000oooooooooom@0000?O000003001B0000L04000@0000@00001`00000000000000
_080000000070P8RD`1i07<0M01U06d0000000000000000000000000000000000000000000000000
000000000000000000000000@gNY[cao000009@1:00002P0/78X0<Ac:00Q03`0fP2c042AX7D4i2D0
0@0003SU9@0R03X0fP2c0?kooolf8D=g`7DX000000040000f:Sl1000002X33H0/78X0<Ac:02XTc<0
@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00003Zno`400000000:0000000
WgF2MAMDA66>=`X4f:Sl142AX7D00000000X0000<`2Xi2D0SSL:1240?03J0;<0HlGS5?kooonOMH9e
d94c0040002PTc<01>DU03LN@gOZno`4Z9<c0000001TMP08000002D0000<0000100002P0000<0000
1@0002D0000<00001`00P2D0000<00000000P580001`0@001@0001000007000000000000002l0P00
000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id0000000000000000000000000000000010000
T:2:P]2k]::GhP00000oM`00FPSnoooo=R53Mm4O@gL00000j__l1000000002P0000009mePWDGE4AQ
SSL:1=RXo0A0TJ1e00000000000002P06:Wl18hg2P@Q03`0>00N06L1/03nooooWgF2MM2A<`10Z?`4
0@00012Yo0CDgRD0=ai3MaRYo0@000Yo0000012Yo0@LgbD0RGF2M@3O9@13Eiee0=lU07YGWGF@_N82
D=7l12D000000040a2d201CO9@2aF9ee000005/g8G/I0;01==lU0;UfWGEK=b5k0000P2D0001K=b5k
00010100T05LgbD0coBLME/g8G/@09019@0006Af00P000009@0000`000050000B`00010000000000
1@0002P0000<0000100004H0000D0000200004M4BD<300008P0000`0003ooooo8P0000`0003ooooo
9@0000`0000=0020:00000`000030000:00000`0000500008P0000`0003oooooAP0003`?000`3`00
ADe6:ba0000T000060000:a;Z3l000200000P=c/XCmc/C54[6cm@bY0000T000060000000P3l00000
00000000P3l00000000000Q010FT3P00V0h0008@`=/200000`0008P>00010000K000008000000000
EP0001000000000000000<P9001k0P0084E=AP000@283P00:00000<00000000000000000002P1@00
Q0<00?`1000n0@000000000000000000H<0703cH10160000k0<00=h30017A4U30@00P003001L6cHZ
00000<H3000100T000?S0@000P2P0000000500000P4100001@000042oooo00D0000^0AT000050000
2`8000001@0000`2@0;P20/0000V1Pl0301=HGAXE7U`I@00H00B00009PH?01X0ooooo`0040000<3o
oonVooooX0P00>H1000500002@8000021@0001@2h`7d01`0003k0R;o00000000T0400000008045AY
KFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGEZ46HY100002d1000<0000<PX000000`0006eQN;BY0640
_045000050:00Ad470000?/2P?h00000002@0@0000000P0@E6U]IG<PCVEg859_KF5^08Ca4P2ZBN9e
@97UMFX@IRT40000;@4100@0003`0@004000038:000000H0000`;S8eL7G00600`00>0L0000<50000
50:00DH070000?/2P?h00000002@0@4000000P0@E6U]IG<PCVEg859_KF5^08Ca4P2ZBN9e@97UMFX@
IRT40000;@4000@0003`0@402@00038:00000040001@N@031@0001@2P07g0Q`0003k0X3n00000000
T0400001008045=iKF9_K01en0`:dS0U=P24lA80ZTWRMD2AiGEZ46HY100002d10@040000l04000T0
000b2P0000010000?GT00j00000V1Pl0=@51L71cCDI3@`403P4000h10014IG=YIfhPDf=YIFiSIB`P
BFiS;P050@061DACCE@f000CEfU^@Fa/@V5cJF=3KfAUD65WIG<04@EDJFeULb1>IGLPDVm]HFh04@=C
NFeRKf`04@E3KgEbJFEb84iUM`0A14eD84EhM79Q0180224_AHm4;d5@m10?Aem1D?8O7T5@m1D?@@3d
AO@Um8m2Gd40m10?@em10?B?AO@ZGdSdSd40m10?@?B?@Gm8m10?@BYOA5m5m5m5m5m13``100400@82
0P800P010@400`0100@000X10080Pe000`0K000;0@020X9]0080PV400P22N0000@402P84QSd0?@80
R3000P22;P0208Pb0080R3D00P2H1>l2085`0080PGD000002P0002H63`0:0?ooool10000000L0000
n`8@00L000000;`2000000420R9CNG=dIFd0:FX@IRT000X0>02:0@0000000000^?/B00@0000]0@00
10000?010@03000000000140000<0000200000/0000@0000A`00018000090000400004L0000B0000
4P0000`0000100006@0000`0003oool05P0000`0000I00002P00010000000000000000T0000@0000
h0P00402000H000030000000008K000040000?@0003S0@00DP000701000100008_ooo`0000000000
0000090100000000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
00000000000000000000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0mbm3Mj3Za0E0i2D0
B/dOG@4000010000T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5^>[41HcT9@011000
P3go1000:00PKol4NP000=3io0@002P000000000001`iBD00@@00000:020?Ol4L>DU0?Pb@gLW<d=g
DJhlO`00002/DRP0000X090e:0000000E0DX090e:00002P0J3HX0=l@0<o`i2D0m>@U04=GWGGdi2D0
NUNMMJS=o`@8iBD0@eNMM@SU9@1jEieea<go143do0@K0000I7H02000000U000030000040001D0000
H00000P0000900007P00010000010000LQb=?eEESCl00000000000<0001<00000000000000000000
oooooooooomD0000K@1Q07P0002Y0000H@000;`1000K0000400001d400200@00DP00070100020000
P?koo`00000000000000090100000000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
0000000000000000000000000000000000000000000004=gZJllO`00002L0BP0000X08cT9@011000
2`1L01L1l`0PKol4NP000=3io0@002P0301I01L1l`1`iBD00@@00<1e:020?Ol430000?Pb@gL00000
:0df0;1b:038LbP0F6Kl1:Qf:00000001>@U090e:00hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
Z_[l10000008iBD0@eNMM@SU9@1jEieea<go143do0@K000000000000:0000?`4J3HX0>cT9@0;05`0
5`7c07YGWGE4col4@?Cl15S?o`@8iBD0@eNMM@SU9@1jEiee/<oo143do0@K0000I7H02000000U0000
30000080000X000030000040001D0000L000024000000000EP0000h000010000LQb=?eEESCl00000
000000H0001<00000000000000000000oooooooooomH0000<00^0380=@1`07D0`000060000300000
3P400<0000000`006`00010000160000P0400580001`0@000@00083nool0000000000000002@0@00
0@000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
0000000000000000000e0700M@000000Y04X0000:02`LRP0b7<X03T05P1/0K00000000CT9@2@=BP0
>>DU03X06P1/0K00o_ooocHQ@gO0MBP0000001P0000HZO`4000004P==P2`LRP0c7<X01RYo0@@MbP0
6`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000001Cko0@00000000X0000002OMH9e
5eA4HHHg2YPHZO`4@96PM@00000002P0003l1:ST9@26=`ZH>@0F06`1/01SaN<Do_oooimePWE@dOl4
2>DU04=GWGD8iBD0NUNMMKSAo`A0m?`46`0006Af00P000009@0000`000010000:00000`000020000
E00005@000020000000001T0000>00000@00078LSCmEEHdo0000000000010000C000000000000000
00000?ooooooooooD000050000000`006`000100003g0P00P0400580001`0@000P00083nool00000
00000000002@0@0000000P02011C07T0K@1R06l0K000000000000000000000000000000000000000
000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0c7<X0240?03K0;<0
6`0000CT9@010000>>DU0280>P3K0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`400000:P<=P2`LRP0
a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000008Kko0@00000
000X0000002OMH9e5eA4HJ`g2^[HZ?`4@96PM@00000002P0000c0:ST9@2/=`[Z8@0l0=/0/`1SaN<D
o_oooimePWEHdol42>DU04=GWGD8iBD0NUNMMJCCo`A0m?`46`0006Af00P000009@0000`000020000
:00000`000010000E00005@0000H0000000002l0000>00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD00003g`00000`00DP00070100010000400000L000000000
00000;`2000000000@828U<0N@1c07@0I@1]00000000000000000000000000000000000000000000
000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP08@0l0=`0/`10TJ1e
1>@U0040000hiBD08P0j0=`0/`3noooo=R53Ml1e:0000000100001RYo0@00000Z0`f0;1b:034LbP0
Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000j__l1000000002P0
000009mePWDGE4AQRSL:jARYo0A0TJ1e00000000:00003<0Z>@U08Xg2^TQ03`0g02c06?5haCnoooo
WgF2MM2A<`010000X9<c00CU9@0g7T=gj__l1:RC<`000000I7H02000000U000030000040000X0000
30000080000U0000300000L0080U000030000000080`0000300000l0080U0000300000d0081;0000
4000000000050000:00000`0000100003P0001@000000000400001@0000K@0@0@00003@0003ooooo
0P00000000000000PoF?@PO6Ud430000_[C<@ja/oD>D1_a3[6cm@kjdc4=E]PA48@0000P0001R0000
30000040000Q000020000240000800008`000200000b1d0o00000000001G_clo00000000000T0000
90000387@3l00000000005No?cl00000000000@0000L0000200002D0000<00000000P2D0000<0000
1`00P2D0000<00003P00P1T0000<0000oooo01P0000<000000000180000<00000P0001<0000<0000
0@0001@0000<00003@0001D0000<00000@0001H0000<0000000000d0000@000000000000000j0000
300000X0000K000040000000000000008`0002000034CWho00000000001lIGDo`lFI@oWO_D<T0000
90000<A>OSl00000000007aUMCo3aIU3nMnm@`@0000S000080000<A>OSl00000000007aUMCo3aIU3
nMnm@b@0000T0000a4in?`0000000000O6Ee?l?5VD?igke3100002<0000P0000a4in?`0000000000
O6Ee?l?5VD?igke3900002@00034CWho00000000001lIGDo`lFI@oWO_D<400003@000100002J0@00
n`400580001`0@001@0001000007000000000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR
00000>`2_Id0000000000000000000000000000000010000T:2:P]2k]::GhP00003HMCS5g7GlhbD0
V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1eFcLQNb80RP5PHC8000000<cN9@0f/iae3:JLMKNUW7F>=b46
1P00042AX7D20000000000000@010000100005`000000000100002cO9@0XPIaeAX6LMHhg8@H00000
0000000@00000000o><U0040002XTc<000000000003ooooo01000?ooool000000000000000000000
000006CO9@2O6XMeSSLQ1P0000000000010006PC<`3lhbD00@000:RC<`0000000@000?cS9@24gbD0
@eNMMFAf00P000009@0000`000050000AP0002P0000L0000AdA9@`8000000000000004L0000B0000
000002<0000P0000a4in?`0000000000O6Ee?l?5VD?igke3900002@00034CWho00000000001lIGDo
`lFI@oWO_D<400008`0002000034CWho00000000001lIGDo`lFI@oWO_D<T000090000<A>OSl00000
000007aUMCo3aIU3nMnm@`@0000S000080000;4?SD800000000001H9RT73aIU3nMnm@b@0000T0000
/@n=@P00000000005PV:@L?5VD?igke3100002<0000P0000/@n=@P00000000005PV:@L?5VD?igke3
900002@0002a3he200000000000F2HY1`lFI@oWO_D<400008`0002000034CWho00000000001lIGDo
`lFI@oWO_D<T000090000<A>OSl00000000007aUMCo3aIU3nMnm@`@0000S000080000<A>OSl00000
000007aUMCo3aIU3nMnm@b@0000T0000a4in?`0000000000O6Ee?l?5VD?igke310000180000<0000
0@0001T0000<0000oooo01H0000<00006@0002<0000P0000a4in?`0000000000O6Ee?l?5VD?igke3
900002@00034CWho00000000001lIGDo`lFI@oWO_D<400008`0002000034CWho00000000001lIGDo
`lFI@oWO_D<T000090000<A>OSl00000000007aUMCo3aIU3nMnm@`@0000S000080000<A>oS`00000
000007aUmCc3aIU3nMnm@b@0000T0000a4kn?00000000000O6Ge?<?5VD?igke3100002<0000P0000
a4kn?00000000000O6Ge?<?5VD?igke3900002@00034C_hl00000000001lIODl`lFI@oWO_D<40000
600000`0000000006`000100003d0000h`400580001`0@000`0002;oool0000000000000002@0@00
000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP000000000000000000000000000000
000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed10000
0@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D00@@0080mo`@002P0
86oo17X0003@nO`4000X000000000000L>DU0044000002P0P3go173U9@3h<T=g9c=3Me6^?7l00000
[58X0000:02@=BP0000005@5:02@=BP0000X06Pf:03O403?l>@U0?CT9@13Eieem>@U07YGWGFXcOl4
2>DU04=GWGD8iBD0NUNMMLC=o`A0m?`46`0006Af00P000009@0000`000030000E0000600000k0@00
Q0400541002:0@000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E00006d0H@1h00T0Z@000640002l0@006`000100000M1000P0400580001`0@001000083nool00000
00000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D00@@000/0G00G0O<0
86oo17X0003@nO`4000X00`0F@0G0O<0L>DU00440030MBP0P3go10`0003h<T=g000002P==P2`LRP0
b7<X05QVo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000:[jo0@00000
2>DU04=GWGD8iBD0NUNMMLC=o`A0m?`46`000000000002P0003l16Pf:03/i2D02`1L01L1l`1jEiee
A<oo143do0AHcol42>DU04=GWGD8iBD0NUNMMK3?o`A0m?`46`0006Af00P000009@0000`000040000
:00000`000030000E0000700001D0@00N`4008T100290@000@00078LSCmEEHdo0000000000060000
C00000000000000000000?ooooooooooF0000300;P0b03D0L01e0<00001P0000`00000h100300000
00<001/0000@0000AP000801001B0000L04000<00020o_oo0000000000000000T040004000070P0@
E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h00000000000000000000000000000000000000000
00000000=@1`07D000000:@1:00002P0/78X0<Qc:00i01H0K06`00000004i2D0T3DX03SU9@0j01X0
K06`0?kooolf8D=g`7DX0000000H00006:Wl100000183CH0/78X0<ac:00HZO`447LX01/00004i2D0
0@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00000Dno`400000000:0000000WgF2MAMDA666=`ZH
6:Wl142AX7D00000000X0000o0BXi2D0QSL:V3T05P1/0K00HlGS5?kooonOMH9eD=7o10SU9@13Eiee
2>DU07YGWGFhdOl4@?Cl11/0001TMP08000002D0000<00000`0002P0000<0000100005@0001D0000
=P4007/1001=0@00R@400040001b78doEEF=?`00000000000@0004`00000000000000000003ooooo
oooooe00001@004000<001/0000@0000m`800801001B0000L04000@00020o_oo0000000000000000
T040000000870P0@D`1i06d0HP1_06`0000000000000000000000000000000000000000000000000
000000000000000000000000@gNY[cao000009@1:00002P0/78X0<ac:00Q03`0f`2c01/00004i2D0
0@0003SU9@0R03X0f`2c0?kooolf8D=g`7DX000000040000f:Sl1000002X33H0/78X0<Ac:02XTc<0
@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`000026no`400000000:0000000
WgF2MAMDA66/=`[Zf:Sl142AX7D00000000X0000<`2Xi2D0[3L:jR40?03K0;<0HlGS5?kooonOMH9e
F=?o10SU9@13Eiee2>DU07YGWGFTdol4@?Cl11/0001TMP08000002D0000<0000100002P0000<0000
0`0005@0001D0000B`4007/1001R0@00R@400040001b78doEEF=?`00000000000@0004`000000000
00000000003ooooooooooe00000ml08000<00580001`0@000`0001000007000000000000002l0P00
000000L20R9C07T0L`1d06D0K@000000000000000000000000000000000000000000000000000000
00000000000000000013MjV_?7l00000U04X0000:02`LRP0a7<X0240?03L0;<0@96PM@CT9@010000
>>DU0280>P3L0;<0o_ooocHQ@gO0MBP0000000@0000HZO`400000:P<=P2`LRP0a7<X0:RC<`10MRP0
@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000>[ko0@00000000X0000002OMH9e
5eA4HHXg2^THZO`4@96PM@00000002P0000c0:ST9@2:=`[Y8@0l0=`0/`1SaN<Do_oooimePWG@TC<0
0@000:2C<`04iBD0=ai3Mn[ko0BXTc<0000006Af00P000009@0000`000030000:00000`000040000
9@0000`0000700209@0000`000000020DP00070100040000400000L00000000000000;`200000000
1`828U<0N@1c07@0I@1]0000]:800000k0:mW@0000000000000000000000000000000040002@X8Z2
d;^dXYOR000003mg001J2?kooolf8D=gdAm3M`00003Zno`400000000:0000000WgF2MAMDA66:=`[Y
6:Wl142AX7D0000000000000:03hZ?`4RSL:jB40?00h01h0M06`0?kooonOMH9ed94c042Xo0@10000
l:Sl1=CN9@0g7T=gn:Sl10002YX00000l:Sl11cO9@29MH9e0=lU04=GWGD0gbD0NUNMMI3LhP9@dO`4
9@0000000@34C0805=lU0;5HWGD00000FcLQNaT0/04dgbD0^GJMME/g8G/000209@0005/g8G/00040
402@0EcO9@3?m9aeFcLQNa00T04U0000I7H02000000U0000300000@0001;00004000000000050000
:00000`000030000AP0001@000080000AdA9@`<0000R000030000?oooolR000030000?oooolU0000
300000d0080X0000300000D0000X0000300000@0000R000030000?oooom60000?0l0030?0015CDH[
;40002@0000H0000/4^X?`0008000020g>bQ?kjdc4>/K?e3:T0002@0000H00000020?`0000000000
0020?`000000000024041J@>002H3P000Q30f`8000030000R0h00040001/00000P000000001F0000
4000000000000000b0T007/2000PADe6000108P>000X00000`0000000000000000000:0500240`00
o04003h10000000000000000001P`0L0?=P404H0003/0`00gP<004M4BD<1002000<002VLc:P00000
aP<000402@000n<100020:00000000D000020@40000500000@;oool01@0002h16@0000D0000;0P00
0005000030900^082`0002H63`0<04eQM6QDNG1U001P0180000V1Pl06P3ooooo000@0000`?ooojKo
oonP2000iP4000D000090P000085000050;S0O@070000?/28_l00000002@0@0000000P0@E6U]IG<P
CVEg859_KF5^08Ca4P2ZBN9e@97UMFX@IRT40000;@4000`0000b2P0000030000KF5h]:T0H@2l0@D0
000D0X017@@L0000n`:0oP000000090100000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEe
JQ1V:@@0000]0@4010000?01000@0000<PX000001P00030^<SE`ML00H03000h1`0000`D0000D0X01
AP0L0000n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeJQ1V:@@0
000]0@0010000?010@090000<PX000000@00051i00<5000050:00OL270000?/2P?h00000002@0@00
00400P0@DgU]HVm/07Gh30[B<2Df08Ca4P2ZBN9e@97UMFX@IRT40000;@4100@0003`0@002@00038:
00000040000mN@03X00002H63`0e0D5`L7==AT=30@0>0@003P4004AULfUWKR1CHfUUKV=U;219KV<^
00D100H5A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1BKfeQKP0A0e=iKF9_
K00A1D=_MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN@E3d5@m10?A5m2Gd
Sd9O@@3d40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?30400@010P820P02
00410@03004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:0PB6?@0m0P28<002
088^0080R3800P28=@0209P4k`80PG000P21M@00000:00009PH?00X0ooooo`40000001`0003k0Q00
1`000000_08000000@828U=iLgAUK@0YJQ1V:@002P0h08X100000000002hna80100002d100040000
l04100<0000000004@0000`0000800002`000100001700004P0000T0000@0000A`000180000B0000
30000040000I000030000?ooo`0F0000300001T0000:000040000000000000002@000100003P2000
@08001P0000<000000000Q/0000@0000m0000><1001B0000L0400040000Roooo0000000000000000
T040000000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
00000000000000000000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=gX>[41D3T9@1:cAmM
0@000040002@j/@5]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5S>@U00440020?Ol4
000X021_o`Aj0000j1_S0P00:00000000000073U9@011000000X080mo`A`iBD0n393MbLc@gMA[Sao
00000:aB:00002P0T3DX0000001D1BP0T3DX0000:01X=RP03@l00_3T9@3di2D0@eNMMOCT9@1jEiee
>=co10SU9@13Eiee2>DU07YGWGEDg?l4@?Cl11/0001TMP08000002D0000<00000@0005@0001P0000
200000T0000N000040000040001b78doEEF=?`00000000000`0004`00000000000000000003ooooo
oooooe@0001]0640N0000:T0001Q0000_04001/0000@00007@@00801001B0000L04000800020o_oo
0000000000000000T040000000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
0000000000000000000000000000000000000000@gNY[cao000009`1:00002P0S>@U004400090680
6`7c021_o`Aj0000j1_S0P00:00:05l06`7c073U9@011000`7DX080mo`@<0000n393M`00000X3CH0
/78X0<Qc:028I_`4Z7HX00000004i2D0T3DX03SU9@1]e3mg001J2?kooolf8D=gdAm3M`0000327><2
000000SU9@13Eiee2>DU07YGWGEDg?l4@?Cl11/000000000000X0000o0AX=RP0k>@U00T0HP0K0O<0
NUNMMMCMo`A0m?`4j=go10SU9@13Eiee2>DU07YGWGE0g_l4@?Cl11/0001TMP08000002D0000<0000
0P0002P0000<00000@0005@0001`00008@000000001F00003P000040001b78doEEF=?`0000000000
1P0004`00000000000000000003ooooooooooeP0000`02h0<P0e0700M@300000H0000<00000>0@00
`0000003000K0000400004H000200@00DP00070100010000P?koo`00000000000000090100010000
008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^000000000000000000000000000000000000
00000000000003D0L01e0000002T0BP0000X0;1b:038LbP0>@0B07T1/00000001>@U090e:00hiBD0
>P0F07T1/03noooo=R53Ml1e:000000060000?RXo0@00000B0df0;1b:03<LbP0n:Sl111g:00K0000
1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000;1gS0P00000002P0000009mePWDGE4AQ
]3L:PoRXo0A0TJ1e00000000:0000?`4Z>@U0;@g2X<i0180N@6`06?5haCnooooWgF2MN3Oo`@8iBD0
@eNMM@SU9@1jEieeB>3o143do0@K0000I7H02000000U000030000040000X000030000080001D0000
E0000080000000006@0000h000010000LQb=?eEESCl0000000000040001<00000000000000000000
oooooooooom@0000D0000003000K000040000?L200200@00DP00070100020000P?koo`0000000000
0000090100000002008045<0N@1]0680K`1/00000000000000000000000000000000000000000000
000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:03<LbP08@0l0=d0/`0K0000
1>@U0040000hiBD08P0j0=d0/`3noooo=R53Ml1e:0000000100001RYo0@00000Z0`f0;1b:034LbP0
Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000WQgS0P00000002P0
000009mePWDGE4AQSSL:21RYo0A0TJ1e00000000:00003<0Z>@U08hg2PPQ03`0g@2c06?5haCnoooo
WgF2MNSQo`@8iBD0@eNMM@SU9@1jEiee=>;o143do0@K0000I7H02000000U000030000080000X0000
30000040001D0000E00001P000000000;`0000h000010000LQb=?eEESCl0000000000040001<0000
0000000000000000oooooooooom@0000?O0H5@03001B0000L0400040000@00001`00000000000000
_080000000010P8RD`1i07<0M01U06d0000000000000000000000000000000000000000000000000
000000000000000000000000@gNY[cao000009@1:00002P0/78X0<Ac:00Q03`0gP2c042AX7D4i2D0
0@0003SU9@0R03X0gP2c0?kooolf8D=g`7DX000000040000n:Sl1000002X33H0/78X0<Ac:02XTc<0
@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`0000027^<200000000:0000000
WgF2MAMDA66d=`Z4n:Sl142AX7D00000000X0000<`2Xi2D0]3L:Q240?03N0;<0HlGS5?kooonOMH9e
d94c0040002PTc<01>DU03LN@gL27^<2Z9<c0000001TMP08000002D0000<00000@0002P0000<0000
0P0002D0000<00001`00P2D0000<00000000P300000<00003`00P2D0000<00003@00P4/0000@0000
000000D0000X000030000040000>000050000000000@0000500001]010100000=0000?ooool20000
000000000023mHm21lJG@@<0001NFSA4F=T6@dT3C4AHf@I3GUXdA5OI7T<Q000020000680000<0000
0@000240000800008@0000P0000S000080000387@3l00000000005No?cl00000000002@0000T0000
<PM0?`0000000000Eklo?`0000000000100001`0000800009@0000`0000000209@0000`000070020
9@0000`0000>00206@0000`0003oool0600000`0000000004P0000`0000200004`0000`000010000
500000`0000=00005@0000`0000100005P0000`0000000003@00010000000000000003X0000<0000
2P0001/0000@000000000000000S000080000<A>OSl00000000007aUMClCI@M4cS_:@R@0000T0000
a4in?`0000000000O6Ee?a=U1dC>>lY2100002<0000P0000a4in?`0000000000O6Ee?a=U1dC>>lY2
900002@00034CWho00000000001lIGDo4fD7A<hkbT8400008`0002000034CWho00000000001lIGDo
4fD7A<hkbT8T000090000<A>OSl00000000007aUMClCI@M4cS_:@P@0000=000040000=8200270000
DP00070100040000400000L00000000000000;`2000000001`828U<0N@1c07@0I@1]0000]:800000
k0:mW@0000000000000000000000000000000040002@X8Z2d;^dXYOR00000=Qe><GLMOcS9@2Ho_`4
^?kl19cN9@0;]9aeN18c0=RHX7EK=b5k8P2:0E1Q<P000000c=hU03JcW7D<YYae]jFLMJlg8O@60000
@96PM@80000000000001004000040000G000000000040000;=lU02R1W7E6PIae[cLQm00000000000
01000000003lhbD00@000:RC<`00000000000?ooool04000ooooo`00000000000000000000000000
I=lU09lJQgF_=b7d0000000000004000J1<c0?cS9@010000Z9<c000000010000o><U08CO9@13Eiee
I7H02000000U0000300000@000160000:00001`00017A4U30P00000000000000A`00018000000000
8`0002000034CWho00000000001lIGDo4fD7A<hkbT8T000090000<A>OSl00000000007aUMClCI@M4
cS_:@P@0000S000080000<A>OSl00000000007aUMClCI@M4cS_:@R@0000T0000a4in?`0000000000
O6Ee?a=U1dC>>lY2100002<0000P0000/@n=@P00000000005PV:@A=U1dC>>lY2900002@0002a3he2
00000000000F2HY14fD7A<hkbT8400008`000200002a3he200000000000F2HY14fD7A<hkbT8T0000
90000;4?SD800000000001H9RT4CI@M4cS_:@P@0000S000080000<A>OSl00000000007aUMClCI@M4
cS_:@R@0000T0000a4in?`0000000000O6Ee?a=U1dC>>lY2100002<0000P0000a4in?`0000000000
O6Ee?a=U1dC>>lY2900002@00034CWho00000000001lIGDo4fD7A<hkbT8400004P0000`000010000
6@0000`0003oool05P0000`0000I00008`0002000034CWho00000000001lIGDo4fD7A<hkbT8T0000
90000<A>OSl00000000007aUMClCI@M4cS_:@P@0000S000080000<A>OSl00000000007aUMClCI@M4
cS_:@R@0000T0000a4in?`0000000000O6Ee?a=U1dC>>lY2100002<0000P0000a4kn?00000000000
O6Ge?1=U1dC>>lY2900002@00034C_hl00000000001lIODl4fD7A<hkbT8400008`0002000034C_hl
00000000001lIODl4fD7A<hkbT8T000090000<A>oS`00000000007aUmC`CI@M4cS_:@P@0000H0000
30000000000K000040000?@0003S0@00DP000701000500008_ooo`00000000000000090100000000
1`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^000000000000000000000000000000000000
0000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0mbm3Mj3Za0E0i2D0B/dOG@4000010000
T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5^>[41HcT9@011000P3go1000:00PKol4
NP000>PKh`8002P000000000001`iBD00@@00000:020?Ol4L>DU0?Pb@gLW<d=gDJhlO`00002/DRP0
000X090e:0000000E0DX090e:00002P0J3HX00d?00;`i2D0m>@U04=GWGGdi2D0NUNMMCSLo`@8iBD0
@eNMM@SU9@1jEieeE=co143do0@K0000I7H02000000U0000300000D0001D0000H00002D2001^0000
>`8007@000010000LQb=?eEESCl00000000000<0001<00000000000000000000oooooooooomD0000
K@1Q07P0202Y0000H@000;`1000K0000400001d400200@00DP00070100030000P?koo`0000000000
00000901000000001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
000000000000000000000000000004=gZJllO`00002L0BP0000X08cT9@0110002@1R01/1l`0PKol4
NP000>PKh`8002P02P1O01/1l`1`iBD00@@00<1e:020?Ol430000?Pb@gL00000:0df0;1b:038LbP0
R6Kl1:Qf:00000001>@U090e:00hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000`QcS0P000008iBD0
@eNMM@SU9@1jEieeE=co143do0@K000000000000:0000?`4J3HX0>cT9@0906806`7c07YGWGGDgOl4
@?Cl1>SMo`@8iBD0@eNMM@SU9@1jEiee@=ko143do0@K0000I7H02000000U0000300000<0000X0000
300000D0001D0000L00003h2001U0000L`8007<000010000LQb=?eEESCl00000000000H0001<0000
0000000000000000oooooooooomH0000<00^0380=@1`07D0`0000600003000003P400<0000000`00
6`00010000160000P0400580001`0@001@00083nool0000000000000002@0@000@0000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
000e0700M@000000Y04X0000:02`LRP0b7<X03T04P1i0K00000000CT9@2@=BP0>>DU03X05P1i0K00
o_ooocHQ@gO0MBP0000001P0003hZ?`4000004P==P2`LRP0c7<X0?RXo0@@MbP06`0000CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000002`Mh`800000000X0000002OMH9e5eA4HK@g2X?hZ?`4
@96PM@00000002P0003l1:ST9@2d=`Z3>@0B07T1/01SaN<Do_oooimePWGPgol42>DU04=GWGD8iBD0
NUNMMDSPo`A0m?`46`0006Af00P000009@0000`000050000:00000`000030000E00005@0000P0P00
I@0003L2001c00000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D00005003P000`006`000100003g0P00P0400580001`0@000`00083nool0000000000000002@0@00
00000PL2011C07T0K@1R06l0K0000000000000000000000000000000000000000000000000000000
00000000000000000013MjV_?7l00000U04X0000:02`LRP0c7<X0240?03M0;<06`0000CT9@010000
>>DU0280>P3M0;<0o_ooocHQ@gO0MBP0000000@0000HZO`400000:P<=P2`LRP0a7<X0:RC<`10MRP0
@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000009hMh`800000000X0000002OMH9e
5eA4HHhg2PPHZO`4@96PM@00000002P0000c0:ST9@2>=`X88@0l0=d0/`1SaN<Do_oooimePWGXhOl4
2>DU04=GWGD8iBD0NUNMMCCRo`A0m?`46`0006Af00P000009@0000`000030000:00000`000050000
E00005@0000e0P00I@0004`2001c00000@00078LSCmEEHdo0000000000010000C000000000000000
00000?ooooooooooD00003g`3P000`00DP00070100050000400000L00000000000000;`200000000
1`828U<0N@1c07@0I@1]000000000000000000000000000000000000000000000000000000000000
00000000000004=gZJllO`00002D0BP0000X0;1b:034LbP08@0l0=h0/`10TJ1e1>@U0040000hiBD0
8P0j0=h0/`3noooo=R53Ml1e:000000010000?RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e
1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL000000QkS0P00000002P0000009mePWDGE4AQ
]3L:Q?RXo0A0TJ1e00000000:00003<0Z>@U0;@g2X@Q03`0gP2c06?5haCnooooWgF2MM2A<`010000
X9<c00CU9@0g7T=g0QkS0ZRC<`000000I7H02000000U0000300000D0000X0000300000<0000U0000
300000L0080U000030000000081B0000L04000<0000@00001`00000000000000_080000000070P8R
D`1i07<0M01U06d0002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBR
Un800000?gL005X8o_ooocHQ@gOA7d=g0000008Nh`800000000X0000002OMH9e5eA4HK@g2XChZ?`4
@96PM@0000000000000X0=RXo0Bd=`Z48@0l03P07P210K00o_oooimePWG@TC<0@:Sl1040003@Z?`4
e=hU03LN@gOHZ?`4000:m`00003@Z?`47=lU08UePWD0gbD0@eNMM@3O9@1jEieeT?_R0U3Ao0@U0000
00010<A[0P0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYeeFcLQN`00080U0000FcLQN`000@0@0901
G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<00000`0004/0000@0000000000D0000X0000
300000D000160000500000P00017A4U30`000280000<0000ooooob80000<0000ooooobD0000<0000
3@00P2P0000<0000100002P0000<00000`000280000<0000ooooodH0000D3`0020l004E=AR//@000
900001P0002cBjPo0000P000083Zk:4oGUXdA5SI1T<Z@000900001P00000080o000000000000080o
000000000008@0@5O0h0070>00024<3K0P0000<0001P3P000@0006`000020000000004D0000@0000
00000000001a1`00N`800215CDH00040H0h002P0000300000000000000000000X0D008@3003l0@00
?P40000000000000000006301`0lf0@0AP000=@300360`00AdA9@`4008000`0074dHhP00002^0`00
0@090003e`400080V00000001@0000810@0000D000010_ooo`050000;P4I00001@0000/2000000D0
000<0T02`0H;00009PH?00`0CF5dJ5AiL6D006004P0002H63`0J0?ooool001000030ooooY_oooh06
003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`000000090100000002011DJFeULb1>IGLP
DVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@003000038:000000<0001]HGR^Z@1Q0;`11@0001@2
P07i0a`0003k0X3n00000000T0400000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGE/3FHD
100002d10@040000l04000`0000b2P0000030000<G1e2OH0`0000`D0000D0X01AP0L0000n`:0oP00
000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@0010000?01
0@090000<PX000000@00051i00<5000050:00OL270000?/2P?h00000002@0@0000400P0@DgU]HVm/
07E=30ZF<2@f08Ca4P2ZBN9e@97UMF`=IQ@40000;@4100@0003`0@002@00038:00000040000mN@03
V00002H63`0V0D5`L7==AT=30@3o0000o`0004AULfUWKR1CHfUUKV=U;219KV<^00D100H5A5==E3H0
01=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1BKfeQKP0A0e=iKF9_K00A1D=_MG9YIG8P
CVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40
m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?30400@010P820P0200410@0300401000
2P400P23D00301/000/10082PVd00P22H@02089h00010@0:0PB6?@0m0P28<@0209P4k`80PG000P21
M@0000X0000V1Pl02P3ooooo0@00000070000?/240070000002l0P0000010P8RDgUcM6E]01A/3FHD
000:03P0RP40000000000;Sk4P040000;@4000@0003`0@400`000000000A0000300000P0000;0000
400003H0000B00002@000100000f00004P000180000<00000@0001T0000<0000oooo01H0000<0000
6@0000X0000@0000000000000009000040000<0600100P00600000`0000000026`000100003d0000
h`400580001`0@000@0002;oool0000000000000002@0@0000000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP000000000000000000000000000000000000000000000000000000fP080000
V5G[103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0
B/dOG@4000010000T>[41KSZa0F<i2D00@@0010V00D002P0h4l01GL0003X6n<2000X000000000000
L>DU0044000002P042H01G3U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0000003`5:02@=BP0
000X04Pf:00k3@0fl>@U0?CT9@13Eieem>@U07YGWGF`j_l42>DU04=GWGD8iBD0NUNMMLcZo`A0m?`4
6`0006Af00P000009@0000`000010000E0000600000800002@0001h0000@00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE00006d0H@1h00e2Z@000640002l0@00
6`000100003i0`00P0400580001`0@000P00083nool0000000000000002@0@0000000002011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02<i2D00@@000L0J00O0O<0h4l01GL0003X6n<2000X00P0I@0O0O<0
L>DU00440030MBP042H01@`0003h<T=g000002P==P2`LRP0b7<X0;QVo0BXMRP0000000CT9@2@=BP0
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000<8Lh`8000002>DU04=GWGD8iBD0NUNMMLcZo`A0m?`4
6`000000000002P0003l14Pf:03/i2D01`1X01l1l`1jEieeC>co143do0APk?l42>DU04=GWGD8iBD0
NUNMMKS/o`A0m?`46`0006Af00P000009@0000`000020000:00000`000010000E0000600000P0000
000004D0000>00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E0000340L01e0000mP000<0000000`006`00010000160000P0400580001`0@000@00083nool00000
00000000002@0@000@000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02`LRP0b7<X00L0J00P0O<0
000000CT9@2@=BP0>>DU00P0I@0P0O<0o_ooocHQ@gO0MBP0000000`0003HZ?`4000002P==P2`LRP0
b7<X0;QVo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000002`Mh`800000
000X0000002OMH9e5eA4HJdg2XkHZ?`4@96PM@00000002P0003l1:ST9@2]=`Z>1`1X0201l`1SaN<D
o_oooimePWEHk_l42>DU04=GWGD8iBD0NUNMMK3^o`A0m?`46`0006Af00P000009@0000`000010000
:00000`000020000E00005@000020000000001T0000>00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD0000500RT<00`006`000100003g0P00P0400580001`0@00
0P00083nool0000000000000002@0@0000000P02011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
b7<X0240?03O0;<06`0000CT9@010000>>DU0280>P3O0;<0o_ooocHQ@gO0MBP0000000@0003hZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000009HMh`800000000X0000002OMH9e5eA4HJXg2^KhZ?`4@96PM@00000002P0000c0:ST9@2Z=`[V
8@0l0=l0/`1SaN<Do_oooimePWE@l?l42>DU04=GWGD8iBD0NUNMMIc`o`A0m?`46`0006Af00P00000
9@0000`000020000:00000`000010000E00005@0000H0000000002l0000>00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`00000`00DP00070100010000
400000L00000000000000;`2000000000@828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0>00/`10TJ1e1>@U0040000hiBD08P0j0>00/`3noooo=R53Ml1e:000000010000=RXo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
nQgS0P00000002P0000009mePWDGE4AQQSL:W]RXo0A0TJ1e00000000:00003<0Z>@U08Hg2YhQ03`0
h02c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=gnQgS0ZRC<`000000I7H02000000U0000
30000040000X000030000080000U0000300000L0080U000030000000080`0000300000l0080U0000
300000d0081;00004000000000050000:00000`0000100003P0001@000000000400001@0000K@0@0
@00003@0003ooooo0P00000000000000o_mK@PO6Ud430000hdE]A5SIEd?SAGm4F=UG@n=5KDAHfFm3
8@0000P0001R000030000040000Q000020000240000800008`000200000b1d0o00000000001G_clo
00000000000T000090000387@3l00000000005No?cl00000000000@0000L0000200002D0000<0000
0000P2D0000<00001`00P2D0000<00003P00P1T0000<0000oooo01P0000<000000000180000<0000
0P0001<0000<00000@0001@0000<00003@0001D0000<00000@0001H0000<0000000000d0000@0000
00000000000j0000300000X0000K000040000000000000008`000200000mNg`o00000000001lIGDo
[BHbA7798D<T0000900003ekO3l00000000007aUMCn]9S94LLTQ@`@0000S0000800003ekO3l00000
000007aUMCn]9S94LLTQ@b@0000T0000?G]l?`0000000000O6Ee?jdV<TAabB53100002<0000P0000
?G]l?`0000000000O6Ee?jdV<TAabB53900002@0000mNg`o00000000001lIGDo[BHbA7798D<40000
3@000100002f0`00f0000580001`0@000`0001000007000000000000002l0P00000000L20R9C07T0
L`1d06D0K@000;BR00000>`2_Id0000000000000000000000000000000010000T:2:P]2k]::GhP00
003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1eFcLQNb80RP5HHC8000000<cN9@0f/iae
3:JLMKNUW7Fb=b5e1P00042AX7D20000000000000@010000100005`000000000100002cO9@0XPIae
AX6LMK8g8GD000000000000@00000000o><U0040002XTc<000000000003ooooo01000?ooool00000
0000000000000000000006CO9@2O6XMe/SLQM@0000000000010006PC<`3lhbD00@000:RC<`000000
0@000?cS9@24gbD0@eNMMFAf00P000009@0000`000030000AP0002P0000L0000AdA9@`8000000000
000003H0000B0000000002<0000P0000?G]l?`0000000000O6Ee?jdV<TAabB53900002@0000mNg`o
00000000001lIGDo[BHbA7798D<400008`000200000mNg`o00000000001lIGDo[BHbA7798D<T0000
900003ekO3l00000000007aUMCn]9S94LLTQ@`@0000S000080000?/7ED800000000001H9RT6]9S94
LLTQ@b@0000T0000n`ME@P00000000005PV:@JdV<TAabB53100002<0000P0000n`ME@P0000000000
5PV:@JdV<TAabB53900002@0003k1eE200000000000F2HY1[BHbA7798D<400008`000200000mNg`o
00000000001lIGDo[BHbA7798D<T0000900003ekO3l00000000007aUMCn]9S94LLTQ@`@0000S0000
800003ekO3l00000000007aUMCn]9S94LLTQ@b@0000T0000?G]l?`0000000000O6Ee?jdV<TAabB53
10000180000<00000@0001T0000<0000oooo01H0000<00006@0002<0000P0000?G]l?`0000000000
O6Ee?jdV<TAabB53900002@0000mNg`o00000000001lIGDo[BHbA7798D<400008`000200000mNg`o
00000000001lIGDo[BHbA7798D<T0000900003ekO3l00000000007aUMCn]9S94LLTQ@`@0000S0000
800003eko3`00000000007aUmCb]9S94LLTQ@b@0000T0000?G_l?00000000000O6Ge?:dV<TAabB53
100002<0000P0000?G_l?00000000000O6Ge?:dV<TAabB53900002@0000mNo`l00000000001lIODl
[BHbA7798D<40000600000`0000000006`000100003d0000h`400580001`0@00100002;oool00000
00000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
0000000000000000000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5
@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D0
0@@0010V00D002P0h4l01GL0003X6n<2000X000000000000L>DU0044000002P042H01G3U9@3h<T=g
9c=3Me6^?7l00000[58X0000:02@=BP0000003`5:02@=BP0000X04Pf:00k3@0fl>@U0?CT9@13Eiee
m>@U07YGWGF`j_l42>DU04=GWGD8iBD0NUNMMLcZo`A0m?`46`0006Af00P000009@0000`000040000
E0000600003@0P00ZP000>D2002`00000@00078LSCmEEHdo0000000000030000C000000000000000
00000?ooooooooooE00006d0H@1h0040Z@000640002l0@006`000100003i0`00P0400580001`0@00
1@00083nool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640
KP00000000000000000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D0
0@@000L0J00O0O<0h4l01GL0003X6n<2000X00P0I@0O0O<0L>DU00440030MBP042H01@`0003h<T=g
000002P==P2`LRP0b7<X0;QVo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000<8Lh`8000002>DU04=GWGD8iBD0NUNMMLcZo`A0m?`46`000000000002P0003l14Pf:03/i2D0
1`1X01l1l`1jEieeC>co143do0APk?l42>DU04=GWGD8iBD0NUNMMKS/o`A0m?`46`0006Af00P00000
9@0000`000050000:00000`000040000E0000600003X0P00X@0000d3002_00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE0000340L01e0080mP000<0000000`00
6`00010000160000P0400580001`0@001000083nool0000000000000002@0@000@0000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02`LRP0b7<X00L0J00P0O<0000000CT9@2@=BP0>>DU00P0I@0P0O<0
o_ooocHQ@gO0MBP0000000`0003HZ?`4000002P==P2`LRP0b7<X0;QVo0BXMRP06`0000CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000002`Mh`800000000X0000002OMH9e5eA4HJdg2XkHZ?`4
@96PM@00000002P0003l1:ST9@2]=`Z>1`1X0201l`1SaN<Do_oooimePWEHk_l42>DU04=GWGD8iBD0
NUNMMK3^o`A0m?`46`0006Af00P000009@0000`000040000:00000`000050000E00005@0003;0P00
X@000>82002_00000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D0000500E0000`006`000100003g0P00P0400580001`0@001@00083nool0000000000000002@0@00
00000PL2011C07T0K@1R06l0K0000000000000000000000000000000000000000000000000000000
00000000000000000013MjV_?7l00000U04X0000:02`LRP0b7<X0240?03O0;<06`0000CT9@010000
>>DU0280>P3O0;<0o_ooocHQ@gO0MBP0000000@0003hZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0
@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000009HMh`800000000X0000002OMH9e
5eA4HJXg2^KhZ?`4@96PM@00000002P0000c0:ST9@2Z=`[V8@0l0=l0/`1SaN<Do_oooimePWE@l?l4
2>DU04=GWGD8iBD0NUNMMIc`o`A0m?`46`0006Af00P000009@0000`000050000:00000`000040000
E00005@0003P0P00X@000?L2002_00000@00078LSCmEEHdo0000000000010000C000000000000000
00000?ooooooooooD00003g`00000`00DP00070100040000400000L00000000000000;`200000000
1`828U<0N@1c07@0I@1]000000000000000000000000000000000000000000000000000000000000
00000000000004=gZJllO`00002D0BP0000X0;1b:034LbP08@0l0>00/`10TJ1e1>@U0040000hiBD0
8P0j0>00/`3noooo=R53Ml1e:000000010000=RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e
1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000nQgS0P00000002P0000009mePWDGE4AQ
QSL:W]RXo0A0TJ1e00000000:00003<0Z>@U08Hg2YhQ03`0h02c06?5haCnooooWgF2MM2A<`010000
X9<c00CU9@0g7T=gnQgS0ZRC<`000000I7H02000000U0000300000@0000X0000300000D0000U0000
300000L0080U000030000000081B0000L04000D0000@00001`00000000000000_080000000070P8R
D`1i07<0M01U06d0002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBR
Un800000?gL005X8o_ooocHQ@gOA7d=g00000?XMh`800000000X0000002OMH9e5eA4HHHg2YkHZ?`4
@96PM@0000000000000X01RYo0B6=`ZN8@0l03P07P2=0K00o_oooimePWG@TC<0@:Sl1040000@ZO`4
e=hU03LN@gLHZO`4000:V@00000@ZO`47=lU08UePWD0gbD0@eNMM@3O9@1jEieeL:KU0U3Ao0@U0000
000108b:0P0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYeeFcLQN`00080U0000FcLQN`000@0@0901
G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<00001@0004/0000@0000000000D0000X0000
300000@000160000500000P00017A4U30`000280000<0000ooooob80000<0000ooooobD0000<0000
3@00P2P0000<00000`0002P0000<00001@000280000<0000ooooodH0000D3`0020l004E=AR//@000
900001P0001<T:Lo0000P000083[k:4ohdE]A5SIEd<Z@000900001P00000080o000000000000080o
000000000008@0@5O0h0070>00024<3K0P0000<0001P3P000@0006`000020000000004D0000@0000
00000000001a1`00N`800215CDH00040H0h002P0000300000000000000000000X0D008@3003l0@00
?P40000000000000000006301`0lf0@0AP000=@300360`00AdA9@`4008000`00<P0CZ@00002^0`00
0@090003e`400080V00000001@0000810@0000D000010_ooo`050000;P4I00001@0000/2000000D0
000<0T02`0H;00009PH?00`0CF5dJ5AiL6D006004P0002H63`0J0?ooool001000030ooooY_oooh06
003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`000000090100000002011DJFeULb1>IGLP
DVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@003000038:000000<0001]HGR^Z@1Q0;`11@0001@2
P07i0a`0003k0X3n00000000T0400000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGE/3FHD
100002d10@040000l04000`0000b2P0000030000<G1e2OH0`0000`D0000D0X01AP0L0000n`:0oP00
000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEeK0eV50@0000]0@0010000?01
0@090000<PX000000@00051i00<5000050:00OL270000?/2P?h00000002@0@0000400P0@DgU]HVm/
07E=30ZF<2@f08Ca4P2ZBN9e@97UMF`=IQ@40000;@4100@0003`0@002@00038:00000040000mN@03
V00002H63`0V0D5`L7==AT=30@3o0000o`0004AULfUWKR1CHfUUKV=U;219KV<^00D100H5A5==E3H0
01=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1BKfeQKP0A0e=iKF9_K00A1D=_MG9YIG8P
CVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN@E3d5@m10?A5m2GdSd9O@@3d40m3Gd40
m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?30400@010P820P0200410@0300401000
2P400P23D00301/000/10082PVd00P22H@02089h00010@0:0PB6?@0m0P28<@0209P4k`80PG000P21
M@0000X0000V1Pl02P3ooooo0@00000070000?/240070000002l0P0000010P8RDgUcM6E]01A/3FHD
000:03P0RP40000000000;Sk4P040000;@4000@0003`0@400`000000000A0000300000P0000;0000
400003H0000B00002@000100000f00004P000180000<00000@0001T0000<0000oooo01H0000<0000
6@0000X0000@0000000000000009000040000<0600100P00600000`0000000026`000100003d0000
h`400580001`0@000@0002;oool0000000000000002@0@0000000002011D06T0K@1U07<0801>06D0
M`0P0580K`1]0640KP000000000000000000000000000000000000000000000000000000fP080000
V5G[103U9@0K<4=g>07J0?L_@gNPj/@5@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0
B/dOG@4000010000T>[41KSZa0F<i2D00@@0080mo`@002P086oo17L00038B005000X000000000000
L>DU0044000002P0P3go173U9@3h<T=g9c=3Me6^?7l00000[58X0000:02@=BP0000003`5:02@=BP0
000X06Pf:00e2P0ol>@U0?CT9@13Eieem>@U07YGWGDHnOl42>DU04=GWGD8iBD0NUNMMCCio`A0m?`4
6`0006Af00P000009@0000`000010000E0000600000800002@0001h0000@00000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE00006d0H@1h08E3Z@000640002l0@00
6`000100003i0`00P0400580001`0@000P00083nool0000000000000002@0@0000000002011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02<i2D00@@000D0KP0T0O<086oo17L00038B005000X00H0J`0T0O<0
L>DU00440030MBP0P3go10`0003h<T=g000002P==P2`LRP0b7<X0>QVo0BXMRP0000000CT9@2@=BP0
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g00000:9900D000002>DU04=GWGD8iBD0NUNMMCCio`A0m?`4
6`000000000002P0003l16Pf:03/i2D01@1^02@1l`1jEiee]?[o143do0C8n_l42>DU04=GWGD8iBD0
NUNMMB3ko`A0m?`46`0006Af00P000009@0000`000020000:00000`000010000E0000600000P0000
000004D0000>00000@00078LSCmEEHdo0000000000030000C00000000000000000000?oooooooooo
E0000340L01e0000mP000<0000000`006`00010000160000P0400580001`0@000@00083nool00000
00000000002@0@000@000002011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
000000000000000000000000000000000013MjV_?7l00000W04X0000:02`LRP0b7<X00D0KP0U0O<0
000000CT9@2@=BP0>>DU00H0J`0U0O<0o_ooocHQ@gO0MBP0000000`0000HZO`4000002P==P2`LRP0
b7<X0>QVo0BXMRP06`0000CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000000a:00D00000
000X0000002OMH9e5eA4HF/g2/0HZO`4@96PM@00000002P0003l1:ST9@1[=`[01@1^02D1l`1SaN<D
o_oooimePWG0o?l42>DU04=GWGD8iBD0NUNMMASmo`A0m?`46`0006Af00P000009@0000`000010000
:00000`000020000E00005@000020000000001T0000>00000@00078LSCmEEHdo0000000000010000
C00000000000000000000?ooooooooooD000050000000`006`000100003g0P00P0400580001`0@00
0P00083nool0000000000000002@0@0000000P02011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
b7<X0240?03Q0;<06`0000CT9@010000>>DU0280>P3Q0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
000007I:00D00000000X0000002OMH9e5eA4HL0g2R7HZ?`4@96PM@00000002P0000c0:ST9@30=`XQ
8@0l0>40/`1SaN<Do_oooimePWFho_l42>DU04=GWGD8iBD0NUNMM@Coo`A0m?`46`0006Af00P00000
9@0000`000020000:00000`000010000E00005@0000H0000000002l0000>00000@00078LSCmEEHdo
0000000000010000C00000000000000000000?ooooooooooD00003g`:d<00`00DP00070100010000
400000L00000000000000;`2000000000@828U<0N@1c07@0I@1]0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:034LbP0
8@0l0>80/`10TJ1e1>@U0040000hiBD08P0j0>80/`3noooo=R53Ml1e:0000000100001RYo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
fTX01@00000002P0000009mePWDGE4AQJcL:`ARYo0A0TJ1e00000000:00003<0Z>@U06/g2/4Q03`0
hP2c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=gfTX01JRC<`000000I7H02000000U0000
30000040000X000030000080000U0000300000L0080U000030000000080`0000300000l0080U0000
300000d0081;00004000000000050000:00000`0000100003P0001@000000000400001@0000K@0@0
@00003@0003ooooo0P00000000000000o_mK@PO6Ud430000hlE[A:a/Xd?SaGe4[6bS@n?5JdB/K:m3
8@0000P0001R000030000040000Q000020000240000800008`000200000b1d0o00000000001G_clo
00000000000T000090000387@3l00000000005No?cl00000000000@0000L0000200002D0000<0000
0000P2D0000<00001`00P2D0000<00003P00P1T0000<0000oooo01P0000<000000000180000<0000
0P0001<0000<00000@0001@0000<00003@0001D0000<00000@0001H0000<0000000000d0000@0000
00000000000j0000300000X0000K000040000000000000008`000200000mNg`o00000000001lIGDo
XPHaA6S]M4<T0000900003ekO3l00000000007aUMCnR1S54J>ed@`@0000S0000800003ekO3l00000
000007aUMCnR1S54J>ed@b@0000T0000?G]l?`0000000000O6Ee?j86<DAXkGA3100002<0000P0000
?G]l?`0000000000O6Ee?j86<DAXkGA3900002@0000mNg`o00000000001lIGDoXPHaA6S]M4<40000
3@000100002`0`00A`400580001`0@001@0001000007000000000000002l0P00000000L20R9C07T0
L`1d06D0K@000;BR00000>`2_Id0000000000000000000000000000000010000T:2:P]2k]::GhP00
003HMCS5g7GlhbD0V?kl1;Sno0BLgRD02kBLMGPB<`3HV:1eFcLQNb80RP5PHC8000000<cN9@0f/iae
3:JLMKNUW7Fn=b7k1P00042AX7D20000000000000@010000100005`000000000100002cO9@0XPIae
AX6LMKhg8O/000000000000@00000000o><U0040002XTc<000000000003ooooo01000?ooool00000
0000000000000000000006CO9@2O6XMe_SLQn`0000000000010006PC<`3lhbD00@000:RC<`000000
0@000?cS9@24gbD0@eNMMFAf00P000009@0000`000050000AP0002P0000L0000AdA9@`8000000000
000003H0000B0000000002<0000P0000?G]l?`0000000000O6Ee?j86<DAXkGA3900002@0000mNg`o
00000000001lIGDoXPHaA6S]M4<400008`000200000mNg`o00000000001lIGDoXPHaA6S]M4<T0000
900003ekO3l00000000007aUMCnR1S54J>ed@`@0000S000080000?/7ED800000000001H9RT6R1S54
J>ed@b@0000T0000n`ME@P00000000005PV:@J86<DAXkGA3100002<0000P0000n`ME@P0000000000
5PV:@J86<DAXkGA3900002@0003k1eE200000000000F2HY1XPHaA6S]M4<400008`000200000mNg`o
00000000001lIGDoXPHaA6S]M4<T0000900003ekO3l00000000007aUMCnR1S54J>ed@`@0000S0000
800003ekO3l00000000007aUMCnR1S54J>ed@b@0000T0000?G]l?`0000000000O6Ee?j86<DAXkGA3
10000180000<00000@0001T0000<0000oooo01H0000<00006@0002<0000P0000?G]l?`0000000000
O6Ee?j86<DAXkGA3900002@0000mNg`o00000000001lIGDoXPHaA6S]M4<400008`000200000mNg`o
00000000001lIGDoXPHaA6S]M4<T0000900003ekO3l00000000007aUMCnR1S54J>ed@`@0000S0000
800003eko3`00000000007aUmCbR1S54J>ed@b@0000T0000?G_l?00000000000O6Ge?:86<DAXkGA3
100002<0000P0000?G_l?00000000000O6Ge?:86<DAXkGA3900002@0000mNo`l00000000001lIODl
XPHaA6S]M4<40000600000`0000000006`000100003d0000h`400580001`0@000`0002;oool00000
00000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640KP00000000000000
0000000000000000000000000000000000000000fP080000V5G[103U9@0K<4=g>07J0?L_@gNPj/@5
@>@U04[=7ed100000@00093Za0Fgj/@5K>@U0:3Za0EPi2D0B/dOG@4000010000T>[41KSZa0F<i2D0
0@@0080mo`@002P086oo17L00038B005000X000000000000L>DU0044000002P0P3go173U9@3h<T=g
9c=3Me6^?7l00000[58X0000:02@=BP0000003`5:02@=BP0000X06Pf:00e2P0ol>@U0?CT9@13Eiee
m>@U07YGWGDHnOl42>DU04=GWGD8iBD0NUNMMCCio`A0m?`46`0006Af00P000009@0000`000030000
E0000600003<0P00o@000>4200030@000@00078LSCmEEHdo0000000000030000C000000000000000
00000?ooooooooooE00006d0H@1h00SUZ@000640002l0@006`000100003i0`00P0400580001`0@00
1000083nool0000000000000002@0@00000000L2011D06T0K@1U07<0801>06D0M`0P0580K`1]0640
KP00000000000000000000000000000000000000000000000013MjV_?7l00000W04X0000:02<i2D0
0@@000D0KP0T0O<086oo17L00038B005000X00H0J`0T0O<0L>DU00440030MBP0P3go10`0003h<T=g
000002P==P2`LRP0b7<X0>QVo0BXMRP0000000CT9@2@=BP0>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000:9900D000002>DU04=GWGD8iBD0NUNMMCCio`A0m?`46`000000000002P0003l16Pf:03/i2D0
1@1^02@1l`1jEiee]?[o143do0C8n_l42>DU04=GWGD8iBD0NUNMMB3ko`A0m?`46`0006Af00P00000
9@0000`000040000:00000`000030000E0000600003T0P00m00000T300020@000@00078LSCmEEHdo
0000000000030000C00000000000000000000?ooooooooooE0000340L01e07YGmP000<0000000`00
6`00010000160000P0400580001`0@000`00083nool0000000000000002@0@000@0000L2011D06T0
K@1U07<0801>06D0M`0P0580K`1]0640KP0000000000000000000000000000000000000000000000
0013MjV_?7l00000W04X0000:02`LRP0b7<X00D0KP0U0O<0000000CT9@2@=BP0>>DU00H0J`0U0O<0
o_ooocHQ@gO0MBP0000000`0000HZO`4000002P==P2`LRP0b7<X0>QVo0BXMRP06`0000CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000000a:00D00000000X0000002OMH9e5eA4HF/g2/0HZO`4
@96PM@00000002P0003l1:ST9@1[=`[01@1^02D1l`1SaN<Do_oooimePWG0o?l42>DU04=GWGD8iBD0
NUNMMASmo`A0m?`46`0006Af00P000009@0000`000030000:00000`000040000E00005@000360P00
m0000=d200020@000@00078LSCmEEHdo0000000000010000C00000000000000000000?oooooooooo
D00005009@000`006`000100003g0P00P0400580001`0@001000083nool0000000000000002@0@00
00000PL2011C07T0K@1R06l0K0000000000000000000000000000000000000000000000000000000
00000000000000000013MjV_?7l00000U04X0000:02`LRP0b7<X0240?03Q0;<06`0000CT9@010000
>>DU0280>P3Q0;<0o_ooocHQ@gO0MBP0000000@0003HZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0
@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000007I:00D00000000X0000002OMH9e
5eA4HL0g2R7HZ?`4@96PM@00000002P0000c0:ST9@30=`XQ8@0l0>40/`1SaN<Do_oooimePWFho_l4
2>DU04=GWGD8iBD0NUNMM@Coo`A0m?`46`0006Af00P000009@0000`000040000:00000`000030000
E00005@0003L0P00m0000?<200020@000@00078LSCmEEHdo0000000000010000C000000000000000
00000?ooooooooooD00003g`_P800`00DP00070100030000400000L00000000000000;`200000000
1`828U<0N@1c07@0I@1]000000000000000000000000000000000000000000000000000000000000
00000000000004=gZJllO`00002D0BP0000X0;1b:034LbP08@0l0>80/`10TJ1e1>@U0040000hiBD0
8P0j0>80/`3noooo=R53Ml1e:0000000100001RYo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e
1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000fTX01@00000002P0000009mePWDGE4AQ
JcL:`ARYo0A0TJ1e00000000:00003<0Z>@U06/g2/4Q03`0hP2c06?5haCnooooWgF2MM2A<`010000
X9<c00CU9@0g7T=gfTX01JRC<`000000I7H02000000U0000300000<0000X0000300000@0000U0000
300000L0080U000030000000081B0000L04000@0000@00001`00000000000000_080000000070P8R
D`1i07<0M01U06d0002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBR
Un800000?gL005X8o_ooocHQ@gOA7d=g00000=Y:00D00000000X0000002OMH9e5eA4HF/g2/4HZO`4
@96PM@0000000000000X0?RXo0A[=`[18@0l03P07P2I0K00o_oooimePWG@TC<0@:Sl1040003`Z?`4
e=hU03LN@gOhZ?`4000:fP00003`Z?`47=lU08UePWD0gbD0@eNMM@3O9@1jEiee><GU0U3Ao0@U0000
000105BY0P0DgbD0/ERMM@00001K=b5k6@2`0CCO9@2iMYeeFcLQN`00080U0000FcLQN`000@0@0901
G=lU0<odW7EK=b5k402@0BD0001TMP08000002D0000<0000100004/0000@0000000000D0000X0000
300000<000160000500000P00017A4U30`000280000<0000ooooob80000<0000ooooobD0000<0000
3@00P2P0000<00001@0002P0000<000010000280000<0000ooooodH0000`3`0090l004E=AR//@000
900001P0001<T:Lo0000P000083[k:4ohlE[A:a/Xd<Z@000900001P00000080o000000000000080o
000000000008@0@5V0h008`>00024<3K0P0000<0001l3P000@0006`00002000000000500000@0000
00000000003e2000N`800215CDH00040O0h002P0000300000000000000000000X0D008@3003l0@00
?P40000000000000000006301`0lf0@0AP000>@3003F0`00AdA9@`4008000`00C[/C[@00002n0`00
0@090003g`400080W@0000001@0000810@0000D000010_ooo`050000;P4I00001@0000/2000000D0
000<0T0280P;00009PH?00`0CF5dJ5AiL6D006004P0002H63`0J0?ooool001000030ooooY_ooon07
003V0@001@0000T200000PD0000D0^<1m00L0000n`8Ro`000000090100000002011DJFeULb1>IGLP
DVm]HFh0Q?4B0:Y9hWE0TNEe?Q1V5P@0000]0@003000038:000000<0001]HGP0Z@1Q0;`11@0001@2
P04M11`0003k0X3n00000000T0400000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGDn46HF
100002d10@040000l04000l0000b2P0000050000<2heL7D0`01P00h1`0000`D0000D0X01AP0L0000
n`:0oP00000009010@000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEe?Q1V5P@0000]0@00
10000?010@090000<PX000000@00051i00<5000050:00OL270000?/2P?h00000002@0@0000400P0@
DgU]HVm/07DB3`ZLf0hc08Ca4P2ZBN9e@97UMCh@IQH40000;@4100@0003`0@002@00038:00000040
000mN@03W@0002H63`0`0D5`L7==AT=30@090@002@4004AULfUWKR1CHfUUKV=U;219KV<^00D100H5
A5==E3H001=GJFi1K6a2HG=YHd=_I6E@HFMUL`0A1EAYKFEc84iUMb1BKfeQKP0A0e=iKF9_K00A1D=_
MG9YIG8PCVEg0144CE@PAGQdLV404P088Bm5Sd@_@E3d40m7Gd5@lQlN@E3d5@m10?A5m2GdSd9O@@3d
40m3Gd40m8m5m2YOB?B?@@3d40m0m8m1OdSd40m1:Um4GdGdGdGdGd4?30400@010P820P0200410@03
004010002P400P23D00301/000/10082PVd00P22H@02089h00010@0:0PB6?@0m0P28<002088^0080
R3D00P2H1>l2085`0080PGD0000:00009PH?00X0ooooo`40000001`0003k0Q001`000000_0800000
0@828U=iLgAUK@0F?Q1V5P002P0h08X100000000002hna80100002d100040000l04100<000000000
4@0000`0000800002`000100001100004P0000T0000@0000@@000180000B000030000040000I0000
30000?ooo`0F0000300001T0000:000040000000000000002@000100000P2000@08001P0000<0000
00000Q/0000@0000m0000><1001B0000L0400040000Roooo0000000000000000T040000000000P0@
E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h00000000000000000000000000000000000000000
0000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=gX>[41D3T9@1:cAmM0@000040002@j/@5
]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5S>@U00440020?Ol4000X021_o`Ai0000
l83V0P00:00000000000073U9@011000000X080mo`A`iBD0n393MbLc@gMA[Sao00000:aB:00002P0
T3DX0000001<1BP0T3DX0000:01X=RP0J0P0H?3T9@3di2D0@eNMMOCT9@1jEieeT0L01@SU9@13Eiee
2>DU07YGWGF/1`05@?Cl11/0001TMP08000002D0000<00000@0005@0001P0000200000T0000N0000
40000040001b78doEEF=?`00000000000`0004`00000000000000000003ooooooooooe@0001]0640
N0000:T0001Q0000_04001/0000@00007@@00801001B0000L04000800020o_oo0000000000000000
T040000000000P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h0000000000000000000000000
000000000000000000000000@gNY[cao000009`1:00002P0S>@U0044000307@0:@7c021_o`Ai0000
l83V0P00:0040740:@7c073U9@011000`7DX080mo`@<0000n393M`00000X3CH0/78X0<Qc:00HIo`4
Z7HX00000004i2D0T3DX03SU9@1]e3mg001J2?kooolf8D=gdAm3M`00003:PNH2000000SU9@13Eiee
2>DU07YGWGF/1`05@?Cl11/000000000000X0000o0AX=RP0k>@U00<0M00Y0O<0NUNMMB`900E0m?`4
@0T01@SU9@13Eiee2>DU07YGWGFH2@05@?Cl11/0001TMP08000002D0000<00000P0002P0000<0000
0@0005@0001/00008@000000001@00003P000040001b78doEEF=?`00000000001@0004`000000000
00000000003ooooooooooeP0000`02h0=@1`07D000300000H00000h10030000000<001/0000@0000
AP000801001B0000L04000400020o_oo0000000000000000T040004000000P0@E01Y06d0I@1c0200
CP1U07L0801B06l0K@1Q06h0000000000000000000000000000000000000000000000000L01e03ao
00000:@1:00002P0/78X0<Qc:00i0180WP6`00000004i2D0T3DX03SU9@0j01H0WP6`0?kooolf8D=g
`7DX0000000D0000n:Sl100000183CH0/78X0<ac:03hZ?`447LX01/00004i2D00@0003SU9@1]e3mg
001J2?kooolf8D=gdAm3M`00000dP^H200000000:0000000WgF2MAMDA66W=`Ydn:Sl142AX7D00000
000X0000o0BXi2D0YcL:M3T04P2N0K00HlGS5?kooonOMH9e>0/01@SU9@13Eiee2>DU07YGWGFL2`05
@?Cl11/0001TMP08000002D0000<00000@0002P0000<00000P0005@0001D00000P000000000I0000
3P000040001b78doEEF=?`00000000000@0004`00000000000000000003ooooooooooe00001@0000
00<001/0000@0000m`800801001B0000L04000800020o_oo0000000000000000T040000000800P0@
D`1i06d0HP1_06`00000000000000000000000000000000000000000000000000000000000000000
00000000@gNY[cao000009@1:00002P0/78X0<ac:00Q03`0h`2c01/00004i2D00@0003SU9@0R03X0
h`2c0?kooolf8D=g`7DX0000000400006:Wl1000002X33H0/78X0<Ac:02XTc<0@7HX042AX7D4i2D0
0@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`00002TP^H200000000:0000000WgF2MAMDA66Z=`[Z
6:Wl142AX7D00000000X0000<`2Xi2D0ZSL:jR40?03S0;<0HlGS5?kooonOMH9e?0d01@SU9@13Eiee
2>DU07YGWGF83@05@?Cl11/0001TMP08000002D0000<00000P0002P0000<00000@0005@0001D0000
60000000000_00003P000040001b78doEEF=?`00000000000@0004`00000000000000000003ooooo
oooooe00000ml00000<00580001`0@000@0001000007000000000000002l0P00000000420R9C07T0
L`1d06D0K@0000000000000000000000000000000000000000000000000000000000000000000000
0013MjV_?7l00000U04X0000:02`LRP0a7<X0240?03T0;<0@96PM@CT9@010000>>DU0280>P3T0;<0
o_ooocHQ@gO0MBP0000000@0003hZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000
>>DU06gD?gL005X8o_ooocHQ@gOA7d=g000000R3iP800000000X0000002OMH9e5eA4HKPg2^3hZ?`4
@96PM@00000002P0000c0:ST9@2h=`[P8@0l0>@0/`1SaN<Do_oooimePWG@TC<00@000:2C<`04iBD0
=ai3M`R3iP:XTc<0000006Af00P000009@0000`000010000:00000`0000200009@0000`000070020
9@0000`000000020<00000`0000?00209@0000`0000=0020B`000100000000001@0002P0000<0000
0@0000h0000D000000000100000D00006d040400000d0000ooooo`80000000000000033oPd87aYM1
0`0009m`;dAUICm29a]5A6EU?d:OL2m4/[:?@R4000080000HP0000`0000100008@0000P0000Q0000
200002<0000P0000<PM0?`0000000000Eklo?`0000000000900002@0000b1d0o00000000001G_clo
0000000000040000700000P0000U000030000000080U0000300000L0080U0000300000h0080I0000
30000?ooo`0H000030000000000B000030000080000C000030000040000D0000300000d0000E0000
30000040000F000030000000000=00004000000000000000>P0000`0000:00006`00010000000000
000002<0000P0000ma9n?`0000000000O6Ee?nnT0dB1c`m2900002@0003g4Who00000000001lIGDo
kj@3A87?3d8400008`000200003g4Who00000000001lIGDokj@3A87?3d8T000090000?LBOSl00000
000007aUMCo_Y0=4PLl?@P@0000S000080000?LBOSl00000000007aUMCo_Y0=4PLl?@R@0000T0000
ma9n?`0000000000O6Ee?nnT0dB1c`m2100000d0000@0000_P800300001B0000L04000@0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d0002dXP00003/0[fM0000000000000000
00000000000000000@00092PRX;@^kBRUn800000f7DhaMaeo><U09Sno0Bho_`4W=hU00^dW7Eh4S<0
f9RPME/g8G/R08X1D64b0000003<gRD0=[>LM@bVW7FgYIae[CLQT0H00010TJ1e0P00000000000040
0@0000@0001L0000000000@0000/gbD0:86LMDJ1W7F]=b6@000000000000400000000?cS9@010000
Z9<c000000000000ooooo`0@003ooooo000000000000000000000000001TgbD0WaZ7MJdg8I000000
0000000@001X4c<0o><U0040002XTc<000000040003lhbD0Q=lU04=GWGETMP08000002D0000<0000
100004H0000X0000700004M4BD<2000000000000001100004P000000000S000080000?LBOSl00000
000007aUMCo_Y0=4PLl?@R@0000T0000ma9n?`0000000000O6Ee?nnT0dB1c`m2100002<0000P0000
ma9n?`0000000000O6Ee?nnT0dB1c`m2900002@0003g4Who00000000001lIGDokj@3A87?3d840000
8`000200002R1H5200000000000F2HY1kj@3A87?3d8T000090000:85PD800000000001H9RT7_Y0=4
PLl?@P@0000S000080000:85PD800000000001H9RT7_Y0=4PLl?@R@0000T0000XPF1@P0000000000
5PV:@NnT0dB1c`m2100002<0000P0000ma9n?`0000000000O6Ee?nnT0dB1c`m2900002@0003g4Who
00000000001lIGDokj@3A87?3d8400008`000200003g4Who00000000001lIGDokj@3A87?3d8T0000
90000?LBOSl00000000007aUMCo_Y0=4PLl?@P@0000B000030000040000I000030000?ooo`0F0000
300001T0000S000080000?LBOSl00000000007aUMCo_Y0=4PLl?@R@0000T0000ma9n?`0000000000
O6Ee?nnT0dB1c`m2100002<0000P0000ma9n?`0000000000O6Ee?nnT0dB1c`m2900002@0003g4Who
00000000001lIGDokj@3A87?3d8400008`000200003g4_hl00000000001lIODlkj@3A87?3d8T0000
90000?LBoS`00000000007aUmCc_Y0=4PLl?@P@0000S000080000?LBoS`00000000007aUmCc_Y0=4
PLl?@R@0000T0000ma;n?00000000000O6Ge?>nT0dB1c`m2100001P0000<0000000001/0000@0000
m0000><1001B0000L04000D0000Roooo0000000000000000T040000000070P0@E01Y06d0I@1c0200
CP1U07L0801B06l0K@1Q06h000000000000000000000000000000000000000000000000000000=X0
200009QEj`@0iBD06c13McP1fP3g;d=gX>[41D3T9@1:cAmM0@000040002@j/@5]n[41FcT9@2Pj/@5
H>@U04[=7ed100000@00093Za0Fhj/@5S>@U00440020?Ol4000X021_o`Ai0000l83V0P00:0000000
0000073U9@011000000X080mo`A`iBD0n393MbLc@gMA[Sao00000:aB:00002P0T3DX0000001<1BP0
T3DX0000:01X=RP0J0P0H?3T9@3di2D0@eNMMOCT9@1jEieeT0L01@SU9@13Eiee2>DU07YGWGF/1`05
@?Cl11/0001TMP08000002D0000<00001@0005@0001P00005P8002`0000[0P00<P000040001b78do
EEF=?`00000000000`0004`00000000000000000003ooooooooooe@0001]0640N02l=jT0001Q0000
_04001/0000@00007@@00801001B0000L04000<00020o_oo0000000000000000T040000000070P0@
E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h00000000000000000000000000000000000000000
00000000@gNY[cao000009`1:00002P0S>@U0044000307@0:@7c021_o`Ai0000l83V0P00:0040740
:@7c073U9@011000`7DX080mo`@<0000n393M`00000X3CH0/78X0<Qc:00HIo`4Z7HX00000004i2D0
T3DX03SU9@1]e3mg001J2?kooolf8D=gdAm3M`00003:PNH2000000SU9@13Eiee2>DU07YGWGF/1`05
@?Cl11/000000000000X0000o0AX=RP0k>@U00<0M00Y0O<0NUNMMB`900E0m?`4@0T01@SU9@13Eiee
2>DU07YGWGFH2@05@?Cl11/0001TMP08000002D0000<00000`0002P0000<00001@0005@0001/0000
;`8002<0001N0P00<@000040001b78doEEF=?`00000000001@0004`00000000000000000003ooooo
oooooeP0000`02h0=@1`07D0X9?00000H00000h10030000000<001/0000@0000AP000801001B0000
L04000D00020o_oo0000000000000000T040004000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0
K@1Q06h0000000000000000000000000000000000000000000000000L01e03ao00000:@1:00002P0
/78X0<Qc:00i0180WP6`00000004i2D0T3DX03SU9@0j01H0WP6`0?kooolf8D=g`7DX0000000D0000
n:Sl100000183CH0/78X0<ac:03hZ?`447LX01/00004i2D00@0003SU9@1]e3mg001J2?kooolf8D=g
dAm3M`00000dP^H200000000:0000000WgF2MAMDA66W=`Ydn:Sl142AX7D00000000X0000o0BXi2D0
YcL:M3T04P2N0K00HlGS5?kooonOMH9e>0/01@SU9@13Eiee2>DU07YGWGFL2`05@?Cl11/0001TMP08
000002D0000<00001@0002P0000<00000`0005@0001D00004@8002<0000X0P00<@000040001b78do
EEF=?`00000000000@0004`00000000000000000003ooooooooooe00001@00`000<001/0000@0000
m`800801001B0000L04000<00020o_oo0000000000000000T040000000870P0@D`1i06d0HP1_06`0
000000000000000000000000000000000000000000000000000000000000000000000000@gNY[cao
000009@1:00002P0/78X0<ac:00Q03`0h`2c01/00004i2D00@0003SU9@0R03X0h`2c0?kooolf8D=g
`7DX0000000400006:Wl1000002X33H0/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg
001J2?kooolf8D=gdAm3M`00002TP^H200000000:0000000WgF2MAMDA66Z=`[Z6:Wl142AX7D00000
000X0000<`2Xi2D0ZSL:jR40?03S0;<0HlGS5?kooonOMH9e?0d01@SU9@13Eiee2>DU07YGWGF83@05
@?Cl11/0001TMP08000002D0000<00000`0002P0000<00001@0005@0001D00009P8002<0000m0P00
<@000040001b78doEEF=?`00000000000@0004`00000000000000000003ooooooooooe00000ml000
00<00580001`0@001@0001000007000000000000002l0P00000000L20R9C07T0L`1d06D0K@000000
00000000000000000000000000000000000000000000000000000000000000000013MjV_?7l00000
U04X0000:02`LRP0a7<X0240?03T0;<0@96PM@CT9@010000>>DU0280>P3T0;<0o_ooocHQ@gO0MBP0
000000@0003hZ?`400000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8
o_ooocHQ@gOA7d=g000000R3iP800000000X0000002OMH9e5eA4HKPg2^3hZ?`4@96PM@00000002P0
000c0:ST9@2h=`[P8@0l0>@0/`1SaN<Do_oooimePWG@TC<00@000:2C<`04iBD0=ai3M`R3iP:XTc<0
000006Af00P000009@0000`000050000:00000`0000300009@0000`0000700209@0000`000000020
DP00070100030000400000L00000000000000;`2000000001`828U<0N@1c07@0I@1]0000]:800000
k0:mW@0000000000000000000000000000000040002@X8Z2d;^dXYOR000003mg001J2?kooolf8D=g
dAm3M`000008PnH200000000:0000000WgF2MAMDA66h=`[Pn:Sl142AX7D0000000000000:03HZ?`4
^3L:h240?00h01h0YP6`0?kooonOMH9ed94c042Xo0@10000d:Sl1=CN9@0g7T=gf:Sl10002Z000000
d:Sl11cO9@29MH9e0=lU04=GWGD0gbD0NUNMMBSTi@9@dO`49@0000000@14b0805=lU0;5HWGD00000
FcLQNaT0/04dgbD0^GJMME/g8G/000209@0005/g8G/00040402@0EcO9@3?m9aeFcLQNa00T04U0000
I7H02000000U0000300000<0001;00004000000000050000:00000`000050000AP0001@000080000
AdA9@`<0000R000030000?oooolR000030000?oooolU0000300000d0080X0000300000@0000X0000
300000<0000R000030000?oooom60000<0l002@?0015CDH[;40002@0000H0000/aBX?`0008000020
j^bQ?im`;dAUICm2:T0002@0000H00000020?`00000000000020?`000000000024041IP>002<3P00
0Q30f`8000030000O0h00040001/00000P000000001@00004000000000000000m@P007/2000PADe6
000107`>000X00000`0000000000000000000:0500240`00o04003h10000000000000000001P`0L0
?=P404H0003T0`00eP<004M4BD<1002000<00=[aG2000000_P<000402@000ml1000209d0000000D0
00020@40000500000@;oool01@0002h16@0000D0000;0P000005000030900R082`0002H63`0<04eQ
M6QDNG1U001P0180000V1Pl06P3ooooo000@0000`?ooojKooooP1`00iP4000D000090P0000850000
50;S0O@070000?/28_l00000002@0@0000000P0@E6U]IG<PCVEg859_KF5^08Ca4P2ZBN9e@97UMCh@
IQH40000;@4000`0000b2P0000030000KF5h0:T0H@2l0@D0000D0X017@@L0000n`:0oP0000000901
00000002011DJFeULb1>IGLPDVm]HFh0Q?4B0:Y9hWE0TNEe?Q1V5P@0000]0@4010000?01000?0000
<PX000001@00030^=G1e0<00H00>0L0000<5000050:00DH070000?/2P?h00000002@0@4000000P0@
E6U]IG<PCVEg859_KF5^08Ca4P2ZBN9e@97UMCh@IQH40000;@4000@0003`0@402@00038:00000040
001@N@031@0001@2P07g0Q`0003k0X3n00000000T0400001008045=iKF9_K01e4Pl:W=P><`24lA80
ZTWRMD2AiGDn46HF100002d10@040000l04000T0000b2P0000010000?GT00id0000V1Pl0<051L71c
CDI3@`402@4000T10014IG=YIfhPDf=YIFiSIB`PBFiS;P050@061DACCE@f000CEfU^@Fa/@V5cJF=3
KfAUD65WIG<04@EDJFeULb1>IGLPDVm]HFh04@=CNFeRKf`04@E3KgEbJFEb84iUM`0A14eD84EhM79Q
0180224_AHm4;d5@m10?Aem1D?8O7T5@m1D?@@3dAO@Um8m2Gd40m10?@em10?B?AO@ZGdSdSd40m10?
@?B?@Gm8m10?@BYOA5m5m5m5m5m13``100400@820P800P010@400`0100@000X10080Pe000`0K000;
0@020X9]0080PV400P22N0000@402P84QSd0?@80R3000P22;P0208Pe0080V0C_0P21L002085e0000
2P0002H63`0:0?ooool10000000L0000n`8@00L000000;`2000000420R9CNG=dIFd05Sh@IQH000X0
>02:0@0000000000^?/B00@0000]0@0010000?010@03000000000140000<0000200000/0000@0000
@@0001800009000040000440000B00004P0000`0000100006@0000`0003oool05P0000`0000I0000
2P00010000000000000000T0000@000080P00402000H000030000000008K000040000?@0003S0@00
DP000701000100008_ooo`00000000000000090100000000008045@0J@1]06D0L`0P04h0I@1g0200
DP1_06d0H@1^0000000000000000000000000000000000000000000000000000003J00P0002HEN/4
0>DU01/`@gLh0MX0mbm3Mj3Za0E0i2D0B/dOG@4000010000T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM
0@000040002@j/@5^>[41HcT9@011000P3go1000:00PKol4N@000?20iP8002P000000000001`iBD0
0@@00000:020?Ol4L>DU0?Pb@gLW<d=gDJhlO`00002/DRP0000X090e:0000000C0DX090e:00002P0
J3HX085@0=7`i2D0m>@U04=GWGGdi2D0NUNMMHRDh088iBD0@eNMM@SU9@1jEieeY9CP0T3do0@K0000
I7H02000000U000030000040001D0000H00000P0000900007P00010000010000LQb=?eEESCl00000
000000<0001<00000000000000000000oooooooooomD0000K@1Q07P0002Y0000H@000;`1000K0000
400001d400200@00DP00070100020000P?koo`00000000000000090100000000008045@0J@1]06D0
L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000000000000000000000000000000004=g
ZJllO`00002L0BP0000X08cT9@0110000@1j02d1l`0PKol4N@000?20iP8002P00P1g02d1l`1`iBD0
0@@00<1e:020?Ol430000?Pb@gL00000:0df0;1b:038LbP0B6Ol1:Qf:00000001>@U090e:00hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL00000bX7V0P000008iBD0@eNMM@SU9@1jEieeY9CP0T3do0@K0000
00000000:0000?`4J3HX0>cT9@0107X0;@7c07YGWGDTU^02@?Cl13RFh088iBD0@eNMM@SU9@1jEiee
T9KP0T3do0@K0000I7H02000000U000030000080000X000030000040001D0000K000024000000000
D00000h000010000LQb=?eEESCl00000000000D0001<00000000000000000000oooooooooomH0000
<00^03D0L01e0000`0000600000>0@00`0000003000K0000400004H000200@00DP00070100010000
P?koo`00000000000000090100010000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
000000000000000000000000000000000000000000000700M@0lO`00002T0BP0000X0;1b:038LbP0
>@0J0:/1/00000001>@U090e:00hiBD0>P0B0:/1/03noooo=R53Ml1e:000000050000=RXo0@00000
B0df0;1b:03<LbP0f:Sl111g:00K00001>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
=8;V0P00000002P0000009mePWDGE4AQ[cL:o=RXo0A0TJ1e00000000:0000?`4Z>@U0:lg2_`i01X0
Z`6`06?5haCnooooWgF2MC2Hh088iBD0@eNMM@SU9@1jEieeU9SP0T3do0@K0000I7H02000000U0000
30000040000X000030000080001D0000E0000080000000006@0000h000010000LQb=?eEESCl00000
00000040001<00000000000000000000oooooooooom@0000D01YA003000K000040000?L200200@00
DP00070100020000P?koo`00000000000000090100000002008045<0N@1]0680K`1/000000000000
00000000000000000000000000000000000000000000000000000000000004=gZJllO`00002D0BP0
000X0;1b:03<LbP08@0l0>D0/`0K00001>@U0040000hiBD08P0j0>D0/`3noooo=R53Ml1e:0000000
10000?RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo
=R53Mm4O@gL00000Y8;V0P00000002P0000009mePWDGE4AQ_3L:6ORXo0A0TJ1e00000000:00003<0
Z>@U0;`g2QTQ03`0i@2c06?5haCnooooWgF2MCBJh088iBD0@eNMM@SU9@1jEieeP9[P0T3do0@K0000
I7H02000000U000030000080000X000030000040001D0000E00001P000000000;`0000h000010000
LQb=?eEESCl0000000000040001<00000000000000000000oooooooooom@0000?O1ZA003001B0000
L0400040000@00001`00000000000000_080000000010P8RD`1i07<0M01U06d00000000000000000
00000000000000000000000000000000000000000000000000000000@gNY[cao000009@1:00002P0
/78X0<Ac:00Q03`0iP2c042AX7D4i2D00@0003SU9@0R03X0iP2c0?kooolf8D=g`7DX000000040000
f:Sl1000002X33H0/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=g
dAm3M`000008PnH200000000:0000000WgF2MAMDA66_=`[mf:Sl142AX7D00000000X0000<`2Xi2D0
[cL:oB40?03V0;<0HlGS5?kooonOMH9ed94c0040002PTc<01>DU03LN@gL8PnH2Z9<c0000001TMP08
000002D0000<00000@0002P0000<00000P0002D0000<00001`00P2D0000<00000000P300000<0000
3`00P2D0000<00003@00P4/0000@0000000000D0000X000030000040000>000050000000000@0000
500001]010100000=0000?ooool2000000000000000`oh=21lJG@@<000382kI3IFE;@]QPhD=UID]2
b0^f@k:bUD8Q000020000680000<00000@000240000800008@0000P0000S000080000387@3l00000
000005No?cl00000000002@0000T0000<PM0?`0000000000Eklo?`0000000000100001`000080000
9@0000`0000000209@0000`0000700209@0000`0000>00206@0000`0003oool0600000`000000000
4P0000`0000200004`0000`000010000500000`0000=00005@0000`0000100005P0000`000000000
3@00010000000000000003X0000<00002P0001/0000@000000000000000S000080000:LNNcl00000
000007aUMClQiHQ3NL`H@R@0000T0000Yaik?`0000000000O6Ee?b7UR4=ic1Q2100002<0000P0000
Yaik?`0000000000O6Ee?b7UR4=ic1Q2900002@0002W7W/o00000000001lIGDo8NF8@gW<64840000
8`000200002W7W/o00000000001lIGDo8NF8@gW<648T000090000:LNNcl00000000007aUMClQiHQ3
NL`H@P@0000=0000400006d1000c0000DP00070100030000400000L00000000000000;`200000000
1`828U<0N@1c07@0I@1]0000]:800000k0:mW@0000000000000000000000000000000040002@X8Z2
d;^dXYOR00000=Qe><GLMOcS9@2Ho_`4^?kl19cN9@0;]9aeN18c0=RHX7EK=b5k8P2:0EQQ<P000000
c=hU03JcW7D<YYae]jFLMKPg8N<60000@96PM@80000000000001004000040000G000000000040000
;=lU02R1W7E6PIae^3LQh`000000000001000000003lhbD00@000:RC<`00000000000?ooool04000
ooooo`00000000000000000000000000I=lU09lJQgFh=b7S0000000000004000J1<c0?cS9@010000
Z9<c000000010000o><U08CO9@13EieeI7H02000000U0000300000<000160000:00001`00017A4U3
0P00000000000000@@000180000000008`000200002W7W/o00000000001lIGDo8NF8@gW<648T0000
90000:LNNcl00000000007aUMClQiHQ3NL`H@P@0000S000080000:LNNcl00000000007aUMClQiHQ3
NL`H@R@0000T0000Yaik?`0000000000O6Ee?b7UR4=ic1Q2100002<0000P00008P]o@P0000000000
5PV:@B7UR4=ic1Q2900002@0000R2gm200000000000F2HY18NF8@gW<648400008`000200000R2gm2
00000000000F2HY18NF8@gW<648T00009000028;Od800000000001H9RT4QiHQ3NL`H@P@0000S0000
80000:LNNcl00000000007aUMClQiHQ3NL`H@R@0000T0000Yaik?`0000000000O6Ee?b7UR4=ic1Q2
100002<0000P0000Yaik?`0000000000O6Ee?b7UR4=ic1Q2900002@0002W7W/o00000000001lIGDo
8NF8@gW<648400004P0000`0000100006@0000`0003oool05P0000`0000I00008`000200002W7W/o
00000000001lIGDo8NF8@gW<648T000090000:LNNcl00000000007aUMClQiHQ3NL`H@P@0000S0000
80000:LNNcl00000000007aUMClQiHQ3NL`H@R@0000T0000Yaik?`0000000000O6Ee?b7UR4=ic1Q2
100002<0000P0000Yakk?00000000000O6Ge?27UR4=ic1Q2900002@0002W7_/l00000000001lIODl
8NF8@gW<648400008`000200002W7_/l00000000001lIODl8NF8@gW<648T000090000:LNnc`00000
000007aUmC`QiHQ3NL`H@P@0000H000030000000000K000040000?@0003S0@00DP00070100040000
8_ooo`000000000000000901000000001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^0000
000000000000000000000000000000000000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0
mbm3Mj3Za0E0i2D0B/dOG@4000010000T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5
^>[41HcT9@011000P3go1000:00PKol4N@000?20iP8002P000000000001`iBD00@@00000:020?Ol4
L>DU0?Pb@gLW<d=gDJhlO`00002/DRP0000X090e:0000000C0DX090e:00002P0J3HX085@0=7`i2D0
m>@U04=GWGGdi2D0NUNMMHRDh088iBD0@eNMM@SU9@1jEieeY9CP0T3do0@K0000I7H02000000U0000
300000@0001D0000H00001T1000_0000;P4003D000010000LQb=?eEESCl00000000000<0001<0000
0000000000000000oooooooooomD0000K@1Q07P0002Y0000H@000;`1000K0000400001d400200@00
DP00070100050000P?koo`000000000000000901000000001`8045@0J@1]06D0L`0P04h0I@1g0200
DP1_06d0H@1^00000000000000000000000000000000000000000000000004=gZJllO`00002L0BP0
000X08cT9@0110000@1j02d1l`0PKol4N@000?20iP8002P00P1g02d1l`1`iBD00@@00<1e:020?Ol4
30000?Pb@gL00000:0df0;1b:038LbP0B6Ol1:Qf:00000001>@U090e:00hiBD0KM@oM`00FPSnoooo
=R53Mm4O@gL00000bX7V0P000008iBD0@eNMM@SU9@1jEieeY9CP0T3do0@K000000000000:0000?`4
J3HX0>cT9@0107X0;@7c07YGWGDTU^02@?Cl13RFh088iBD0@eNMM@SU9@1jEieeT9KP0T3do0@K0000
I7H02000000U0000300000D0000X0000300000@0001D0000K0000381000V0000H04003@000010000
LQb=?eEESCl00000000000D0001<00000000000000000000oooooooooomH0000<00^03D0L01e02@0
`0000600000>0@00`0000003000K0000400004H000200@00DP00070100040000P?koo`0000000000
00000901000100001`8045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
00000000000000000000000000000700M@0lO`00002T0BP0000X0;1b:038LbP0>@0J0:/1/0000000
1>@U090e:00hiBD0>P0B0:/1/03noooo=R53Ml1e:000000050000=RXo0@00000B0df0;1b:03<LbP0
f:Sl111g:00K00001>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000=8;V0P00000002P0
000009mePWDGE4AQ[cL:o=RXo0A0TJ1e00000000:0000?`4Z>@U0:lg2_`i01X0Z`6`06?5haCnoooo
WgF2MC2Hh088iBD0@eNMM@SU9@1jEieeU9SP0T3do0@K0000I7H02000000U0000300000@0000X0000
300000D0001D0000E00001@1000V0000:`4003@000010000LQb=?eEESCl0000000000040001<0000
0000000000000000oooooooooom@0000D02/DP03000K000040000?L200200@00DP00070100050000
P?koo`000000000000000901000000021`8045<0N@1]0680K`1/0000000000000000000000000000
0000000000000000000000000000000000000000000004=gZJllO`00002D0BP0000X0;1b:03<LbP0
8@0l0>D0/`0K00001>@U0040000hiBD08P0j0>D0/`3noooo=R53Ml1e:000000010000?RXo0@00000
Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0KM@oM`00FPSnoooo=R53Mm4O@gL00000
Y8;V0P00000002P0000009mePWDGE4AQ_3L:6ORXo0A0TJ1e00000000:00003<0Z>@U0;`g2QTQ03`0
i@2c06?5haCnooooWgF2MCBJh088iBD0@eNMM@SU9@1jEieeP9[P0T3do0@K0000I7H02000000U0000
300000D0000X0000300000@0001D0000E00002T1000V0000@04003@000010000LQb=?eEESCl00000
00000040001<00000000000000000000oooooooooom@0000?O09FP03001B0000L04000@0000@0000
1`00000000000000_080000000070P8RD`1i07<0M01U06d000000000000000000000000000000000
0000000000000000000000000000000000000000@gNY[cao000009@1:00002P0/78X0<Ac:00Q03`0
iP2c042AX7D4i2D00@0003SU9@0R03X0iP2c0?kooolf8D=g`7DX000000040000f:Sl1000002X33H0
/78X0<Ac:02XTc<0@7HX042AX7D4i2D00@0003SU9@1]e3mg001J2?kooolf8D=gdAm3M`000008PnH2
00000000:0000000WgF2MAMDA66_=`[mf:Sl142AX7D00000000X0000<`2Xi2D0[cL:oB40?03V0;<0
HlGS5?kooonOMH9ed94c0040002PTc<01>DU03LN@gL8PnH2Z9<c0000001TMP08000002D0000<0000
100002P0000<00001@0002D0000<00001`00P2D0000<00000000P580001`0@001@00010000070000
00000000002l0P00000000L20R9C07T0L`1d06D0K@000;BR00000>`2_Id000000000000000000000
0000000000010000T:2:P]2k]::GhP00000oM`00FPSnoooo=R53Mm4O@gL0000028?V0P00000002P0
000009mePWDGE4AQ[cL:oMRXo0A0TJ1e00000000000002P06:Wl1:lg2_dQ03`0>00N0;<1/03noooo
WgF2MM2A<`10Z?`40@00012Yo0CDgRD0=ai3MaRYo0@000YE0000012Yo0@LgbD0RGF2M@3O9@13Eiee
0=lU07YGWGDH0nH2D=7l12D000000040=>L201CO9@2aF9ee000005/g8G/I0;01==lU0;UfWGEK=b5k
0000P2D0001K=b5k00010100T05LgbD0coBLME/g8G/@09019@0006Af00P000009@0000`000050000
B`000100000000001@0002P0000<0000100004H0000D0000200004M4BD<300008P0000`0003ooooo
8P0000`0003ooooo9@0000`0000=0020:00000`000030000:00000`0000500008P0000`0003ooooo
AP000:`<002P3000ADe6:ba0000T000060000:`DZ3l000200000P>[/XCo82kI3IFE;@RY0000T0000
60000000P3l0000000000000P3l00000000000Q010DD300020`0008@`=/200000`000?P;00010000
K0000040003ooooo@`0000d00000000000000<06000d0P0084E=AP000@3h2`008`0000<000000000
00000000002P1@00Q0<00?`1000n0@000000000000000000H<0703cH10160000G0<005030017A4U3
0@00P00300354VXH000003P3000100T000>L0@000P2@0000000500000P4100001@000042oooo00D0
000^0AT0000500002`8000001@0000`2008P1P/0000V1Pl0301=HGAXE7U`I@00D00B00009PH?01X0
ooooo`0040000<3oooo6ooooh0D00<H1000500002@8000021@0001@2H05l0a`0003k0X3n00000000
T0400000008045AYKFEc84iUMb1BKfeQKP24lA80ZTWRMD2AiGD066IL100002d1000<0000<PX00000
0`00030^=@30060000<50000509P0B8070000?/2P?h00000002@0@4000000P0@E6U]IG<PCVEg859_
KF5^08Ca4P2ZBN9e@97UM@0HIU`40000;@4100@0003`0@002P00038:00000080001IJEP500<50000
509P0Gh170000?/2P?h00000002@0@0000400P0@DgU]HVm/07ES4@[9>1TY08Ca4P2ZBN9e@97UM@0H
IU`40000;@4000@0003`0@402P00038:00000080000m;B`100>@00009PH?01D1@G1`Lde6@d<10>h0
003^0000A6EcJFM^85=SJFE^HfD/84U^Hbh01@401PE4DdeD=P004eMYKT5/K49QLfUS@fmTIE1QIfEc
0145E6U]IG<PCVEg859_KF5^0143DgU]HVm/0145@fmeLVUULR1>IGL04@A=E215N7AbH@0B00PQ;dF?
A2m1D?@@3dMO@E3b7ai1D?@E3d40m4Gd9OB?@Um10?@@3d=O@@3dSdGd:Um8m8m10?@@3d3dSd5oB?@@
3d4ZGdAOAOAOAOAO@@l<0@0100420P8200800@4100<00@04000:0@0208=I0084QSd0?@84QQ8R;@80
R3000P22;P0208Pe0080V0;_0P23J@00000:00009PH?00X0ooooo`40000001`0003k0Q001`000000
_08000000@828U=iLgAUK@1L01QVG0002P0h08X100000040002hna80100002d10@040000l04000<0
00000140000<0000200000/0000@0000<@0001000009000040000340000@00004P0000`000010000
6@0000`0003oool05P0000`0000I00002P00010000000000000000T0000@000080H00002000H0000
30000000008K0000400007`3001P0@00DP00070100010000P?koo`00000000000000090100000000
008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^000000000000000000000000000000000000
0000000000000000003J00P0002HEN/40>DU01/`@gLh0MX0mbm3Mj3Za0E0i2D0B/dOG@4000010000
T>[41KOZa0E/i2D0X>[41F3T9@1:cAmM0@000040002@j/@5^>[41HcT9@011000P3go1000:00PKol4
J0000:P6o@@002P000000000001`iBD00@@00000:020?Ol4L>DU0?Pb@gLW<d=gDJhlO`00002/DRP0
000X090e:0000000a0@X090e:00002P0J3HX0;1>0?k`i2D0m>@U04=GWGGdi2D0NUNMMHRRh088iBD0
@eNMM@SU9@1jEieeY:;P0T3do0@K0000I7H02000000U000030000040001D0000H00001`0003ooooo
?00000d000010000LQb=?eEESCl00000000000<0001<00000000000000000000oooooooooomD0000
<00^03D000300000H0000003000K000040000280001P0@00DP00070100020000P?koo`0000000000
0000090100010000008045@0J@1]06D0L`0P04h0I@1g0200DP1_06d0H@1^00000000000000000000
000000000000000000000000000004=gZJllO`00002L0BP0000X02P01@000000P3go1000:0020000
0@0002T00P0000005P000040001`iBD00@@00<1e:03h0`0030000?Pb@gL`LbP0L8OV0[1b:02`i2D0
YF13Mk3T9@1`QnH2af13Mi6_?7nXMRP0R0df0000:00`LbP0/78X000000283CH0PPOm17CT9@08iBD0
?>DU06gD?gL9FUX8k>@U03h20030HD=g00000000:0000>H2?P8000h0001W0P003`0007YGWGDTY>02
@?Cl13RTh088iBD0@eNMM@SU9@1jEieeT:CP0T3do0@K0000I7H02000000U000030000080000X0000
30000040001D0000F0000040003ooooo@`0000d000010000LQb=?eEESCl0000000000080001<0000
0000000000000000oooooooooom@0000F@1Y05P500000`006`000100001n0@00H0400580001`0@00
0@00083nool0000000000000002@0@0000000P02011C07T0K@1R06l0K00000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
/>@U0240?03W0;<0L8OV0/MP@gNA[caoZ7HX0280>P3W0;<0<7<X0;1b:030MBP0000000P0000HZO`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0`653M`CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000>`7o@@00000000X0000002OMH9e5eA4HElg2]8HZO`4@96PM@00000002P0000c0:ST9@1O=`[B
8@0l0>L0/`1SaN<Do_oooimePWD`Y^022>DU04=GWGD8iBD0NUNMMH2Vh090m?`46`0006Af00P00000
9@0000`000010000:00000`000020000E00005P0000<0000ooooobd0000=00000@00078LSCmEEHdo
0000000000020000C00000000000000000000?ooooooooooD00003g`;O0/0@0000<00580001`0@00
0P0001000007000000000000002l0P00000000420R9C07T0L`1d06D0K@0000000000000000000000
0000000000000000000000000000000000000000000000000013MjV_?7l00000U04X0000:02`LRP0
a7<X0240?03X0;<0`653M`CT9@010000>>DU0280>P3X0;<0o_ooocHQ@gO0MBP0000000P0003HZ?`4
00000:P<=P2`LRP0a7<X0:RC<`10MRP0@96PM@CT9@010000>>DU06gD?gL005X8o_ooocHQ@gOA7d=g
00000588o@@00000000X0000002OMH9e5eA4HGhg2TWHZ?`4@96PM@00000002P0000c0:ST9@1n=`Y9
8@0l0>P0/`1SaN<Do_oooimePWG@TC<00@000:2C<`04iBD0=ai3Me88o@BXTc<0000006Af00P00000
9@0000`000020000:00000`0000100009@0000`0000700209@0000`000000020<00000`0000?0020
9@0000`0000=0020B`000100000000001@0002P0000<00000P0000h0000D000000000100000D0000
6d040400000d0000ooooo`80000000000000047^Ad:f/XM10`000>>5CTA@R7Q3_MUNA528N4?SQDi4
[>b6@b4000080000HP0000`0000100008@0000P0000Q0000200002<0000P0000<PM0?`0000000000
Eklo?`0000000000900002@0000b1d0o00000000001G_clo0000000000040000700000P0000U0000
30000000080U0000300000L0080U0000300000h0080I000030000?ooo`0H000030000000000B0000
30000080000C000030000040000D0000300000d0000E000030000040000F000030000000000=0000
4000000000000000>P0000`0000:00006`00010000000000000002<0000P0000XNIj?`0000000000
>T1`?m0E6d@LPCY3900002@0002QiWXo00000000000j@70od1DKA1b1>T<400008`000200002QiWXo
00000000000j@70od1DKA1b1>T<T000090000:7VNSl00000000003Y0L3o@5A]4784j@`@0000S0000
80000:7VNSl00000000003Y0L3o@5A]4784j@b@0000T0000XNIj?`0000000000>T1`?m0E6d@LPCY3
100000d0000@0000>`<00?T0001B0000L04000D0000@00001`00000000000000_080000000070P8R
D`1i07<0M01U06d0002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBR
Un800000f7DhaMaeo><U09Sno0Bho_`4W=hU00^dW7Eh4S<0f9RPME/g8G/R08X1D64b0000003<gRD0
=[>LM@bVW7FgYIaeL3LQK`H00010TJ1e0P000000000000400P0000@0001P0000000000P0000/gbD0
:86LMDJ1W7E`=b5_000000000000400000000?cS9@020000Z9<c000000000000ooooo`0@003ooooo
000000000000000000000000001TgbD0WaZ7MG0g8Fl000000000000@001X4c<0o><U0080002XTc<0
00000080003lhbD0Q=lU04=GWGETMP08000002D0000<00001@0004H0000X0000700004M4BD<20000
00000000000a000040000000000S000080000:7VNSl00000000003Y0L3o@5A]4784j@b@0000T0000
XNIj?`0000000000>T1`?m0E6d@LPCY3100002<0000P0000XNIj?`0000000000>T1`?m0E6d@LPCY3
900002@0002QiWXo00000000000j@70od1DKA1b1>T<400008`000200002D641200000000000j@711
d1DKA1b1>T<T0000900009@H@4800000000003Y0L47@5A]4784j@`@0000S0000800009@H@4800000
000003Y0L47@5A]4784j@b@0000T0000U1Q0@P0000000000>T1`@M0E6d@LPCY3100002<0000P0000
XNIj?`0000000000>T1`?m0E6d@LPCY3900002@0002QiWXo00000000000j@70od1DKA1b1>T<40000
8`000200002QiWXo00000000000j@70od1DKA1b1>T<T000090000:7VNSl00000000003Y0L3o@5A]4
784j@`@0000B000030000040000I000030000?ooo`0F0000300001T0000S000080000:7VNSl00000
000003Y0L3o@5A]4784j@b@0000T0000XNIj?`0000000000>T1`?m0E6d@LPCY3100002<0000P0000
XNIj?`0000000000>T1`?m0E6d@LPCY3900002@0002QiWXo00000000000j@70od1DKA1b1>T<40000
8`000200002Qi_Xl00000000000j@?0ld1DKA1b1>T<T000090000:7VnS`00000000003Y0l3c@5A]4
784j@`@0000S000080000:7VnS`00000000003Y0l3c@5A]4784j@b@0000T0000XNKj?00000000000
>T3`?=0E6d@LPCY3100001P0000<0000000001/0000@0000O0<00601001B0000L04000<00020o_oo
0000000000000000T040000000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0K@1Q06h000000000
000000000000000000000000000000000000000000000=X0200009QEj`@0iBD06c13McP1fP3g;d=g
X>[41D3T9@1:cAmM0@000040002@j/@5]n[41FcT9@2Pj/@5H>@U04[=7ed100000@00093Za0Fhj/@5
S>@U00440020?Ol4000X021_o`AX0000Z0Km1000:00000000000073U9@011000000X080mo`A`iBD0
n393MbLc@gMA[Sao00000:aB:00002P0T3DX0000003412P0T3DX0000:01X=RP0/4h0o_3T9@3di2D0
@eNMMOCT9@1jEieeR:;P0PSU9@13Eiee2>DU07YGWGFTX^02@?Cl11/0001TMP08000002D0000<0000
0`0005@0001P0000R0800;X0002X0P00a`000040001b78doEEF=?`00000000000`0004`000000000
00000000003ooooooooooe@0000`02h0=@0E@<00001P000000<001/0000@00008P000601001B0000
L04000@00020o_oo0000000000000000T040004000070P0@E01Y06d0I@1c0200CP1U07L0801B06l0
K@1Q06h0000000000000000000000000000000000000000000000000@gNY[cao000009`1:00002P0
:00500000020?Ol4000X008000010000:@020000000F00000@00073U9@011000`7DX0?P3000<0000
n393Mc1c:01`QnH2/78X0;3T9@2UH4=g/>@U0727iP;7H4=gTJllOjQf:0283CH0000X031c:02`LRP0
000008P==P221od4M>@U00SU9@0liBD0KM@oM`UJFPS/i2D0?P800<1Q@gL00000000X0000iP8n0P00
3P0006L2000?0000NUNMMBBTh090m?`4>:CP0PSU9@13Eiee2>DU07YGWGF@Y>02@?Cl11/0001TMP08
000002D0000<0000100002P0000<00000`0005@0001H0000K@800;X0002^0P00a`000040001b78do
EEF=?`00000000000P0004`00000000000000000003ooooooooooe00001I06T0F0D00003000K0000
400007h1001P0@00DP00070100030000P?koo`000000000000000901000000021`8045<0N@1]0680
K`1/00000000000000000000000000000000000000000000000000000000000000000000000004=g
ZJllO`00002D0BP0000X0;1b:02`i2D08@0l0>L0/`1`QnH2af13Mi6_?7nXMRP08P0j0>L0/`0`LbP0
/78X0<1e:0000000200001RYo0@00000Z0`f0;1b:034LbP0Z9<c041f:030HD=g1>@U0040000hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL00000k0Om1000000002P0000009mePWDGE4AQGcL:dQRYo0A0TJ1e
00000000:00003<0Z>@U05lg2]8Q03`0i`2c06?5haCnooooWgF2MC2Vh088iBD0@eNMM@SU9@1jEiee
P:KP0T3do0@K0000I7H02000000U0000300000<0000X0000300000@0001D0000F00007P2002j0000
V0800<H000010000LQb=?eEESCl0000000000080001<00000000000000000000oooooooooom@0000
?O0]l2`100000`00DP00070100040000400000L00000000000000;`2000000001`828U<0N@1c07@0
I@1]00000000000000000000000000000000000000000000000000000000000000000000000004=g
ZJllO`00002D0BP0000X0;1b:034LbP08@0l0>P0/`30HD=g1>@U0040000hiBD08P0j0>P0/`3noooo
=R53Ml1e:000000020000=RXo0@00000Z0`f0;1b:034LbP0Z9<c041f:010TJ1e1>@U0040000hiBD0
KM@oM`00FPSnoooo=R53Mm4O@gL00000DPSm1000000002P0000009mePWDGE4AQOSL:BMRXo0A0TJ1e
00000000:00003<0Z>@U07hg2TTQ03`0j02c06?5haCnooooWgF2MM2A<`010000X9<c00CU9@0g7T=g
DPSm1:RC<`000000I7H02000000U0000300000@0000X0000300000<0000U0000300000L0080U0000
30000000081B0000L04000<0000@00001`00000000000000_080000000070P8RD`1i07<0M01U06d0
002dXP00003/0[fM000000000000000000000000000000000@00092PRX;@^kBRUn800000?gL005X8
o_ooocHQ@gOA7d=g00000588o@@00000000X0000002OMH9e5eA4HGhg2TWHZ?`4@96PM@0000000000
000X01RYo0An=`Y98@0l03P07P2m0K00o_oooimePWG@TC<0@:Sl1040000@ZO`4e=hU03LN@gLHZO`4
000:T000000@ZO`47=lU08UePWD0gbD0@eNMM@3O9@1jEieeR1gV0U3Ao0@U000000010:@10`0DgbD0
/ERMM@00001K=b5k6@2`0CCO9@2iMYeeFcLQN`00080U0000FcLQN`000@0@0901G=lU0<odW7EK=b5k
402@0BD0001TMP08000002D0000<00000`0004/0000@0000000000D0000X0000300000@000160000
500000P00017A4U30`000280000<0000ooooob80000<0000ooooobD0000<00003@00P2P0000<0000
1@0002P0000<00000`000280000<0000ooooodH0003h0000k00004E=AR//@000900001P0002?@:Lo
0000P000082^fj0ohhE>A528N4<Z@000900001P00000080o000000000000080o000000000008@043
T00008@000024<3K3@000000000L/7Y3<X<0A1b`NT<1h_a3h_Qc@fB6nD<L/6]3I8Ki@eIWHd=TQ_U3
7;1L@`7Ro4<L/5a3<X<0A1b`G4=SU@94EVMS@c9314@K/6]3<T<4A>7hLd<b@`A46k1j@fBE0T@L/7Y3
<X<0A0030`<30`<30`<30h<00@4D@060400000@0003ooooo900002@00000080m000000000000080m
00000000000200009@0000`0000100004`0000`000010000>`0000P0001E0000D000000000000000
ooooooooool=0000Z`lQ8:/?WAm03c4O^`ha7cL><Ao;3IdOb`dQ8</=YR0g3Q4Q^`hA8D0?4B6[3jHP
Z`lQ83`000080000?P0001P0002U0000M@400;d0002=0@004`0000`0000100009@0000`000000020
900002@00000081100000000000008110000000000020000AP000600001D0000ADe6:`Q000900000
=000008@`=/00000cP000000002?`WDo0P000080000200000P00000000024<3K000000000?lE@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0?0000000000000000000000000000000U0000300000<0000U0000
300000D0081E0000D0000:@0001d0@00_P0008h1000=0000Z`lQ8:/?WAm03c4O^`ha7cL><Ao;3IdO
b`dQ8</=YR0g3Q4Q^`hA8D0?4B6[3jHPZ`lQ82D0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0001l0000L00004E=AR/Z@000
900001P000000<120000000000000<127;1L@fB6nD<f@0:0B00003`00000003o0@00004000020000
<@0a0010_Sd0IdHn000P?P1WASh0080o000000000000080o00000000000B000030000040000H0000
30000000000F0000300001P0000U000030000080001D0000F0000:d0001k0@00]@0008D100010000
LA`=@UEE3D;V00001P800080001<00000000000000000000oooooooooom@0000<@0a00H000000000
9@0000`0000=0020AP000400000d0000ADe6:b]0000<0000000000Y0080T000060000?ooool10000
hl8:A3VgRD<0A3a1`4<l@B@0000T00000020?@00000000000020?@00000000000P0002D0000<0000
0@0002D0000<00002000P5H0000`0000X0400<h0002Z0@00f00000D0002a8SLA/B;d4FdSm15]8cLA
/B8g4BD0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0004H0002X0000W00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010dP0000l00000Q30f`D000000000hl8:A5NISd?c/`e4
EiV?@o>c3D@i]hU3hl8:A3VgRD?S`PY4EiV?@`010@610`<35D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020EP000300002N0@00
c0000:/1003I00001@000;4Rm15]8o@AKB<g4K4R=a6a8_@A9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0000P1003l0000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043Z00009`000024<3K40000000000HSPQ4`2n;@mCA1dA8Z8a3J7h8A6l1ST?S`PY4
B:R<@aR>24A8Z8a3G4X9A<0_Rd<HSPQ4B:R<@j/j2DA_0Hi3_^P?A<0_Rd<2YA14B:R<@fkh3dA_0Hi3
lk<=A4RXS4>nj0m4B:R<@gX/3dC0;h]3_^P?A4RXS4<[?0m4K`6>@`010@010041004100400@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081J0000N00009D1003>0000]0400=L000060000400000<0000200000`0000<000020000
0`0002@RIQ7e8IHA82;14K4RUQ4T8YHADb9V4B@RUQ5?8/4Anb=V4BXTUQ7o8l4AKB>F4O/SUQ7<8fHA
nb>F4M0S`A4U0000300000L0080U000030000000080T000090000000P440000000000000P4400000
00000080000X0000300000<000160000S00008000015CDH[24000T00000d00000Q30f`00003>0000
00000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</00008000008@`=/20000
000000VM1DA8Z8a3e=47A4RXS4<00@405D01010000040000000002@0000T00000020?@0000000000
0020?@00000000000P0005l0000h00000`0003P000000000>0000000000000406P00000000000000
00000000000000009@0000`0000300009@0000`000050020E`0002@0002?0@00d@0009X1003E0000
0P0006PQUQ7e8IHA9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043;000020000024<3K
0P000000003=fA94B:R<@e:E44CWR8a3004101E00@0@000010000000000T000090000000P3d00000
00000000P3d0000000000080001O0000>00000<0000h0000000003P000000000000101X000000000
0000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000/0400=40002k0@00
e@000080002g99HA9RBB4BD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002`0000Y00004E=AR/8@043T00008@000024<3K
3@000000000k>?M3Zf>1@ijhl4>[Hh53oW?[@d^XQT?nLn]3j2N=@oicjd>5Yi=3W[S`@bG/V4<k>?M3
9NbH@mRgoD<Uk9Q3?7h1A8FWTd<lOP54j2N=@can0DA;Z8I3fKOm@j]SPD<l>?M3Zf>1@`030`<30`<3
0`<30h<00@4D@060400000@0003ooooo900002@00000080m000000000000080m0000000000020000
9@0000`0000100004`0000`000010000>`0000P0001E0000D000000000000000ooooooooool=0000
iah]41PN;A1_7MH@KafU4FlMMA8H7QhCiahN4kLO7Q=P87DBH22U4F0PeQ2g7bd@iah]43`000080000
?P0001P0001Q0@00`@0008D1003V00004`0000`0000100009@0000`000000020900002@000000811
00000000000008110000000000020000AP000600001D0000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?lE@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081E0000
D00005l100300000Q`400>L0000=0000iah]41PN;A1_7MH@KafU4FlMMA8H7QhCiahN4kLO7Q=P87DB
H22U4F0PeQ2g7bd@iah]42D0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0000d0000:00004E=AR/:@020900001P00000003o
0@000;>omD>jE8A3`4>l@>0b3D8X000030000040000T000090000000P3d0000000000000P3d00000
00000080000W0000600000400000000000000000000U000030000040000U0000300000P0081F0000
<000070100360000MP400>4000050000^1j;4;PN`18G7l0B5an;4;PNRa0U0000300000L0080U0000
30000000080T000090000000P440000000000000P44000000000008000160000Z00009`00015CDH[
24000T00000d00000Q30f`00003>0000000008o2MCl200000P000080000200000000008@`=/00000
0000o`Q00@=80000?000008@`=/5000000000<:`n4<FniE3`[3h@kYDQ4>c_oE3^UB4@k>omD<FniE3
`[3h@aKkUD<00@41P@<30aE00@0@000010000000000T000090000000P3d0000000000000P3d00000
00000080001O0000>00000<0000h0000000003P000000000000100l0000000000000000000000000
000002D0000<00000`0002D0000<00001@00P5H0000`0000K`400<@0001g0@00hP0000D0000G7l0B
5an;4;PNRa2h7/0B5ao04RD0000<00001`00P2D0000<00000000P2@0000T00000020@@0000000000
0020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002@00003@000024<3K
00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o24010b`0000P0000
0Q30f`8000000000`[3h@c>ZS4>?_PE4<jZ<@`010@4E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081G0000900007<1003A0000
T`400=D0000200005anF4G0QUQ4U0000300000L0080U000030000000080T000090000000P4400000
00000000P440000000000080000X0000300000<000160000S00008000015CDH[24000T00000d0000
0Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/000000000o`Q00@</0000
8000008@`=/2000000000<8I8T=G3KY346@A@eL=^T<00@415D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020E`0002@0001[0000
5@4007`0000I0@000P00028:@QLG2D8G9@0000`0000700209@0000`000000020900002@000000811
00000000000008110000000000020000:00000`000030000AP0008`000200000ADe6:`Q000900000
=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043
;000020000024<3K0P000000003?D1m3lTBk@`<]54?bA;]300410AE00@0@000010000000000T0000
90000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000000003P000000000
000101X0000000000000000000000000000002D0000<00000`0002D0000<00001@00P5L0000T0000
K@0001L1001j00006`400080003f2FTG@`UY5bD0000<00001`00P2D0000<00000000P2@0000T0000
0020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000P00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010b`0000P00000Q30f`8000000000g8LL@hel_4?fmAI3SGbl@`010@4E@040400000@000000000
900002@00000080m000000000000080m0000000000020000G`0003P000030000>0000000000h0000
000000000@0J0000000000000000000000000000000U0000300000<0000U0000300000D0081G0000
900006l0000H0@00N00001`100020000b@V@5g09T1LU0000300000L0080U000030000000080T0000
90000000P440000000000000P440000000000080000X0000300000<000160000S00008000015CDH[
24000T00000d00000Q30f`00003>000000000<g<c3l200000P000080000200000000008@`=/00000
0000o`Q00@</00008000008@`=/20000000005QM6T>c_k93F5dJ@eL=^T<00@415D01010000040000
000002@0000T00000020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000
>0000000000000406P0000000000000000000000000000009@0000`0000300009@0000`000050020
E`0002@0001b00002P4007H0000I0@000P000:H9F1JV2D8G9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0003@0000X0000
ADe6:`Y0080T000060000?ooool100000bdD@f`TY4?0?391L;CY@BP0000<00000@0002@0000T0000
0020?@00000000000020?@00000000000P0002L0000H00000@000000003oool0000002D0000<0000
0@0002D0000<00002000P5H0000`0000K`000?D0001h0000304000D000132HDD@`UH5_H9F1Kf2HDD
@`V552D0000<00001`00P2D0000<00000000P2@0000T00000020@@00000000000020@@0000000000
0P0004H0002X0000W00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`8000020000
0P000080000000000Q30f`000000003o24010dP0000l00000Q30f`D000000000ce0O@k>o/T<3;AA3
/knb@`<]54=/9:A3ce0O@f`TY4??D1m3/knb@`010@610`<35D01010000040000000002@0000T0000
0020?@00000000000020?@00000000000P0005l0000h00000`0003P000000000>000000000000040
6P0000000000000000000000000000009@0000`0000300009@0000`000050020EP000300001]0000
m00007X0000>0@001@000?H9F1I32EPF@`V55?H9QACf2EPF9@0000`0000700209@0000`000000020
900002@00000081100000000000008110000000000020000:00000`000030000AP0008`000200000
ADe6:`Q000900000=000008@`=/00000cP000000003=c<`o0P000080000200000P00000000024<3K
000000000?l8@043;000020000024<3K0P000000003Y_QU3K2BT@nVn6D>=O9]300410AE00@0@0000
10000000000T000090000000P3d0000000000000P3d0000000000080001O0000>00000<0000h0000
000003P000000000000101X0000000000000000000000000000002D0000<00000`0002D0000<0000
1@00P5L0000T0000L@000>L0001e0000n0000080002L2HDDW0U`4bD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0002P0000<00000`0004H0002<0000
P00004E=AR/8@002@00003@000024<3K00000<h000000000cLc<?`80000200000P00008000000000
0Q30f`000000003o24010b`0000P00000Q30f`80000000000fAR@h15Vd>hiTi3P4FK@`010@4E@040
400000@000000000900002@00000080m000000000000080m0000000000020000G`0003P000030000
>0000000000h0000000000000@0J0000000000000000000000000000000U0000300000<0000U0000
300000D0081G0000900009T0003W0000[0000>/0000200009`iY4nl<JA<U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
S00008000015CDH[24000T00000d00000Q30f`00003>000000000<g<c3l200000P00008000020000
0000008@`=/000000000o`Q00@</00008000008@`=/20000000005?k6D>0AI]3Dg/]@h15Vd<00@41
5D01010000040000000002@0000T00000020?@00000000000020?@00000000000P0005l0000h0000
0`0003P000000000>0000000000000406P0000000000000000000000000000009@0000`000030000
9@0000`000050020E`0002@0001a0000i`0008@0003[00000P000:09JA?H2VTC9@0000`000070020
9@0000`000000020900002@00000081100000000000008110000000000020000:00000`000030000
AP0003@0000X0000ADe6:`Y0080T000060000?ooool100007ilh@helV4?@?391h3`b@B@0000T0000
0020?@00000000000020?@00000000000P0002D0000<00000@0002D0000<00002000P5H0000`0000
RP000>@0002C0000k@0000D0002:2a0CRP_24cd<`Q<m310CRP/@4bD0000<00001`00P2D0000<0000
0000P2@0000T00000020@@00000000000020@@00000000000P0004H0002X0000W00004E=AR/8@002
@00003@000024<3K00000<h000000000cLc<?`80000200000P000080000000000Q30f`000000003o
24010dP0000l00000Q30f`D0000000007ilh@helV4?/`T=3SGbH@nc2@d=d3Yi37ilh@g@>WT<OWcQ3
SGbH@`010@610`<35D01010000040000000002@0000T00000020?@00000000000020?@0000000000
0P0005l0000h00000`0003P000000000>0000000000000406P000000000000000000000000000000
9@0000`0000300009@0000`000050020EP00030000280000hP0009D0003_00001@0008X;41<m310C
?@c24hX;`Q>:2a0C9@0000`0000700209@0000`000000020900002@0000008110000000000000811
0000000000020000:00000`000030000AP0000P1003l0000ADe6:`Q000900000=000008@`=/00000
cP000000003=c<`o0P000080000200000P00000000024<3K000000000?l8@043Z00009`000024<3K
400000000016A313nZVL@e=k;D>0AI]3g@P`@kcnVD<OWcQ3P4FK@dI4<4>0AI]3>@dc@oZYW4=6A313
P4FK@m3A<T>loYU3aAe<@oZYW4>hiTi3P4FK@biIC4>loYU3k<93@h15Vd?57Da3P4FK@m9DBD?jZIa3
aAe<@h15Vd<kT4U3_?jI@`010@010041004100400@4E@040400000@000000000900002@00000080m
000000000000080m0000000000020000G`0003P000030000>0000000000h0000000000000@0J0000
000000000000000000000000000U0000300000<0000U0000300000D0081J0000N0000800003U0000
W@000>d000060000400000<0000200000`0000<0000200000`0000D;UQ?H2VTC0@]04hX;JA<52fTC
<@^F4`D;JA<^2d0C`PbF4nl<JA?6340C?@aY4l8<JA>F39HC`PaY4iT<@1<U0000300000L0080U0000
30000000080T000090000000P440000000000000P440000000000080000X0000300000<000160000
<04002@10015CDH[:T0002@0000H00000030@P00000000000030@Y>iAT70XJA324021S00000T0000
0Q30f`2>hcd000000000000000050000@@1B04T0@@1<0000=T02P<`0003000000000o`4000010000
3`000500LP1_0700M@1/07<0J@1_06h0801<06l0H@1T0<0?53l0:BHnP0PW?`0Y9Sj0PC0o02TV?T1C
@3l0:BHn02E@?`0Y9Sk0mUlo02TV?X18ISl0:BHnP85d?`0Y9Si0dgXo02TV?X1BQCl0:BHnH3^=?`0Y
9SkP;Y4o02TV?/0GVCl0:BHnX02Q?`0Y9Sj0jJPo02TV?P00P3l0000000000000P3l0000000000000
4P0000`000010000600000`0000000005P0000`0000H0000:00000`000020000DP00070100020000
mOooo`000000000000000901000000001`040440LP1Y0640K0000000000000000000000000000000
000000000000000000000000000000000000000000000=X0V5G[10000008000820D007QFj`APonh4
T;kJ040000000=X0200009QEj`CDgBD06c13McP1fP3g;d=g00000000:02hZ?`4X5G[103I0P0k01X0
e@6`0>SM9@344lH5F=dU042Xo0@10000/:Sl143M9@0g7T=g^:Sl10002T@00000/:Sl18SM9@29MH9e
000X0000002OMH9e@fe4HF4g2TBhZ?`4@96PMNQEj`@@0000O`<005CM9@0000Y40>LU01gJPgESaN<D
o_oooimePWFS8Yee^:Sl153Ao0AK=b5k0001053Ao0C0gBD0S7fMMD2AX7E0TJ1eI7H02000000U0000
30000080001D0000Z00003<0003j0000K00000<100010000LA`=@UEE3D940000F@4000l0001<0000
0000000000000000oooooooooom/0000D01b06l0L01e06`0L`1Y06l0KP0P04`0K`1Q06@0hP070000
100000H0000600001P000080000500000P0000H0000600000`0000H0000600001P000000000U0000
300000d008160000700001000015CDH[:d0000`000000000C00006@0000200004@000?h2002L0@00
0`0001L0003k0`00408002T0ZP00000000000000P3l0000000000000P3l000000000000000000000
000000000000000000000280000<0000ooooodH0000L0000400004E=AR/2@0003000000000160000
500000P00017A4U30`000280000<0000ooooobP0000<00000@0002P0000<00000P000280000<0000
ooooo`h0000D000000000100000D0000
\>"], "Graphics",
  ImageSize->{696., 358.8237511781339},
  ImageMargins->{{0., 0.}, {0., 183.17624882186612`}}]
}], "Section",
 CellChangeTimes->{{3.582105097396944*^9, 3.5821051333710017`*^9}, 
   3.5849790110222063`*^9, {3.585993934062298*^9, 3.5859939365694413`*^9}, {
   3.6065666556147575`*^9, 3.606566657485758*^9}, {3.606566870610758*^9, 
   3.606566904412758*^9}}],

Cell[CellGroupData[{

Cell["Gen 3 Removed, With Propulsion", "Section",
 CellChangeTimes->{{3.586707977159028*^9, 3.586707982009306*^9}, {
  3.5867916879822025`*^9, 3.586791697952773*^9}, {3.5871384815804167`*^9, 
  3.5871384864816966`*^9}, {3.5872248945185213`*^9, 3.5872249004568615`*^9}}],

Cell[CellGroupData[{

Cell["Admittance Matrix 12 Bus", "Subsection",
 CellChangeTimes->{{3.561306790548606*^9, 3.5613067961309247`*^9}, 
   3.5849790110232067`*^9, {3.5865378856047907`*^9, 3.586537906828005*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"BBL0", ",", "GGL0"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GGL0", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "12"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BBL0", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "12"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "12"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "=", "0"}], ")"}], "&"}], ",", 
    RowBox[{"Flatten", "[", "BBL0", "]"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "=", "0"}], ")"}], "&"}], ",", 
    RowBox[{"Flatten", "[", "GGL0", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YG", "=", 
    RowBox[{
     RowBox[{"-", "0.909"}], "*", "4"}]}], ";"}], " ", 
  RowBox[{"(*", " ", "gen", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YT1", "=", 
    RowBox[{
     RowBox[{"-", "1.2710"}], "*", "8", "*", "4"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Cross", " ", "link", " ", "lines"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YT2", " ", "=", " ", 
    RowBox[{
     RowBox[{"-", "0.635"}], "*", "8", "*", "4"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"fore", "-", 
    RowBox[{"aft", " ", "lines"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5623457591075172`*^9, 3.5623458263748355`*^9}, {
   3.5821110119672384`*^9, 3.5821110235579014`*^9}, {3.5822714640566797`*^9, 
   3.5822714971515727`*^9}, {3.582271577541171*^9, 3.582271583154492*^9}, {
   3.5822716449150248`*^9, 3.582271656532689*^9}, 3.5823065761930175`*^9, {
   3.5823067597165146`*^9, 3.582307050787163*^9}, {3.5823824512911577`*^9, 
   3.5823824636178627`*^9}, {3.582382558644298*^9, 3.582382562947544*^9}, 
   3.5849790110242066`*^9, {3.5865381999767723`*^9, 3.5865382226550694`*^9}, {
   3.5865382540848665`*^9, 3.5865382627823644`*^9}, {3.586538684069461*^9, 
   3.5865386887857304`*^9}, {3.586777977712053*^9, 3.586778036386409*^9}, {
   3.5867781273456116`*^9, 3.586778140112342*^9}, {3.586778297300332*^9, 
   3.586778380009063*^9}, {3.5867784186362724`*^9, 3.5867784195493245`*^9}, 
   3.5867784597956266`*^9, 3.586778576542304*^9, {3.5867797538416414`*^9, 
   3.586779754265666*^9}, 3.5867797996852636`*^9, {3.5867804485463767`*^9, 
   3.5867804583719387`*^9}, {3.586861540341529*^9, 3.586861547594944*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"1", ",", "1"}], "]"}], "=", "YG"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"1", ",", "4"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"4", ",", "1"}], "]"}], "=", 
      RowBox[{"-", "YG"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"2", ",", "2"}], "]"}], "=", "YG"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"2", ",", "5"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"5", ",", "2"}], "]"}], "=", 
      RowBox[{"-", "YG"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"3", ",", "3"}], "]"}], "=", "YG"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"3", ",", "6"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"6", ",", "3"}], "]"}], "=", 
      RowBox[{"-", "YG"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"4", ",", "4"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"5", ",", "5"}], "]"}], "=", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"6", ",", "6"}], "]"}], "=", 
       RowBox[{"YG", "+", 
        RowBox[{"2", "*", "YT1"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"9", ",", "9"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"10", ",", "10"}], "]"}], "=", 
      RowBox[{"(", 
       RowBox[{"YT1", "+", 
        RowBox[{"2", "*", "YT2"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"7", ",", "4"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"8", ",", "4"}], "]"}], "=", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"4", ",", "7"}], "]"}], "=", 
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"4", ",", "8"}], "]"}], "=", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "9"}], "]"}], "=", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"5", ",", "10"}], "]"}], "=", 
          RowBox[{
           RowBox[{"B", "[", 
            RowBox[{"9", ",", "5"}], "]"}], "=", 
           RowBox[{
            RowBox[{"B", "[", 
             RowBox[{"10", ",", "5"}], "]"}], "=", 
            RowBox[{
             RowBox[{"B", "[", 
              RowBox[{"11", ",", "6"}], "]"}], "=", 
             RowBox[{
              RowBox[{"B", "[", 
               RowBox[{"12", ",", "6"}], "]"}], "=", 
              RowBox[{
               RowBox[{"B", "[", 
                RowBox[{"6", ",", "11"}], "]"}], "=", 
               RowBox[{
                RowBox[{"B", "[", 
                 RowBox[{"6", ",", "12"}], "]"}], "=", 
                RowBox[{"-", "YT1"}]}]}]}]}]}]}]}]}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"7", ",", "7"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"8", ",", "8"}], "]"}], "=", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"11", ",", "11"}], "]"}], "=", 
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"12", ",", "12"}], "]"}], "=", 
        RowBox[{"(", 
         RowBox[{"YT1", "+", "YT2"}], ")"}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"7", ",", "9"}], "]"}], "=", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"9", ",", "7"}], "]"}], "=", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"10", ",", "8"}], "]"}], "=", 
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"8", ",", "10"}], "]"}], "=", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"9", ",", "11"}], "]"}], "=", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"11", ",", "9"}], "]"}], "=", 
          RowBox[{
           RowBox[{"B", "[", 
            RowBox[{"12", ",", "10"}], "]"}], "=", 
           RowBox[{
            RowBox[{"B", "[", 
             RowBox[{"10", ",", "12"}], "]"}], "=", 
            RowBox[{"-", "YT2"}]}]}]}]}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"4", ",", "4"}], "]"}], "=", 
     RowBox[{
      RowBox[{"G", "[", 
       RowBox[{"5", ",", "5"}], "]"}], "=", 
      RowBox[{
       RowBox[{"G", "[", 
        RowBox[{"6", ",", "6"}], "]"}], "=", 
       RowBox[{"2", "*", 
        RowBox[{"YT1", "/", "100"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"9", ",", "9"}], "]"}], "=", 
     RowBox[{
      RowBox[{"G", "[", 
       RowBox[{"10", ",", "10"}], "]"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"YT1", "+", 
         RowBox[{"2", "*", "YT2"}]}], ")"}], "/", "100"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"7", ",", "4"}], "]"}], "=", 
     RowBox[{
      RowBox[{"G", "[", 
       RowBox[{"8", ",", "4"}], "]"}], "=", 
      RowBox[{
       RowBox[{"G", "[", 
        RowBox[{"4", ",", "7"}], "]"}], "=", 
       RowBox[{
        RowBox[{"G", "[", 
         RowBox[{"4", ",", "8"}], "]"}], "=", 
        RowBox[{
         RowBox[{"G", "[", 
          RowBox[{"5", ",", "9"}], "]"}], "=", 
         RowBox[{
          RowBox[{"G", "[", 
           RowBox[{"5", ",", "10"}], "]"}], "=", 
          RowBox[{
           RowBox[{"G", "[", 
            RowBox[{"9", ",", "5"}], "]"}], "=", 
           RowBox[{
            RowBox[{"G", "[", 
             RowBox[{"10", ",", "5"}], "]"}], "=", 
            RowBox[{
             RowBox[{"G", "[", 
              RowBox[{"11", ",", "6"}], "]"}], "=", 
             RowBox[{
              RowBox[{"G", "[", 
               RowBox[{"12", ",", "6"}], "]"}], "=", 
              RowBox[{
               RowBox[{"G", "[", 
                RowBox[{"6", ",", "11"}], "]"}], "=", 
               RowBox[{
                RowBox[{"G", "[", 
                 RowBox[{"6", ",", "12"}], "]"}], "=", 
                RowBox[{
                 RowBox[{"-", "YT1"}], "/", "100"}]}]}]}]}]}]}]}]}]}]}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"7", ",", "7"}], "]"}], "=", 
     RowBox[{
      RowBox[{"G", "[", 
       RowBox[{"8", ",", "8"}], "]"}], "=", 
      RowBox[{
       RowBox[{"G", "[", 
        RowBox[{"11", ",", "11"}], "]"}], "=", 
       RowBox[{
        RowBox[{"G", "[", 
         RowBox[{"12", ",", "12"}], "]"}], "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"YT1", "+", "YT2"}], ")"}], "/", "100"}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"G", "[", 
      RowBox[{"7", ",", "9"}], "]"}], "=", 
     RowBox[{
      RowBox[{"G", "[", 
       RowBox[{"9", ",", "7"}], "]"}], "=", 
      RowBox[{
       RowBox[{"G", "[", 
        RowBox[{"10", ",", "8"}], "]"}], "=", 
       RowBox[{
        RowBox[{"G", "[", 
         RowBox[{"8", ",", "10"}], "]"}], "=", 
        RowBox[{
         RowBox[{"G", "[", 
          RowBox[{"9", ",", "11"}], "]"}], "=", 
         RowBox[{
          RowBox[{"G", "[", 
           RowBox[{"11", ",", "9"}], "]"}], "=", 
          RowBox[{
           RowBox[{"G", "[", 
            RowBox[{"12", ",", "10"}], "]"}], "=", 
           RowBox[{
            RowBox[{"G", "[", 
             RowBox[{"10", ",", "12"}], "]"}], "=", 
            RowBox[{
             RowBox[{"-", "YT2"}], "/", "100"}]}]}]}]}]}]}]}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.5623457591075172`*^9, 3.5623458263748355`*^9}, {
   3.5821110119672384`*^9, 3.5821110235579014`*^9}, {3.5822714640566797`*^9, 
   3.5822714971515727`*^9}, {3.582271577541171*^9, 3.582271583154492*^9}, {
   3.5822716449150248`*^9, 3.582271656532689*^9}, 3.5823065761930175`*^9, {
   3.5823067597165146`*^9, 3.582307050787163*^9}, {3.5823824512911577`*^9, 
   3.5823824636178627`*^9}, {3.582382558644298*^9, 3.582382562947544*^9}, 
   3.5849790110242066`*^9, {3.5865381999767723`*^9, 3.5865382226550694`*^9}, {
   3.5865382540848665`*^9, 3.5865382627823644`*^9}, {3.586538684069461*^9, 
   3.5865386887857304`*^9}, {3.586777977712053*^9, 3.586778036386409*^9}, {
   3.5867781273456116`*^9, 3.586778140112342*^9}, {3.586778297300332*^9, 
   3.586778380009063*^9}, {3.5867784186362724`*^9, 3.5867784195493245`*^9}, 
   3.5867784597956266`*^9, 3.586778576542304*^9, {3.586778673904873*^9, 
   3.5867787010214243`*^9}, {3.5867787800269427`*^9, 3.586778781102004*^9}, {
   3.5867789085662947`*^9, 3.5867789633474283`*^9}, {3.5867789978564014`*^9, 
   3.586779007951979*^9}, {3.586779089355635*^9, 3.5867790901976833`*^9}, {
   3.5867791930525665`*^9, 3.586779199335926*^9}, {3.5867792381431456`*^9, 
   3.586779251387903*^9}, {3.586779293686322*^9, 3.5867793617642164`*^9}, {
   3.5867795485108976`*^9, 3.5867795523591175`*^9}, 3.58677962862748*^9, 
   3.58677983580533*^9, {3.5867804935969534`*^9, 3.5867805290229797`*^9}, {
   3.586788284870556*^9, 3.5867882960641966`*^9}, {3.5867883291890907`*^9, 
   3.5867884794546857`*^9}, {3.586857845167177*^9, 3.586857866523399*^9}, {
   3.5868579169012804`*^9, 3.5868579311550956`*^9}, {3.5868579707173586`*^9, 
   3.5868580212252474`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BBL0", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5867798421346917`*^9, 3.5867798491610937`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "3.636`"}], "0", "0", "3.636`", "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", 
      RowBox[{"-", "3.636`"}], "0", "0", "3.636`", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", 
      RowBox[{"-", "3.636`"}], "0", "0", "3.636`", "0", "0", "0", "0", "0", 
      "0"},
     {"3.636`", "0", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "40.672`", "40.672`", 
      "0", "0", "0", "0"},
     {"0", "3.636`", "0", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "0", "40.672`", 
      "40.672`", "0", "0"},
     {"0", "0", "3.636`", "0", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "0", "0", "40.672`", 
      "40.672`"},
     {"0", "0", "0", "40.672`", "0", "0", 
      RowBox[{"-", "60.992`"}], "0", "20.32`", "0", "0", "0"},
     {"0", "0", "0", "40.672`", "0", "0", "0", 
      RowBox[{"-", "60.992`"}], "0", "20.32`", "0", "0"},
     {"0", "0", "0", "0", "40.672`", "0", "20.32`", "0", 
      RowBox[{"-", "81.312`"}], "0", "20.32`", "0"},
     {"0", "0", "0", "0", "40.672`", "0", "0", "20.32`", "0", 
      RowBox[{"-", "81.312`"}], "0", "20.32`"},
     {"0", "0", "0", "0", "0", "40.672`", "0", "0", "20.32`", "0", 
      RowBox[{"-", "60.992`"}], "0"},
     {"0", "0", "0", "0", "0", "40.672`", "0", "0", "0", "20.32`", "0", 
      RowBox[{"-", "60.992`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.58677985188925*^9, 3.586788514713702*^9, 3.586795761793212*^9, 
   3.5867958127381253`*^9, 3.5867959220483775`*^9, 3.5867977874510727`*^9, 
   3.586858076956435*^9, 3.586861579263756*^9, 3.587138896425144*^9, 
   3.587139817300147*^9, 3.58722935292826*^9, 3.59016281809375*^9, 
   3.59023693578125*^9, 3.590237785921875*^9, 3.590326764359375*^9, {
   3.590326800265625*^9, 3.5903268215*^9}, {3.59032685153125*^9, 
   3.590326871984375*^9}, 3.590326909484375*^9, 3.590332198359375*^9, 
   3.5903322325625*^9, 3.590332276109375*^9, 3.5903325900625*^9, 
   3.590332670984375*^9, 3.59033270678125*^9, 3.601227715109375*^9, 
   3.601228694703125*^9, 3.601238242015625*^9, 3.60123827675*^9, 
   3.601238356453125*^9, 3.601401989328125*^9, 3.601640512875*^9, 
   3.60164355475*^9, 3.601643695953125*^9, 3.601645192984375*^9, 
   3.601651522953125*^9, 3.601655947234375*^9, 3.601655990484375*^9, 
   3.601656143046875*^9, 3.6065135476583085`*^9, 3.6065146716273084`*^9, 
   3.6065148786973085`*^9, 3.6065149340303087`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GGL0", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.586779858831647*^9, 3.586779868865221*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0.40671999999999997`", 
      "0.40671999999999997`", "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0", 
      "0.40671999999999997`", "0.40671999999999997`", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0", "0", 
      "0.40671999999999997`", "0.40671999999999997`"},
     {"0", "0", "0", "0.40671999999999997`", "0", "0", 
      RowBox[{"-", "0.60992`"}], "0", "0.20320000000000002`", "0", "0", "0"},
     {"0", "0", "0", "0.40671999999999997`", "0", "0", "0", 
      RowBox[{"-", "0.60992`"}], "0", "0.20320000000000002`", "0", "0"},
     {"0", "0", "0", "0", "0.40671999999999997`", "0", "0.20320000000000002`",
       "0", 
      RowBox[{"-", "0.81312`"}], "0", "0.20320000000000002`", "0"},
     {"0", "0", "0", "0", "0.40671999999999997`", "0", "0", 
      "0.20320000000000002`", "0", 
      RowBox[{"-", "0.81312`"}], "0", "0.20320000000000002`"},
     {"0", "0", "0", "0", "0", "0.40671999999999997`", "0", "0", 
      "0.20320000000000002`", "0", 
      RowBox[{"-", "0.60992`"}], "0"},
     {"0", "0", "0", "0", "0", "0.40671999999999997`", "0", "0", "0", 
      "0.20320000000000002`", "0", 
      RowBox[{"-", "0.60992`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.586779869798274*^9, 3.586788514743704*^9, 3.5867957618162127`*^9, 
   3.586795812764127*^9, 3.5867959220803795`*^9, 3.586797787476074*^9, 
   3.586858076982436*^9, 3.586861579287757*^9, 3.587138896458146*^9, 
   3.587139817326149*^9, 3.587229352953261*^9, 3.590162818109375*^9, 
   3.59023693584375*^9, 3.5902377859375*^9, 3.590326764375*^9, {
   3.59032680028125*^9, 3.5903268215*^9}, {3.590326851546875*^9, 
   3.590326872*^9}, 3.5903269095*^9, 3.590332198375*^9, 3.590332232578125*^9, 
   3.590332276125*^9, 3.590332590078125*^9, 3.590332671*^9, 
   3.590332706796875*^9, 3.601227715125*^9, 3.60122869471875*^9, 
   3.601238242046875*^9, 3.601238276765625*^9, 3.60123835646875*^9, 
   3.601401989328125*^9, 3.601640512890625*^9, 3.601643554765625*^9, 
   3.60164369596875*^9, 3.601645195109375*^9, 3.601651522984375*^9, 
   3.601655947265625*^9, 3.601655990515625*^9, 3.601656143078125*^9, 
   3.6065135530163083`*^9, 3.6065146716553087`*^9, 3.606514878729308*^9, 
   3.6065149340653086`*^9}]
}, Open  ]],

Cell["Drop row 3 and column 3", "Text",
 CellChangeTimes->{{3.5865393032938786`*^9, 3.586539317854711*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"BB1", "=", 
   RowBox[{"BBL0", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BB2", "=", 
   RowBox[{"BBL0", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "12"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BBB", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Join", "[", 
     RowBox[{"BB1", ",", "BB2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BB3", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "BBB", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BB4", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "BBB", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "12"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BBBF", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Join", "[", 
      RowBox[{"BB3", ",", "BB4"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"BBBF", "//", "MatrixForm"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.582115770590416*^9, 3.5821157925696735`*^9}, {
   3.5823072337266264`*^9, 3.582307237412837*^9}, 3.582360347461157*^9, {
   3.5823603987680917`*^9, 3.582360407224575*^9}, {3.584726610714923*^9, 
   3.5847266423757343`*^9}, {3.5847266928066187`*^9, 3.584726772171158*^9}, {
   3.584726862441321*^9, 3.584726937690625*^9}, {3.584726970861522*^9, 
   3.5847270811538305`*^9}, {3.584727115973822*^9, 3.5847272140964346`*^9}, 
   3.5847272551167808`*^9, {3.5847273878343716`*^9, 3.5847273886254168`*^9}, 
   3.58479453887453*^9, {3.584978785481306*^9, 3.584978808430619*^9}, 
   3.5849790110442076`*^9, {3.585055964935795*^9, 3.5850559696840663`*^9}, {
   3.586276088188201*^9, 3.5862760884192142`*^9}, {3.5862761433323545`*^9, 
   3.5862761725280247`*^9}, {3.586539341980091*^9, 3.5865393729358616`*^9}, {
   3.5865394094369493`*^9, 3.586539737067689*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "3.636`"}], "0", "3.636`", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", 
      RowBox[{"-", "3.636`"}], "0", "3.636`", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"3.636`", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "40.672`", "40.672`", 
      "0", "0", "0", "0"},
     {"0", "3.636`", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "0", "40.672`", 
      "40.672`", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"-", "84.97999999999999`"}], "0", "0", "0", "0", "40.672`", 
      "40.672`"},
     {"0", "0", "40.672`", "0", "0", 
      RowBox[{"-", "60.992`"}], "0", "20.32`", "0", "0", "0"},
     {"0", "0", "40.672`", "0", "0", "0", 
      RowBox[{"-", "60.992`"}], "0", "20.32`", "0", "0"},
     {"0", "0", "0", "40.672`", "0", "20.32`", "0", 
      RowBox[{"-", "81.312`"}], "0", "20.32`", "0"},
     {"0", "0", "0", "40.672`", "0", "0", "20.32`", "0", 
      RowBox[{"-", "81.312`"}], "0", "20.32`"},
     {"0", "0", "0", "0", "40.672`", "0", "0", "20.32`", "0", 
      RowBox[{"-", "60.992`"}], "0"},
     {"0", "0", "0", "0", "40.672`", "0", "0", "0", "20.32`", "0", 
      RowBox[{"-", "60.992`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.586539737979741*^9, 3.5865402057204943`*^9, 3.586708100073058*^9, 
   3.5867082486555567`*^9, 3.5867083988531475`*^9, 3.5867084691451683`*^9, 
   3.586708563249551*^9, 3.58670860729707*^9, 3.5867923170631847`*^9, 
   3.5868869314798193`*^9, 3.5869595910597095`*^9, 3.587209673462259*^9, {
   3.5872293529782624`*^9, 3.5872293781167*^9}, 3.590162818125*^9, 
   3.590236935875*^9, 3.590237785953125*^9, 3.590326764390625*^9, {
   3.590326800296875*^9, 3.590326821515625*^9}, {3.5903268515625*^9, 
   3.590326872015625*^9}, 3.590326909515625*^9, 3.590332198390625*^9, 
   3.59033223259375*^9, 3.590332276140625*^9, 3.59033259009375*^9, 
   3.590332671015625*^9, 3.5903327068125*^9, 3.601227715140625*^9, 
   3.601228694734375*^9, 3.6012382420625*^9, 3.60123827678125*^9, 
   3.601238356484375*^9, 3.60140198934375*^9, 3.601640512921875*^9, 
   3.601643554796875*^9, 3.601643696015625*^9, 3.601645199671875*^9, 
   3.601651523015625*^9, 3.60165594728125*^9, 3.601655990546875*^9, 
   3.60165614309375*^9, 3.6065135618523083`*^9, 3.6065146716853085`*^9, 
   3.6065148787863083`*^9, 3.6065149340993085`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"GG1", "=", 
   RowBox[{"GGL0", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GG2", "=", 
   RowBox[{"GGL0", "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "12"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GGG", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Join", "[", 
     RowBox[{"GG1", ",", "GG2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GG3", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "GGG", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GG4", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", "GGG", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"4", ";;", "12"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"GGGF", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Join", "[", 
      RowBox[{"GG3", ",", "GG4"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GGGF", "//", "MatrixForm"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.582115770590416*^9, 3.5821157925696735`*^9}, {
   3.5823072337266264`*^9, 3.582307237412837*^9}, 3.582360347461157*^9, {
   3.5823603987680917`*^9, 3.582360407224575*^9}, {3.584726610714923*^9, 
   3.5847266423757343`*^9}, {3.5847266928066187`*^9, 3.584726772171158*^9}, {
   3.584726862441321*^9, 3.584726937690625*^9}, {3.584726970861522*^9, 
   3.5847270811538305`*^9}, {3.584727115973822*^9, 3.5847272140964346`*^9}, 
   3.5847272551167808`*^9, {3.5847273878343716`*^9, 3.5847273886254168`*^9}, 
   3.58479453887453*^9, {3.584978785481306*^9, 3.584978808430619*^9}, 
   3.5849790110442076`*^9, {3.585055964935795*^9, 3.5850559696840663`*^9}, {
   3.586276088188201*^9, 3.5862760884192142`*^9}, {3.5862761433323545`*^9, 
   3.5862761725280247`*^9}, {3.586539341980091*^9, 3.5865393729358616`*^9}, {
   3.5865394094369493`*^9, 3.586539737067689*^9}, {3.5865397754248824`*^9, 
   3.5865398803298826`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0.40671999999999997`", 
      "0.40671999999999997`", "0", "0", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0", 
      "0.40671999999999997`", "0.40671999999999997`", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"-", "0.8134399999999999`"}], "0", "0", "0", "0", 
      "0.40671999999999997`", "0.40671999999999997`"},
     {"0", "0", "0.40671999999999997`", "0", "0", 
      RowBox[{"-", "0.60992`"}], "0", "0.20320000000000002`", "0", "0", "0"},
     {"0", "0", "0.40671999999999997`", "0", "0", "0", 
      RowBox[{"-", "0.60992`"}], "0", "0.20320000000000002`", "0", "0"},
     {"0", "0", "0", "0.40671999999999997`", "0", "0.20320000000000002`", "0", 
      RowBox[{"-", "0.81312`"}], "0", "0.20320000000000002`", "0"},
     {"0", "0", "0", "0.40671999999999997`", "0", "0", "0.20320000000000002`",
       "0", 
      RowBox[{"-", "0.81312`"}], "0", "0.20320000000000002`"},
     {"0", "0", "0", "0", "0.40671999999999997`", "0", "0", 
      "0.20320000000000002`", "0", 
      RowBox[{"-", "0.60992`"}], "0"},
     {"0", "0", "0", "0", "0.40671999999999997`", "0", "0", "0", 
      "0.20320000000000002`", "0", 
      RowBox[{"-", "0.60992`"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.586539882828026*^9, 3.5865402199403076`*^9, 3.5867081000980597`*^9, 
   3.586708248682558*^9, 3.5867083988831496`*^9, 3.58670846917417*^9, 
   3.586708563276552*^9, 3.5867086073220716`*^9, 3.5867923278988037`*^9, 
   3.5868869315118213`*^9, 3.586959591091711*^9, 3.5872096734932604`*^9, {
   3.587229353003264*^9, 3.5872293781577024`*^9}, 3.590162818125*^9, 
   3.590236935890625*^9, 3.59023778596875*^9, 3.590326764421875*^9, {
   3.590326800328125*^9, 3.59032682153125*^9}, {3.590326851578125*^9, 
   3.59032687203125*^9}, 3.590326909546875*^9, 3.590332198390625*^9, 
   3.590332232609375*^9, 3.59033227615625*^9, 3.590332590109375*^9, 
   3.59033267103125*^9, 3.590332706828125*^9, 3.60122771515625*^9, 
   3.601228694765625*^9, 3.601238242078125*^9, 3.601238276796875*^9, 
   3.6012383565*^9, 3.601401989359375*^9, 3.6016405129375*^9, 
   3.6016435548125*^9, 3.60164369603125*^9, 3.601645202578125*^9, 
   3.601651523046875*^9, 3.6016559473125*^9, 3.601655990578125*^9, 
   3.601656143125*^9, 3.606513565899308*^9, 3.6065146717123084`*^9, 
   3.6065148788183084`*^9, 3.6065149341253085`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Admittance Matrix 11-Bus system", "Subsection"]], \
"Text",
 CellChangeTimes->{{3.6065666068177576`*^9, 3.6065666186877575`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"YBus", "=", 
   RowBox[{"GGGF", "+", 
    RowBox[{"\[ImaginaryI]", " ", "BBBF"}]}]}], ";"}], "\n", 
 RowBox[{"YBus", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.582115770590416*^9, 3.5821157925696735`*^9}, {
   3.5823072337266264`*^9, 3.582307237412837*^9}, 3.582360347461157*^9, {
   3.5823603987680917`*^9, 3.582360407224575*^9}, {3.584726610714923*^9, 
   3.5847266423757343`*^9}, {3.5847266928066187`*^9, 3.584726772171158*^9}, {
   3.584726862441321*^9, 3.584726937690625*^9}, {3.584726970861522*^9, 
   3.5847270811538305`*^9}, {3.584727115973822*^9, 3.5847272140964346`*^9}, 
   3.5847272551167808`*^9, {3.5847273878343716`*^9, 3.5847273886254168`*^9}, 
   3.58479453887453*^9, 3.5849790110342073`*^9, {3.6065130960473084`*^9, 
   3.6065131221273084`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0"},
     {
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", "0"},
     {"0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0", "0"},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.601227715171875*^9, 3.6012286948125*^9, 
  3.601238242109375*^9, 3.601238276828125*^9, 3.60123835653125*^9, 
  3.601401989390625*^9, 3.601640512953125*^9, 3.60164355484375*^9, 
  3.6016436960625*^9, 3.601645211078125*^9, 3.601651523078125*^9, 
  3.60165594734375*^9, 3.60165599059375*^9, 3.60165614315625*^9, 
  3.6065130960473084`*^9, 3.6065135808893085`*^9, 3.6065146717423086`*^9, 
  3.6065148788463087`*^9, 3.6065149341533084`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0"},
     {
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", "0"},
     {"0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0", "0"},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.601227715171875*^9, 3.6012286948125*^9, 
  3.601238242109375*^9, 3.601238276828125*^9, 3.60123835653125*^9, 
  3.601401989390625*^9, 3.601640512953125*^9, 3.60164355484375*^9, 
  3.6016436960625*^9, 3.601645211078125*^9, 3.601651523078125*^9, 
  3.60165594734375*^9, 3.60165599059375*^9, 3.60165614315625*^9, 
  3.6065130960473084`*^9, 3.6065135808893085`*^9, 3.6065146717423086`*^9, 
  3.6065148788463087`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0"},
     {
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", "0"},
     {"0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0", "0"},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.601227715171875*^9, 3.6012286948125*^9, 
  3.601238242109375*^9, 3.601238276828125*^9, 3.60123835653125*^9, 
  3.601401989390625*^9, 3.601640512953125*^9, 3.60164355484375*^9, 
  3.6016436960625*^9, 3.601645211078125*^9, 3.601651523078125*^9, 
  3.60165594734375*^9, 3.60165599059375*^9, 3.60165614315625*^9, 
  3.6065130960473084`*^9, 3.6065135808893085`*^9, 3.6065146717423086`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "\[ImaginaryI]"}], "0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", 
      "0"},
     {
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", "0"},
     {"0", 
      RowBox[{"3.636`", " ", "\[ImaginaryI]"}], "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.8134399999999999`"}], "-", 
       RowBox[{"84.97999999999999`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0", "0"},
     {"0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.81312`"}], "-", 
       RowBox[{"81.312`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}]},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}], "0"},
     {"0", "0", "0", "0", 
      RowBox[{"0.40671999999999997`", "\[InvisibleSpace]", "+", 
       RowBox[{"40.672`", " ", "\[ImaginaryI]"}]}], "0", "0", "0", 
      RowBox[{"0.20320000000000002`", "\[InvisibleSpace]", "+", 
       RowBox[{"20.32`", " ", "\[ImaginaryI]"}]}], "0", 
      RowBox[{
       RowBox[{"-", "0.60992`"}], "-", 
       RowBox[{"60.992`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.601227715171875*^9, 3.6012286948125*^9, 
  3.601238242109375*^9, 3.601238276828125*^9, 3.60123835653125*^9, 
  3.601401989390625*^9, 3.601640512953125*^9, 3.60164355484375*^9, 
  3.6016436960625*^9, 3.601645211078125*^9, 3.601651523078125*^9, 
  3.60165594734375*^9, 3.60165599059375*^9, 3.60165614315625*^9, 
  3.6065130960473084`*^9, 3.6065135808893085`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Load Flow", "Subsubsection",
 CellChangeTimes->{{3.586109076001196*^9, 3.5861090792903843`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "2"}], ";", " ", 
  RowBox[{"m", "=", "0"}], ";", " ", 
  RowBox[{"p", "=", "9"}], ";"}], "\n", 
 RowBox[{"Inputs", "=", 
  RowBox[{"u", "[", 
   RowBox[{"n", ",", "m", ",", "p"}], "]"}]}], "\n", 
 RowBox[{"Vars", "=", 
  RowBox[{"x", "[", 
   RowBox[{"n", ",", "m", ",", "p"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5615767685625*^9, 3.561576773765625*^9}, {
   3.561578435828125*^9, 3.561578456328125*^9}, {3.56157857609375*^9, 
   3.56157861984375*^9}, {3.561579862984375*^9, 3.561579863984375*^9}, {
   3.561579995078125*^9, 3.561579996390625*^9}, {3.5615801764375*^9, 
   3.561580176796875*^9}, {3.561580498234375*^9, 3.561580499390625*^9}, {
   3.56158071371875*^9, 3.5615807670625*^9}, 3.5622999658936725`*^9, 
   3.562300231760538*^9, 3.5623004383953004`*^9, 3.5623013947304316`*^9, 
   3.562301556038905*^9, 3.5623016355547504`*^9, 3.562301917204151*^9, 
   3.562354997555377*^9, {3.5861091953730235`*^9, 3.586109216135211*^9}, {
   3.5861815675835686`*^9, 3.5861815723728423`*^9}, {3.586181605011709*^9, 
   3.586181609202949*^9}, {3.586273897454898*^9, 3.58627390203216*^9}, 
   3.586273954977188*^9, {3.5862750968865013`*^9, 3.586275100738722*^9}, {
   3.586276615601367*^9, 3.5862766250369067`*^9}, {3.586508515820264*^9, 
   3.5865085334002695`*^9}, {3.5871388322174716`*^9, 
   3.5871388324704857`*^9}, {3.5872829821014757`*^9, 3.587282988496842*^9}, 
   3.6065132963753085`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"theta", "[", "1", "]"}], ",", 
   RowBox[{"theta", "[", "2", "]"}], ",", 
   RowBox[{"V", "[", "1", "]"}], ",", 
   RowBox[{"V", "[", "2", "]"}], ",", 
   RowBox[{"P", "[", "3", "]"}], ",", 
   RowBox[{"P", "[", "4", "]"}], ",", 
   RowBox[{"P", "[", "5", "]"}], ",", 
   RowBox[{"P", "[", "6", "]"}], ",", 
   RowBox[{"P", "[", "7", "]"}], ",", 
   RowBox[{"P", "[", "8", "]"}], ",", 
   RowBox[{"P", "[", "9", "]"}], ",", 
   RowBox[{"P", "[", "10", "]"}], ",", 
   RowBox[{"P", "[", "11", "]"}], ",", 
   RowBox[{"Q", "[", "3", "]"}], ",", 
   RowBox[{"Q", "[", "4", "]"}], ",", 
   RowBox[{"Q", "[", "5", "]"}], ",", 
   RowBox[{"Q", "[", "6", "]"}], ",", 
   RowBox[{"Q", "[", "7", "]"}], ",", 
   RowBox[{"Q", "[", "8", "]"}], ",", 
   RowBox[{"Q", "[", "9", "]"}], ",", 
   RowBox[{"Q", "[", "10", "]"}], ",", 
   RowBox[{"Q", "[", "11", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.59023693609375*^9, 3.5902377860625*^9, 3.59032676465625*^9, {
   3.59032680046875*^9, 3.59032682165625*^9}, {3.59032685171875*^9, 
   3.590326872171875*^9}, 3.590326909671875*^9, 3.5903321985*^9, 
   3.590332232765625*^9, 3.59033227628125*^9, 3.590332590234375*^9, 
   3.590332671140625*^9, 3.59033270696875*^9, 3.6012277155*^9, 
   3.60122869490625*^9, 3.6012382423125*^9, 3.60123827696875*^9, 
   3.601238356671875*^9, 3.601401989734375*^9, 3.60164051315625*^9, 
   3.60164355496875*^9, 3.601643696234375*^9, 3.60164523490625*^9, 
   3.601651523265625*^9, 3.6016559475*^9, 3.60165599075*^9, 
   3.60165614340625*^9, 3.6065136121003084`*^9, 3.6065146717753086`*^9, 
   3.6065148788773084`*^9, 3.6065149341833086`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "1", "]"}], ",", 
   RowBox[{"P", "[", "2", "]"}], ",", 
   RowBox[{"Q", "[", "1", "]"}], ",", 
   RowBox[{"Q", "[", "2", "]"}], ",", 
   RowBox[{"theta", "[", "3", "]"}], ",", 
   RowBox[{"theta", "[", "4", "]"}], ",", 
   RowBox[{"theta", "[", "5", "]"}], ",", 
   RowBox[{"theta", "[", "6", "]"}], ",", 
   RowBox[{"theta", "[", "7", "]"}], ",", 
   RowBox[{"theta", "[", "8", "]"}], ",", 
   RowBox[{"theta", "[", "9", "]"}], ",", 
   RowBox[{"theta", "[", "10", "]"}], ",", 
   RowBox[{"theta", "[", "11", "]"}], ",", 
   RowBox[{"V", "[", "3", "]"}], ",", 
   RowBox[{"V", "[", "4", "]"}], ",", 
   RowBox[{"V", "[", "5", "]"}], ",", 
   RowBox[{"V", "[", "6", "]"}], ",", 
   RowBox[{"V", "[", "7", "]"}], ",", 
   RowBox[{"V", "[", "8", "]"}], ",", 
   RowBox[{"V", "[", "9", "]"}], ",", 
   RowBox[{"V", "[", "10", "]"}], ",", 
   RowBox[{"V", "[", "11", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.59023693609375*^9, 3.5902377860625*^9, 3.59032676465625*^9, {
   3.59032680046875*^9, 3.59032682165625*^9}, {3.59032685171875*^9, 
   3.590326872171875*^9}, 3.590326909671875*^9, 3.5903321985*^9, 
   3.590332232765625*^9, 3.59033227628125*^9, 3.590332590234375*^9, 
   3.590332671140625*^9, 3.59033270696875*^9, 3.6012277155*^9, 
   3.60122869490625*^9, 3.6012382423125*^9, 3.60123827696875*^9, 
   3.601238356671875*^9, 3.601401989734375*^9, 3.60164051315625*^9, 
   3.60164355496875*^9, 3.601643696234375*^9, 3.60164523490625*^9, 
   3.601651523265625*^9, 3.6016559475*^9, 3.60165599075*^9, 
   3.60165614340625*^9, 3.6065136121003084`*^9, 3.6065146717753086`*^9, 
   3.6065148788773084`*^9, 3.6065149341863084`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"EqEqns", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"LoadFlowEquations", "[", 
     RowBox[{"n", ",", "m", ",", "p", ",", "YBus"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5863761176935654`*^9, 3.5863761569968133`*^9}, {
   3.586449931026617*^9, 3.5864499440263605`*^9}, 3.6065137054073086`*^9, 
   3.6065137717713084`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "EqEqns", "]"}]], "Input",
 CellChangeTimes->{{3.606513713217308*^9, 3.6065137642983084`*^9}}],

Cell[BoxData[
 RowBox[{"{", "22", "}"}]], "Output",
 CellChangeTimes->{{3.6065137207473087`*^9, 3.606513765045308*^9}, 
   3.6065146718173084`*^9, 3.6065148789153085`*^9, 3.6065149342183084`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"J", "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Jacob", "[", 
    RowBox[{"EqEqns", ",", "Vars"}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"XX", "=", 
   RowBox[{
    RowBox[{"J", "/.", 
     RowBox[{"ReplacementRule", "[", "Vars", "]"}]}], "/.", 
    RowBox[{"InputReplacementRule", "[", "Inputs", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"XX", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"XXX", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "XX", "]"}], ".", "XX"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FFF", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"EqEqns", "/.", 
      RowBox[{"ReplacementRule", "[", "Vars", "]"}]}], "/.", 
     RowBox[{"InputReplacementRule", "[", "Inputs", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"XF", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "XX", "]"}], ".", "FFF"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.561580298421875*^9, 3.561580644046875*^9, 3.561580810078125*^9, 
   3.561584491625*^9, 3.5622966887271323`*^9, 3.5622971324049273`*^9, 
   3.5861820960437946`*^9, 3.5864533351683226`*^9, 3.5864553355097356`*^9, {
   3.5901627675625*^9, 3.590162803140625*^9}, 3.590237753578125*^9, {
   3.60123825390625*^9, 3.601238269421875*^9}, {3.601401964234375*^9, 
   3.60140197640625*^9}, 3.601639639421875*^9, 3.601645309875*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"3.636`", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"theta", "[", "1", "]"}], "-", 
        RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "1", "]"}], " ", 
      RowBox[{"V", "[", "3", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"theta", "[", "1", "]"}], "-", 
        RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "1", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"3.636`", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"theta", "[", "2", "]"}], "-", 
        RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "2", "]"}], " ", 
      RowBox[{"V", "[", "4", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"theta", "[", "2", "]"}], "-", 
        RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "2", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "1", "]"}], "-", 
         RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "1", "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{"3.636`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "1", "]"}], "-", 
         RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "1", "]"}]}], "+", 
      RowBox[{"1.6268799999999999`", " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "2", "]"}], "-", 
         RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "2", "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"3.636`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "2", "]"}], "-", 
         RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "2", "]"}]}], "+", 
      RowBox[{"1.6268799999999999`", " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"1.6268799999999999`", " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"1.21984`", " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"1.21984`", " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"1.62624`", " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"1.62624`", " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"1.21984`", " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.20320000000000002`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"1.21984`", " ", 
       RowBox[{"V", "[", "11", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"theta", "[", "1", "]"}], "-", 
        RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "1", "]"}], " ", 
      RowBox[{"V", "[", "3", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"theta", "[", "1", "]"}], "-", 
        RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "1", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"theta", "[", "2", "]"}], "-", 
        RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "2", "]"}], " ", 
      RowBox[{"V", "[", "4", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"-", "3.636`"}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"theta", "[", "2", "]"}], "-", 
        RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
      RowBox[{"V", "[", "2", "]"}]}], ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "1", "]"}], "-", 
         RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "1", "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "1", "]"}], "-", 
         RowBox[{"theta", "[", "3", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "1", "]"}]}], "+", 
      RowBox[{"169.95999999999998`", " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "2", "]"}], "-", 
         RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "2", "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "2", "]"}], "-", 
         RowBox[{"theta", "[", "4", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "2", "]"}]}], "+", 
      RowBox[{"169.95999999999998`", " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"169.95999999999998`", " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "6", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"121.984`", " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "3", "]"}], "-", 
         RowBox[{"theta", "[", "7", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "3", "]"}]}], "+", 
      RowBox[{"121.984`", " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "6", "]"}], "-", 
         RowBox[{"theta", "[", "8", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "6", "]"}]}], "+", 
      RowBox[{"162.624`", " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "4", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "4", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "7", "]"}], "-", 
         RowBox[{"theta", "[", "9", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "7", "]"}]}], "+", 
      RowBox[{"162.624`", " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "8", "]"}], "-", 
         RowBox[{"theta", "[", "10", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "8", "]"}]}], "+", 
      RowBox[{"121.984`", " ", 
       RowBox[{"V", "[", "10", "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "0.40671999999999997`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"40.672`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "20.32`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "11", "]"}]}]}], ",", "0", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "40.672`"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "+", 
      RowBox[{"0.40671999999999997`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "5", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "5", "]"}]}], "-", 
      RowBox[{"20.32`", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"0.20320000000000002`", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"theta", "[", "9", "]"}], "-", 
         RowBox[{"theta", "[", "11", "]"}]}], "]"}], " ", 
       RowBox[{"V", "[", "9", "]"}]}], "+", 
      RowBox[{"121.984`", " ", 
       RowBox[{"V", "[", "11", "]"}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.60164531915625*^9, 3.6016515234375*^9, 
  3.60165594771875*^9, 3.60165599090625*^9, 3.6016561435625*^9, 
  3.6065137814373083`*^9, 3.6065146719193087`*^9, 3.6065148789973087`*^9, 
  3.6065149342983084`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", 
      RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"theta1", "-", "theta3"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V1", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"theta1", "-", "theta3"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", "1", "0", "0", "0", 
      RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"theta2", "-", "theta4"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V2", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"theta2", "-", "theta4"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3.636`"}], " ", "V1", " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta1", "-", "theta3"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"1.6268799999999999`", " ", "V3"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"3.636`", " ", "V1", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta1", "-", "theta3"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3.636`"}], " ", "V2", " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta2", "-", "theta4"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"1.6268799999999999`", " ", "V4"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"3.636`", " ", "V2", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta2", "-", "theta4"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"1.6268799999999999`", " ", "V5"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}]},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"1.21984`", " ", "V6"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"1.21984`", " ", "V7"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"1.62624`", " ", "V8"}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"1.62624`", " ", "V9"}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"1.21984`", " ", "V10"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"1.21984`", " ", "V11"}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]},
     {"0", "0", "1", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V1", " ", "V3", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"theta1", "-", "theta3"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V1", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"theta1", "-", "theta3"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", "0", "0", "1", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V2", " ", "V4", " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"theta2", "-", "theta4"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0", "0", 
      RowBox[{
       RowBox[{"-", "3.636`"}], " ", "V2", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"theta2", "-", "theta4"}], "]"}]}], "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta1", "-", "theta3"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"169.95999999999998`", " ", "V3"}], "-", 
       RowBox[{"3.636`", " ", "V1", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta1", "-", "theta3"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta2", "-", "theta4"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"169.95999999999998`", " ", "V4"}], "-", 
       RowBox[{"3.636`", " ", "V2", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta2", "-", "theta4"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"169.95999999999998`", " ", "V5"}], "-", 
       RowBox[{"40.672`", " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}]},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V3", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"121.984`", " ", "V6"}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V3", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"121.984`", " ", "V7"}], "-", 
       RowBox[{"40.672`", " ", "V3", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V3", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"162.624`", " ", "V8"}], "-", 
       RowBox[{"20.32`", " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V6", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V6", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta6", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.20320000000000002`"}], " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"162.624`", " ", "V9"}], "-", 
       RowBox[{"20.32`", " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V4", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V7", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.40671999999999997`", " ", "V4", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V7", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta7", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V10", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V10", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V10", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"121.984`", " ", "V10"}], "-", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V8", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V8", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta10", "-", "theta8"}], "]"}]}]}], "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{
       RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "0.40671999999999997`"}], " ", "V11", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
       RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
       RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "40.672`"}], " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}]}], "0", "0", "0", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "20.32`"}], " ", "V11", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V11", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}], "0", 
      RowBox[{
       RowBox[{"121.984`", " ", "V11"}], "-", 
       RowBox[{"40.672`", " ", "V5", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"20.32`", " ", "V9", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
       RowBox[{"0.40671999999999997`", " ", "V5", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
       RowBox[{"0.20320000000000002`", " ", "V9", " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.60164531915625*^9, 3.6016515234375*^9, 
  3.60165594771875*^9, 3.60165599090625*^9, 3.6016561435625*^9, 
  3.6065137814373083`*^9, 3.6065146719193087`*^9, 3.6065148789973087`*^9, 
  3.606514934335308*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FFF", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.601640154734375*^9, 3.601640161546875*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"P1", "-", 
        RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta1", "-", "theta3"}], "]"}]}]}]},
      {
       RowBox[{"P2", "-", 
        RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta2", "-", "theta4"}], "]"}]}]}]},
      {
       RowBox[{"P3", "+", 
        RowBox[{"0.8134399999999999`", " ", 
         SuperscriptBox["V3", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "+", 
        RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta1", "-", "theta3"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}]}]},
      {
       RowBox[{"P4", "+", 
        RowBox[{"0.8134399999999999`", " ", 
         SuperscriptBox["V4", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta2", "-", "theta4"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"P5", "+", 
        RowBox[{"0.8134399999999999`", " ", 
         SuperscriptBox["V5", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}]}]},
      {
       RowBox[{"P6", "+", 
        RowBox[{"0.60992`", " ", 
         SuperscriptBox["V6", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"P7", "+", 
        RowBox[{"0.60992`", " ", 
         SuperscriptBox["V7", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"P8", "+", 
        RowBox[{"0.81312`", " ", 
         SuperscriptBox["V8", "2"]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"P9", "+", 
        RowBox[{"0.81312`", " ", 
         SuperscriptBox["V9", "2"]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"P10", "+", 
        RowBox[{"0.60992`", " ", 
         SuperscriptBox["V10", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"P11", "+", 
        RowBox[{"0.60992`", " ", 
         SuperscriptBox["V11", "2"]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"Q1", "+", 
        RowBox[{"3.636`", " ", 
         SuperscriptBox["V1", "2"]}], "-", 
        RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta1", "-", "theta3"}], "]"}]}]}]},
      {
       RowBox[{"Q2", "+", 
        RowBox[{"3.636`", " ", 
         SuperscriptBox["V2", "2"]}], "-", 
        RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta2", "-", "theta4"}], "]"}]}]}]},
      {
       RowBox[{"Q3", "+", 
        RowBox[{"84.97999999999999`", " ", 
         SuperscriptBox["V3", "2"]}], "-", 
        RowBox[{"3.636`", " ", "V1", " ", "V3", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta1", "-", "theta3"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}]}]},
      {
       RowBox[{"Q4", "+", 
        RowBox[{"84.97999999999999`", " ", 
         SuperscriptBox["V4", "2"]}], "-", 
        RowBox[{"3.636`", " ", "V2", " ", "V4", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta2", "-", "theta4"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"Q5", "+", 
        RowBox[{"84.97999999999999`", " ", 
         SuperscriptBox["V5", "2"]}], "-", 
        RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}]}]},
      {
       RowBox[{"Q6", "+", 
        RowBox[{"60.992`", " ", 
         SuperscriptBox["V6", "2"]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V6", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta6"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"Q7", "+", 
        RowBox[{"60.992`", " ", 
         SuperscriptBox["V7", "2"]}], "-", 
        RowBox[{"40.672`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V3", " ", "V7", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta3", "-", "theta7"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"Q8", "+", 
        RowBox[{"81.312`", " ", 
         SuperscriptBox["V8", "2"]}], "-", 
        RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta8"}], "]"}]}], "+", 
        RowBox[{"0.20320000000000002`", " ", "V6", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta6", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"Q9", "+", 
        RowBox[{"81.312`", " ", 
         SuperscriptBox["V9", "2"]}], "-", 
        RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"40.672`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"0.40671999999999997`", " ", "V4", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta4", "-", "theta9"}], "]"}]}], "+", 
        RowBox[{"0.20320000000000002`", " ", "V7", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta7", "-", "theta9"}], "]"}]}]}]},
      {
       RowBox[{"Q10", "+", 
        RowBox[{"60.992`", " ", 
         SuperscriptBox["V10", "2"]}], "-", 
        RowBox[{"40.672`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V10", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V10", " ", "V8", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta10", "-", "theta8"}], "]"}]}]}]},
      {
       RowBox[{"Q11", "+", 
        RowBox[{"60.992`", " ", 
         SuperscriptBox["V11", "2"]}], "-", 
        RowBox[{"40.672`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"20.32`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}], "-", 
        RowBox[{"0.40671999999999997`", " ", "V11", " ", "V5", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta5"}], "]"}]}], "-", 
        RowBox[{"0.20320000000000002`", " ", "V11", " ", "V9", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"theta11", "-", "theta9"}], "]"}]}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.60165152353125*^9, 3.601655947796875*^9, 
  3.601655990984375*^9, 3.601656143640625*^9, 3.6065146719973087`*^9, 
  3.6065148790763083`*^9, 3.6065149343793087`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Inputs0", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1.5", ",", "1.5", ",", "0", ",", "0", ",", 
     RowBox[{"-", "0.2"}], ",", 
     RowBox[{"-", "0.1"}], ",", 
     RowBox[{"-", "0.1"}], ",", 
     RowBox[{"-", "0.1"}], ",", 
     RowBox[{"-", "0.1"}], ",", 
     RowBox[{"-", "0.1"}], ",", 
     RowBox[{"-", "0.1"}], ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"\[CapitalDelta]", "=", 
   RowBox[{"Vars", "/.", 
    RowBox[{"ReplacementRule", "[", "Vars", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[CapitalDelta]", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Outputs0", "=", 
   RowBox[{"\[CapitalDelta]", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"P1", "\[Rule]", "0"}], ",", 
      RowBox[{"P2", "\[Rule]", "0"}], ",", 
      RowBox[{"Q1", "\[Rule]", "0"}], ",", 
      RowBox[{"Q2", "\[Rule]", "0"}], ",", 
      RowBox[{"theta3", "\[Rule]", "0"}], ",", 
      RowBox[{"theta4", "\[Rule]", "0"}], ",", 
      RowBox[{"theta5", "\[Rule]", "0"}], ",", 
      RowBox[{"theta6", "\[Rule]", "0"}], ",", 
      RowBox[{"theta7", "\[Rule]", "0"}], ",", 
      RowBox[{"theta8", "\[Rule]", "0"}], ",", 
      RowBox[{"theta9", "\[Rule]", "0"}], ",", 
      RowBox[{"theta10", "\[Rule]", "0"}], ",", 
      RowBox[{"theta11", "\[Rule]", "0"}], ",", 
      RowBox[{"V3", "\[Rule]", "1"}], ",", 
      RowBox[{"V4", "\[Rule]", "1"}], ",", 
      RowBox[{"V5", "\[Rule]", "1"}], ",", 
      RowBox[{"V6", "\[Rule]", "1"}], ",", 
      RowBox[{"V7", "\[Rule]", "1"}], ",", 
      RowBox[{"V8", "\[Rule]", "1"}], ",", 
      RowBox[{"V9", "\[Rule]", "1"}], ",", 
      RowBox[{"V10", "\[Rule]", "1"}], ",", 
      RowBox[{"V11", "\[Rule]", "1"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"InitialInputRules", "=", 
   RowBox[{"Inner", "[", 
    RowBox[{"Rule", ",", 
     RowBox[{"Inputs", "/.", 
      RowBox[{"InputReplacementRule", "[", "Inputs", "]"}]}], ",", "Inputs0", 
     ",", "List"}], "]"}]}], ";"}], "\n", 
 RowBox[{"InitialInputRules", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"InitialStateRules", "=", 
   RowBox[{"Inner", "[", 
    RowBox[{"Rule", ",", 
     RowBox[{"Vars", "/.", 
      RowBox[{"ReplacementRule", "[", "Vars", "]"}]}], ",", "Outputs0", ",", 
     "List"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"InitialStateRules", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sols", "=", "InitialStateRules"}], ";"}], "\n", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", "17"}], ",", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"YY", "=", 
     RowBox[{
      RowBox[{"XX", "/.", "sols"}], "/.", "InitialInputRules"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"FF", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"EqEqns", "/.", 
          RowBox[{"ReplacementRule", "[", "Vars", "]"}]}], "/.", 
         RowBox[{"InputReplacementRule", "[", "Inputs", "]"}]}], ")"}], "/.", 
       "sols"}], "/.", "InitialInputRules"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"NewtEqns", "=", 
     RowBox[{"Inner", "[", 
      RowBox[{"Equal", ",", 
       RowBox[{
        RowBox[{"YY", ".", "\[CapitalDelta]"}], "-", 
        RowBox[{"YY", ".", 
         RowBox[{"(", 
          RowBox[{"\[CapitalDelta]", "/.", "sols"}], ")"}]}], "+", "FF"}], 
       ",", 
       RowBox[{"ConstantArray", "[", 
        RowBox[{"0", ",", 
         RowBox[{"Length", "[", "\[CapitalDelta]", "]"}]}], "]"}], ",", 
       "List"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"sols", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"NewtEqns", ",", "\[CapitalDelta]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]", "sols"}], "Input",
 CellChangeTimes->{
  3.562310034578125*^9, 3.562310092546875*^9, 3.56231037128125*^9, 
   3.56231113175*^9, 3.5623113759375*^9, {3.562312609109375*^9, 
   3.56231261634375*^9}, {3.562312839640625*^9, 3.5623128904375*^9}, {
   3.562313163796875*^9, 3.5623131785625*^9}, {3.56231330353125*^9, 
   3.562313329625*^9}, {3.562313474359375*^9, 3.562313499765625*^9}, {
   3.5623147706875*^9, 3.5623147896875*^9}, {3.562314823875*^9, 
   3.5623148501875*^9}, 3.562343404296875*^9, {3.562375022640625*^9, 
   3.56237504575*^9}, {3.5624012160439234`*^9, 3.562401220146158*^9}, {
   3.562401257194277*^9, 3.562401259418404*^9}, 3.5810889513892627`*^9, 
   3.5810959573183413`*^9, {3.5861807695279226`*^9, 3.5861807966474733`*^9}, 
   3.586181324400659*^9, {3.58618261767163*^9, 3.5861826214628468`*^9}, {
   3.58618268025821*^9, 3.5861827045666*^9}, 3.5861827527283545`*^9, {
   3.5862741597659016`*^9, 3.586274164123151*^9}, {3.5862755349765587`*^9, 
   3.5862755577878637`*^9}, {3.5862756352592945`*^9, 3.586275637492422*^9}, {
   3.586276663718119*^9, 3.58627666425315*^9}, {3.5862767065235677`*^9, 
   3.586276767112033*^9}, {3.5862768536339817`*^9, 3.586276867011747*^9}, {
   3.586287967794679*^9, 3.5862879794823475`*^9}, {3.586288141312604*^9, 
   3.5862881458868656`*^9}, {3.586453431088809*^9, 3.5864534313298225`*^9}, {
   3.586455450194295*^9, 3.5864554760927763`*^9}, {3.5865066384808865`*^9, 
   3.5865066460193176`*^9}, {3.586506743935918*^9, 3.586506754221506*^9}, {
   3.58650723053975*^9, 3.5865072515949545`*^9}, {3.586507402887608*^9, 
   3.586507403714655*^9}, {3.5865074782489185`*^9, 3.5865075110057917`*^9}, {
   3.5865083321377583`*^9, 3.586508335533952*^9}, {3.586508419290743*^9, 
   3.586508451100562*^9}, {3.58650858043496*^9, 3.586508585571254*^9}, {
   3.5867962413446407`*^9, 3.5867963351570063`*^9}, {3.586796435266732*^9, 
   3.58679649186897*^9}, {3.5868581298424597`*^9, 3.5868581588231173`*^9}, {
   3.586858208575963*^9, 3.5868582246318817`*^9}, {3.5868582613669825`*^9, 
   3.5868582625040474`*^9}, {3.58685829296879*^9, 3.58685831831824*^9}, {
   3.586861598252842*^9, 3.5868616015060277`*^9}, {3.5869597019540524`*^9, 
   3.586959704937223*^9}, {3.5871390548262043`*^9, 3.587139114410612*^9}, {
   3.587139287913536*^9, 3.5871392967180395`*^9}, {3.5871400499494543`*^9, 
   3.5871401299960327`*^9}, {3.5871402204002037`*^9, 
   3.5871402230493546`*^9}, {3.5871403675256186`*^9, 
   3.5871403955002184`*^9}, {3.587283086301436*^9, 3.5872831112038603`*^9}, {
   3.587283145763837*^9, 3.5872832006299753`*^9}, 3.590326729765625*^9, {
   3.590326793703125*^9, 3.5903268145*^9}, {3.59032684490625*^9, 
   3.590326863875*^9}, {3.5903269028125*^9, 3.590326903234375*^9}, {
   3.590332188171875*^9, 3.590332189890625*^9}, {3.590332220296875*^9, 
   3.59033222421875*^9}, {3.59033226725*^9, 3.590332269140625*^9}, {
   3.59033258009375*^9, 3.590332581734375*^9}, 3.590332664171875*^9, {
   3.59033269490625*^9, 3.590332698078125*^9}, {3.601227687671875*^9, 
   3.601227687890625*^9}, {3.6012382289375*^9, 3.60123822909375*^9}, {
   3.6012383419375*^9, 3.60123834284375*^9}, {3.60164040421875*^9, 
   3.601640503453125*^9}, {3.601643513625*^9, 3.601643547578125*^9}, {
   3.601643621734375*^9, 3.601643624453125*^9}, {3.601655934515625*^9, 
   3.601655938859375*^9}, 3.60165598234375*^9, 3.601656135046875*^9, {
   3.6065138353313084`*^9, 3.6065138956793084`*^9}, {3.6065140174023085`*^9, 
   3.6065141110463085`*^9}, {3.6065144969923086`*^9, 3.6065144998393087`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"P1"},
      {"P2"},
      {"Q1"},
      {"Q2"},
      {"theta3"},
      {"theta4"},
      {"theta5"},
      {"theta6"},
      {"theta7"},
      {"theta8"},
      {"theta9"},
      {"theta10"},
      {"theta11"},
      {"V3"},
      {"V4"},
      {"V5"},
      {"V6"},
      {"V7"},
      {"V8"},
      {"V9"},
      {"V10"},
      {"V11"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.60165614365625*^9, 3.6065139673573084`*^9, 
  3.6065141327863083`*^9, 3.6065145062843084`*^9, 3.6065146720303087`*^9, 
  3.6065148791073084`*^9, 3.6065149344103084`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"theta1", "\[Rule]", "0"}]},
      {
       RowBox[{"theta2", "\[Rule]", "0"}]},
      {
       RowBox[{"V1", "\[Rule]", "1.5`"}]},
      {
       RowBox[{"V2", "\[Rule]", "1.5`"}]},
      {
       RowBox[{"P3", "\[Rule]", "0"}]},
      {
       RowBox[{"P4", "\[Rule]", "0"}]},
      {
       RowBox[{"P5", "\[Rule]", 
        RowBox[{"-", "0.2`"}]}]},
      {
       RowBox[{"P6", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"P7", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"P8", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"P9", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"P10", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"P11", "\[Rule]", 
        RowBox[{"-", "0.1`"}]}]},
      {
       RowBox[{"Q3", "\[Rule]", "0"}]},
      {
       RowBox[{"Q4", "\[Rule]", "0"}]},
      {
       RowBox[{"Q5", "\[Rule]", "0"}]},
      {
       RowBox[{"Q6", "\[Rule]", "0"}]},
      {
       RowBox[{"Q7", "\[Rule]", "0"}]},
      {
       RowBox[{"Q8", "\[Rule]", "0"}]},
      {
       RowBox[{"Q9", "\[Rule]", "0"}]},
      {
       RowBox[{"Q10", "\[Rule]", "0"}]},
      {
       RowBox[{"Q11", "\[Rule]", "0"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.60165614365625*^9, 3.6065139673573084`*^9, 
  3.6065141327863083`*^9, 3.6065145062843084`*^9, 3.6065146720303087`*^9, 
  3.6065148791073084`*^9, 3.6065149344143085`*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"P1", "\[Rule]", "0"}]},
      {
       RowBox[{"P2", "\[Rule]", "0"}]},
      {
       RowBox[{"Q1", "\[Rule]", "0"}]},
      {
       RowBox[{"Q2", "\[Rule]", "0"}]},
      {
       RowBox[{"theta3", "\[Rule]", "0"}]},
      {
       RowBox[{"theta4", "\[Rule]", "0"}]},
      {
       RowBox[{"theta5", "\[Rule]", "0"}]},
      {
       RowBox[{"theta6", "\[Rule]", "0"}]},
      {
       RowBox[{"theta7", "\[Rule]", "0"}]},
      {
       RowBox[{"theta8", "\[Rule]", "0"}]},
      {
       RowBox[{"theta9", "\[Rule]", "0"}]},
      {
       RowBox[{"theta10", "\[Rule]", "0"}]},
      {
       RowBox[{"theta11", "\[Rule]", "0"}]},
      {
       RowBox[{"V3", "\[Rule]", "1"}]},
      {
       RowBox[{"V4", "\[Rule]", "1"}]},
      {
       RowBox[{"V5", "\[Rule]", "1"}]},
      {
       RowBox[{"V6", "\[Rule]", "1"}]},
      {
       RowBox[{"V7", "\[Rule]", "1"}]},
      {
       RowBox[{"V8", "\[Rule]", "1"}]},
      {
       RowBox[{"V9", "\[Rule]", "1"}]},
      {
       RowBox[{"V10", "\[Rule]", "1"}]},
      {
       RowBox[{"V11", "\[Rule]", "1"}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.60165614365625*^9, 3.6065139673573084`*^9, 
  3.6065141327863083`*^9, 3.6065145062843084`*^9, 3.6065146720303087`*^9, 
  3.6065148791073084`*^9, 3.6065149344173083`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P1", "\[Rule]", "0.3918667793531448`"}], ",", 
   RowBox[{"P2", "\[Rule]", "0.40289299761396147`"}], ",", 
   RowBox[{"Q1", "\[Rule]", 
    RowBox[{"-", "2.3699657960632368`"}]}], ",", 
   RowBox[{"Q2", "\[Rule]", 
    RowBox[{"-", "2.571527186555299`"}]}], ",", 
   RowBox[{"theta3", "\[Rule]", 
    RowBox[{"-", "0.06733300476839059`"}]}], ",", 
   RowBox[{"theta4", "\[Rule]", 
    RowBox[{"-", "0.07170055973855854`"}]}], ",", 
   RowBox[{"theta5", "\[Rule]", 
    RowBox[{"-", "0.09128249799799298`"}]}], ",", 
   RowBox[{"theta6", "\[Rule]", 
    RowBox[{"-", "0.07181795573854502`"}]}], ",", 
   RowBox[{"theta7", "\[Rule]", 
    RowBox[{"-", "0.07181795573854499`"}]}], ",", 
   RowBox[{"theta8", "\[Rule]", 
    RowBox[{"-", "0.07666097309253612`"}]}], ",", 
   RowBox[{"theta9", "\[Rule]", 
    RowBox[{"-", "0.07666097309253615`"}]}], ",", 
   RowBox[{"theta10", "\[Rule]", 
    RowBox[{"-", "0.08788724899198659`"}]}], ",", 
   RowBox[{"theta11", "\[Rule]", 
    RowBox[{"-", "0.0878872489919866`"}]}], ",", 
   RowBox[{"V3", "\[Rule]", "1.0678826502456025`"}], ",", 
   RowBox[{"V4", "\[Rule]", "1.031155634633242`"}], ",", 
   RowBox[{"V5", "\[Rule]", "0.8906052336147013`"}], ",", 
   RowBox[{"V6", "\[Rule]", "1.0486828597247004`"}], ",", 
   RowBox[{"V7", "\[Rule]", "1.0486828597247007`"}], ",", 
   RowBox[{"V8", "\[Rule]", "1.0103333211704713`"}], ",", 
   RowBox[{"V9", "\[Rule]", "1.0103333211704724`"}], ",", 
   RowBox[{"V10", "\[Rule]", "0.930451400768364`"}], ",", 
   RowBox[{"V11", "\[Rule]", "0.9304514007683643`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.60165614365625*^9, 3.6065139673573084`*^9, 
  3.6065141327863083`*^9, 3.6065145062843084`*^9, 3.6065146720303087`*^9, 
  3.6065148791073084`*^9, 3.606514934578308*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"P1", "+", "P2"}], ")"}], "/.", "sols"}]], "Input",
 CellChangeTimes->{{3.586507689620008*^9, 3.586507699826592*^9}}],

Cell[BoxData["0.7947597769671062`"], "Output",
 CellChangeTimes->{
  3.5865077009336553`*^9, 3.586708099936051*^9, 3.5867086071990643`*^9, 
   3.5867799345199757`*^9, 3.5867885576231565`*^9, 3.586792911797201*^9, {
   3.5867930047355165`*^9, 3.5867930159011555`*^9}, 3.586795922682414*^9, 
   3.5867961719486713`*^9, 3.5867964024068527`*^9, 3.5867966199402947`*^9, 
   3.58679682545605*^9, 3.5867969002643285`*^9, 3.586797721180282*^9, 
   3.58679778809711*^9, 3.586858098290655*^9, 3.586861615441825*^9, 
   3.5871402666628494`*^9, 3.5871404098550396`*^9, 3.587209472735778*^9, 
   3.587230072011389*^9, 3.58728364636747*^9, 3.59016281896875*^9, 
   3.59023693634375*^9, 3.59023778625*^9, 3.590326764984375*^9, {
   3.590326800671875*^9, 3.590326872390625*^9}, 3.59032690990625*^9, 
   3.590332198765625*^9, 3.590332233*^9, 3.590332276515625*^9, 
   3.59033259046875*^9, 3.59033267140625*^9, 3.59033270721875*^9, 
   3.601227715984375*^9, 3.6012286951875*^9, 3.60123824265625*^9, 
   3.601238277265625*^9, 3.601238356953125*^9, 3.601401990375*^9, 
   3.601640515328125*^9, 3.601643555484375*^9, 3.601643696921875*^9, 
   3.601651523859375*^9, 3.60165599125*^9, 3.601656144203125*^9, 
   3.606514625142308*^9, 3.6065146722323084`*^9, 3.606514879300308*^9, 
   3.6065149346033087`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mex File Creation", "Subtitle",
 CellChangeTimes->{{3.590236722421875*^9, 3.590236729828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"stateList", " ", "=", " ", 
   RowBox[{"Vars", " ", "/.", " ", 
    RowBox[{"ReplacementRule", "[", "Vars", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"inputs", " ", "=", " ", 
   RowBox[{"Inputs", " ", "/.", " ", 
    RowBox[{"InputReplacementRule", "[", "Inputs", "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"passedParams", " ", "=", " ", 
   RowBox[{"{", "\"\<X0\>\"", "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"passedParamsDimensions", " ", "=", " ", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Length", "[", "stateList", "]"}], ",", " ", "1"}], "}"}], 
      "}"}], ",", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", " ", "1"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", 
         RowBox[{
          RowBox[{"Length", "[", "passedParams", "]"}], " ", "-", " ", 
          "1"}]}], "}"}]}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"F", " ", "=", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"XX", ".", "stateList"}]}], " ", "+", " ", "FFF"}], ")"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"M", " ", "=", " ", "XX"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"timestep", " ", "=", " ", 
   RowBox[{"-", "1"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"outputEquations", " ", "=", " ", "stateList"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
  "mexFilename", " ", "=", " ", 
   "\"\<C:\\\\Users\\\\ureji\\\\Documents\\\\My \
Documents\\\\Stuff\\\\DRK\\\\ProjectIII\\\\example10busc_10_09\\\\11busModel\\\
\\Network11bus_ActualModel.c\>\""}], ";"}]}], "Input",
 CellChangeTimes->{{3.5902368024375*^9, 3.5902368125625*^9}, {
   3.601227702140625*^9, 3.60122770503125*^9}, {3.6065146461573086`*^9, 
   3.6065146584923086`*^9}, 3.6065148708973083`*^9, {3.6065149261903086`*^9, 
   3.606514926335308*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CreateDiscreteModelMEX", "[", 
  RowBox[{
  "stateList", ",", "inputs", ",", "outputEquations", ",", "passedParams", 
   ",", "\n", "                 ", "passedParamsDimensions", ",", "F", ",", 
   "M", ",", "timestep", ",", "mexFilename"}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData["\<\"  *** MEXTools successfully loaded ***\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149346643085`*^9}],

Cell[BoxData["\<\"...Generating Header Code\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149346673083`*^9}],

Cell[BoxData["\<\"...Generating Initial Condition Function Code\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149346723084`*^9}],

Cell[BoxData["\<\"...Generating State Derivative Function Code\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149346763086`*^9}],

Cell[BoxData["\<\"...Collecting all function terms\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149346803083`*^9}],

Cell[BoxData["\<\"...Generating temp variable declarations\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149347853084`*^9}],

Cell[BoxData["\<\"...Converting Expressions to C form\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149348433084`*^9}],

Cell[BoxData["\<\"...Generating Output Function Code\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149366993084`*^9}],

Cell[BoxData["\<\"MEX File created with name: \
C:\\\\Users\\\\ureji\\\\Documents\\\\My \
Documents\\\\Stuff\\\\DRK\\\\ProjectIII\\\\example10busc_10_09\\\\11busModel\\\
\\Network11bus_ActualModel.c\"\>"], "Print",
 CellChangeTimes->{
  3.59023693646875*^9, 3.590237786296875*^9, 3.590326765125*^9, {
   3.590326800734375*^9, 3.5903268724375*^9}, 3.590326909953125*^9, 
   3.5903321988125*^9, 3.5903322330625*^9, 3.590332276578125*^9, 
   3.59033259053125*^9, 3.590332671453125*^9, 3.590332707265625*^9, 
   3.60122771609375*^9, 3.60122869525*^9, 3.601238242765625*^9, 
   3.6012382773125*^9, 3.601238357015625*^9, 3.601401990484375*^9, 
   3.601640515796875*^9, 3.60164355553125*^9, 3.601643697*^9, 
   3.601651523921875*^9, 3.601655991296875*^9, 3.60165614428125*^9, 
   3.6065146724513083`*^9, 3.6065148793643084`*^9, 3.6065149367043085`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CreateDiscreteModelMEX"}]], "Input",
 CellChangeTimes->{{3.60164730571875*^9, 3.6016473161875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"To create discrete time MEX-files for use with Simulink 1.3 \
and later.\\n\\nDiscret time quations of the form M x(i+1)=F(x(i),u(i)), M a \
nonsingular matrix. \
\\n\\nCreateDiscreteModelMEX[States,Inputs,Outputs,PassedParams,\\n\\n        \
         PassedParamsDimensions,F,M,TimeStep,MEXFilename,opts]  \\n\\nCreates \
a Simulink S-function MEX file for simulation of the discrete\\n\\n equations \
defined by M and F. The input arguments are:\\n\\n        StateList - lists \
of the state variables\\n\\n        Inputs - a list of the input variables\\n\
\\n        OutputEquations - a list of right hand side of the output \
equations\\n \\n                  (empty list defaults to using states as \
outputs)\\n\\n        PassedParams - a list of parameter names enclosed in \
double\\n\\nquotation marks which are designated to be passed to the \
S-Function from\\n \\nthe Matlab workspace during simulation. This list, by \
default, must always\\n \\nhave as its first element the initial state vector \
name given as X0. Note:\\n \\nThese parameters must appear in \
StateEquations\\n\\nand must be scalars (except the initial state vector). In\
\\n\\nSimulink,  the user must double click on the S-Function model created \
by\\n\\nthis function and specify this list of parameters on the parameter \
line of\\n \\nthe form that pops up on the screen. The order of the \
parameters specified\\n\\non this line is important. The first parameter must \
be the initial state\\n \\nname followed by the names of the parameters in \
the same order that they\\n\\nappear in PassedParams.\\n\\n        \
PassedParamsDimensions - a list of lists of the dimensions of the\\n \
\\nparameters specified in PassedParams. It should have the form\\n\\n  \
{{nrow1,ncol1},{nrow2,ncol2},{nrow3,ncol3},...{nrowm,ncolm}}\\n\\n where m is \
the length of PassedParams. Note: with the exception of the\\n \\ninitial \
state vector, all must be scalars in this version of the software.\\n\\n      \
  M - nonsingular matrix. May be function of the state \\n\\n        F - a \
vector of functions of states and inputs. \\n\\n        TimeStep - the \
discrete period of time between invocations of\\n\\nthis function. This value \
must be a multiple of the Simulink solver\\n\\ntimestep.\\n\\n        \
MEXFilename - the name of the C Code Simulink MEX file that is\\n \\ncreated \
(it can contain path \
information)\\n\\nOptions[CreateDiscreteControllerMEX]={AssignMaxSize->\
Infinity,MinimumBreakVariables->10};\\n\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.6065149371503086`*^9},
 CellTags->"Info3606500536-9155573"],

Cell[BoxData[
 StyleBox["\<\"To create discrete time MEX-files for use with Simulink 1.3 \
and later.\\\\n\\\\nDiscret time quations of the form M x(i+1)=F(x(i),u(i)), \
M a nonsingular matrix. \
\\\\n\\\\nCreateDiscreteModelMEX[States,Inputs,Outputs,PassedParams,\\\\n\\\\\
n                 PassedParamsDimensions,F,M,TimeStep,MEXFilename,opts]  \
\\\\n\\\\nCreates a Simulink S-function MEX file for simulation of the \
discrete\\\\n\\\\n equations defined by M and F. The input arguments \
are:\\\\n\\\\n        StateList - lists of the state variables\\\\n\\\\n      \
  Inputs - a list of the input variables\\\\n\\\\n        OutputEquations - a \
list of right hand side of the output equations\\\\n \\\\n                  \
(empty list defaults to using states as outputs)\\\\n\\\\n        \
PassedParams - a list of parameter names enclosed in \
double\\\\n\\\\nquotation marks which are designated to be passed to the \
S-Function from\\\\n \\\\nthe Matlab workspace during simulation. This list, \
by default, must always\\\\n \\\\nhave as its first element the initial state \
vector name given as X0. Note:\\\\n \\\\nThese parameters must appear in \
StateEquations\\\\n\\\\nand must be scalars (except the initial state \
vector). In\\\\n\\\\nSimulink,  the user must double click on the S-Function \
model created by\\\\n\\\\nthis function and specify this list of parameters \
on the parameter line of\\\\n \\\\nthe form that pops up on the screen. The \
order of the parameters specified\\\\n\\\\non this line is important. The \
first parameter must be the initial state\\\\n \\\\nname followed by the \
names of the parameters in the same order that they\\\\n\\\\nappear in \
PassedParams.\\\\n\\\\n        PassedParamsDimensions - a list of lists of \
the dimensions of the\\\\n \\\\nparameters specified in PassedParams. It \
should have the form\\\\n\\\\n  \
{{nrow1,ncol1},{nrow2,ncol2},{nrow3,ncol3},...{nrowm,ncolm}}\\\\n\\\\n where \
m is the length of PassedParams. Note: with the exception of the\\\\n \
\\\\ninitial state vector, all must be scalars in this version of the \
software.\\\\n\\\\n        M - nonsingular matrix. May be function of the \
state \\\\n\\\\n        F - a vector of functions of states and inputs. \\\\n\
\\\\n        TimeStep - the discrete period of time between invocations \
of\\\\n\\\\nthis function. This value must be a multiple of the Simulink \
solver\\\\n\\\\ntimestep.\\\\n\\\\n        MEXFilename - the name of the C \
Code Simulink MEX file that is\\\\n \\\\ncreated (it can contain path \
information)\\\\n\\\\nOptions[CreateDiscreteControllerMEX]={AssignMaxSize->\
Infinity,MinimumBreakVariables->10};\\\\n\"\>", "MSG"]], "Print", "PrintUsage",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.60164731665625*^9, 3.6016474875*^9},
 CellTags->"Info3601629316-9327739"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 730},
WindowMargins->{{4, Automatic}, {-17, Automatic}},
ShowSelection->True,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3606500536-9155573"->{
  Cell[603384, 11146, 2652, 37, 1214, "Print",
   CellTags->"Info3606500536-9155573"]},
 "Info3601629316-9327739"->{
  Cell[606039, 11185, 2858, 41, 228, "Print",
   CellTags->"Info3601629316-9327739"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3606500536-9155573", 609279, 11243},
 {"Info3601629316-9327739", 609396, 11246}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 312, 4, 74, "Title"],
Cell[CellGroupData[{
Cell[904, 30, 101, 1, 86, "Section"],
Cell[1008, 33, 122, 2, 30, "Text"],
Cell[CellGroupData[{
Cell[1155, 39, 103, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[1283, 44, 51, 1, 31, "Input"],
Cell[1337, 47, 772, 10, 404, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2146, 62, 125, 2, 31, "Input"],
Cell[2274, 66, 3463, 96, 103, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5774, 167, 176, 3, 31, "Input"],
Cell[5953, 172, 6573, 174, 149, "Print"]
}, Open  ]],
Cell[12541, 349, 16, 0, 30, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12606, 355, 134, 2, 86, "Section"],
Cell[CellGroupData[{
Cell[12765, 361, 173, 2, 49, "Subsection"],
Cell[12941, 365, 88, 4, 68, "Text"],
Cell[13032, 371, 6402, 188, 216, "Input"],
Cell[19437, 561, 6091, 160, 354, "Input"],
Cell[CellGroupData[{
Cell[25553, 725, 155, 3, 31, "Input"],
Cell[25711, 730, 3458, 54, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29206, 789, 157, 3, 31, "Input"],
Cell[29366, 794, 3449, 55, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32852, 854, 523, 11, 92, "Input"],
Cell[33378, 867, 3233, 74, 55, "Output"],
Cell[36614, 943, 3233, 74, 55, "Output"],
Cell[39850, 1019, 1735, 28, 31, "Output"],
Cell[41588, 1049, 1743, 28, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43380, 1083, 135, 2, 49, "Subsection"],
Cell[43518, 1087, 730, 19, 31, "Input"],
Cell[CellGroupData[{
Cell[44273, 1110, 289, 7, 31, "Input"],
Cell[44565, 1119, 3597, 56, 70, "Output"]
}, Open  ]],
Cell[48177, 1178, 703, 19, 31, "Input"],
Cell[CellGroupData[{
Cell[48905, 1201, 248, 6, 31, "Input"],
Cell[49156, 1209, 3160, 49, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52353, 1263, 175, 5, 31, "Input"],
Cell[52531, 1270, 3120, 48, 70, "Output"]
}, Open  ]],
Cell[55666, 1321, 878, 21, 31, "Input"],
Cell[CellGroupData[{
Cell[56569, 1346, 262, 7, 31, "Input"],
Cell[56834, 1355, 3670, 58, 70, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[60543, 1418, 291605, 3605, 486, "Section"],
Cell[CellGroupData[{
Cell[352173, 5027, 269, 3, 56, "Section"],
Cell[CellGroupData[{
Cell[352467, 5034, 190, 2, 49, "Subsection"],
Cell[352660, 5038, 2864, 74, 192, "Input"],
Cell[355527, 5114, 9589, 278, 392, "Input"],
Cell[CellGroupData[{
Cell[365141, 5396, 132, 2, 31, "Input"],
Cell[365276, 5400, 2944, 61, 192, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[368257, 5466, 128, 2, 31, "Input"],
Cell[368388, 5470, 3098, 59, 192, "Output"]
}, Open  ]],
Cell[371501, 5532, 107, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[371633, 5537, 2031, 48, 172, "Input"],
Cell[373667, 5587, 2865, 59, 177, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[376569, 5651, 2085, 49, 172, "Input"],
Cell[378657, 5702, 3069, 58, 177, "Output"]
}, Open  ]],
Cell[381741, 5763, 153, 2, 43, "Text"],
Cell[CellGroupData[{
Cell[381919, 5769, 810, 14, 52, "Input"],
Cell[382732, 5785, 5316, 113, 188, "Output"],
Cell[388051, 5900, 5292, 113, 188, "Output"],
Cell[393346, 6015, 5265, 112, 188, "Output"],
Cell[398614, 6129, 5241, 112, 188, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[403892, 6246, 102, 1, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[404019, 6251, 1443, 26, 72, "Input"],
Cell[405465, 6279, 1666, 36, 31, "Output"],
Cell[407134, 6317, 1694, 36, 52, "Output"]
}, Open  ]],
Cell[408843, 6356, 376, 9, 31, "Input"],
Cell[CellGroupData[{
Cell[409244, 6369, 136, 2, 31, "Input"],
Cell[409383, 6373, 195, 3, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[409615, 6381, 1463, 39, 132, "Input"],
Cell[411081, 6422, 95949, 2482, 2532, "Output"],
Cell[507033, 8906, 54631, 1255, 342, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[561701, 10166, 127, 2, 31, "Input"],
Cell[561831, 10170, 16431, 368, 402, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[578299, 10543, 7592, 152, 412, "Input"],
Cell[585894, 10697, 1140, 42, 342, "Output"],
Cell[587037, 10741, 2055, 71, 342, "Output"],
Cell[589095, 10814, 1888, 64, 342, "Output"],
Cell[590986, 10880, 1806, 38, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[592829, 10923, 168, 4, 31, "Input"],
Cell[593000, 10929, 1284, 19, 31, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[594357, 10956, 103, 1, 56, "Subtitle"],
Cell[594463, 10959, 1905, 53, 192, "Input"],
Cell[CellGroupData[{
Cell[596393, 11016, 282, 5, 52, "Input"],
Cell[CellGroupData[{
Cell[596700, 11025, 703, 10, 23, "Print"],
Cell[597406, 11037, 690, 10, 23, "Print"],
Cell[598099, 11049, 710, 10, 23, "Print"],
Cell[598812, 11061, 709, 10, 23, "Print"],
Cell[599524, 11073, 697, 10, 23, "Print"],
Cell[600224, 11085, 705, 10, 23, "Print"],
Cell[600932, 11097, 700, 10, 23, "Print"],
Cell[601635, 11109, 699, 10, 23, "Print"],
Cell[602337, 11121, 845, 13, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[603231, 11140, 128, 2, 31, "Input"],
Cell[CellGroupData[{
Cell[603384, 11146, 2652, 37, 1214, "Print",
 CellTags->"Info3606500536-9155573"],
Cell[606039, 11185, 2858, 41, 228, "Print",
 CellTags->"Info3601629316-9327739"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
